'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a5939648.js');

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M11 7.99996H8.71C8.26 7.99996 8.04 7.45996 8.35 7.14996L11.64 3.85996C11.84 3.65996 12.15 3.65996 12.35 3.85996L15.64 7.14996C15.96 7.45996 15.74 7.99996 15.29 7.99996H13V14.4L7.7 19.7C7.31 20.09 6.68 20.09 6.29 19.7C5.9 19.31 5.9 18.68 6.29 18.29L11 13.59V7.99996ZM17.7 18.29C18.09 18.68 18.09 19.31 17.7 19.7C17.32 20.09 16.68 20.09 16.29 19.7L13.59 17L15 15.59L17.7 18.29Z" fill="currentColor"/></svg>';

const RuxIconCallMerge = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return index.h("div", { style: style, innerHTML: svgIcon });
  }
};

exports.rux_icon_call_merge = RuxIconCallMerge;
