import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M14 4C14 2.9 13.1 2 12 2C10.9 2 10 2.9 10 4C10 5.1 10.9 6 12 6C13.1 6 14 5.1 14 4ZM15 9H20C20.55 9 21 8.55 21 8C21 7.45 20.55 7 20 7H4C3.45 7 3 7.45 3 8C3 8.55 3.45 9 4 9H9V21C9 21.55 9.45 22 10 22C10.55 22 11 21.55 11 21V16H13V21C13 21.55 13.45 22 14 22C14.55 22 15 21.55 15 21V9Z" fill="currentColor"/></svg>';

const RuxIconAccessibility$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconAccessibility extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-accessibility", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-accessibility"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-accessibility":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconAccessibility$1);
      }
      break;
  } });
}

const RuxIconAccessibility = RuxIconAccessibility$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconAccessibility, defineCustomElement };
