import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M16.01 11H5C4.45 11 4 11.45 4 12C4 12.55 4.45 13 5 13H16.01V14.79C16.01 15.24 16.55 15.46 16.86 15.14L19.64 12.35C19.83 12.15 19.83 11.84 19.64 11.64L16.86 8.85002C16.55 8.53002 16.01 8.76002 16.01 9.20002V11Z" fill="currentColor"/></svg>';

const RuxIconArrowRightAlt$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconArrowRightAlt extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-arrow-right-alt", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-arrow-right-alt"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-arrow-right-alt":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconArrowRightAlt$1);
      }
      break;
  } });
}

const RuxIconArrowRightAlt = RuxIconArrowRightAlt$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconArrowRightAlt, defineCustomElement };
