import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M6 2H18C19.1 2 20 2.9 20 4V20C20 21.1 19.1 22 18 22H6C4.9 22 4 21.1 4 20V4C4 2.9 4.9 2 6 2ZM11 4H6V12L8.5 10.5L11 12V4Z" fill="currentColor"/></svg>';

const RuxIconBook$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconBook extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-book", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-book"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-book":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconBook$1);
      }
      break;
  } });
}

const RuxIconBook = RuxIconBook$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconBook, defineCustomElement };
