import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M17 3H7C5.9 3 5 3.9 5 5V21L12 18L19 21V5C19 3.9 18.1 3 17 3Z" fill="currentColor"/></svg>';

const RuxIconBookmark$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconBookmark extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-bookmark", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-bookmark"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-bookmark":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconBookmark$1);
      }
      break;
  } });
}

const RuxIconBookmark = RuxIconBookmark$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconBookmark, defineCustomElement };
