import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M4 2H20C21.1 2 22 2.9 22 4V16C22 17.1 21.1 18 20 18H6L2 22V4C2 2.9 2.9 2 4 2ZM6 16H19C19.55 16 20 15.55 20 15V5C20 4.45 19.55 4 19 4H5C4.45 4 4 4.45 4 5V18L6 16Z" fill="currentColor"/></svg>';

const RuxIconChatBubbleOutline$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconChatBubbleOutline extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-chat-bubble-outline", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-chat-bubble-outline"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-chat-bubble-outline":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconChatBubbleOutline$1);
      }
      break;
  } });
}

const RuxIconChatBubbleOutline = RuxIconChatBubbleOutline$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconChatBubbleOutline, defineCustomElement };
