import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M12 2C6.48 2 2 6.48 2 12C2 17.52 6.48 22 12 22C17.52 22 22 17.52 22 12C22 6.48 17.52 2 12 2ZM12 20C7.59 20 4 16.41 4 12C4 7.59 7.59 4 12 4C16.41 4 20 7.59 20 12C20 16.41 16.41 20 12 20ZM10 14.17L15.88 8.29C16.27 7.9 16.91 7.9 17.3 8.29C17.69 8.68 17.69 9.31 17.3 9.7L10.71 16.29C10.32 16.68 9.69 16.68 9.3 16.29L6.71 13.7C6.32 13.31 6.32 12.68 6.71 12.29C7.1 11.9 7.73 11.9 8.12 12.29L10 14.17Z" fill="currentColor"/></svg>';

const RuxIconCheckCircleOutline$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconCheckCircleOutline extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-check-circle-outline", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-check-circle-outline"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-check-circle-outline":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconCheckCircleOutline$1);
      }
      break;
  } });
}

const RuxIconCheckCircleOutline = RuxIconCheckCircleOutline$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconCheckCircleOutline, defineCustomElement };
