import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M20 2H8C6.9 2 6 2.9 6 4V16C6 17.1 6.9 18 8 18H20C21.1 18 22 17.1 22 16V4C22 2.9 21.1 2 20 2ZM17 20H5C4.45 20 4 19.55 4 19V7C4 6.45 3.55 6 3 6C2.45 6 2 6.45 2 7V20C2 21.1 2.9 22 4 22H17C17.55 22 18 21.55 18 21C18 20.45 17.55 20 17 20ZM17.5 10.5L20 12V4H15V12L17.5 10.5Z" fill="currentColor"/></svg>';

const RuxIconCollectionsBookmark$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconCollectionsBookmark extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-collections-bookmark", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-collections-bookmark"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-collections-bookmark":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconCollectionsBookmark$1);
      }
      break;
  } });
}

const RuxIconCollectionsBookmark = RuxIconCollectionsBookmark$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconCollectionsBookmark, defineCustomElement };
