import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M1 12C1 16.4183 4.58172 20 9 20C13.4183 20 17 16.4183 17 12C17 7.58172 13.4183 4 9 4C4.58172 4 1 7.58172 1 12ZM18.32 4.73C17.71 4.45 17 4.87 17 5.55V5.73C17 6.1 17.23 6.42 17.57 6.58C19.6 7.54 21 9.61 21 12C21 14.39 19.6 16.46 17.57 17.42C17.23 17.58 17 17.89 17 18.26V18.44C17 19.12 17.71 19.55 18.32 19.26C21.08 18.01 23 15.23 23 12C23 8.77 21.08 5.99 18.32 4.73Z" fill="currentColor"/></svg>';

const RuxIconFiberSmartRecord$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconFiberSmartRecord extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-fiber-smart-record", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-fiber-smart-record"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-fiber-smart-record":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconFiberSmartRecord$1);
      }
      break;
  } });
}

const RuxIconFiberSmartRecord = RuxIconFiberSmartRecord$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconFiberSmartRecord, defineCustomElement };
