import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M5 3H19C20.1 3 21 3.9 21 5V19C21 20.1 20.1 21 19 21H5C3.9 21 3 20.1 3 19V5C3 3.9 3.9 3 5 3ZM12 11L19 19V6C19 5.45 18.55 5 18 5H12V11ZM12 19V11L5 19H12Z" fill="currentColor"/></svg>';

const RuxIconFilterBAndW$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconFilterBAndW extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-filter-b-and-w", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-filter-b-and-w"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-filter-b-and-w":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconFilterBAndW$1);
      }
      break;
  } });
}

const RuxIconFilterBAndW = RuxIconFilterBAndW$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconFilterBAndW, defineCustomElement };
