import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M12 8.00002V6.41002C12 5.52002 13.08 5.07002 13.71 5.70002L19.3 11.29C19.69 11.68 19.69 12.31 19.3 12.7L13.71 18.29C13.08 18.92 12 18.48 12 17.59V16H5C4.45 16 4 15.55 4 15V9.00002C4 8.45002 4.45 8.00002 5 8.00002H12Z" fill="currentColor"/></svg>';

const RuxIconForward$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconForward extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-forward", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-forward"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-forward":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconForward$1);
      }
      break;
  } });
}

const RuxIconForward = RuxIconForward$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconForward, defineCustomElement };
