import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M18 2.01L6 2C4.89 2 4 2.89 4 4V20C4 21.11 4.89 22 6 22H18C19.11 22 20 21.11 20 20V4C20 2.89 19.11 2.01 18 2.01ZM9.55 16.45C9.35 16.65 9.34 17 9.57 17.18C11.14 18.38 13.4 18.26 14.83 16.83C16.26 15.4 16.38 13.14 15.18 11.57C15 11.34 14.65 11.34 14.45 11.55L9.55 16.45ZM11 5C11 4.45 10.55 4 10 4C9.45 4 9 4.45 9 5C9 5.55 9.45 6 10 6C10.55 6 11 5.55 11 5ZM7 4C7.55 4 8 4.45 8 5C8 5.55 7.55 6 7 6C6.45 6 6 5.55 6 5C6 4.45 6.45 4 7 4ZM6 14C6 17.31 8.69 20 12 20C15.31 20 18 17.31 18 14C18 10.69 15.31 8 12 8C8.69 8 6 10.69 6 14Z" fill="currentColor"/></svg>';

const RuxIconLocalLaundryService$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconLocalLaundryService extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-local-laundry-service", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-local-laundry-service"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-local-laundry-service":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconLocalLaundryService$1);
      }
      break;
  } });
}

const RuxIconLocalLaundryService = RuxIconLocalLaundryService$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconLocalLaundryService, defineCustomElement };
