import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M18 13H6C5.45 13 5 12.55 5 12C5 11.45 5.45 11 6 11H18C18.55 11 19 11.45 19 12C19 12.55 18.55 13 18 13Z" fill="currentColor"/></svg>';

const RuxIconRemove$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconRemove extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-remove", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-remove"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-remove":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconRemove$1);
      }
      break;
  } });
}

const RuxIconRemove = RuxIconRemove$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconRemove, defineCustomElement };
