import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M3.3774 21.7755C3.54598 21.9138 3.76435 22 4.01865 22H19.9555L20.1075 21.9944C21.1617 21.916 22 21.0293 22 19.9563V4.02593L21.9944 3.91464C21.9088 3.0801 20.8691 2.6835 20.252 3.30043L3.30307 20.2527L3.22822 20.3354C3.07149 20.5276 3.0002 20.7514 3.00028 20.9713C2.99437 21.2155 3.08274 21.4565 3.24439 21.6438L3.26471 21.6672L3.3774 21.7755ZM20.9591 4.00747L20.9755 4.0021C20.9876 4.00317 21 4.01273 21 4.02593V19.9563L20.9938 20.0692C20.9366 20.5888 20.4896 21 19.9555 21L11.999 20.999V12.969L20.9591 4.00747Z" fill="currentColor"/></svg>';

const RuxIconSignalCellular1Bar$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconSignalCellular1Bar extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-signal-cellular-1-bar", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-signal-cellular-1-bar"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-signal-cellular-1-bar":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconSignalCellular1Bar$1);
      }
      break;
  } });
}

const RuxIconSignalCellular1Bar = RuxIconSignalCellular1Bar$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconSignalCellular1Bar, defineCustomElement };
