import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M4 2H20C21.1 2 22 2.9 22 4V16C22 17.1 21.1 18 20 18H6L2 22V4C2 2.9 2.9 2 4 2ZM7 11H9V9H7V11ZM13 11H11V9H13V11ZM15 11H17V9H15V11Z" fill="currentColor"/></svg>';

const RuxIconSms$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconSms extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-sms", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-sms"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-sms":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconSms$1);
      }
      break;
  } });
}

const RuxIconSms = RuxIconSms$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconSms, defineCustomElement };
