import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M3 4H21C22.1 4 23 4.9 23 6L22.99 18C22.99 19.1 22.1 20 21 20H3C1.9 20 1 19.1 1 18V6C1 4.9 1.9 4 3 4ZM5 18H19V6H5V18Z" fill="currentColor"/></svg>';

const RuxIconTablet$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconTablet extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-tablet", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-tablet"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-tablet":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconTablet$1);
      }
      break;
  } });
}

const RuxIconTablet = RuxIconTablet$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconTablet, defineCustomElement };
