import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M7 7H17C19.76 7 22 9.24 22 12C22 14.76 19.76 17 17 17H7C4.24 17 2 14.76 2 12C2 9.24 4.24 7 7 7ZM4 12C4 13.66 5.34 15 7 15C8.66 15 10 13.66 10 12C10 10.34 8.66 9 7 9C5.34 9 4 10.34 4 12Z" fill="currentColor"/></svg>';

const RuxIconToggleOff$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconToggleOff extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-toggle-off", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-toggle-off"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-toggle-off":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconToggleOff$1);
      }
      break;
  } });
}

const RuxIconToggleOff = RuxIconToggleOff$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconToggleOff, defineCustomElement };
