import { r as registerInstance, h } from './index-416188d1.js';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M18 2H6C4.9 2 4 2.9 4 4V20C4 21.1 4.9 22 6 22H18C19.1 22 20 21.1 20 20V4C20 2.9 19.1 2 18 2ZM6 4H11V12L8.5 10.5L6 12V4ZM8.62 15.63L6.63 18.19C6.37 18.52 6.61 19 7.02 19.01H17C17.41 19.01 17.65 18.54 17.4 18.21L14.53 14.39C14.34 14.12 13.94 14.12 13.74 14.38L11.14 17.72L9.4 15.62C9.2 15.37 8.82 15.38 8.62 15.63Z" fill="currentColor"/></svg>';

const RuxIconPhotoAlbum = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
};

export { RuxIconPhotoAlbum as rux_icon_photo_album };
