import { r as registerInstance, h, H as Host } from './index-416188d1.js';

const ruxIconCss = ":host{display:inline-flex;color:var(--color-background-interactive-default, #4dacff)}:host([hidden]){display:none}svg,svg>svg{height:100%;width:auto}.icon{display:inline-flex}";

const RuxIcon = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    // eslint-disable-next-line
    this.svg = '';
    this.size = 'normal';
    this.icon = undefined;
  }
  render() {
    const SVG = `rux-icon-${this.icon}`;
    return (h(Host, null, h(SVG, { class: "icon", part: "icon", size: this.size })));
  }
};
RuxIcon.style = ruxIconCss;

export { RuxIcon as rux_icon };
