/* eslint-disable */
/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */
import { HTMLStencilElement, JSXBase } from "./stencil-public-runtime";
import { Classification, ExtendedPlacement, Status, StatusTags } from "./common/commonTypes.module";
import { LogRow } from "./components/rux-log/rux-log.model";
import { RangeItem } from "./components/rux-monitoring-progress-icon/rux-monitoring-progress-icon";
import { SegmentedButton } from "./components/rux-segmented-button/rux-segmented-button.model";
import { ToastStackPosition } from "./components/rux-toast-stack/rux-toast-stack";
export { Classification, ExtendedPlacement, Status, StatusTags } from "./common/commonTypes.module";
export { LogRow } from "./components/rux-log/rux-log.model";
export { RangeItem } from "./components/rux-monitoring-progress-icon/rux-monitoring-progress-icon";
export { SegmentedButton } from "./components/rux-segmented-button/rux-segmented-button.model";
export { ToastStackPosition } from "./components/rux-toast-stack/rux-toast-stack";
export namespace Components {
    interface RuxAccordion {
        /**
          * If present, sets a disabled state on the accordion, indicating that no part of it can be manipulated by user action.
         */
        "disabled": boolean;
        /**
          * ***** toggles disallow muiltiple - default false ********
         */
        "disallowMultiple": boolean;
    }
    interface RuxAccordionItem {
        /**
          * If present, sets a disabled state on this accordion item, indicating it cannot be selected by user action.
         */
        "disabled": boolean;
        /**
          * If present, sets the initial state on this accordion item to open, displaying the accordion content.
         */
        "expanded": boolean;
    }
    interface RuxBreadcrumb {
    }
    interface RuxBreadcrumbItem {
        /**
          * The href property of the breadcrumb item link
         */
        "href"?: string;
    }
    interface RuxButton {
        /**
          * Changes button style from solid to borderless by setting the rux-button--borderless class
         */
        "borderless": boolean;
        /**
          * Toggles disabled attribute on the button
         */
        "disabled": boolean;
        /**
          * For a [button style guide, see the Button section in Astro UXDS Guidelines](https://astrouxds.com/components/button) Displays an Astro icon matching this string. For a [full list of available icons, see the Icons section in Astro UXDS Guidelines](https://astrouxds.com/ui-components/icons-and-symbols)
         */
        "icon"?: string;
        /**
          * Hides slotted text from the button by setting rux-button--icon-only class
         */
        "iconOnly": boolean;
        /**
          * Changes button style from solid to secondary by setting the rux-button--secondary class
         */
        "secondary": boolean;
        /**
          * Changes size of a button from medium to small or large by setting sizing classes rux-button--small rux-button--large
         */
        "size"?: 'small' | 'medium' | 'large';
        /**
          * The button type. Use 'submit' to submit native form data.
         */
        "type": 'submit' | 'button';
    }
    /**
     * @deprecated Button Group is deprecated and will be removed in a next major release.
     * Instead, you should use `flex` or `grid` in combination with our spacing design tokens.
     */
    interface RuxButtonGroup {
        /**
          * The horizontal alignment of buttons within the group
         */
        "hAlign": 'left' | 'center' | 'right';
    }
    interface RuxCard {
    }
    interface RuxCheckbox {
        /**
          * Toggles checked state of a checkbox
         */
        "checked": boolean;
        /**
          * Disables the checkbox via HTML disabled attribute. Checkbox takes on a distinct visual state. Cursor uses the not-allowed system replacement and all keyboard and mouse events are ignored.
         */
        "disabled": boolean;
        /**
          * The help or explanation text
         */
        "helpText"?: string;
        /**
          * Toggles indeterminate state of a checkbox. The indeterminate property does not exist in HTML, but can be set in JS. [HTML Checkbox & Indeterminate State](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input/checkbox#indeterminate)
         */
        "indeterminate": boolean;
        /**
          * The checkbox label text. For HTML content, use the default slot instead.
         */
        "label"?: string;
        /**
          * The checkbox name
         */
        "name": string;
        /**
          * The checkbox value
         */
        "value": string;
    }
    interface RuxCheckboxGroup {
        /**
          * The validation error text
         */
        "errorText"?: string;
        /**
          * The help or explanation text
         */
        "helpText"?: string;
        /**
          * Presentational only. Renders the Checkbox Group as invalid.
         */
        "invalid": boolean;
        /**
          * The label of the checkbox group. For HTML content, use the `label` slot instead.
         */
        "label"?: string;
        /**
          * Marks that a selection from the checkbox group is requried.
         */
        "required": boolean;
    }
    interface RuxClassificationMarking {
        /**
          * Defines which classification marking will be displayed.
         */
        "classification": Classification;
        /**
          * Allows additional text labels to be added to the marking
         */
        "label"?: string;
        /**
          * Declares the marking as a `tag` rather than the default banner style
         */
        "tag": boolean;
    }
    interface RuxClock {
        /**
          * When supplied with a valid [date string or value](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date#syntax) displays a timestamp labeled "AOS" next to the standard clock.
         */
        "aos"?: string;
        /**
          * When supplied with a valid [date string or value](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date#syntax), sets the time and date of the clock.
         */
        "dateIn"?: string;
        /**
          * Hides the day of the year.
         */
        "hideDate": boolean;
        /**
          * Hides all of the labels.
         */
        "hideLabels": boolean;
        /**
          * Hides the timezone in the main 24-hour clock. Timezone does not display on AOS/LOS.
         */
        "hideTimezone": boolean;
        /**
          * When supplied with a valid [date string or value](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date#syntax), displays a timestamp labeled "LOS" next to the standard clock.
         */
        "los"?: string;
        /**
          * Applies a smaller clock style.
         */
        "small": boolean;
        /**
          * Prevents clock from ticking. Use with `date-in` for full control over the displayed time
         */
        "static": boolean;
        /**
          * Accepts the [IANA timezone string format](https://www.iana.org/time-zones) such as `'America/Los_Angeles'` or any single-character designation for a [military timezones](https://en.wikipedia.org/wiki/List_of_military_time_zones) (`'A'` through `'Z'`, excluding `'J'`), both case-insensitive. If no value for timezone is provided, the clock will use `'UTC'`. See [`toLocaleString()` on MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date/toLocaleTimeString#Parameters) for more details.
         */
        "timezone": string;
    }
    interface RuxContainer {
    }
    interface RuxDatetime {
        /**
          * The date time to be formatted
         */
        "date": Date | string;
        /**
          * Format options for day
         */
        "day"?: 'numeric' | '2-digit';
        /**
          * Format options for era
         */
        "era"?: 'narrow' | 'short' | 'long';
        /**
          * Format options for hour
         */
        "hour"?: 'numeric' | '2-digit';
        /**
          * Display date in 12 hour time.
         */
        "hour12": boolean;
        /**
          * The locale
         */
        "locale": string;
        /**
          * Format options for minute
         */
        "minute"?: 'numeric' | '2-digit';
        /**
          * Format options for month
         */
        "month"?: 'numeric' | '2-digit' | 'narrow' | 'short' | 'long';
        /**
          * Format options for second
         */
        "second"?: 'numeric' | '2-digit';
        /**
          * Format options for Timezone
         */
        "timeZone"?: string;
        /**
          * Format options for Timezone name
         */
        "timeZoneName"?: 'short' | 'long';
        /**
          * Format options for weekday
         */
        "weekday"?: 'narrow' | 'short' | 'long';
        /**
          * Format options for year
         */
        "year"?: 'numeric' | '2-digit';
    }
    interface RuxDialog {
        /**
          * Allows dialog to close when clicking off it
         */
        "clickToClose": boolean;
        /**
          * Text for confirmation button
         */
        "confirmText": string;
        /**
          * Text for close button
         */
        "denyText": string;
        /**
          * Dialog header title
         */
        "header"?: string;
        /**
          * Closes the dialog
         */
        "hide": () => Promise<void>;
        /**
          * Dialog body message
         */
        "message"?: string;
        /**
          * Shows and hides dialog
         */
        "open": boolean;
        /**
          * Opens the dialog
         */
        "show": () => Promise<void>;
        /**
          * Toggles the dialog's open prop.
         */
        "toggle": () => Promise<void>;
    }
    interface RuxGlobalStatusBar {
        /**
          * Sets the domain of the application to be displayed in the app-meta element
         */
        "appDomain"?: string;
        /**
          * Sets the name of the application to be displayed in the app-meta element
         */
        "appName"?: string;
        /**
          * Declares what text will render and whether the app-state component will be shown in the app-meta slot
         */
        "appState"?: string;
        /**
          * Declares the color of the the app-state component background
         */
        "appStateColor"?: 'tag1' | 'tag2' | 'tag3' | 'tag4';
        /**
          * Sets the version of the application to be displayed in the app-meta element
         */
        "appVersion"?: string;
        /**
          * Declares whether the menu-icon will be shown in the left-side slot
         */
        "includeIcon": boolean;
        /**
          * Sets the icon to be displayed in the default rux-icon component
         */
        "menuIcon": string;
        /**
          * Declares what text will render and whether the username component will be shown in the app-meta slot
         */
        "username"?: string;
    }
    interface RuxIcon {
        /**
          * The icon name
         */
        "icon": string;
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIcon360 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIcon3dRotation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIcon4k {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAcUnit {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAccessAlarms {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAccessTime {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAccessibility {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAccessibilityNew {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAccessible {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAccessibleForward {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAccountBalance {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAccountBalanceWallet {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAccountBox {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAccountCircle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAdb {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAdd {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddAPhoto {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddAlarm {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddAlert {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddBox {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddCircle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddCircleOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddComment {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddLocation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddPhotoAlternate {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddShoppingCart {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddToHomeScreen {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddToPhotos {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddToQueue {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAdjust {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAirlineSeatFlat {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAirlineSeatFlatAngled {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAirlineSeatIndividualSuite {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAirlineSeatLegroomExtra {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAirlineSeatLegroomNormal {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAirlineSeatLegroomReduced {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAirlineSeatReclineExtra {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAirlineSeatReclineNormal {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAirplanemodeActive {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAirplanemodeInactive {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAirplay {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAirportShuttle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAlarm {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAlarmAdd {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAlarmOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAlarmOn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAlbum {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAllInbox {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAllInclusive {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAllOut {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAlternateEmail {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAltitude {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAndroid {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAnnouncement {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAntenna {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAntennaOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAntennaReceive {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAntennaTransmit {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconApps {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArchive {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArrowBack {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArrowBackIos {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArrowDownward {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArrowDropDown {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArrowDropDownCircle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArrowDropUp {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArrowForward {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArrowForwardIos {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArrowLeft {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArrowRight {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArrowRightAlt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArrowUpward {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArtTrack {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAspectRatio {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAssessment {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAssignment {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAssignmentFind {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAssignmentLate {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAssignmentReturn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAssignmentReturned {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAssignmentTurnedIn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAssistant {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAssistantPhoto {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAttachFile {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAttachMoney {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAttachment {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAudiotrack {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAutorenew {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAvTimer {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBackspace {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBackup {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBallot {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBarChart {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBattery20 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBattery30 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBattery50 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBattery60 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBattery80 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBattery90 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBatteryAlert {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBatteryCharging20 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBatteryCharging30 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBatteryCharging50 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBatteryCharging60 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBatteryCharging80 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBatteryCharging90 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBatteryChargingFull {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBatteryFull {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBatteryStd {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBatteryUnknown {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBeachAccess {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBeenhere {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBlock {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBluetooth {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBluetoothAudio {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBluetoothConnected {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBluetoothDisabled {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBluetoothSearching {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBlurCircular {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBlurLinear {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBlurOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBlurOn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBook {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBookmark {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBookmarkBorder {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBookmarks {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBorderAll {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBorderBottom {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBorderClear {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBorderColor {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBorderHorizontal {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBorderInner {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBorderLeft {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBorderOuter {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBorderRight {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBorderStyle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBorderTop {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBorderVertical {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrandingWatermark {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrightness1 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrightness2 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrightness3 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrightness4 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrightness5 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrightness6 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrightness7 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrightnessAuto {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrightnessHigh {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrightnessLow {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrightnessMedium {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrokenImage {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrush {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBubbleChart {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBugReport {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBuild {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBurstMode {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBusiness {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBusinessCenter {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCached {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCake {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCalendarToday {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCalendarViewDay {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCall {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCallEnd {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCallMade {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCallMerge {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCallMissed {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCallMissedOutgoing {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCallReceived {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCallSplit {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCallToAction {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCamera {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCameraAlt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCameraEnhance {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCameraFront {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCameraRear {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCameraRoll {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCancel {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCancelPresentation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCardGiftcard {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCardMembership {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCardTravel {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCasino {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCast {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCastConnected {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCastForEducation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCategory {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCellWifi {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCenterFocusStrong {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCenterFocusWeak {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconChangeHistory {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconChat {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconChatBubble {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconChatBubbleOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCheck {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCheckBox {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCheckBoxOutlineBlank {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCheckCircle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCheckCircleOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconChevronLeft {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconChevronRight {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconChildCare {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconChildFriendly {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconChromeReaderMode {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconClass {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconClear {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconClearAll {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconClose {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconClosedCaption {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCloud {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCloudCircle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCloudDone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCloudDownload {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCloudOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCloudQueue {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCloudUpload {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCode {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCollections {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCollectionsBookmark {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconColorLens {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconColorize {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconComment {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCommute {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCompare {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCompareArrows {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCompassCalibration {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconComputer {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconConfirmationNumber {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconContactMail {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconContactPhone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconContactSupport {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconContacts {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconControlCamera {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconControlPoint {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconControlPointDuplicate {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCopyright {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCreate {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCreateNewFolder {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCreditCard {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCrop {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCrop169 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCrop32 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCrop54 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCrop75 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCropDin {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCropFree {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCropLandscape {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCropOriginal {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCropPortrait {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCropRotate {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCropSquare {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDashboard {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDataUsage {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDateRange {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDehaze {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDelete {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDeleteForever {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDeleteOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDeleteSweep {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDepartureBoard {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDescription {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDesktopAccessDisabled {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDesktopMac {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDesktopWindows {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDetails {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDeveloperBoard {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDeveloperMode {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDeviceHub {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDeviceUnknown {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDevices {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDevicesOther {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDialerSip {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDialpad {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDirections {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDirectionsBike {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDirectionsBoat {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDirectionsBus {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDirectionsCar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDirectionsRailway {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDirectionsRun {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDirectionsSubway {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDirectionsTransit {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDirectionsWalk {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDiscFull {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDns {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDock {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDomain {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDomainDisabled {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDoneAll {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDoneOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDonutLarge {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDonutSmall {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDrafts {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDragHandle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDragIndicator {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDriveEta {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDuo {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDvr {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEdit {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEditAttributes {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEditLocation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEject {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEmail {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEnhancedEncryption {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEqualizer {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEquipment {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconError {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconErrorOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEuroSymbol {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEvStation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEvent {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEventAvailable {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEventBusy {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEventNote {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExitToApp {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExpandLess {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExpandMore {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExplicit {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExplore {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExploreOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExposure {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExposureNeg1 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExposureNeg2 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExposurePlus1 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExposurePlus2 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExposureZero {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExtension {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFace {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFastForward {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFastRewind {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFastfood {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFavorite {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFavoriteBorder {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFeaturedPlayList {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFeaturedVideo {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFeedback {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFiberDvr {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFiberManualRecord {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFiberNew {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFiberPin {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFiberSmartRecord {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFileCopy {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilter {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilter1 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilter2 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilter3 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilter4 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilter5 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilter6 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilter7 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilter8 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilter9 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilter9Plus {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilterBAndW {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilterCenterFocus {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilterDrama {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilterFrames {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilterHdr {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilterList {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilterNone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilterTiltShift {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilterVintage {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFindInPage {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFindReplace {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFingerprint {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFirstPage {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFitnessCenter {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFlag {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFlare {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFlashAuto {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFlashOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFlashOn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFlight {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFlightLand {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFlightTakeoff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFlip {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFlipToBack {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFlipToFront {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFolder {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFolderOpen {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFolderShared {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFolderSpecial {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFontDownload {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatAlignCenter {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatAlignJustify {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatAlignLeft {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatAlignRight {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatBold {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatClear {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatColorFill {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatColorReset {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatColorText {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatIndentDecrease {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatIndentIncrease {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatItalic {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatLineSpacing {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatListBulleted {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatListNumbered {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatListNumberedRtl {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatPaint {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatQuote {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatShapes {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatSize {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatStrikethrough {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatTextdirectionLToR {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatTextdirectionRToL {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatUnderlined {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconForum {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconForward {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconForward10 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconForward30 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconForward5 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFreeBreakfast {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFullscreen {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFullscreenExit {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFunctions {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGTranslate {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGamepad {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGames {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGavel {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGesture {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGetApp {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGif {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGolfCourse {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGpsFixed {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGpsNotFixed {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGpsOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGrade {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGradient {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGrain {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGraphicEq {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGridOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGridOn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGroup {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGroupAdd {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGroupWork {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHardware {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHd {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHdrOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHdrOn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHdrStrong {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHdrWeak {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHeadset {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHeadsetMic {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHealing {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHearing {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHelp {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHelpOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHighQuality {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHighlight {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHighlightOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHistory {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHome {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHorizontalSplit {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHotTub {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHotel {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHourglassEmpty {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHourglassFull {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHowToReg {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHowToVote {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHttp {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHttps {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconImage {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconImageAspectRatio {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconImageSearch {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconImportContacts {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconImportExport {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconImportantDevices {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInbox {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconIndeterminateCheckBox {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInfo {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInput {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInsertChart {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInsertChartOutlined {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInsertComment {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInsertDriveFile {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInsertEmoticon {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInsertInvitation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInsertLink {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInsertPhoto {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInvertColors {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInvertColorsOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconIso {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconKeyboard {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconKeyboardArrowDown {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconKeyboardArrowLeft {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconKeyboardArrowRight {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconKeyboardArrowUp {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconKeyboardBackspace {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconKeyboardCapslock {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconKeyboardHide {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconKeyboardReturn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconKeyboardTab {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconKeyboardVoice {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconKitchen {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLabel {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLabelImportant {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLabelOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLandscape {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLanguage {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLaptop {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLaptopChromebook {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLaptopMac {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLaptopWindows {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLastPage {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLaunch {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLayers {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLayersClear {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLeakAdd {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLeakRemove {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLens {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLibraryAdd {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLibraryBooks {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLibraryMusic {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLineStyle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLineWeight {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLinearScale {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLink {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLinkOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLinkedCamera {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconList {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconListAlt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLiveHelp {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLiveTv {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalActivity {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalAirport {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalAtm {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalBar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalCafe {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalCarWash {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalConvenienceStore {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalDining {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalDrink {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalGasStation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalGroceryStore {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalHospital {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalHotel {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalLaundryService {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalLibrary {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalMall {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalMovies {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalOffer {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalParking {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalPharmacy {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalPhone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalPlay {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalPostOffice {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalPrintshop {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalSee {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalShipping {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalTaxi {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocationCity {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocationDisabled {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocationOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocationOn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocationSearching {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLock {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLockOpen {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLooks {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLooks1 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLooks2 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLooks3 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLooks4 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLooks5 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLooks6 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLoop {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLoupe {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLowPriority {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLoyalty {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMail {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMailOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMap {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMarkunread {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMarkunreadMailbox {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMaximize {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMeetingRoom {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMemory {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMenu {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMergeType {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMessage {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMic {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMicNone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMicOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMinimize {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMissedVideoCall {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMission {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMms {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMobileFriendly {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMobileOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMobileScreenShare {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconModeComment {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMonetizationOn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMoney {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMoneyOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMonochromePhotos {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMood {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMoodBad {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMore {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMoreHoriz {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMoreVert {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMotorcycle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMouse {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMoveToInbox {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMovie {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMovieCreation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMovieFilter {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMultilineChart {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMusicNote {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMusicOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMusicVideo {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMyLocation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNature {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNaturePeople {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNavigateBefore {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNavigateNext {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNavigation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNearMe {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNetcom {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNetworkCell {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNetworkCheck {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNetworkLocked {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNetworkWifi {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNewReleases {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNextWeek {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNfc {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNoEncryption {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNoMeetingRoom {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNoSim {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNotInterested {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNotListedLocation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNote {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNoteAdd {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNotes {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNotificationImportant {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNotifications {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNotificationsActive {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNotificationsNone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNotificationsOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNotificationsPaused {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconOfflineBolt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconOfflinePin {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconOndemandVideo {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconOpacity {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconOpenInBrowser {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconOpenInNew {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconOpenWith {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconOutlinedFlag {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPages {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPageview {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPalette {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPanTool {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPanorama {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPanoramaFishEye {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPanoramaHorizontal {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPanoramaVertical {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPanoramaWideAngle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPartyMode {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPause {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPauseCircleFilled {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPauseCircleOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPausePresentation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPayload {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPayment {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPeopleOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPermCameraMic {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPermContactCalendar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPermDataSetting {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPermDeviceInformation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPermIdentity {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPermMedia {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPermPhoneMsg {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPermScanWifi {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPerson {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPersonAdd {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPersonAddDisabled {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPersonOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPersonPin {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPersonPinCircle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPersonalVideo {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPets {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhoneAndroid {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhoneBluetoothSpeaker {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhoneCallback {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhoneForwarded {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhoneInTalk {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhoneIphone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhoneLocked {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhoneMissed {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhonePaused {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhonelink {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhonelinkErase {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhonelinkLock {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhonelinkOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhonelinkRing {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhonelinkSetup {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhoto {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhotoAlbum {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhotoCamera {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhotoFilter {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhotoLibrary {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhotoSizeSelectActual {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhotoSizeSelectLarge {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhotoSizeSelectSmall {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPictureAsPdf {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPictureInPicture {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPictureInPictureAlt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPieChart {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPinDrop {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPlace {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPlayArrow {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPlayCircleFilled {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPlayCircleFilledWhite {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPlayCircleOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPlayForWork {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPlaylistAdd {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPlaylistAddCheck {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPlaylistPlay {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPlusOne {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPoll {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPool {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPortableWifiOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPortrait {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPower {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPowerInput {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPowerOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPowerSettingsNew {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPregnantWoman {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPresentToAll {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPrint {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPrintDisabled {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPriorityHigh {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconProcessor {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconProcessorAlt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPropulsionPower {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPublic {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPublish {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconQueryBuilder {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconQuestionAnswer {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconQueue {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconQueueMusic {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconQueuePlayNext {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRadio {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRadioButtonChecked {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRadioButtonUnchecked {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRateReview {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconReceipt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRecentActors {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRecordVoiceOver {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRedeem {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRedo {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRefresh {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRelease {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRemove {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRemoveCircle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRemoveCircleOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRemoveFromQueue {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRemoveRedEye {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRemoveShoppingCart {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconReorder {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRepeat {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRepeatOne {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconReplay {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconReplay10 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconReplay30 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconReplay5 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconReply {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconReplyAll {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconReport {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconReportOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconReportProblem {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRestaurant {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRestaurantMenu {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRestore {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRestoreFromTrash {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRestorePage {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRingVolume {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRoom {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRoomService {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRotate90DegreesCc {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRotateLeft {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRotateRight {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRoundedCorner {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRouter {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRowing {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRssFeed {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRvHookup {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSatellite {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSatelliteOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSatelliteReceive {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSatelliteTransmit {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSave {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSaveAlt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconScanner {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconScatterPlot {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSchedule {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSchool {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconScore {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconScreenLockLandscape {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconScreenLockPortrait {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconScreenLockRotation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconScreenRotation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconScreenShare {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSdCard {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSdStorage {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSearch {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSeat {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSecurity {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSelectAll {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSend {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSentimentDissatisfied {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSentimentSatisfied {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSentimentSatisfiedAlt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSentimentVeryDissatisfied {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSentimentVerySatisfied {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSetPower {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettings {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsApplications {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsBackupRestore {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsBluetooth {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsBrightness {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsCell {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsEthernet {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsInputAntenna {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsInputComponent {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsInputComposite {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsInputHdmi {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsInputSvideo {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsOverscan {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsPhone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsPower {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsRemote {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsSystemDaydream {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsVoice {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconShare {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconShop {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconShopTwo {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconShoppingBasket {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconShoppingCart {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconShortText {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconShowChart {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconShuffle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconShutterSpeed {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellular0Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellular1Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellular2Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellular3Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellular4Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellularAlt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellularConnectedNoInternet0Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellularConnectedNoInternet1Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellularConnectedNoInternet2Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellularConnectedNoInternet3Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellularConnectedNoInternet4Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellularNoSim {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellularNull {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellularOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalWifi0Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalWifi1Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalWifi1BarLock {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalWifi2Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalWifi2BarLock {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalWifi3Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalWifi3BarLock {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalWifi4Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalWifi4BarLock {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalWifiOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSimCard {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSkipNext {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSkipPrevious {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSlideshow {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSlowMotionVideo {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSmartphone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSmokeFree {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSmokingRooms {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSms {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSmsFailed {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSnooze {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSolar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSort {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSortByAlpha {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSpa {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSpaceBar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSpeaker {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSpeakerGroup {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSpeakerNotes {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSpeakerNotesOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSpeakerPhone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSpellcheck {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStarBorder {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStarHalf {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStarRate {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStars {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStayCurrentLandscape {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStayCurrentPortrait {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStayPrimaryLandscape {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStayPrimaryPortrait {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStop {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStopScreenShare {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStorage {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStore {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStoreMallDirectory {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStraighten {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStreetview {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStrikethroughS {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStyle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSubdirectoryArrowLeft {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSubdirectoryArrowRight {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSubject {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSubscriptions {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSubtitles {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSubway {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSupervisedUserCircle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSupervisorAccount {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSurroundSound {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSwapCalls {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSwapHoriz {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSwapHorizontalCircle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSwapVert {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSwapVerticalCircle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSwitchCamera {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSwitchVideo {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSync {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSyncDisabled {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSyncProblem {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSystemUpdate {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTab {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTabUnselected {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTableChart {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTablet {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTabletAndroid {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTabletMac {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTagFaces {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTapAndPlay {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTerrain {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTextFields {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTextFormat {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTextRotateUp {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTextRotateVertical {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTextRotationNone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTextsms {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTexture {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTheaters {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconThermal {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconThumbDown {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconThumbDownAlt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconThumbUp {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconThumbUpAlt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconThumbsUpDown {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTimeToLeave {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTimelapse {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTimeline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTimer {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTimer10 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTimer3 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTimerOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTitle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconToc {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconToday {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconToggleOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconToggleOn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconToll {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTonality {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTouchApp {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconToys {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTrackChanges {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTraffic {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTrain {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTram {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTransferWithinAStation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTransform {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTransitEnterexit {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTranslate {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTrendingDown {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTrendingFlat {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTrendingUp {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTripOrigin {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTune {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTurnedIn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTurnedInNot {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTv {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTvOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconUnarchive {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconUndo {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconUnfoldLess {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconUnfoldMore {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconUnsubscribe {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconUpdate {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconUsb {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVerifiedUser {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVerticalAlignBottom {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVerticalAlignCenter {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVerticalAlignTop {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVerticalSplit {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVibration {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVideoCall {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVideoLabel {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVideoLibrary {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVideocam {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVideocamOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVideogameAsset {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewAgenda {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewArray {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewCarousel {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewColumn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewComfy {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewCompact {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewDay {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewHeadline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewList {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewModule {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewQuilt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewStream {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewWeek {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVignette {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVisibility {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVisibilityOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVoiceChat {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVoiceOverOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVoicemail {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVolumeDown {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVolumeMute {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVolumeOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVolumeUp {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVpnKey {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVpnLock {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWallpaper {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWarning {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWatch {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWatchLater {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWaves {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWbAuto {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWbCloudy {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWbIncandescent {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWbIridescent {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWbSunny {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWc {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWeb {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWebAsset {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWeekend {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWhatshot {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWhereToVote {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWidgets {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWifi {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWifiLock {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWifiOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWifiTethering {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWork {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWorkOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWorkOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWrapText {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconYoutubeSearchedFor {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconZoomIn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconZoomInMap {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconZoomOut {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconZoomOutMap {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    interface RuxIndeterminateProgress {
    }
    interface RuxInput {
        /**
          * Disables the button via HTML disabled attribute. Button takes on a distinct visual state. Cursor uses the not-allowed system replacement and all keyboard and mouse events are ignored.
         */
        "disabled": boolean;
        /**
          * The validation error text
         */
        "errorText"?: string;
        /**
          * Returns the native input element used in the shadow dom.
         */
        "getInput": () => Promise<HTMLInputElement>;
        /**
          * The help or explanation text
         */
        "helpText"?: string;
        /**
          * Presentational only. Renders the Input Field as invalid.
         */
        "invalid": boolean;
        /**
          * The input label text. For HTML content, use the `label` slot instead.
         */
        "label"?: string;
        /**
          * The input max attribute
         */
        "max"?: string;
        /**
          * The input min attribute
         */
        "min"?: string;
        /**
          * The input name
         */
        "name": string;
        /**
          * The input placeholder text
         */
        "placeholder"?: string;
        /**
          * The inputs readonly attribute
         */
        "readonly": boolean;
        /**
          * Sets the input as required
         */
        "required": boolean;
        /**
          * Sets element as focused
         */
        "setFocus": (options?: FocusOptions) => Promise<void>;
        /**
          * Control the padding around the input field
         */
        "size": 'small' | 'medium' | 'large';
        /**
          * The input's spellcheck attribute
         */
        "spellcheck": boolean;
        /**
          * The input step attribute
         */
        "step"?: string;
        /**
          * The input type
         */
        "type": | 'text'
        | 'number'
        | 'email'
        | 'url'
        | 'search'
        | 'password'
        | 'date'
        | 'datetime-local'
        | 'time'
        | 'tel';
        /**
          * The input value
         */
        "value": string;
    }
    /**
     * A Log is a tabular representation of application events and may include username, priority, equipment type, signal type, etc. As part of the [Notification System](https://www.astrouxds.com/design-guidelines/notifications), Logs provide sorting and filtering function for examining events.
     */
    interface RuxLog {
        /**
          * An array of objects to display as log
         */
        "data": LogRow[];
        /**
          * A string to filter the array to return only the children whose `message` property contains a case-insensitive substring match.
         */
        "filter"?: string;
        /**
          * Accepts [IANA timezone string format](https://www.iana.org/time-zones) such as `America/Los_Angeles`. Default timezone is `UTC`. See [`toLocaleString()` on MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date/toLocaleTimeString#Parameters) for more details.
         */
        "timezone": string;
    }
    interface RuxMenu {
    }
    interface RuxMenuItem {
        /**
          * sets the menu item as disabled
         */
        "disabled": boolean;
        /**
          * This attribute instructs browsers to download a URL instead of navigating to it, so the user will be prompted to save it as a local file. If the attribute has a value, it is used as the pre-filled file name in the Save prompt (the user can still change the file name if they want).
         */
        "download": string | undefined;
        /**
          * Contains a URL or a URL fragment that the hyperlink points to. If this property is set, an anchor tag will be rendered.
         */
        "href": string | undefined;
        /**
          * Specifies the relationship of the target object to the link object. The value is a space-separated list of [link types](https://developer.mozilla.org/en-US/docs/Web/HTML/Link_types).
         */
        "rel": string | undefined;
        /**
          * sets the menu item as selected
         */
        "selected": boolean;
        /**
          * Specifies where to display the linked URL. Only applies when an `href` is provided. Special keywords: `"_blank"`, `"_self"`, `"_parent"`, `"_top"`.
         */
        "target": string | undefined;
        /**
          * the value returned when item is selected.
         */
        "value"?: string;
    }
    interface RuxMenuItemDivider {
    }
    interface RuxMonitoringIcon {
        /**
          * Displays an Astro icon matching this string. For a [full list of available icons, see the Icons section in Astro UXDS Guidelines](https://astrouxds.com/ui-components/icons-and-symbols)
         */
        "icon": string;
        /**
          * Displays a label below the icon
         */
        "label": string;
        /**
          * If provided and greater than `0`, displays an outlined number badge at the bottom right of the icon. Numbers above `9999` are abbreviated to `'10K'` or `'100K'` for numbers in the thousands, `'1.5M'` for millions, `'1.5B'` for billions, and uses `'∞'` for one trillion or higher.
         */
        "notifications": number;
        /**
          * The size of a chosen Astro icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size": string;
        /**
          * Styles the icon according to the Astro Status colors. Valid options are the Astro statuses `critical`, `serious`, `caution`, `normal`, `standby`, and `off`.
         */
        "status": Status;
        /**
          * Displays a smaller label underneath the icon label
         */
        "sublabel"?: string;
    }
    interface RuxMonitoringProgressIcon {
        /**
          * Displays a label below the icon
         */
        "label"?: string;
        /**
          * Sets the maximum value for the progress range. When progress is this number, it reads 100%. When it is halfway between min and max, it will read 50%.
         */
        "max": number;
        /**
          * Sets the minimum value for the progress range. When progress is this number, it reads 0%. When it is halfway between min and max, it will read 50%.
         */
        "min": number;
        /**
          * If provided and greater than `0`, displays an outlined number badge at the bottom right of the icon. Numbers above `9999` are abbreviated to `'10K'` or `'100K'` for numbers in the thousands, `'1.5M'` for millions, `'1.5B'` for billions, and `'∞'` for one trillion or higher.
         */
        "notifications"?: number;
        /**
          * Displays this value as a percentage of where it lies between min and max in the center of the donut graph and styles a proportional segment of the graph. Progress can be positive or negative (the later useful for countdowns). The progress value must exist within the thresholds specified in the range property below, and must be an integer. If a non-integer value is passed in, progress will default to 0. If progress ever becomes less than min or greater than max, it will be set to equal min or max respectively.
         */
        "progress": number;
        /**
          * Items in this Array define thresholds for changing the status style of the progress icon. For each item in the Array, the icon will be styled with the given status while the progress value is less than or equal to the Array item’s threshold and greater than the next smallest item‘s threshold. Both progress and the Array items’ threshold values can be positive or negative. If no min is specified, the component assumes the Array's first status threshold begins at 0.
         */
        "range": Array<RangeItem>;
        /**
          * Displays a smaller label underneath the icon label
         */
        "sublabel"?: string;
    }
    interface RuxNotification {
        /**
          * If provided, the banner will automatically close after this amount of time. Accepts value either in milliseconds or seconds (which will be converted to milliseconds internally), between `2000` and `10000`, or `2` and `10`, respectively. Any number provided outside of the `2000`-`10000` range will be ignored in favor of the default 2000ms delay. <br>If `closeAfter` is not passed or if it is given an undefined or `null` value, the banner will stay open until the user closes it.
         */
        "closeAfter"?: number;
        /**
          * Prevents the user from dismissing the notification. Hides the `actions` slot.
         */
        "hideClose": boolean;
        /**
          * Message for the notification banner.
         */
        "message": string;
        /**
          * Set to true to display the Banner and begin countdown to close (if a close-after Number value is provided).
         */
        "open": boolean;
        /**
          * Changes the size of the banner to a small variant.
         */
        "small": boolean;
        /**
          * The background color. Possible values include 'off', 'standby', 'normal', 'caution', 'serious' and 'critical'. See [Astro UXDS Status System](https://astrouxds.com/patterns/status-system/).
         */
        "status"?: Status;
    }
    /**
     * This component should be used exclusively with RuxSelect.
     * It's main function is to broadcast to RuxSelect when the value property changes.
     * RuxSelect can only listen for slot change, which won't fire in the scenario where there
     * might be 2 options and only their values change. Because the nodes themselves aren't added or removed,
     * onSlotchange doesn't fire.
     */
    interface RuxOption {
        /**
          * Sets the option as disabled
         */
        "disabled": boolean;
        /**
          * The option label
         */
        "label": string;
        /**
          * The option value
         */
        "value": string;
    }
    interface RuxOptionGroup {
        /**
          * The option group label
         */
        "label"?: string;
    }
    interface RuxPopUp {
        /**
          * When provided, will close the pop-up when a single selection is made.
         */
        "closeOnSelect": boolean;
        /**
          * Turns autoUpdate on or off which makes the pop-up move to stay in view based on scroll. Defaults to false.
         */
        "disableAutoUpdate": boolean;
        /**
          * watches for trigger movements and replace the popup if movement is detected.
         */
        "enableAnimationFrame": boolean;
        /**
          * Closes the pop up and returns false.
         */
        "hide": () => Promise<false>;
        /**
          * Determines if the pop up is open or closed
         */
        "open": boolean;
        /**
          * The placement of the pop up relative to it's slotted trigger element. Defaults to auto.
         */
        "placement": ExtendedPlacement;
        /**
          * Opens the pop up and returns true.
         */
        "show": () => Promise<true>;
        /**
          * The position strategy of the popup, either absolute or fixed.
         */
        "strategy": 'absolute' | 'fixed';
    }
    interface RuxProgress {
        /**
          * Hides the progress label
         */
        "hideLabel": boolean;
        /**
          * For progress bars where progress bars have a maximum value greater or less than 100
         */
        "max": number;
        /**
          * Current progress value between 0 and 100 (or the max, if defined below).
         */
        "value"?: number;
    }
    interface RuxPushButton {
        /**
          * Checks the push button via HTML `checked` attribute. Push button takes on a distinct "enabled" or "selected" visual state.
         */
        "checked": boolean;
        /**
          * Disables the push button via HTML `disabled` attribute. Button takes on a distinct disabled visual state. Cursor uses the `not-allowed` system replacement and all keyboard and mouse events are ignored.
         */
        "disabled": boolean;
        /**
          * For a [button style guide, see the Button section in Astro UXDS Guidelines](https://astrouxds.com/components/button) Displays an Astro icon matching this string. For a [full list of available icons, see the Icons section in Astro UXDS Guidelines](https://astrouxds.com/ui-components/icons-and-symbols)
         */
        "icon"?: string;
        /**
          * Hides slotted text from the button by setting rux-button--icon-only class
         */
        "iconOnly": boolean;
        /**
          * The label of the push button.
         */
        "label": string;
        /**
          * The name of the push button.
         */
        "name": string;
        /**
          * Changes size of a push button from medium to small or large by setting sizing classes rux-button--small rux-button--large
         */
        "size"?: 'small' | 'medium' | 'large';
        /**
          * The value of the push button.
         */
        "value": string;
    }
    interface RuxRadio {
        /**
          * Toggles checked state of a radio
         */
        "checked": boolean;
        /**
          * Disables the radio via HTML disabled attribute. Radio takes on a distinct visual state. Cursor uses the not-allowed system replacement and all keyboard and mouse events are ignored.
         */
        "disabled": boolean;
        /**
          * The radio label text. For HTML content, use the default slot instead.
         */
        "label"?: string;
        /**
          * The radio name
         */
        "name": string;
        "setButtonTabindex": (value: number) => Promise<void>;
        "setFocus": (ev: any) => Promise<void>;
        /**
          * The radio value
         */
        "value": string;
    }
    interface RuxRadioGroup {
        /**
          * The validation error text
         */
        "errorText"?: string;
        /**
          * The help or explanation text
         */
        "helpText"?: string;
        /**
          * Presentational only. Renders the Radio Group as invalid.
         */
        "invalid": boolean;
        /**
          * The label of the radio group. For HTML content, use the `label` slot instead.
         */
        "label"?: string;
        /**
          * The name of the radio group - submitted with form data. Must match the name of the radios in the group.
         */
        "name": string;
        /**
          * Marks that a selection from the radio-group is requried.
         */
        "required": boolean;
        /**
          * The value of the current selected radio in the group. Changing this will also mark that radio as checked in the UI.
         */
        "value"?: any | null;
    }
    interface RuxRuler {
        "end": string;
        "interval": any;
        "start": string;
        "timezone": string;
    }
    interface RuxSegmentedButton {
        /**
          * Items in this Array are the individual button segments.
         */
        "data": SegmentedButton[];
        /**
          * Sets the disabled attribute.
         */
        "disabled": boolean;
        /**
          * When passed in on load, this selects the first button segment with a matching label. When the selected segment changes, this property updates with the currently selected value, which reflects back to the component attribute. If no button segment label matches this string, then no segment is selected. This value takes priority over setting selected boolean property on the items in the data array.
         */
        "selected": string;
        /**
          * Changes size of segmented button from small to medium or large.
         */
        "size"?: 'small' | 'medium' | 'large';
    }
    interface RuxSelect {
        /**
          * Disables the select menu via HTML disabled attribute. Select menu takes on a distinct visual state. Cursor uses the not-allowed system replacement and all keyboard and mouse events are ignored.
         */
        "disabled": boolean;
        /**
          * The validation error text
         */
        "errorText"?: string;
        /**
          * The help or explanation text
         */
        "helpText"?: string;
        /**
          * Styles the select menu as a inline, borderless variant.
         */
        "inline"?: boolean;
        /**
          * Id for the Select Input
         */
        "inputId"?: string;
        /**
          * Presentational only. Renders the Select Menu as invalid.
         */
        "invalid": boolean;
        /**
          * The select label text. For HTML content, use the `label` slot instead.
         */
        "label"?: string;
        /**
          * Id for the Label
         */
        "labelId"?: string;
        /**
          * Enables multiselect
         */
        "multiple": boolean;
        /**
          * Sets the Name of the Input Element
         */
        "name": string;
        /**
          * Sets the field as required
         */
        "required": boolean;
        /**
          * Sets element as focused
         */
        "setFocus": (options?: FocusOptions) => Promise<void>;
        /**
          * The size of rux-select
         */
        "size"?: 'small' | 'medium' | 'large';
        /**
          * The value of the selected option. If multiple is true, this is an array.
         */
        "value"?: string | string[];
    }
    interface RuxSlider {
        /**
          * Shows tick marks and labels in the order provided and aligns evenly based on the length.
         */
        "axisLabels": string[];
        /**
          * Determines if the slider is disabled.
         */
        "disabled": boolean;
        /**
          * The validation error text
         */
        "errorText"?: string;
        /**
          * The help or explanation text
         */
        "helpText"?: string;
        /**
          * The slider label text. For HTML content, use the `label` slot instead.
         */
        "label"?: string;
        /**
          * Max value of slider.
         */
        "max": number;
        /**
          * Min value of the slider.
         */
        "min": number;
        /**
          * If present, creates a dual-range slider by adding a second thumb.
         */
        "minVal"?: number;
        /**
          * Name of the Input Field for Form Submission
         */
        "name": string;
        /**
          * Step amount of slider value.
         */
        "step": number;
        /**
          * In a dual-range slider, disables thumb swapping.
         */
        "strict": boolean;
        /**
          * Hides labels and only shows tick marks if axis-labels is provided.
         */
        "ticksOnly": boolean;
        /**
          * Current value of the slider. The default value is halfway between the specified minimum and maximum. - [HTMLElement/input_type_range>](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input/range) In dual-range, this value should be higher than the min-val.
         */
        "value": number;
    }
    interface RuxStatus {
        /**
          * Sets the status symbol, valid options are critical, serious, caution, normal, standby and off
         */
        "status"?: Status;
    }
    interface RuxSwitch {
        /**
          * Toggles checked state of a switch
         */
        "checked": boolean;
        /**
          * Disables the switch via HTML disabled attribute. Switch takes on a distinct visual state. Cursor uses the not-allowed system replacement and all keyboard and mouse events are ignored.
         */
        "disabled": boolean;
        /**
          * The switch label. For HTML content, use the `label` slot instead.
         */
        "label"?: string;
        /**
          * The switch name
         */
        "name": string;
        /**
          * The switch value
         */
        "value": string;
    }
    interface RuxTab {
        /**
          * If present, sets a disabled state on this tab item, indicating it cannot be selected by user action.
         */
        "disabled": boolean;
        /**
          * If present, overrides which tab is selected on load / mount. By default, the first <rux-tab> item is selected.
         */
        "selected": boolean;
        /**
          * If passed or set to true, displays the tabs in a smaller style, suitable for limited-space uses.
         */
        "small": boolean;
    }
    interface RuxTabPanel {
    }
    interface RuxTabPanels {
    }
    interface RuxTable {
    }
    interface RuxTableBody {
    }
    interface RuxTableCell {
    }
    interface RuxTableHeader {
    }
    interface RuxTableHeaderCell {
    }
    interface RuxTableHeaderRow {
    }
    interface RuxTableRow {
        /**
          * Changes the background color of the row. Can be applied to multiple rows at once.
         */
        "selected": boolean;
    }
    interface RuxTabs {
        /**
          * If passed or set to true, displays the tabs in a smaller style, suitable for limited-space uses.
         */
        "small"?: boolean;
    }
    interface RuxTag {
        /**
          * Used to display a status of pass, fail, or unknown. If no status is provided or the provided status is not an accepted status type, the default is unknown.
         */
        "status"?: StatusTags;
    }
    interface RuxTextarea {
        /**
          * Sets the input as disabled
         */
        "disabled": boolean;
        /**
          * The validation error text
         */
        "errorText"?: string;
        /**
          * The  or explanation text
         */
        "helpText"?: string;
        /**
          * Presentational only. Renders the Textarea as invalid.
         */
        "invalid": boolean;
        /**
          * The textarea label text. For HTML content, use the `label` slot instead.
         */
        "label"?: string;
        /**
          * The input maxLength attribute
         */
        "maxLength"?: string;
        /**
          * The input minLength attribute
         */
        "minLength"?: string;
        /**
          * The input name
         */
        "name": string;
        /**
          * The textarea placeholder text
         */
        "placeholder"?: string;
        /**
          * The textareas readonly attribute
         */
        "readonly": boolean;
        /**
          * Sets the input as required
         */
        "required": boolean;
        /**
          * The input rows attribute
         */
        "rows"?: number;
        /**
          * Sets element as focused
         */
        "setFocus": (options?: FocusOptions) => Promise<void>;
        /**
          * Styles the input element size between small, medium and large. The default styling is medium.
         */
        "size"?: 'small' | 'medium' | 'large';
        /**
          * The input value
         */
        "value": string;
    }
    interface RuxTimeRegion {
        /**
          * The end date. Must be an ISO string "2021-02-02T05:00:00Z"
         */
        "end": string;
        /**
          * Optionally hide the bottom right timestamp.
         */
        "hideTimestamp": boolean;
        /**
          * Visually indicates a partial time regions. Partial time regions are time regions that start or end outside of the current range of the timeline.
         */
        "partial": 'none' | 'start' | 'end' | 'ongoing';
        /**
          * Visually displays the selected state
         */
        "selected": boolean;
        /**
          * The start date. Must be an ISO string "2021-02-02T05:00:00Z".
         */
        "start": string;
        /**
          * Short hand attribute for displaying a Status icon and appropriate border color.
         */
        "status"?: Status;
        "timezone": string;
    }
    interface RuxTimeline {
        /**
          * The timeline's end date. Must be an ISO string "2021-02-02T05:00:00Z"
         */
        "end": string;
        /**
          * The timeline's date time interval
         */
        "interval": 'hour' | 'day';
        /**
          * The timeline's playhead date time. Must be an ISO string "2021-02-02T05:00:00Z"
         */
        "playhead"?: string;
        /**
          * The timeline's start date. Must be an ISO string "2021-02-02T05:00:00Z"
         */
        "start": string;
        /**
          * Controls the timezone that the timeline is localized to. Must be an IANA time zone name ("America/New_York") or an offset string.
         */
        "timezone": string;
        /**
          * The timeline's zoom level.
         */
        "zoom": number;
    }
    interface RuxToast {
        /**
          * If provided, the toast will automatically close after this amount of time. Accepts value either in milliseconds or seconds (which will be converted to milliseconds internally), between `2000` and `10000`, or `2` and `10`, respectively. Any number provided outside of the `2000`-`10000` range will be ignored in favor of the default 2000ms delay. <br>If `closeAfter` is not passed or if it is given an undefined or `null` value, the toast will stay open until the user closes it.
         */
        "closeAfter"?: number;
        /**
          * Prevents the user from dismissing the notification. Hides the close icon.
         */
        "hideClose": boolean;
        /**
          * Message for the toast.
         */
        "message": string;
    }
    interface RuxToastStack {
        /**
          * adds an individual toast to the stack with the set props passed in as an object
         */
        "addToast": (props: { [x: string]: any; hasOwnProperty: (arg0: string) => any; }) => Promise<void>;
        /**
          * position of toast stack in viewport
         */
        "position": ToastStackPosition;
    }
    interface RuxTooltip {
        /**
          * How long it takes the tooltip to appear in milliseconds, default = 800, Overrides the css custom property --delay.
         */
        "delay": number;
        /**
          * Turns disableAutoUpdate on or off which makes the tooltip move to stay in view based on scroll. Defaults to false.
         */
        "disableAutoUpdate": boolean;
        /**
          * Closes the tooltip and returns false.
         */
        "hide": () => Promise<boolean>;
        /**
          * The tooltip's content.
         */
        "message": string;
        /**
          * Pixel offset from trigger, default = 8
         */
        "offset": number;
        /**
          * Whether or not the tooltip is open
         */
        "open": boolean;
        /**
          * The placement of the tooltip relative to it's slotted trigger element. Defaults to auto.
         */
        "placement": ExtendedPlacement;
        /**
          * Opens the tooltip and returns true.
         */
        "show": () => Promise<true>;
        /**
          * The position strategy of the tooltip, either absolute or fixed.
         */
        "strategy": 'absolute' | 'fixed';
    }
    interface RuxTrack {
        "columns": number;
        "end": string;
        "interval": any;
        "start": string;
        "timezone": string;
        "width": number;
    }
    interface RuxTree {
    }
    interface RuxTreeNode {
        /**
          * Sets the expanded state
         */
        "expanded": boolean;
        /**
          * Sets the selected state
         */
        "selected": boolean;
        /**
          * Sets the expanded state
          * @param value
         */
        "setExpanded": (value: boolean) => Promise<void>;
        /**
          * Sets the selected state
          * @param value
         */
        "setSelected": (value: boolean) => Promise<void>;
    }
}
export interface RuxAccordionItemCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLRuxAccordionItemElement;
}
export interface RuxCheckboxCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLRuxCheckboxElement;
}
export interface RuxDialogCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLRuxDialogElement;
}
export interface RuxInputCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLRuxInputElement;
}
export interface RuxMenuCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLRuxMenuElement;
}
export interface RuxNotificationCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLRuxNotificationElement;
}
export interface RuxOptionCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLRuxOptionElement;
}
export interface RuxOptionGroupCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLRuxOptionGroupElement;
}
export interface RuxPopUpCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLRuxPopUpElement;
}
export interface RuxPushButtonCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLRuxPushButtonElement;
}
export interface RuxRadioCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLRuxRadioElement;
}
export interface RuxRadioGroupCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLRuxRadioGroupElement;
}
export interface RuxSegmentedButtonCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLRuxSegmentedButtonElement;
}
export interface RuxSelectCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLRuxSelectElement;
}
export interface RuxSliderCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLRuxSliderElement;
}
export interface RuxSwitchCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLRuxSwitchElement;
}
export interface RuxTabCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLRuxTabElement;
}
export interface RuxTabPanelsCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLRuxTabPanelsElement;
}
export interface RuxTabsCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLRuxTabsElement;
}
export interface RuxTextareaCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLRuxTextareaElement;
}
export interface RuxTimeRegionCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLRuxTimeRegionElement;
}
export interface RuxToastCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLRuxToastElement;
}
export interface RuxTooltipCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLRuxTooltipElement;
}
export interface RuxTreeNodeCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLRuxTreeNodeElement;
}
declare global {
    interface HTMLRuxAccordionElement extends Components.RuxAccordion, HTMLStencilElement {
    }
    var HTMLRuxAccordionElement: {
        prototype: HTMLRuxAccordionElement;
        new (): HTMLRuxAccordionElement;
    };
    interface HTMLRuxAccordionItemElement extends Components.RuxAccordionItem, HTMLStencilElement {
    }
    var HTMLRuxAccordionItemElement: {
        prototype: HTMLRuxAccordionItemElement;
        new (): HTMLRuxAccordionItemElement;
    };
    interface HTMLRuxBreadcrumbElement extends Components.RuxBreadcrumb, HTMLStencilElement {
    }
    var HTMLRuxBreadcrumbElement: {
        prototype: HTMLRuxBreadcrumbElement;
        new (): HTMLRuxBreadcrumbElement;
    };
    interface HTMLRuxBreadcrumbItemElement extends Components.RuxBreadcrumbItem, HTMLStencilElement {
    }
    var HTMLRuxBreadcrumbItemElement: {
        prototype: HTMLRuxBreadcrumbItemElement;
        new (): HTMLRuxBreadcrumbItemElement;
    };
    interface HTMLRuxButtonElement extends Components.RuxButton, HTMLStencilElement {
    }
    var HTMLRuxButtonElement: {
        prototype: HTMLRuxButtonElement;
        new (): HTMLRuxButtonElement;
    };
    /**
     * @deprecated Button Group is deprecated and will be removed in a next major release.
     * Instead, you should use `flex` or `grid` in combination with our spacing design tokens.
     */
    interface HTMLRuxButtonGroupElement extends Components.RuxButtonGroup, HTMLStencilElement {
    }
    var HTMLRuxButtonGroupElement: {
        prototype: HTMLRuxButtonGroupElement;
        new (): HTMLRuxButtonGroupElement;
    };
    interface HTMLRuxCardElement extends Components.RuxCard, HTMLStencilElement {
    }
    var HTMLRuxCardElement: {
        prototype: HTMLRuxCardElement;
        new (): HTMLRuxCardElement;
    };
    interface HTMLRuxCheckboxElement extends Components.RuxCheckbox, HTMLStencilElement {
    }
    var HTMLRuxCheckboxElement: {
        prototype: HTMLRuxCheckboxElement;
        new (): HTMLRuxCheckboxElement;
    };
    interface HTMLRuxCheckboxGroupElement extends Components.RuxCheckboxGroup, HTMLStencilElement {
    }
    var HTMLRuxCheckboxGroupElement: {
        prototype: HTMLRuxCheckboxGroupElement;
        new (): HTMLRuxCheckboxGroupElement;
    };
    interface HTMLRuxClassificationMarkingElement extends Components.RuxClassificationMarking, HTMLStencilElement {
    }
    var HTMLRuxClassificationMarkingElement: {
        prototype: HTMLRuxClassificationMarkingElement;
        new (): HTMLRuxClassificationMarkingElement;
    };
    interface HTMLRuxClockElement extends Components.RuxClock, HTMLStencilElement {
    }
    var HTMLRuxClockElement: {
        prototype: HTMLRuxClockElement;
        new (): HTMLRuxClockElement;
    };
    interface HTMLRuxContainerElement extends Components.RuxContainer, HTMLStencilElement {
    }
    var HTMLRuxContainerElement: {
        prototype: HTMLRuxContainerElement;
        new (): HTMLRuxContainerElement;
    };
    interface HTMLRuxDatetimeElement extends Components.RuxDatetime, HTMLStencilElement {
    }
    var HTMLRuxDatetimeElement: {
        prototype: HTMLRuxDatetimeElement;
        new (): HTMLRuxDatetimeElement;
    };
    interface HTMLRuxDialogElement extends Components.RuxDialog, HTMLStencilElement {
    }
    var HTMLRuxDialogElement: {
        prototype: HTMLRuxDialogElement;
        new (): HTMLRuxDialogElement;
    };
    interface HTMLRuxGlobalStatusBarElement extends Components.RuxGlobalStatusBar, HTMLStencilElement {
    }
    var HTMLRuxGlobalStatusBarElement: {
        prototype: HTMLRuxGlobalStatusBarElement;
        new (): HTMLRuxGlobalStatusBarElement;
    };
    interface HTMLRuxIconElement extends Components.RuxIcon, HTMLStencilElement {
    }
    var HTMLRuxIconElement: {
        prototype: HTMLRuxIconElement;
        new (): HTMLRuxIconElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIcon360Element extends Components.RuxIcon360, HTMLStencilElement {
    }
    var HTMLRuxIcon360Element: {
        prototype: HTMLRuxIcon360Element;
        new (): HTMLRuxIcon360Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIcon3dRotationElement extends Components.RuxIcon3dRotation, HTMLStencilElement {
    }
    var HTMLRuxIcon3dRotationElement: {
        prototype: HTMLRuxIcon3dRotationElement;
        new (): HTMLRuxIcon3dRotationElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIcon4kElement extends Components.RuxIcon4k, HTMLStencilElement {
    }
    var HTMLRuxIcon4kElement: {
        prototype: HTMLRuxIcon4kElement;
        new (): HTMLRuxIcon4kElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAcUnitElement extends Components.RuxIconAcUnit, HTMLStencilElement {
    }
    var HTMLRuxIconAcUnitElement: {
        prototype: HTMLRuxIconAcUnitElement;
        new (): HTMLRuxIconAcUnitElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAccessAlarmsElement extends Components.RuxIconAccessAlarms, HTMLStencilElement {
    }
    var HTMLRuxIconAccessAlarmsElement: {
        prototype: HTMLRuxIconAccessAlarmsElement;
        new (): HTMLRuxIconAccessAlarmsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAccessTimeElement extends Components.RuxIconAccessTime, HTMLStencilElement {
    }
    var HTMLRuxIconAccessTimeElement: {
        prototype: HTMLRuxIconAccessTimeElement;
        new (): HTMLRuxIconAccessTimeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAccessibilityElement extends Components.RuxIconAccessibility, HTMLStencilElement {
    }
    var HTMLRuxIconAccessibilityElement: {
        prototype: HTMLRuxIconAccessibilityElement;
        new (): HTMLRuxIconAccessibilityElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAccessibilityNewElement extends Components.RuxIconAccessibilityNew, HTMLStencilElement {
    }
    var HTMLRuxIconAccessibilityNewElement: {
        prototype: HTMLRuxIconAccessibilityNewElement;
        new (): HTMLRuxIconAccessibilityNewElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAccessibleElement extends Components.RuxIconAccessible, HTMLStencilElement {
    }
    var HTMLRuxIconAccessibleElement: {
        prototype: HTMLRuxIconAccessibleElement;
        new (): HTMLRuxIconAccessibleElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAccessibleForwardElement extends Components.RuxIconAccessibleForward, HTMLStencilElement {
    }
    var HTMLRuxIconAccessibleForwardElement: {
        prototype: HTMLRuxIconAccessibleForwardElement;
        new (): HTMLRuxIconAccessibleForwardElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAccountBalanceElement extends Components.RuxIconAccountBalance, HTMLStencilElement {
    }
    var HTMLRuxIconAccountBalanceElement: {
        prototype: HTMLRuxIconAccountBalanceElement;
        new (): HTMLRuxIconAccountBalanceElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAccountBalanceWalletElement extends Components.RuxIconAccountBalanceWallet, HTMLStencilElement {
    }
    var HTMLRuxIconAccountBalanceWalletElement: {
        prototype: HTMLRuxIconAccountBalanceWalletElement;
        new (): HTMLRuxIconAccountBalanceWalletElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAccountBoxElement extends Components.RuxIconAccountBox, HTMLStencilElement {
    }
    var HTMLRuxIconAccountBoxElement: {
        prototype: HTMLRuxIconAccountBoxElement;
        new (): HTMLRuxIconAccountBoxElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAccountCircleElement extends Components.RuxIconAccountCircle, HTMLStencilElement {
    }
    var HTMLRuxIconAccountCircleElement: {
        prototype: HTMLRuxIconAccountCircleElement;
        new (): HTMLRuxIconAccountCircleElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAdbElement extends Components.RuxIconAdb, HTMLStencilElement {
    }
    var HTMLRuxIconAdbElement: {
        prototype: HTMLRuxIconAdbElement;
        new (): HTMLRuxIconAdbElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAddElement extends Components.RuxIconAdd, HTMLStencilElement {
    }
    var HTMLRuxIconAddElement: {
        prototype: HTMLRuxIconAddElement;
        new (): HTMLRuxIconAddElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAddAPhotoElement extends Components.RuxIconAddAPhoto, HTMLStencilElement {
    }
    var HTMLRuxIconAddAPhotoElement: {
        prototype: HTMLRuxIconAddAPhotoElement;
        new (): HTMLRuxIconAddAPhotoElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAddAlarmElement extends Components.RuxIconAddAlarm, HTMLStencilElement {
    }
    var HTMLRuxIconAddAlarmElement: {
        prototype: HTMLRuxIconAddAlarmElement;
        new (): HTMLRuxIconAddAlarmElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAddAlertElement extends Components.RuxIconAddAlert, HTMLStencilElement {
    }
    var HTMLRuxIconAddAlertElement: {
        prototype: HTMLRuxIconAddAlertElement;
        new (): HTMLRuxIconAddAlertElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAddBoxElement extends Components.RuxIconAddBox, HTMLStencilElement {
    }
    var HTMLRuxIconAddBoxElement: {
        prototype: HTMLRuxIconAddBoxElement;
        new (): HTMLRuxIconAddBoxElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAddCircleElement extends Components.RuxIconAddCircle, HTMLStencilElement {
    }
    var HTMLRuxIconAddCircleElement: {
        prototype: HTMLRuxIconAddCircleElement;
        new (): HTMLRuxIconAddCircleElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAddCircleOutlineElement extends Components.RuxIconAddCircleOutline, HTMLStencilElement {
    }
    var HTMLRuxIconAddCircleOutlineElement: {
        prototype: HTMLRuxIconAddCircleOutlineElement;
        new (): HTMLRuxIconAddCircleOutlineElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAddCommentElement extends Components.RuxIconAddComment, HTMLStencilElement {
    }
    var HTMLRuxIconAddCommentElement: {
        prototype: HTMLRuxIconAddCommentElement;
        new (): HTMLRuxIconAddCommentElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAddLocationElement extends Components.RuxIconAddLocation, HTMLStencilElement {
    }
    var HTMLRuxIconAddLocationElement: {
        prototype: HTMLRuxIconAddLocationElement;
        new (): HTMLRuxIconAddLocationElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAddPhotoAlternateElement extends Components.RuxIconAddPhotoAlternate, HTMLStencilElement {
    }
    var HTMLRuxIconAddPhotoAlternateElement: {
        prototype: HTMLRuxIconAddPhotoAlternateElement;
        new (): HTMLRuxIconAddPhotoAlternateElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAddShoppingCartElement extends Components.RuxIconAddShoppingCart, HTMLStencilElement {
    }
    var HTMLRuxIconAddShoppingCartElement: {
        prototype: HTMLRuxIconAddShoppingCartElement;
        new (): HTMLRuxIconAddShoppingCartElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAddToHomeScreenElement extends Components.RuxIconAddToHomeScreen, HTMLStencilElement {
    }
    var HTMLRuxIconAddToHomeScreenElement: {
        prototype: HTMLRuxIconAddToHomeScreenElement;
        new (): HTMLRuxIconAddToHomeScreenElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAddToPhotosElement extends Components.RuxIconAddToPhotos, HTMLStencilElement {
    }
    var HTMLRuxIconAddToPhotosElement: {
        prototype: HTMLRuxIconAddToPhotosElement;
        new (): HTMLRuxIconAddToPhotosElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAddToQueueElement extends Components.RuxIconAddToQueue, HTMLStencilElement {
    }
    var HTMLRuxIconAddToQueueElement: {
        prototype: HTMLRuxIconAddToQueueElement;
        new (): HTMLRuxIconAddToQueueElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAdjustElement extends Components.RuxIconAdjust, HTMLStencilElement {
    }
    var HTMLRuxIconAdjustElement: {
        prototype: HTMLRuxIconAdjustElement;
        new (): HTMLRuxIconAdjustElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAirlineSeatFlatElement extends Components.RuxIconAirlineSeatFlat, HTMLStencilElement {
    }
    var HTMLRuxIconAirlineSeatFlatElement: {
        prototype: HTMLRuxIconAirlineSeatFlatElement;
        new (): HTMLRuxIconAirlineSeatFlatElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAirlineSeatFlatAngledElement extends Components.RuxIconAirlineSeatFlatAngled, HTMLStencilElement {
    }
    var HTMLRuxIconAirlineSeatFlatAngledElement: {
        prototype: HTMLRuxIconAirlineSeatFlatAngledElement;
        new (): HTMLRuxIconAirlineSeatFlatAngledElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAirlineSeatIndividualSuiteElement extends Components.RuxIconAirlineSeatIndividualSuite, HTMLStencilElement {
    }
    var HTMLRuxIconAirlineSeatIndividualSuiteElement: {
        prototype: HTMLRuxIconAirlineSeatIndividualSuiteElement;
        new (): HTMLRuxIconAirlineSeatIndividualSuiteElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAirlineSeatLegroomExtraElement extends Components.RuxIconAirlineSeatLegroomExtra, HTMLStencilElement {
    }
    var HTMLRuxIconAirlineSeatLegroomExtraElement: {
        prototype: HTMLRuxIconAirlineSeatLegroomExtraElement;
        new (): HTMLRuxIconAirlineSeatLegroomExtraElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAirlineSeatLegroomNormalElement extends Components.RuxIconAirlineSeatLegroomNormal, HTMLStencilElement {
    }
    var HTMLRuxIconAirlineSeatLegroomNormalElement: {
        prototype: HTMLRuxIconAirlineSeatLegroomNormalElement;
        new (): HTMLRuxIconAirlineSeatLegroomNormalElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAirlineSeatLegroomReducedElement extends Components.RuxIconAirlineSeatLegroomReduced, HTMLStencilElement {
    }
    var HTMLRuxIconAirlineSeatLegroomReducedElement: {
        prototype: HTMLRuxIconAirlineSeatLegroomReducedElement;
        new (): HTMLRuxIconAirlineSeatLegroomReducedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAirlineSeatReclineExtraElement extends Components.RuxIconAirlineSeatReclineExtra, HTMLStencilElement {
    }
    var HTMLRuxIconAirlineSeatReclineExtraElement: {
        prototype: HTMLRuxIconAirlineSeatReclineExtraElement;
        new (): HTMLRuxIconAirlineSeatReclineExtraElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAirlineSeatReclineNormalElement extends Components.RuxIconAirlineSeatReclineNormal, HTMLStencilElement {
    }
    var HTMLRuxIconAirlineSeatReclineNormalElement: {
        prototype: HTMLRuxIconAirlineSeatReclineNormalElement;
        new (): HTMLRuxIconAirlineSeatReclineNormalElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAirplanemodeActiveElement extends Components.RuxIconAirplanemodeActive, HTMLStencilElement {
    }
    var HTMLRuxIconAirplanemodeActiveElement: {
        prototype: HTMLRuxIconAirplanemodeActiveElement;
        new (): HTMLRuxIconAirplanemodeActiveElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAirplanemodeInactiveElement extends Components.RuxIconAirplanemodeInactive, HTMLStencilElement {
    }
    var HTMLRuxIconAirplanemodeInactiveElement: {
        prototype: HTMLRuxIconAirplanemodeInactiveElement;
        new (): HTMLRuxIconAirplanemodeInactiveElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAirplayElement extends Components.RuxIconAirplay, HTMLStencilElement {
    }
    var HTMLRuxIconAirplayElement: {
        prototype: HTMLRuxIconAirplayElement;
        new (): HTMLRuxIconAirplayElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAirportShuttleElement extends Components.RuxIconAirportShuttle, HTMLStencilElement {
    }
    var HTMLRuxIconAirportShuttleElement: {
        prototype: HTMLRuxIconAirportShuttleElement;
        new (): HTMLRuxIconAirportShuttleElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAlarmElement extends Components.RuxIconAlarm, HTMLStencilElement {
    }
    var HTMLRuxIconAlarmElement: {
        prototype: HTMLRuxIconAlarmElement;
        new (): HTMLRuxIconAlarmElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAlarmAddElement extends Components.RuxIconAlarmAdd, HTMLStencilElement {
    }
    var HTMLRuxIconAlarmAddElement: {
        prototype: HTMLRuxIconAlarmAddElement;
        new (): HTMLRuxIconAlarmAddElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAlarmOffElement extends Components.RuxIconAlarmOff, HTMLStencilElement {
    }
    var HTMLRuxIconAlarmOffElement: {
        prototype: HTMLRuxIconAlarmOffElement;
        new (): HTMLRuxIconAlarmOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAlarmOnElement extends Components.RuxIconAlarmOn, HTMLStencilElement {
    }
    var HTMLRuxIconAlarmOnElement: {
        prototype: HTMLRuxIconAlarmOnElement;
        new (): HTMLRuxIconAlarmOnElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAlbumElement extends Components.RuxIconAlbum, HTMLStencilElement {
    }
    var HTMLRuxIconAlbumElement: {
        prototype: HTMLRuxIconAlbumElement;
        new (): HTMLRuxIconAlbumElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAllInboxElement extends Components.RuxIconAllInbox, HTMLStencilElement {
    }
    var HTMLRuxIconAllInboxElement: {
        prototype: HTMLRuxIconAllInboxElement;
        new (): HTMLRuxIconAllInboxElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAllInclusiveElement extends Components.RuxIconAllInclusive, HTMLStencilElement {
    }
    var HTMLRuxIconAllInclusiveElement: {
        prototype: HTMLRuxIconAllInclusiveElement;
        new (): HTMLRuxIconAllInclusiveElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAllOutElement extends Components.RuxIconAllOut, HTMLStencilElement {
    }
    var HTMLRuxIconAllOutElement: {
        prototype: HTMLRuxIconAllOutElement;
        new (): HTMLRuxIconAllOutElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAlternateEmailElement extends Components.RuxIconAlternateEmail, HTMLStencilElement {
    }
    var HTMLRuxIconAlternateEmailElement: {
        prototype: HTMLRuxIconAlternateEmailElement;
        new (): HTMLRuxIconAlternateEmailElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAltitudeElement extends Components.RuxIconAltitude, HTMLStencilElement {
    }
    var HTMLRuxIconAltitudeElement: {
        prototype: HTMLRuxIconAltitudeElement;
        new (): HTMLRuxIconAltitudeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAndroidElement extends Components.RuxIconAndroid, HTMLStencilElement {
    }
    var HTMLRuxIconAndroidElement: {
        prototype: HTMLRuxIconAndroidElement;
        new (): HTMLRuxIconAndroidElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAnnouncementElement extends Components.RuxIconAnnouncement, HTMLStencilElement {
    }
    var HTMLRuxIconAnnouncementElement: {
        prototype: HTMLRuxIconAnnouncementElement;
        new (): HTMLRuxIconAnnouncementElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAntennaElement extends Components.RuxIconAntenna, HTMLStencilElement {
    }
    var HTMLRuxIconAntennaElement: {
        prototype: HTMLRuxIconAntennaElement;
        new (): HTMLRuxIconAntennaElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAntennaOffElement extends Components.RuxIconAntennaOff, HTMLStencilElement {
    }
    var HTMLRuxIconAntennaOffElement: {
        prototype: HTMLRuxIconAntennaOffElement;
        new (): HTMLRuxIconAntennaOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAntennaReceiveElement extends Components.RuxIconAntennaReceive, HTMLStencilElement {
    }
    var HTMLRuxIconAntennaReceiveElement: {
        prototype: HTMLRuxIconAntennaReceiveElement;
        new (): HTMLRuxIconAntennaReceiveElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAntennaTransmitElement extends Components.RuxIconAntennaTransmit, HTMLStencilElement {
    }
    var HTMLRuxIconAntennaTransmitElement: {
        prototype: HTMLRuxIconAntennaTransmitElement;
        new (): HTMLRuxIconAntennaTransmitElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAppsElement extends Components.RuxIconApps, HTMLStencilElement {
    }
    var HTMLRuxIconAppsElement: {
        prototype: HTMLRuxIconAppsElement;
        new (): HTMLRuxIconAppsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconArchiveElement extends Components.RuxIconArchive, HTMLStencilElement {
    }
    var HTMLRuxIconArchiveElement: {
        prototype: HTMLRuxIconArchiveElement;
        new (): HTMLRuxIconArchiveElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconArrowBackElement extends Components.RuxIconArrowBack, HTMLStencilElement {
    }
    var HTMLRuxIconArrowBackElement: {
        prototype: HTMLRuxIconArrowBackElement;
        new (): HTMLRuxIconArrowBackElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconArrowBackIosElement extends Components.RuxIconArrowBackIos, HTMLStencilElement {
    }
    var HTMLRuxIconArrowBackIosElement: {
        prototype: HTMLRuxIconArrowBackIosElement;
        new (): HTMLRuxIconArrowBackIosElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconArrowDownwardElement extends Components.RuxIconArrowDownward, HTMLStencilElement {
    }
    var HTMLRuxIconArrowDownwardElement: {
        prototype: HTMLRuxIconArrowDownwardElement;
        new (): HTMLRuxIconArrowDownwardElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconArrowDropDownElement extends Components.RuxIconArrowDropDown, HTMLStencilElement {
    }
    var HTMLRuxIconArrowDropDownElement: {
        prototype: HTMLRuxIconArrowDropDownElement;
        new (): HTMLRuxIconArrowDropDownElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconArrowDropDownCircleElement extends Components.RuxIconArrowDropDownCircle, HTMLStencilElement {
    }
    var HTMLRuxIconArrowDropDownCircleElement: {
        prototype: HTMLRuxIconArrowDropDownCircleElement;
        new (): HTMLRuxIconArrowDropDownCircleElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconArrowDropUpElement extends Components.RuxIconArrowDropUp, HTMLStencilElement {
    }
    var HTMLRuxIconArrowDropUpElement: {
        prototype: HTMLRuxIconArrowDropUpElement;
        new (): HTMLRuxIconArrowDropUpElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconArrowForwardElement extends Components.RuxIconArrowForward, HTMLStencilElement {
    }
    var HTMLRuxIconArrowForwardElement: {
        prototype: HTMLRuxIconArrowForwardElement;
        new (): HTMLRuxIconArrowForwardElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconArrowForwardIosElement extends Components.RuxIconArrowForwardIos, HTMLStencilElement {
    }
    var HTMLRuxIconArrowForwardIosElement: {
        prototype: HTMLRuxIconArrowForwardIosElement;
        new (): HTMLRuxIconArrowForwardIosElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconArrowLeftElement extends Components.RuxIconArrowLeft, HTMLStencilElement {
    }
    var HTMLRuxIconArrowLeftElement: {
        prototype: HTMLRuxIconArrowLeftElement;
        new (): HTMLRuxIconArrowLeftElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconArrowRightElement extends Components.RuxIconArrowRight, HTMLStencilElement {
    }
    var HTMLRuxIconArrowRightElement: {
        prototype: HTMLRuxIconArrowRightElement;
        new (): HTMLRuxIconArrowRightElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconArrowRightAltElement extends Components.RuxIconArrowRightAlt, HTMLStencilElement {
    }
    var HTMLRuxIconArrowRightAltElement: {
        prototype: HTMLRuxIconArrowRightAltElement;
        new (): HTMLRuxIconArrowRightAltElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconArrowUpwardElement extends Components.RuxIconArrowUpward, HTMLStencilElement {
    }
    var HTMLRuxIconArrowUpwardElement: {
        prototype: HTMLRuxIconArrowUpwardElement;
        new (): HTMLRuxIconArrowUpwardElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconArtTrackElement extends Components.RuxIconArtTrack, HTMLStencilElement {
    }
    var HTMLRuxIconArtTrackElement: {
        prototype: HTMLRuxIconArtTrackElement;
        new (): HTMLRuxIconArtTrackElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAspectRatioElement extends Components.RuxIconAspectRatio, HTMLStencilElement {
    }
    var HTMLRuxIconAspectRatioElement: {
        prototype: HTMLRuxIconAspectRatioElement;
        new (): HTMLRuxIconAspectRatioElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAssessmentElement extends Components.RuxIconAssessment, HTMLStencilElement {
    }
    var HTMLRuxIconAssessmentElement: {
        prototype: HTMLRuxIconAssessmentElement;
        new (): HTMLRuxIconAssessmentElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAssignmentElement extends Components.RuxIconAssignment, HTMLStencilElement {
    }
    var HTMLRuxIconAssignmentElement: {
        prototype: HTMLRuxIconAssignmentElement;
        new (): HTMLRuxIconAssignmentElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAssignmentFindElement extends Components.RuxIconAssignmentFind, HTMLStencilElement {
    }
    var HTMLRuxIconAssignmentFindElement: {
        prototype: HTMLRuxIconAssignmentFindElement;
        new (): HTMLRuxIconAssignmentFindElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAssignmentLateElement extends Components.RuxIconAssignmentLate, HTMLStencilElement {
    }
    var HTMLRuxIconAssignmentLateElement: {
        prototype: HTMLRuxIconAssignmentLateElement;
        new (): HTMLRuxIconAssignmentLateElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAssignmentReturnElement extends Components.RuxIconAssignmentReturn, HTMLStencilElement {
    }
    var HTMLRuxIconAssignmentReturnElement: {
        prototype: HTMLRuxIconAssignmentReturnElement;
        new (): HTMLRuxIconAssignmentReturnElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAssignmentReturnedElement extends Components.RuxIconAssignmentReturned, HTMLStencilElement {
    }
    var HTMLRuxIconAssignmentReturnedElement: {
        prototype: HTMLRuxIconAssignmentReturnedElement;
        new (): HTMLRuxIconAssignmentReturnedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAssignmentTurnedInElement extends Components.RuxIconAssignmentTurnedIn, HTMLStencilElement {
    }
    var HTMLRuxIconAssignmentTurnedInElement: {
        prototype: HTMLRuxIconAssignmentTurnedInElement;
        new (): HTMLRuxIconAssignmentTurnedInElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAssistantElement extends Components.RuxIconAssistant, HTMLStencilElement {
    }
    var HTMLRuxIconAssistantElement: {
        prototype: HTMLRuxIconAssistantElement;
        new (): HTMLRuxIconAssistantElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAssistantPhotoElement extends Components.RuxIconAssistantPhoto, HTMLStencilElement {
    }
    var HTMLRuxIconAssistantPhotoElement: {
        prototype: HTMLRuxIconAssistantPhotoElement;
        new (): HTMLRuxIconAssistantPhotoElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAttachFileElement extends Components.RuxIconAttachFile, HTMLStencilElement {
    }
    var HTMLRuxIconAttachFileElement: {
        prototype: HTMLRuxIconAttachFileElement;
        new (): HTMLRuxIconAttachFileElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAttachMoneyElement extends Components.RuxIconAttachMoney, HTMLStencilElement {
    }
    var HTMLRuxIconAttachMoneyElement: {
        prototype: HTMLRuxIconAttachMoneyElement;
        new (): HTMLRuxIconAttachMoneyElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAttachmentElement extends Components.RuxIconAttachment, HTMLStencilElement {
    }
    var HTMLRuxIconAttachmentElement: {
        prototype: HTMLRuxIconAttachmentElement;
        new (): HTMLRuxIconAttachmentElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAudiotrackElement extends Components.RuxIconAudiotrack, HTMLStencilElement {
    }
    var HTMLRuxIconAudiotrackElement: {
        prototype: HTMLRuxIconAudiotrackElement;
        new (): HTMLRuxIconAudiotrackElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAutorenewElement extends Components.RuxIconAutorenew, HTMLStencilElement {
    }
    var HTMLRuxIconAutorenewElement: {
        prototype: HTMLRuxIconAutorenewElement;
        new (): HTMLRuxIconAutorenewElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconAvTimerElement extends Components.RuxIconAvTimer, HTMLStencilElement {
    }
    var HTMLRuxIconAvTimerElement: {
        prototype: HTMLRuxIconAvTimerElement;
        new (): HTMLRuxIconAvTimerElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBackspaceElement extends Components.RuxIconBackspace, HTMLStencilElement {
    }
    var HTMLRuxIconBackspaceElement: {
        prototype: HTMLRuxIconBackspaceElement;
        new (): HTMLRuxIconBackspaceElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBackupElement extends Components.RuxIconBackup, HTMLStencilElement {
    }
    var HTMLRuxIconBackupElement: {
        prototype: HTMLRuxIconBackupElement;
        new (): HTMLRuxIconBackupElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBallotElement extends Components.RuxIconBallot, HTMLStencilElement {
    }
    var HTMLRuxIconBallotElement: {
        prototype: HTMLRuxIconBallotElement;
        new (): HTMLRuxIconBallotElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBarChartElement extends Components.RuxIconBarChart, HTMLStencilElement {
    }
    var HTMLRuxIconBarChartElement: {
        prototype: HTMLRuxIconBarChartElement;
        new (): HTMLRuxIconBarChartElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBattery20Element extends Components.RuxIconBattery20, HTMLStencilElement {
    }
    var HTMLRuxIconBattery20Element: {
        prototype: HTMLRuxIconBattery20Element;
        new (): HTMLRuxIconBattery20Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBattery30Element extends Components.RuxIconBattery30, HTMLStencilElement {
    }
    var HTMLRuxIconBattery30Element: {
        prototype: HTMLRuxIconBattery30Element;
        new (): HTMLRuxIconBattery30Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBattery50Element extends Components.RuxIconBattery50, HTMLStencilElement {
    }
    var HTMLRuxIconBattery50Element: {
        prototype: HTMLRuxIconBattery50Element;
        new (): HTMLRuxIconBattery50Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBattery60Element extends Components.RuxIconBattery60, HTMLStencilElement {
    }
    var HTMLRuxIconBattery60Element: {
        prototype: HTMLRuxIconBattery60Element;
        new (): HTMLRuxIconBattery60Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBattery80Element extends Components.RuxIconBattery80, HTMLStencilElement {
    }
    var HTMLRuxIconBattery80Element: {
        prototype: HTMLRuxIconBattery80Element;
        new (): HTMLRuxIconBattery80Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBattery90Element extends Components.RuxIconBattery90, HTMLStencilElement {
    }
    var HTMLRuxIconBattery90Element: {
        prototype: HTMLRuxIconBattery90Element;
        new (): HTMLRuxIconBattery90Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBatteryAlertElement extends Components.RuxIconBatteryAlert, HTMLStencilElement {
    }
    var HTMLRuxIconBatteryAlertElement: {
        prototype: HTMLRuxIconBatteryAlertElement;
        new (): HTMLRuxIconBatteryAlertElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBatteryCharging20Element extends Components.RuxIconBatteryCharging20, HTMLStencilElement {
    }
    var HTMLRuxIconBatteryCharging20Element: {
        prototype: HTMLRuxIconBatteryCharging20Element;
        new (): HTMLRuxIconBatteryCharging20Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBatteryCharging30Element extends Components.RuxIconBatteryCharging30, HTMLStencilElement {
    }
    var HTMLRuxIconBatteryCharging30Element: {
        prototype: HTMLRuxIconBatteryCharging30Element;
        new (): HTMLRuxIconBatteryCharging30Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBatteryCharging50Element extends Components.RuxIconBatteryCharging50, HTMLStencilElement {
    }
    var HTMLRuxIconBatteryCharging50Element: {
        prototype: HTMLRuxIconBatteryCharging50Element;
        new (): HTMLRuxIconBatteryCharging50Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBatteryCharging60Element extends Components.RuxIconBatteryCharging60, HTMLStencilElement {
    }
    var HTMLRuxIconBatteryCharging60Element: {
        prototype: HTMLRuxIconBatteryCharging60Element;
        new (): HTMLRuxIconBatteryCharging60Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBatteryCharging80Element extends Components.RuxIconBatteryCharging80, HTMLStencilElement {
    }
    var HTMLRuxIconBatteryCharging80Element: {
        prototype: HTMLRuxIconBatteryCharging80Element;
        new (): HTMLRuxIconBatteryCharging80Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBatteryCharging90Element extends Components.RuxIconBatteryCharging90, HTMLStencilElement {
    }
    var HTMLRuxIconBatteryCharging90Element: {
        prototype: HTMLRuxIconBatteryCharging90Element;
        new (): HTMLRuxIconBatteryCharging90Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBatteryChargingFullElement extends Components.RuxIconBatteryChargingFull, HTMLStencilElement {
    }
    var HTMLRuxIconBatteryChargingFullElement: {
        prototype: HTMLRuxIconBatteryChargingFullElement;
        new (): HTMLRuxIconBatteryChargingFullElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBatteryFullElement extends Components.RuxIconBatteryFull, HTMLStencilElement {
    }
    var HTMLRuxIconBatteryFullElement: {
        prototype: HTMLRuxIconBatteryFullElement;
        new (): HTMLRuxIconBatteryFullElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBatteryStdElement extends Components.RuxIconBatteryStd, HTMLStencilElement {
    }
    var HTMLRuxIconBatteryStdElement: {
        prototype: HTMLRuxIconBatteryStdElement;
        new (): HTMLRuxIconBatteryStdElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBatteryUnknownElement extends Components.RuxIconBatteryUnknown, HTMLStencilElement {
    }
    var HTMLRuxIconBatteryUnknownElement: {
        prototype: HTMLRuxIconBatteryUnknownElement;
        new (): HTMLRuxIconBatteryUnknownElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBeachAccessElement extends Components.RuxIconBeachAccess, HTMLStencilElement {
    }
    var HTMLRuxIconBeachAccessElement: {
        prototype: HTMLRuxIconBeachAccessElement;
        new (): HTMLRuxIconBeachAccessElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBeenhereElement extends Components.RuxIconBeenhere, HTMLStencilElement {
    }
    var HTMLRuxIconBeenhereElement: {
        prototype: HTMLRuxIconBeenhereElement;
        new (): HTMLRuxIconBeenhereElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBlockElement extends Components.RuxIconBlock, HTMLStencilElement {
    }
    var HTMLRuxIconBlockElement: {
        prototype: HTMLRuxIconBlockElement;
        new (): HTMLRuxIconBlockElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBluetoothElement extends Components.RuxIconBluetooth, HTMLStencilElement {
    }
    var HTMLRuxIconBluetoothElement: {
        prototype: HTMLRuxIconBluetoothElement;
        new (): HTMLRuxIconBluetoothElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBluetoothAudioElement extends Components.RuxIconBluetoothAudio, HTMLStencilElement {
    }
    var HTMLRuxIconBluetoothAudioElement: {
        prototype: HTMLRuxIconBluetoothAudioElement;
        new (): HTMLRuxIconBluetoothAudioElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBluetoothConnectedElement extends Components.RuxIconBluetoothConnected, HTMLStencilElement {
    }
    var HTMLRuxIconBluetoothConnectedElement: {
        prototype: HTMLRuxIconBluetoothConnectedElement;
        new (): HTMLRuxIconBluetoothConnectedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBluetoothDisabledElement extends Components.RuxIconBluetoothDisabled, HTMLStencilElement {
    }
    var HTMLRuxIconBluetoothDisabledElement: {
        prototype: HTMLRuxIconBluetoothDisabledElement;
        new (): HTMLRuxIconBluetoothDisabledElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBluetoothSearchingElement extends Components.RuxIconBluetoothSearching, HTMLStencilElement {
    }
    var HTMLRuxIconBluetoothSearchingElement: {
        prototype: HTMLRuxIconBluetoothSearchingElement;
        new (): HTMLRuxIconBluetoothSearchingElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBlurCircularElement extends Components.RuxIconBlurCircular, HTMLStencilElement {
    }
    var HTMLRuxIconBlurCircularElement: {
        prototype: HTMLRuxIconBlurCircularElement;
        new (): HTMLRuxIconBlurCircularElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBlurLinearElement extends Components.RuxIconBlurLinear, HTMLStencilElement {
    }
    var HTMLRuxIconBlurLinearElement: {
        prototype: HTMLRuxIconBlurLinearElement;
        new (): HTMLRuxIconBlurLinearElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBlurOffElement extends Components.RuxIconBlurOff, HTMLStencilElement {
    }
    var HTMLRuxIconBlurOffElement: {
        prototype: HTMLRuxIconBlurOffElement;
        new (): HTMLRuxIconBlurOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBlurOnElement extends Components.RuxIconBlurOn, HTMLStencilElement {
    }
    var HTMLRuxIconBlurOnElement: {
        prototype: HTMLRuxIconBlurOnElement;
        new (): HTMLRuxIconBlurOnElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBookElement extends Components.RuxIconBook, HTMLStencilElement {
    }
    var HTMLRuxIconBookElement: {
        prototype: HTMLRuxIconBookElement;
        new (): HTMLRuxIconBookElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBookmarkElement extends Components.RuxIconBookmark, HTMLStencilElement {
    }
    var HTMLRuxIconBookmarkElement: {
        prototype: HTMLRuxIconBookmarkElement;
        new (): HTMLRuxIconBookmarkElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBookmarkBorderElement extends Components.RuxIconBookmarkBorder, HTMLStencilElement {
    }
    var HTMLRuxIconBookmarkBorderElement: {
        prototype: HTMLRuxIconBookmarkBorderElement;
        new (): HTMLRuxIconBookmarkBorderElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBookmarksElement extends Components.RuxIconBookmarks, HTMLStencilElement {
    }
    var HTMLRuxIconBookmarksElement: {
        prototype: HTMLRuxIconBookmarksElement;
        new (): HTMLRuxIconBookmarksElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBorderAllElement extends Components.RuxIconBorderAll, HTMLStencilElement {
    }
    var HTMLRuxIconBorderAllElement: {
        prototype: HTMLRuxIconBorderAllElement;
        new (): HTMLRuxIconBorderAllElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBorderBottomElement extends Components.RuxIconBorderBottom, HTMLStencilElement {
    }
    var HTMLRuxIconBorderBottomElement: {
        prototype: HTMLRuxIconBorderBottomElement;
        new (): HTMLRuxIconBorderBottomElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBorderClearElement extends Components.RuxIconBorderClear, HTMLStencilElement {
    }
    var HTMLRuxIconBorderClearElement: {
        prototype: HTMLRuxIconBorderClearElement;
        new (): HTMLRuxIconBorderClearElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBorderColorElement extends Components.RuxIconBorderColor, HTMLStencilElement {
    }
    var HTMLRuxIconBorderColorElement: {
        prototype: HTMLRuxIconBorderColorElement;
        new (): HTMLRuxIconBorderColorElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBorderHorizontalElement extends Components.RuxIconBorderHorizontal, HTMLStencilElement {
    }
    var HTMLRuxIconBorderHorizontalElement: {
        prototype: HTMLRuxIconBorderHorizontalElement;
        new (): HTMLRuxIconBorderHorizontalElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBorderInnerElement extends Components.RuxIconBorderInner, HTMLStencilElement {
    }
    var HTMLRuxIconBorderInnerElement: {
        prototype: HTMLRuxIconBorderInnerElement;
        new (): HTMLRuxIconBorderInnerElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBorderLeftElement extends Components.RuxIconBorderLeft, HTMLStencilElement {
    }
    var HTMLRuxIconBorderLeftElement: {
        prototype: HTMLRuxIconBorderLeftElement;
        new (): HTMLRuxIconBorderLeftElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBorderOuterElement extends Components.RuxIconBorderOuter, HTMLStencilElement {
    }
    var HTMLRuxIconBorderOuterElement: {
        prototype: HTMLRuxIconBorderOuterElement;
        new (): HTMLRuxIconBorderOuterElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBorderRightElement extends Components.RuxIconBorderRight, HTMLStencilElement {
    }
    var HTMLRuxIconBorderRightElement: {
        prototype: HTMLRuxIconBorderRightElement;
        new (): HTMLRuxIconBorderRightElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBorderStyleElement extends Components.RuxIconBorderStyle, HTMLStencilElement {
    }
    var HTMLRuxIconBorderStyleElement: {
        prototype: HTMLRuxIconBorderStyleElement;
        new (): HTMLRuxIconBorderStyleElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBorderTopElement extends Components.RuxIconBorderTop, HTMLStencilElement {
    }
    var HTMLRuxIconBorderTopElement: {
        prototype: HTMLRuxIconBorderTopElement;
        new (): HTMLRuxIconBorderTopElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBorderVerticalElement extends Components.RuxIconBorderVertical, HTMLStencilElement {
    }
    var HTMLRuxIconBorderVerticalElement: {
        prototype: HTMLRuxIconBorderVerticalElement;
        new (): HTMLRuxIconBorderVerticalElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBrandingWatermarkElement extends Components.RuxIconBrandingWatermark, HTMLStencilElement {
    }
    var HTMLRuxIconBrandingWatermarkElement: {
        prototype: HTMLRuxIconBrandingWatermarkElement;
        new (): HTMLRuxIconBrandingWatermarkElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBrightness1Element extends Components.RuxIconBrightness1, HTMLStencilElement {
    }
    var HTMLRuxIconBrightness1Element: {
        prototype: HTMLRuxIconBrightness1Element;
        new (): HTMLRuxIconBrightness1Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBrightness2Element extends Components.RuxIconBrightness2, HTMLStencilElement {
    }
    var HTMLRuxIconBrightness2Element: {
        prototype: HTMLRuxIconBrightness2Element;
        new (): HTMLRuxIconBrightness2Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBrightness3Element extends Components.RuxIconBrightness3, HTMLStencilElement {
    }
    var HTMLRuxIconBrightness3Element: {
        prototype: HTMLRuxIconBrightness3Element;
        new (): HTMLRuxIconBrightness3Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBrightness4Element extends Components.RuxIconBrightness4, HTMLStencilElement {
    }
    var HTMLRuxIconBrightness4Element: {
        prototype: HTMLRuxIconBrightness4Element;
        new (): HTMLRuxIconBrightness4Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBrightness5Element extends Components.RuxIconBrightness5, HTMLStencilElement {
    }
    var HTMLRuxIconBrightness5Element: {
        prototype: HTMLRuxIconBrightness5Element;
        new (): HTMLRuxIconBrightness5Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBrightness6Element extends Components.RuxIconBrightness6, HTMLStencilElement {
    }
    var HTMLRuxIconBrightness6Element: {
        prototype: HTMLRuxIconBrightness6Element;
        new (): HTMLRuxIconBrightness6Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBrightness7Element extends Components.RuxIconBrightness7, HTMLStencilElement {
    }
    var HTMLRuxIconBrightness7Element: {
        prototype: HTMLRuxIconBrightness7Element;
        new (): HTMLRuxIconBrightness7Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBrightnessAutoElement extends Components.RuxIconBrightnessAuto, HTMLStencilElement {
    }
    var HTMLRuxIconBrightnessAutoElement: {
        prototype: HTMLRuxIconBrightnessAutoElement;
        new (): HTMLRuxIconBrightnessAutoElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBrightnessHighElement extends Components.RuxIconBrightnessHigh, HTMLStencilElement {
    }
    var HTMLRuxIconBrightnessHighElement: {
        prototype: HTMLRuxIconBrightnessHighElement;
        new (): HTMLRuxIconBrightnessHighElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBrightnessLowElement extends Components.RuxIconBrightnessLow, HTMLStencilElement {
    }
    var HTMLRuxIconBrightnessLowElement: {
        prototype: HTMLRuxIconBrightnessLowElement;
        new (): HTMLRuxIconBrightnessLowElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBrightnessMediumElement extends Components.RuxIconBrightnessMedium, HTMLStencilElement {
    }
    var HTMLRuxIconBrightnessMediumElement: {
        prototype: HTMLRuxIconBrightnessMediumElement;
        new (): HTMLRuxIconBrightnessMediumElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBrokenImageElement extends Components.RuxIconBrokenImage, HTMLStencilElement {
    }
    var HTMLRuxIconBrokenImageElement: {
        prototype: HTMLRuxIconBrokenImageElement;
        new (): HTMLRuxIconBrokenImageElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBrushElement extends Components.RuxIconBrush, HTMLStencilElement {
    }
    var HTMLRuxIconBrushElement: {
        prototype: HTMLRuxIconBrushElement;
        new (): HTMLRuxIconBrushElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBubbleChartElement extends Components.RuxIconBubbleChart, HTMLStencilElement {
    }
    var HTMLRuxIconBubbleChartElement: {
        prototype: HTMLRuxIconBubbleChartElement;
        new (): HTMLRuxIconBubbleChartElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBugReportElement extends Components.RuxIconBugReport, HTMLStencilElement {
    }
    var HTMLRuxIconBugReportElement: {
        prototype: HTMLRuxIconBugReportElement;
        new (): HTMLRuxIconBugReportElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBuildElement extends Components.RuxIconBuild, HTMLStencilElement {
    }
    var HTMLRuxIconBuildElement: {
        prototype: HTMLRuxIconBuildElement;
        new (): HTMLRuxIconBuildElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBurstModeElement extends Components.RuxIconBurstMode, HTMLStencilElement {
    }
    var HTMLRuxIconBurstModeElement: {
        prototype: HTMLRuxIconBurstModeElement;
        new (): HTMLRuxIconBurstModeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBusinessElement extends Components.RuxIconBusiness, HTMLStencilElement {
    }
    var HTMLRuxIconBusinessElement: {
        prototype: HTMLRuxIconBusinessElement;
        new (): HTMLRuxIconBusinessElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconBusinessCenterElement extends Components.RuxIconBusinessCenter, HTMLStencilElement {
    }
    var HTMLRuxIconBusinessCenterElement: {
        prototype: HTMLRuxIconBusinessCenterElement;
        new (): HTMLRuxIconBusinessCenterElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCachedElement extends Components.RuxIconCached, HTMLStencilElement {
    }
    var HTMLRuxIconCachedElement: {
        prototype: HTMLRuxIconCachedElement;
        new (): HTMLRuxIconCachedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCakeElement extends Components.RuxIconCake, HTMLStencilElement {
    }
    var HTMLRuxIconCakeElement: {
        prototype: HTMLRuxIconCakeElement;
        new (): HTMLRuxIconCakeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCalendarTodayElement extends Components.RuxIconCalendarToday, HTMLStencilElement {
    }
    var HTMLRuxIconCalendarTodayElement: {
        prototype: HTMLRuxIconCalendarTodayElement;
        new (): HTMLRuxIconCalendarTodayElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCalendarViewDayElement extends Components.RuxIconCalendarViewDay, HTMLStencilElement {
    }
    var HTMLRuxIconCalendarViewDayElement: {
        prototype: HTMLRuxIconCalendarViewDayElement;
        new (): HTMLRuxIconCalendarViewDayElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCallElement extends Components.RuxIconCall, HTMLStencilElement {
    }
    var HTMLRuxIconCallElement: {
        prototype: HTMLRuxIconCallElement;
        new (): HTMLRuxIconCallElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCallEndElement extends Components.RuxIconCallEnd, HTMLStencilElement {
    }
    var HTMLRuxIconCallEndElement: {
        prototype: HTMLRuxIconCallEndElement;
        new (): HTMLRuxIconCallEndElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCallMadeElement extends Components.RuxIconCallMade, HTMLStencilElement {
    }
    var HTMLRuxIconCallMadeElement: {
        prototype: HTMLRuxIconCallMadeElement;
        new (): HTMLRuxIconCallMadeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCallMergeElement extends Components.RuxIconCallMerge, HTMLStencilElement {
    }
    var HTMLRuxIconCallMergeElement: {
        prototype: HTMLRuxIconCallMergeElement;
        new (): HTMLRuxIconCallMergeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCallMissedElement extends Components.RuxIconCallMissed, HTMLStencilElement {
    }
    var HTMLRuxIconCallMissedElement: {
        prototype: HTMLRuxIconCallMissedElement;
        new (): HTMLRuxIconCallMissedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCallMissedOutgoingElement extends Components.RuxIconCallMissedOutgoing, HTMLStencilElement {
    }
    var HTMLRuxIconCallMissedOutgoingElement: {
        prototype: HTMLRuxIconCallMissedOutgoingElement;
        new (): HTMLRuxIconCallMissedOutgoingElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCallReceivedElement extends Components.RuxIconCallReceived, HTMLStencilElement {
    }
    var HTMLRuxIconCallReceivedElement: {
        prototype: HTMLRuxIconCallReceivedElement;
        new (): HTMLRuxIconCallReceivedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCallSplitElement extends Components.RuxIconCallSplit, HTMLStencilElement {
    }
    var HTMLRuxIconCallSplitElement: {
        prototype: HTMLRuxIconCallSplitElement;
        new (): HTMLRuxIconCallSplitElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCallToActionElement extends Components.RuxIconCallToAction, HTMLStencilElement {
    }
    var HTMLRuxIconCallToActionElement: {
        prototype: HTMLRuxIconCallToActionElement;
        new (): HTMLRuxIconCallToActionElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCameraElement extends Components.RuxIconCamera, HTMLStencilElement {
    }
    var HTMLRuxIconCameraElement: {
        prototype: HTMLRuxIconCameraElement;
        new (): HTMLRuxIconCameraElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCameraAltElement extends Components.RuxIconCameraAlt, HTMLStencilElement {
    }
    var HTMLRuxIconCameraAltElement: {
        prototype: HTMLRuxIconCameraAltElement;
        new (): HTMLRuxIconCameraAltElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCameraEnhanceElement extends Components.RuxIconCameraEnhance, HTMLStencilElement {
    }
    var HTMLRuxIconCameraEnhanceElement: {
        prototype: HTMLRuxIconCameraEnhanceElement;
        new (): HTMLRuxIconCameraEnhanceElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCameraFrontElement extends Components.RuxIconCameraFront, HTMLStencilElement {
    }
    var HTMLRuxIconCameraFrontElement: {
        prototype: HTMLRuxIconCameraFrontElement;
        new (): HTMLRuxIconCameraFrontElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCameraRearElement extends Components.RuxIconCameraRear, HTMLStencilElement {
    }
    var HTMLRuxIconCameraRearElement: {
        prototype: HTMLRuxIconCameraRearElement;
        new (): HTMLRuxIconCameraRearElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCameraRollElement extends Components.RuxIconCameraRoll, HTMLStencilElement {
    }
    var HTMLRuxIconCameraRollElement: {
        prototype: HTMLRuxIconCameraRollElement;
        new (): HTMLRuxIconCameraRollElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCancelElement extends Components.RuxIconCancel, HTMLStencilElement {
    }
    var HTMLRuxIconCancelElement: {
        prototype: HTMLRuxIconCancelElement;
        new (): HTMLRuxIconCancelElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCancelPresentationElement extends Components.RuxIconCancelPresentation, HTMLStencilElement {
    }
    var HTMLRuxIconCancelPresentationElement: {
        prototype: HTMLRuxIconCancelPresentationElement;
        new (): HTMLRuxIconCancelPresentationElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCardGiftcardElement extends Components.RuxIconCardGiftcard, HTMLStencilElement {
    }
    var HTMLRuxIconCardGiftcardElement: {
        prototype: HTMLRuxIconCardGiftcardElement;
        new (): HTMLRuxIconCardGiftcardElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCardMembershipElement extends Components.RuxIconCardMembership, HTMLStencilElement {
    }
    var HTMLRuxIconCardMembershipElement: {
        prototype: HTMLRuxIconCardMembershipElement;
        new (): HTMLRuxIconCardMembershipElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCardTravelElement extends Components.RuxIconCardTravel, HTMLStencilElement {
    }
    var HTMLRuxIconCardTravelElement: {
        prototype: HTMLRuxIconCardTravelElement;
        new (): HTMLRuxIconCardTravelElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCasinoElement extends Components.RuxIconCasino, HTMLStencilElement {
    }
    var HTMLRuxIconCasinoElement: {
        prototype: HTMLRuxIconCasinoElement;
        new (): HTMLRuxIconCasinoElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCastElement extends Components.RuxIconCast, HTMLStencilElement {
    }
    var HTMLRuxIconCastElement: {
        prototype: HTMLRuxIconCastElement;
        new (): HTMLRuxIconCastElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCastConnectedElement extends Components.RuxIconCastConnected, HTMLStencilElement {
    }
    var HTMLRuxIconCastConnectedElement: {
        prototype: HTMLRuxIconCastConnectedElement;
        new (): HTMLRuxIconCastConnectedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCastForEducationElement extends Components.RuxIconCastForEducation, HTMLStencilElement {
    }
    var HTMLRuxIconCastForEducationElement: {
        prototype: HTMLRuxIconCastForEducationElement;
        new (): HTMLRuxIconCastForEducationElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCategoryElement extends Components.RuxIconCategory, HTMLStencilElement {
    }
    var HTMLRuxIconCategoryElement: {
        prototype: HTMLRuxIconCategoryElement;
        new (): HTMLRuxIconCategoryElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCellWifiElement extends Components.RuxIconCellWifi, HTMLStencilElement {
    }
    var HTMLRuxIconCellWifiElement: {
        prototype: HTMLRuxIconCellWifiElement;
        new (): HTMLRuxIconCellWifiElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCenterFocusStrongElement extends Components.RuxIconCenterFocusStrong, HTMLStencilElement {
    }
    var HTMLRuxIconCenterFocusStrongElement: {
        prototype: HTMLRuxIconCenterFocusStrongElement;
        new (): HTMLRuxIconCenterFocusStrongElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCenterFocusWeakElement extends Components.RuxIconCenterFocusWeak, HTMLStencilElement {
    }
    var HTMLRuxIconCenterFocusWeakElement: {
        prototype: HTMLRuxIconCenterFocusWeakElement;
        new (): HTMLRuxIconCenterFocusWeakElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconChangeHistoryElement extends Components.RuxIconChangeHistory, HTMLStencilElement {
    }
    var HTMLRuxIconChangeHistoryElement: {
        prototype: HTMLRuxIconChangeHistoryElement;
        new (): HTMLRuxIconChangeHistoryElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconChatElement extends Components.RuxIconChat, HTMLStencilElement {
    }
    var HTMLRuxIconChatElement: {
        prototype: HTMLRuxIconChatElement;
        new (): HTMLRuxIconChatElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconChatBubbleElement extends Components.RuxIconChatBubble, HTMLStencilElement {
    }
    var HTMLRuxIconChatBubbleElement: {
        prototype: HTMLRuxIconChatBubbleElement;
        new (): HTMLRuxIconChatBubbleElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconChatBubbleOutlineElement extends Components.RuxIconChatBubbleOutline, HTMLStencilElement {
    }
    var HTMLRuxIconChatBubbleOutlineElement: {
        prototype: HTMLRuxIconChatBubbleOutlineElement;
        new (): HTMLRuxIconChatBubbleOutlineElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCheckElement extends Components.RuxIconCheck, HTMLStencilElement {
    }
    var HTMLRuxIconCheckElement: {
        prototype: HTMLRuxIconCheckElement;
        new (): HTMLRuxIconCheckElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCheckBoxElement extends Components.RuxIconCheckBox, HTMLStencilElement {
    }
    var HTMLRuxIconCheckBoxElement: {
        prototype: HTMLRuxIconCheckBoxElement;
        new (): HTMLRuxIconCheckBoxElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCheckBoxOutlineBlankElement extends Components.RuxIconCheckBoxOutlineBlank, HTMLStencilElement {
    }
    var HTMLRuxIconCheckBoxOutlineBlankElement: {
        prototype: HTMLRuxIconCheckBoxOutlineBlankElement;
        new (): HTMLRuxIconCheckBoxOutlineBlankElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCheckCircleElement extends Components.RuxIconCheckCircle, HTMLStencilElement {
    }
    var HTMLRuxIconCheckCircleElement: {
        prototype: HTMLRuxIconCheckCircleElement;
        new (): HTMLRuxIconCheckCircleElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCheckCircleOutlineElement extends Components.RuxIconCheckCircleOutline, HTMLStencilElement {
    }
    var HTMLRuxIconCheckCircleOutlineElement: {
        prototype: HTMLRuxIconCheckCircleOutlineElement;
        new (): HTMLRuxIconCheckCircleOutlineElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconChevronLeftElement extends Components.RuxIconChevronLeft, HTMLStencilElement {
    }
    var HTMLRuxIconChevronLeftElement: {
        prototype: HTMLRuxIconChevronLeftElement;
        new (): HTMLRuxIconChevronLeftElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconChevronRightElement extends Components.RuxIconChevronRight, HTMLStencilElement {
    }
    var HTMLRuxIconChevronRightElement: {
        prototype: HTMLRuxIconChevronRightElement;
        new (): HTMLRuxIconChevronRightElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconChildCareElement extends Components.RuxIconChildCare, HTMLStencilElement {
    }
    var HTMLRuxIconChildCareElement: {
        prototype: HTMLRuxIconChildCareElement;
        new (): HTMLRuxIconChildCareElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconChildFriendlyElement extends Components.RuxIconChildFriendly, HTMLStencilElement {
    }
    var HTMLRuxIconChildFriendlyElement: {
        prototype: HTMLRuxIconChildFriendlyElement;
        new (): HTMLRuxIconChildFriendlyElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconChromeReaderModeElement extends Components.RuxIconChromeReaderMode, HTMLStencilElement {
    }
    var HTMLRuxIconChromeReaderModeElement: {
        prototype: HTMLRuxIconChromeReaderModeElement;
        new (): HTMLRuxIconChromeReaderModeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconClassElement extends Components.RuxIconClass, HTMLStencilElement {
    }
    var HTMLRuxIconClassElement: {
        prototype: HTMLRuxIconClassElement;
        new (): HTMLRuxIconClassElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconClearElement extends Components.RuxIconClear, HTMLStencilElement {
    }
    var HTMLRuxIconClearElement: {
        prototype: HTMLRuxIconClearElement;
        new (): HTMLRuxIconClearElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconClearAllElement extends Components.RuxIconClearAll, HTMLStencilElement {
    }
    var HTMLRuxIconClearAllElement: {
        prototype: HTMLRuxIconClearAllElement;
        new (): HTMLRuxIconClearAllElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCloseElement extends Components.RuxIconClose, HTMLStencilElement {
    }
    var HTMLRuxIconCloseElement: {
        prototype: HTMLRuxIconCloseElement;
        new (): HTMLRuxIconCloseElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconClosedCaptionElement extends Components.RuxIconClosedCaption, HTMLStencilElement {
    }
    var HTMLRuxIconClosedCaptionElement: {
        prototype: HTMLRuxIconClosedCaptionElement;
        new (): HTMLRuxIconClosedCaptionElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCloudElement extends Components.RuxIconCloud, HTMLStencilElement {
    }
    var HTMLRuxIconCloudElement: {
        prototype: HTMLRuxIconCloudElement;
        new (): HTMLRuxIconCloudElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCloudCircleElement extends Components.RuxIconCloudCircle, HTMLStencilElement {
    }
    var HTMLRuxIconCloudCircleElement: {
        prototype: HTMLRuxIconCloudCircleElement;
        new (): HTMLRuxIconCloudCircleElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCloudDoneElement extends Components.RuxIconCloudDone, HTMLStencilElement {
    }
    var HTMLRuxIconCloudDoneElement: {
        prototype: HTMLRuxIconCloudDoneElement;
        new (): HTMLRuxIconCloudDoneElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCloudDownloadElement extends Components.RuxIconCloudDownload, HTMLStencilElement {
    }
    var HTMLRuxIconCloudDownloadElement: {
        prototype: HTMLRuxIconCloudDownloadElement;
        new (): HTMLRuxIconCloudDownloadElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCloudOffElement extends Components.RuxIconCloudOff, HTMLStencilElement {
    }
    var HTMLRuxIconCloudOffElement: {
        prototype: HTMLRuxIconCloudOffElement;
        new (): HTMLRuxIconCloudOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCloudQueueElement extends Components.RuxIconCloudQueue, HTMLStencilElement {
    }
    var HTMLRuxIconCloudQueueElement: {
        prototype: HTMLRuxIconCloudQueueElement;
        new (): HTMLRuxIconCloudQueueElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCloudUploadElement extends Components.RuxIconCloudUpload, HTMLStencilElement {
    }
    var HTMLRuxIconCloudUploadElement: {
        prototype: HTMLRuxIconCloudUploadElement;
        new (): HTMLRuxIconCloudUploadElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCodeElement extends Components.RuxIconCode, HTMLStencilElement {
    }
    var HTMLRuxIconCodeElement: {
        prototype: HTMLRuxIconCodeElement;
        new (): HTMLRuxIconCodeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCollectionsElement extends Components.RuxIconCollections, HTMLStencilElement {
    }
    var HTMLRuxIconCollectionsElement: {
        prototype: HTMLRuxIconCollectionsElement;
        new (): HTMLRuxIconCollectionsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCollectionsBookmarkElement extends Components.RuxIconCollectionsBookmark, HTMLStencilElement {
    }
    var HTMLRuxIconCollectionsBookmarkElement: {
        prototype: HTMLRuxIconCollectionsBookmarkElement;
        new (): HTMLRuxIconCollectionsBookmarkElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconColorLensElement extends Components.RuxIconColorLens, HTMLStencilElement {
    }
    var HTMLRuxIconColorLensElement: {
        prototype: HTMLRuxIconColorLensElement;
        new (): HTMLRuxIconColorLensElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconColorizeElement extends Components.RuxIconColorize, HTMLStencilElement {
    }
    var HTMLRuxIconColorizeElement: {
        prototype: HTMLRuxIconColorizeElement;
        new (): HTMLRuxIconColorizeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCommentElement extends Components.RuxIconComment, HTMLStencilElement {
    }
    var HTMLRuxIconCommentElement: {
        prototype: HTMLRuxIconCommentElement;
        new (): HTMLRuxIconCommentElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCommuteElement extends Components.RuxIconCommute, HTMLStencilElement {
    }
    var HTMLRuxIconCommuteElement: {
        prototype: HTMLRuxIconCommuteElement;
        new (): HTMLRuxIconCommuteElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCompareElement extends Components.RuxIconCompare, HTMLStencilElement {
    }
    var HTMLRuxIconCompareElement: {
        prototype: HTMLRuxIconCompareElement;
        new (): HTMLRuxIconCompareElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCompareArrowsElement extends Components.RuxIconCompareArrows, HTMLStencilElement {
    }
    var HTMLRuxIconCompareArrowsElement: {
        prototype: HTMLRuxIconCompareArrowsElement;
        new (): HTMLRuxIconCompareArrowsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCompassCalibrationElement extends Components.RuxIconCompassCalibration, HTMLStencilElement {
    }
    var HTMLRuxIconCompassCalibrationElement: {
        prototype: HTMLRuxIconCompassCalibrationElement;
        new (): HTMLRuxIconCompassCalibrationElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconComputerElement extends Components.RuxIconComputer, HTMLStencilElement {
    }
    var HTMLRuxIconComputerElement: {
        prototype: HTMLRuxIconComputerElement;
        new (): HTMLRuxIconComputerElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconConfirmationNumberElement extends Components.RuxIconConfirmationNumber, HTMLStencilElement {
    }
    var HTMLRuxIconConfirmationNumberElement: {
        prototype: HTMLRuxIconConfirmationNumberElement;
        new (): HTMLRuxIconConfirmationNumberElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconContactMailElement extends Components.RuxIconContactMail, HTMLStencilElement {
    }
    var HTMLRuxIconContactMailElement: {
        prototype: HTMLRuxIconContactMailElement;
        new (): HTMLRuxIconContactMailElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconContactPhoneElement extends Components.RuxIconContactPhone, HTMLStencilElement {
    }
    var HTMLRuxIconContactPhoneElement: {
        prototype: HTMLRuxIconContactPhoneElement;
        new (): HTMLRuxIconContactPhoneElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconContactSupportElement extends Components.RuxIconContactSupport, HTMLStencilElement {
    }
    var HTMLRuxIconContactSupportElement: {
        prototype: HTMLRuxIconContactSupportElement;
        new (): HTMLRuxIconContactSupportElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconContactsElement extends Components.RuxIconContacts, HTMLStencilElement {
    }
    var HTMLRuxIconContactsElement: {
        prototype: HTMLRuxIconContactsElement;
        new (): HTMLRuxIconContactsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconControlCameraElement extends Components.RuxIconControlCamera, HTMLStencilElement {
    }
    var HTMLRuxIconControlCameraElement: {
        prototype: HTMLRuxIconControlCameraElement;
        new (): HTMLRuxIconControlCameraElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconControlPointElement extends Components.RuxIconControlPoint, HTMLStencilElement {
    }
    var HTMLRuxIconControlPointElement: {
        prototype: HTMLRuxIconControlPointElement;
        new (): HTMLRuxIconControlPointElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconControlPointDuplicateElement extends Components.RuxIconControlPointDuplicate, HTMLStencilElement {
    }
    var HTMLRuxIconControlPointDuplicateElement: {
        prototype: HTMLRuxIconControlPointDuplicateElement;
        new (): HTMLRuxIconControlPointDuplicateElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCopyrightElement extends Components.RuxIconCopyright, HTMLStencilElement {
    }
    var HTMLRuxIconCopyrightElement: {
        prototype: HTMLRuxIconCopyrightElement;
        new (): HTMLRuxIconCopyrightElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCreateElement extends Components.RuxIconCreate, HTMLStencilElement {
    }
    var HTMLRuxIconCreateElement: {
        prototype: HTMLRuxIconCreateElement;
        new (): HTMLRuxIconCreateElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCreateNewFolderElement extends Components.RuxIconCreateNewFolder, HTMLStencilElement {
    }
    var HTMLRuxIconCreateNewFolderElement: {
        prototype: HTMLRuxIconCreateNewFolderElement;
        new (): HTMLRuxIconCreateNewFolderElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCreditCardElement extends Components.RuxIconCreditCard, HTMLStencilElement {
    }
    var HTMLRuxIconCreditCardElement: {
        prototype: HTMLRuxIconCreditCardElement;
        new (): HTMLRuxIconCreditCardElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCropElement extends Components.RuxIconCrop, HTMLStencilElement {
    }
    var HTMLRuxIconCropElement: {
        prototype: HTMLRuxIconCropElement;
        new (): HTMLRuxIconCropElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCrop169Element extends Components.RuxIconCrop169, HTMLStencilElement {
    }
    var HTMLRuxIconCrop169Element: {
        prototype: HTMLRuxIconCrop169Element;
        new (): HTMLRuxIconCrop169Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCrop32Element extends Components.RuxIconCrop32, HTMLStencilElement {
    }
    var HTMLRuxIconCrop32Element: {
        prototype: HTMLRuxIconCrop32Element;
        new (): HTMLRuxIconCrop32Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCrop54Element extends Components.RuxIconCrop54, HTMLStencilElement {
    }
    var HTMLRuxIconCrop54Element: {
        prototype: HTMLRuxIconCrop54Element;
        new (): HTMLRuxIconCrop54Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCrop75Element extends Components.RuxIconCrop75, HTMLStencilElement {
    }
    var HTMLRuxIconCrop75Element: {
        prototype: HTMLRuxIconCrop75Element;
        new (): HTMLRuxIconCrop75Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCropDinElement extends Components.RuxIconCropDin, HTMLStencilElement {
    }
    var HTMLRuxIconCropDinElement: {
        prototype: HTMLRuxIconCropDinElement;
        new (): HTMLRuxIconCropDinElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCropFreeElement extends Components.RuxIconCropFree, HTMLStencilElement {
    }
    var HTMLRuxIconCropFreeElement: {
        prototype: HTMLRuxIconCropFreeElement;
        new (): HTMLRuxIconCropFreeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCropLandscapeElement extends Components.RuxIconCropLandscape, HTMLStencilElement {
    }
    var HTMLRuxIconCropLandscapeElement: {
        prototype: HTMLRuxIconCropLandscapeElement;
        new (): HTMLRuxIconCropLandscapeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCropOriginalElement extends Components.RuxIconCropOriginal, HTMLStencilElement {
    }
    var HTMLRuxIconCropOriginalElement: {
        prototype: HTMLRuxIconCropOriginalElement;
        new (): HTMLRuxIconCropOriginalElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCropPortraitElement extends Components.RuxIconCropPortrait, HTMLStencilElement {
    }
    var HTMLRuxIconCropPortraitElement: {
        prototype: HTMLRuxIconCropPortraitElement;
        new (): HTMLRuxIconCropPortraitElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCropRotateElement extends Components.RuxIconCropRotate, HTMLStencilElement {
    }
    var HTMLRuxIconCropRotateElement: {
        prototype: HTMLRuxIconCropRotateElement;
        new (): HTMLRuxIconCropRotateElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconCropSquareElement extends Components.RuxIconCropSquare, HTMLStencilElement {
    }
    var HTMLRuxIconCropSquareElement: {
        prototype: HTMLRuxIconCropSquareElement;
        new (): HTMLRuxIconCropSquareElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDashboardElement extends Components.RuxIconDashboard, HTMLStencilElement {
    }
    var HTMLRuxIconDashboardElement: {
        prototype: HTMLRuxIconDashboardElement;
        new (): HTMLRuxIconDashboardElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDataUsageElement extends Components.RuxIconDataUsage, HTMLStencilElement {
    }
    var HTMLRuxIconDataUsageElement: {
        prototype: HTMLRuxIconDataUsageElement;
        new (): HTMLRuxIconDataUsageElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDateRangeElement extends Components.RuxIconDateRange, HTMLStencilElement {
    }
    var HTMLRuxIconDateRangeElement: {
        prototype: HTMLRuxIconDateRangeElement;
        new (): HTMLRuxIconDateRangeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDehazeElement extends Components.RuxIconDehaze, HTMLStencilElement {
    }
    var HTMLRuxIconDehazeElement: {
        prototype: HTMLRuxIconDehazeElement;
        new (): HTMLRuxIconDehazeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDeleteElement extends Components.RuxIconDelete, HTMLStencilElement {
    }
    var HTMLRuxIconDeleteElement: {
        prototype: HTMLRuxIconDeleteElement;
        new (): HTMLRuxIconDeleteElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDeleteForeverElement extends Components.RuxIconDeleteForever, HTMLStencilElement {
    }
    var HTMLRuxIconDeleteForeverElement: {
        prototype: HTMLRuxIconDeleteForeverElement;
        new (): HTMLRuxIconDeleteForeverElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDeleteOutlineElement extends Components.RuxIconDeleteOutline, HTMLStencilElement {
    }
    var HTMLRuxIconDeleteOutlineElement: {
        prototype: HTMLRuxIconDeleteOutlineElement;
        new (): HTMLRuxIconDeleteOutlineElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDeleteSweepElement extends Components.RuxIconDeleteSweep, HTMLStencilElement {
    }
    var HTMLRuxIconDeleteSweepElement: {
        prototype: HTMLRuxIconDeleteSweepElement;
        new (): HTMLRuxIconDeleteSweepElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDepartureBoardElement extends Components.RuxIconDepartureBoard, HTMLStencilElement {
    }
    var HTMLRuxIconDepartureBoardElement: {
        prototype: HTMLRuxIconDepartureBoardElement;
        new (): HTMLRuxIconDepartureBoardElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDescriptionElement extends Components.RuxIconDescription, HTMLStencilElement {
    }
    var HTMLRuxIconDescriptionElement: {
        prototype: HTMLRuxIconDescriptionElement;
        new (): HTMLRuxIconDescriptionElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDesktopAccessDisabledElement extends Components.RuxIconDesktopAccessDisabled, HTMLStencilElement {
    }
    var HTMLRuxIconDesktopAccessDisabledElement: {
        prototype: HTMLRuxIconDesktopAccessDisabledElement;
        new (): HTMLRuxIconDesktopAccessDisabledElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDesktopMacElement extends Components.RuxIconDesktopMac, HTMLStencilElement {
    }
    var HTMLRuxIconDesktopMacElement: {
        prototype: HTMLRuxIconDesktopMacElement;
        new (): HTMLRuxIconDesktopMacElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDesktopWindowsElement extends Components.RuxIconDesktopWindows, HTMLStencilElement {
    }
    var HTMLRuxIconDesktopWindowsElement: {
        prototype: HTMLRuxIconDesktopWindowsElement;
        new (): HTMLRuxIconDesktopWindowsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDetailsElement extends Components.RuxIconDetails, HTMLStencilElement {
    }
    var HTMLRuxIconDetailsElement: {
        prototype: HTMLRuxIconDetailsElement;
        new (): HTMLRuxIconDetailsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDeveloperBoardElement extends Components.RuxIconDeveloperBoard, HTMLStencilElement {
    }
    var HTMLRuxIconDeveloperBoardElement: {
        prototype: HTMLRuxIconDeveloperBoardElement;
        new (): HTMLRuxIconDeveloperBoardElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDeveloperModeElement extends Components.RuxIconDeveloperMode, HTMLStencilElement {
    }
    var HTMLRuxIconDeveloperModeElement: {
        prototype: HTMLRuxIconDeveloperModeElement;
        new (): HTMLRuxIconDeveloperModeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDeviceHubElement extends Components.RuxIconDeviceHub, HTMLStencilElement {
    }
    var HTMLRuxIconDeviceHubElement: {
        prototype: HTMLRuxIconDeviceHubElement;
        new (): HTMLRuxIconDeviceHubElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDeviceUnknownElement extends Components.RuxIconDeviceUnknown, HTMLStencilElement {
    }
    var HTMLRuxIconDeviceUnknownElement: {
        prototype: HTMLRuxIconDeviceUnknownElement;
        new (): HTMLRuxIconDeviceUnknownElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDevicesElement extends Components.RuxIconDevices, HTMLStencilElement {
    }
    var HTMLRuxIconDevicesElement: {
        prototype: HTMLRuxIconDevicesElement;
        new (): HTMLRuxIconDevicesElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDevicesOtherElement extends Components.RuxIconDevicesOther, HTMLStencilElement {
    }
    var HTMLRuxIconDevicesOtherElement: {
        prototype: HTMLRuxIconDevicesOtherElement;
        new (): HTMLRuxIconDevicesOtherElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDialerSipElement extends Components.RuxIconDialerSip, HTMLStencilElement {
    }
    var HTMLRuxIconDialerSipElement: {
        prototype: HTMLRuxIconDialerSipElement;
        new (): HTMLRuxIconDialerSipElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDialpadElement extends Components.RuxIconDialpad, HTMLStencilElement {
    }
    var HTMLRuxIconDialpadElement: {
        prototype: HTMLRuxIconDialpadElement;
        new (): HTMLRuxIconDialpadElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDirectionsElement extends Components.RuxIconDirections, HTMLStencilElement {
    }
    var HTMLRuxIconDirectionsElement: {
        prototype: HTMLRuxIconDirectionsElement;
        new (): HTMLRuxIconDirectionsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDirectionsBikeElement extends Components.RuxIconDirectionsBike, HTMLStencilElement {
    }
    var HTMLRuxIconDirectionsBikeElement: {
        prototype: HTMLRuxIconDirectionsBikeElement;
        new (): HTMLRuxIconDirectionsBikeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDirectionsBoatElement extends Components.RuxIconDirectionsBoat, HTMLStencilElement {
    }
    var HTMLRuxIconDirectionsBoatElement: {
        prototype: HTMLRuxIconDirectionsBoatElement;
        new (): HTMLRuxIconDirectionsBoatElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDirectionsBusElement extends Components.RuxIconDirectionsBus, HTMLStencilElement {
    }
    var HTMLRuxIconDirectionsBusElement: {
        prototype: HTMLRuxIconDirectionsBusElement;
        new (): HTMLRuxIconDirectionsBusElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDirectionsCarElement extends Components.RuxIconDirectionsCar, HTMLStencilElement {
    }
    var HTMLRuxIconDirectionsCarElement: {
        prototype: HTMLRuxIconDirectionsCarElement;
        new (): HTMLRuxIconDirectionsCarElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDirectionsRailwayElement extends Components.RuxIconDirectionsRailway, HTMLStencilElement {
    }
    var HTMLRuxIconDirectionsRailwayElement: {
        prototype: HTMLRuxIconDirectionsRailwayElement;
        new (): HTMLRuxIconDirectionsRailwayElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDirectionsRunElement extends Components.RuxIconDirectionsRun, HTMLStencilElement {
    }
    var HTMLRuxIconDirectionsRunElement: {
        prototype: HTMLRuxIconDirectionsRunElement;
        new (): HTMLRuxIconDirectionsRunElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDirectionsSubwayElement extends Components.RuxIconDirectionsSubway, HTMLStencilElement {
    }
    var HTMLRuxIconDirectionsSubwayElement: {
        prototype: HTMLRuxIconDirectionsSubwayElement;
        new (): HTMLRuxIconDirectionsSubwayElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDirectionsTransitElement extends Components.RuxIconDirectionsTransit, HTMLStencilElement {
    }
    var HTMLRuxIconDirectionsTransitElement: {
        prototype: HTMLRuxIconDirectionsTransitElement;
        new (): HTMLRuxIconDirectionsTransitElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDirectionsWalkElement extends Components.RuxIconDirectionsWalk, HTMLStencilElement {
    }
    var HTMLRuxIconDirectionsWalkElement: {
        prototype: HTMLRuxIconDirectionsWalkElement;
        new (): HTMLRuxIconDirectionsWalkElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDiscFullElement extends Components.RuxIconDiscFull, HTMLStencilElement {
    }
    var HTMLRuxIconDiscFullElement: {
        prototype: HTMLRuxIconDiscFullElement;
        new (): HTMLRuxIconDiscFullElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDnsElement extends Components.RuxIconDns, HTMLStencilElement {
    }
    var HTMLRuxIconDnsElement: {
        prototype: HTMLRuxIconDnsElement;
        new (): HTMLRuxIconDnsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDockElement extends Components.RuxIconDock, HTMLStencilElement {
    }
    var HTMLRuxIconDockElement: {
        prototype: HTMLRuxIconDockElement;
        new (): HTMLRuxIconDockElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDomainElement extends Components.RuxIconDomain, HTMLStencilElement {
    }
    var HTMLRuxIconDomainElement: {
        prototype: HTMLRuxIconDomainElement;
        new (): HTMLRuxIconDomainElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDomainDisabledElement extends Components.RuxIconDomainDisabled, HTMLStencilElement {
    }
    var HTMLRuxIconDomainDisabledElement: {
        prototype: HTMLRuxIconDomainDisabledElement;
        new (): HTMLRuxIconDomainDisabledElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDoneElement extends Components.RuxIconDone, HTMLStencilElement {
    }
    var HTMLRuxIconDoneElement: {
        prototype: HTMLRuxIconDoneElement;
        new (): HTMLRuxIconDoneElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDoneAllElement extends Components.RuxIconDoneAll, HTMLStencilElement {
    }
    var HTMLRuxIconDoneAllElement: {
        prototype: HTMLRuxIconDoneAllElement;
        new (): HTMLRuxIconDoneAllElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDoneOutlineElement extends Components.RuxIconDoneOutline, HTMLStencilElement {
    }
    var HTMLRuxIconDoneOutlineElement: {
        prototype: HTMLRuxIconDoneOutlineElement;
        new (): HTMLRuxIconDoneOutlineElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDonutLargeElement extends Components.RuxIconDonutLarge, HTMLStencilElement {
    }
    var HTMLRuxIconDonutLargeElement: {
        prototype: HTMLRuxIconDonutLargeElement;
        new (): HTMLRuxIconDonutLargeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDonutSmallElement extends Components.RuxIconDonutSmall, HTMLStencilElement {
    }
    var HTMLRuxIconDonutSmallElement: {
        prototype: HTMLRuxIconDonutSmallElement;
        new (): HTMLRuxIconDonutSmallElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDraftsElement extends Components.RuxIconDrafts, HTMLStencilElement {
    }
    var HTMLRuxIconDraftsElement: {
        prototype: HTMLRuxIconDraftsElement;
        new (): HTMLRuxIconDraftsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDragHandleElement extends Components.RuxIconDragHandle, HTMLStencilElement {
    }
    var HTMLRuxIconDragHandleElement: {
        prototype: HTMLRuxIconDragHandleElement;
        new (): HTMLRuxIconDragHandleElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDragIndicatorElement extends Components.RuxIconDragIndicator, HTMLStencilElement {
    }
    var HTMLRuxIconDragIndicatorElement: {
        prototype: HTMLRuxIconDragIndicatorElement;
        new (): HTMLRuxIconDragIndicatorElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDriveEtaElement extends Components.RuxIconDriveEta, HTMLStencilElement {
    }
    var HTMLRuxIconDriveEtaElement: {
        prototype: HTMLRuxIconDriveEtaElement;
        new (): HTMLRuxIconDriveEtaElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDuoElement extends Components.RuxIconDuo, HTMLStencilElement {
    }
    var HTMLRuxIconDuoElement: {
        prototype: HTMLRuxIconDuoElement;
        new (): HTMLRuxIconDuoElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconDvrElement extends Components.RuxIconDvr, HTMLStencilElement {
    }
    var HTMLRuxIconDvrElement: {
        prototype: HTMLRuxIconDvrElement;
        new (): HTMLRuxIconDvrElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconEditElement extends Components.RuxIconEdit, HTMLStencilElement {
    }
    var HTMLRuxIconEditElement: {
        prototype: HTMLRuxIconEditElement;
        new (): HTMLRuxIconEditElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconEditAttributesElement extends Components.RuxIconEditAttributes, HTMLStencilElement {
    }
    var HTMLRuxIconEditAttributesElement: {
        prototype: HTMLRuxIconEditAttributesElement;
        new (): HTMLRuxIconEditAttributesElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconEditLocationElement extends Components.RuxIconEditLocation, HTMLStencilElement {
    }
    var HTMLRuxIconEditLocationElement: {
        prototype: HTMLRuxIconEditLocationElement;
        new (): HTMLRuxIconEditLocationElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconEjectElement extends Components.RuxIconEject, HTMLStencilElement {
    }
    var HTMLRuxIconEjectElement: {
        prototype: HTMLRuxIconEjectElement;
        new (): HTMLRuxIconEjectElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconEmailElement extends Components.RuxIconEmail, HTMLStencilElement {
    }
    var HTMLRuxIconEmailElement: {
        prototype: HTMLRuxIconEmailElement;
        new (): HTMLRuxIconEmailElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconEnhancedEncryptionElement extends Components.RuxIconEnhancedEncryption, HTMLStencilElement {
    }
    var HTMLRuxIconEnhancedEncryptionElement: {
        prototype: HTMLRuxIconEnhancedEncryptionElement;
        new (): HTMLRuxIconEnhancedEncryptionElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconEqualizerElement extends Components.RuxIconEqualizer, HTMLStencilElement {
    }
    var HTMLRuxIconEqualizerElement: {
        prototype: HTMLRuxIconEqualizerElement;
        new (): HTMLRuxIconEqualizerElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconEquipmentElement extends Components.RuxIconEquipment, HTMLStencilElement {
    }
    var HTMLRuxIconEquipmentElement: {
        prototype: HTMLRuxIconEquipmentElement;
        new (): HTMLRuxIconEquipmentElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconErrorElement extends Components.RuxIconError, HTMLStencilElement {
    }
    var HTMLRuxIconErrorElement: {
        prototype: HTMLRuxIconErrorElement;
        new (): HTMLRuxIconErrorElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconErrorOutlineElement extends Components.RuxIconErrorOutline, HTMLStencilElement {
    }
    var HTMLRuxIconErrorOutlineElement: {
        prototype: HTMLRuxIconErrorOutlineElement;
        new (): HTMLRuxIconErrorOutlineElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconEuroSymbolElement extends Components.RuxIconEuroSymbol, HTMLStencilElement {
    }
    var HTMLRuxIconEuroSymbolElement: {
        prototype: HTMLRuxIconEuroSymbolElement;
        new (): HTMLRuxIconEuroSymbolElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconEvStationElement extends Components.RuxIconEvStation, HTMLStencilElement {
    }
    var HTMLRuxIconEvStationElement: {
        prototype: HTMLRuxIconEvStationElement;
        new (): HTMLRuxIconEvStationElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconEventElement extends Components.RuxIconEvent, HTMLStencilElement {
    }
    var HTMLRuxIconEventElement: {
        prototype: HTMLRuxIconEventElement;
        new (): HTMLRuxIconEventElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconEventAvailableElement extends Components.RuxIconEventAvailable, HTMLStencilElement {
    }
    var HTMLRuxIconEventAvailableElement: {
        prototype: HTMLRuxIconEventAvailableElement;
        new (): HTMLRuxIconEventAvailableElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconEventBusyElement extends Components.RuxIconEventBusy, HTMLStencilElement {
    }
    var HTMLRuxIconEventBusyElement: {
        prototype: HTMLRuxIconEventBusyElement;
        new (): HTMLRuxIconEventBusyElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconEventNoteElement extends Components.RuxIconEventNote, HTMLStencilElement {
    }
    var HTMLRuxIconEventNoteElement: {
        prototype: HTMLRuxIconEventNoteElement;
        new (): HTMLRuxIconEventNoteElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconExitToAppElement extends Components.RuxIconExitToApp, HTMLStencilElement {
    }
    var HTMLRuxIconExitToAppElement: {
        prototype: HTMLRuxIconExitToAppElement;
        new (): HTMLRuxIconExitToAppElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconExpandLessElement extends Components.RuxIconExpandLess, HTMLStencilElement {
    }
    var HTMLRuxIconExpandLessElement: {
        prototype: HTMLRuxIconExpandLessElement;
        new (): HTMLRuxIconExpandLessElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconExpandMoreElement extends Components.RuxIconExpandMore, HTMLStencilElement {
    }
    var HTMLRuxIconExpandMoreElement: {
        prototype: HTMLRuxIconExpandMoreElement;
        new (): HTMLRuxIconExpandMoreElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconExplicitElement extends Components.RuxIconExplicit, HTMLStencilElement {
    }
    var HTMLRuxIconExplicitElement: {
        prototype: HTMLRuxIconExplicitElement;
        new (): HTMLRuxIconExplicitElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconExploreElement extends Components.RuxIconExplore, HTMLStencilElement {
    }
    var HTMLRuxIconExploreElement: {
        prototype: HTMLRuxIconExploreElement;
        new (): HTMLRuxIconExploreElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconExploreOffElement extends Components.RuxIconExploreOff, HTMLStencilElement {
    }
    var HTMLRuxIconExploreOffElement: {
        prototype: HTMLRuxIconExploreOffElement;
        new (): HTMLRuxIconExploreOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconExposureElement extends Components.RuxIconExposure, HTMLStencilElement {
    }
    var HTMLRuxIconExposureElement: {
        prototype: HTMLRuxIconExposureElement;
        new (): HTMLRuxIconExposureElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconExposureNeg1Element extends Components.RuxIconExposureNeg1, HTMLStencilElement {
    }
    var HTMLRuxIconExposureNeg1Element: {
        prototype: HTMLRuxIconExposureNeg1Element;
        new (): HTMLRuxIconExposureNeg1Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconExposureNeg2Element extends Components.RuxIconExposureNeg2, HTMLStencilElement {
    }
    var HTMLRuxIconExposureNeg2Element: {
        prototype: HTMLRuxIconExposureNeg2Element;
        new (): HTMLRuxIconExposureNeg2Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconExposurePlus1Element extends Components.RuxIconExposurePlus1, HTMLStencilElement {
    }
    var HTMLRuxIconExposurePlus1Element: {
        prototype: HTMLRuxIconExposurePlus1Element;
        new (): HTMLRuxIconExposurePlus1Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconExposurePlus2Element extends Components.RuxIconExposurePlus2, HTMLStencilElement {
    }
    var HTMLRuxIconExposurePlus2Element: {
        prototype: HTMLRuxIconExposurePlus2Element;
        new (): HTMLRuxIconExposurePlus2Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconExposureZeroElement extends Components.RuxIconExposureZero, HTMLStencilElement {
    }
    var HTMLRuxIconExposureZeroElement: {
        prototype: HTMLRuxIconExposureZeroElement;
        new (): HTMLRuxIconExposureZeroElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconExtensionElement extends Components.RuxIconExtension, HTMLStencilElement {
    }
    var HTMLRuxIconExtensionElement: {
        prototype: HTMLRuxIconExtensionElement;
        new (): HTMLRuxIconExtensionElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFaceElement extends Components.RuxIconFace, HTMLStencilElement {
    }
    var HTMLRuxIconFaceElement: {
        prototype: HTMLRuxIconFaceElement;
        new (): HTMLRuxIconFaceElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFastForwardElement extends Components.RuxIconFastForward, HTMLStencilElement {
    }
    var HTMLRuxIconFastForwardElement: {
        prototype: HTMLRuxIconFastForwardElement;
        new (): HTMLRuxIconFastForwardElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFastRewindElement extends Components.RuxIconFastRewind, HTMLStencilElement {
    }
    var HTMLRuxIconFastRewindElement: {
        prototype: HTMLRuxIconFastRewindElement;
        new (): HTMLRuxIconFastRewindElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFastfoodElement extends Components.RuxIconFastfood, HTMLStencilElement {
    }
    var HTMLRuxIconFastfoodElement: {
        prototype: HTMLRuxIconFastfoodElement;
        new (): HTMLRuxIconFastfoodElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFavoriteElement extends Components.RuxIconFavorite, HTMLStencilElement {
    }
    var HTMLRuxIconFavoriteElement: {
        prototype: HTMLRuxIconFavoriteElement;
        new (): HTMLRuxIconFavoriteElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFavoriteBorderElement extends Components.RuxIconFavoriteBorder, HTMLStencilElement {
    }
    var HTMLRuxIconFavoriteBorderElement: {
        prototype: HTMLRuxIconFavoriteBorderElement;
        new (): HTMLRuxIconFavoriteBorderElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFeaturedPlayListElement extends Components.RuxIconFeaturedPlayList, HTMLStencilElement {
    }
    var HTMLRuxIconFeaturedPlayListElement: {
        prototype: HTMLRuxIconFeaturedPlayListElement;
        new (): HTMLRuxIconFeaturedPlayListElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFeaturedVideoElement extends Components.RuxIconFeaturedVideo, HTMLStencilElement {
    }
    var HTMLRuxIconFeaturedVideoElement: {
        prototype: HTMLRuxIconFeaturedVideoElement;
        new (): HTMLRuxIconFeaturedVideoElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFeedbackElement extends Components.RuxIconFeedback, HTMLStencilElement {
    }
    var HTMLRuxIconFeedbackElement: {
        prototype: HTMLRuxIconFeedbackElement;
        new (): HTMLRuxIconFeedbackElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFiberDvrElement extends Components.RuxIconFiberDvr, HTMLStencilElement {
    }
    var HTMLRuxIconFiberDvrElement: {
        prototype: HTMLRuxIconFiberDvrElement;
        new (): HTMLRuxIconFiberDvrElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFiberManualRecordElement extends Components.RuxIconFiberManualRecord, HTMLStencilElement {
    }
    var HTMLRuxIconFiberManualRecordElement: {
        prototype: HTMLRuxIconFiberManualRecordElement;
        new (): HTMLRuxIconFiberManualRecordElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFiberNewElement extends Components.RuxIconFiberNew, HTMLStencilElement {
    }
    var HTMLRuxIconFiberNewElement: {
        prototype: HTMLRuxIconFiberNewElement;
        new (): HTMLRuxIconFiberNewElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFiberPinElement extends Components.RuxIconFiberPin, HTMLStencilElement {
    }
    var HTMLRuxIconFiberPinElement: {
        prototype: HTMLRuxIconFiberPinElement;
        new (): HTMLRuxIconFiberPinElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFiberSmartRecordElement extends Components.RuxIconFiberSmartRecord, HTMLStencilElement {
    }
    var HTMLRuxIconFiberSmartRecordElement: {
        prototype: HTMLRuxIconFiberSmartRecordElement;
        new (): HTMLRuxIconFiberSmartRecordElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFileCopyElement extends Components.RuxIconFileCopy, HTMLStencilElement {
    }
    var HTMLRuxIconFileCopyElement: {
        prototype: HTMLRuxIconFileCopyElement;
        new (): HTMLRuxIconFileCopyElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFilterElement extends Components.RuxIconFilter, HTMLStencilElement {
    }
    var HTMLRuxIconFilterElement: {
        prototype: HTMLRuxIconFilterElement;
        new (): HTMLRuxIconFilterElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFilter1Element extends Components.RuxIconFilter1, HTMLStencilElement {
    }
    var HTMLRuxIconFilter1Element: {
        prototype: HTMLRuxIconFilter1Element;
        new (): HTMLRuxIconFilter1Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFilter2Element extends Components.RuxIconFilter2, HTMLStencilElement {
    }
    var HTMLRuxIconFilter2Element: {
        prototype: HTMLRuxIconFilter2Element;
        new (): HTMLRuxIconFilter2Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFilter3Element extends Components.RuxIconFilter3, HTMLStencilElement {
    }
    var HTMLRuxIconFilter3Element: {
        prototype: HTMLRuxIconFilter3Element;
        new (): HTMLRuxIconFilter3Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFilter4Element extends Components.RuxIconFilter4, HTMLStencilElement {
    }
    var HTMLRuxIconFilter4Element: {
        prototype: HTMLRuxIconFilter4Element;
        new (): HTMLRuxIconFilter4Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFilter5Element extends Components.RuxIconFilter5, HTMLStencilElement {
    }
    var HTMLRuxIconFilter5Element: {
        prototype: HTMLRuxIconFilter5Element;
        new (): HTMLRuxIconFilter5Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFilter6Element extends Components.RuxIconFilter6, HTMLStencilElement {
    }
    var HTMLRuxIconFilter6Element: {
        prototype: HTMLRuxIconFilter6Element;
        new (): HTMLRuxIconFilter6Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFilter7Element extends Components.RuxIconFilter7, HTMLStencilElement {
    }
    var HTMLRuxIconFilter7Element: {
        prototype: HTMLRuxIconFilter7Element;
        new (): HTMLRuxIconFilter7Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFilter8Element extends Components.RuxIconFilter8, HTMLStencilElement {
    }
    var HTMLRuxIconFilter8Element: {
        prototype: HTMLRuxIconFilter8Element;
        new (): HTMLRuxIconFilter8Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFilter9Element extends Components.RuxIconFilter9, HTMLStencilElement {
    }
    var HTMLRuxIconFilter9Element: {
        prototype: HTMLRuxIconFilter9Element;
        new (): HTMLRuxIconFilter9Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFilter9PlusElement extends Components.RuxIconFilter9Plus, HTMLStencilElement {
    }
    var HTMLRuxIconFilter9PlusElement: {
        prototype: HTMLRuxIconFilter9PlusElement;
        new (): HTMLRuxIconFilter9PlusElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFilterBAndWElement extends Components.RuxIconFilterBAndW, HTMLStencilElement {
    }
    var HTMLRuxIconFilterBAndWElement: {
        prototype: HTMLRuxIconFilterBAndWElement;
        new (): HTMLRuxIconFilterBAndWElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFilterCenterFocusElement extends Components.RuxIconFilterCenterFocus, HTMLStencilElement {
    }
    var HTMLRuxIconFilterCenterFocusElement: {
        prototype: HTMLRuxIconFilterCenterFocusElement;
        new (): HTMLRuxIconFilterCenterFocusElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFilterDramaElement extends Components.RuxIconFilterDrama, HTMLStencilElement {
    }
    var HTMLRuxIconFilterDramaElement: {
        prototype: HTMLRuxIconFilterDramaElement;
        new (): HTMLRuxIconFilterDramaElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFilterFramesElement extends Components.RuxIconFilterFrames, HTMLStencilElement {
    }
    var HTMLRuxIconFilterFramesElement: {
        prototype: HTMLRuxIconFilterFramesElement;
        new (): HTMLRuxIconFilterFramesElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFilterHdrElement extends Components.RuxIconFilterHdr, HTMLStencilElement {
    }
    var HTMLRuxIconFilterHdrElement: {
        prototype: HTMLRuxIconFilterHdrElement;
        new (): HTMLRuxIconFilterHdrElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFilterListElement extends Components.RuxIconFilterList, HTMLStencilElement {
    }
    var HTMLRuxIconFilterListElement: {
        prototype: HTMLRuxIconFilterListElement;
        new (): HTMLRuxIconFilterListElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFilterNoneElement extends Components.RuxIconFilterNone, HTMLStencilElement {
    }
    var HTMLRuxIconFilterNoneElement: {
        prototype: HTMLRuxIconFilterNoneElement;
        new (): HTMLRuxIconFilterNoneElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFilterTiltShiftElement extends Components.RuxIconFilterTiltShift, HTMLStencilElement {
    }
    var HTMLRuxIconFilterTiltShiftElement: {
        prototype: HTMLRuxIconFilterTiltShiftElement;
        new (): HTMLRuxIconFilterTiltShiftElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFilterVintageElement extends Components.RuxIconFilterVintage, HTMLStencilElement {
    }
    var HTMLRuxIconFilterVintageElement: {
        prototype: HTMLRuxIconFilterVintageElement;
        new (): HTMLRuxIconFilterVintageElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFindInPageElement extends Components.RuxIconFindInPage, HTMLStencilElement {
    }
    var HTMLRuxIconFindInPageElement: {
        prototype: HTMLRuxIconFindInPageElement;
        new (): HTMLRuxIconFindInPageElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFindReplaceElement extends Components.RuxIconFindReplace, HTMLStencilElement {
    }
    var HTMLRuxIconFindReplaceElement: {
        prototype: HTMLRuxIconFindReplaceElement;
        new (): HTMLRuxIconFindReplaceElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFingerprintElement extends Components.RuxIconFingerprint, HTMLStencilElement {
    }
    var HTMLRuxIconFingerprintElement: {
        prototype: HTMLRuxIconFingerprintElement;
        new (): HTMLRuxIconFingerprintElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFirstPageElement extends Components.RuxIconFirstPage, HTMLStencilElement {
    }
    var HTMLRuxIconFirstPageElement: {
        prototype: HTMLRuxIconFirstPageElement;
        new (): HTMLRuxIconFirstPageElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFitnessCenterElement extends Components.RuxIconFitnessCenter, HTMLStencilElement {
    }
    var HTMLRuxIconFitnessCenterElement: {
        prototype: HTMLRuxIconFitnessCenterElement;
        new (): HTMLRuxIconFitnessCenterElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFlagElement extends Components.RuxIconFlag, HTMLStencilElement {
    }
    var HTMLRuxIconFlagElement: {
        prototype: HTMLRuxIconFlagElement;
        new (): HTMLRuxIconFlagElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFlareElement extends Components.RuxIconFlare, HTMLStencilElement {
    }
    var HTMLRuxIconFlareElement: {
        prototype: HTMLRuxIconFlareElement;
        new (): HTMLRuxIconFlareElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFlashAutoElement extends Components.RuxIconFlashAuto, HTMLStencilElement {
    }
    var HTMLRuxIconFlashAutoElement: {
        prototype: HTMLRuxIconFlashAutoElement;
        new (): HTMLRuxIconFlashAutoElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFlashOffElement extends Components.RuxIconFlashOff, HTMLStencilElement {
    }
    var HTMLRuxIconFlashOffElement: {
        prototype: HTMLRuxIconFlashOffElement;
        new (): HTMLRuxIconFlashOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFlashOnElement extends Components.RuxIconFlashOn, HTMLStencilElement {
    }
    var HTMLRuxIconFlashOnElement: {
        prototype: HTMLRuxIconFlashOnElement;
        new (): HTMLRuxIconFlashOnElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFlightElement extends Components.RuxIconFlight, HTMLStencilElement {
    }
    var HTMLRuxIconFlightElement: {
        prototype: HTMLRuxIconFlightElement;
        new (): HTMLRuxIconFlightElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFlightLandElement extends Components.RuxIconFlightLand, HTMLStencilElement {
    }
    var HTMLRuxIconFlightLandElement: {
        prototype: HTMLRuxIconFlightLandElement;
        new (): HTMLRuxIconFlightLandElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFlightTakeoffElement extends Components.RuxIconFlightTakeoff, HTMLStencilElement {
    }
    var HTMLRuxIconFlightTakeoffElement: {
        prototype: HTMLRuxIconFlightTakeoffElement;
        new (): HTMLRuxIconFlightTakeoffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFlipElement extends Components.RuxIconFlip, HTMLStencilElement {
    }
    var HTMLRuxIconFlipElement: {
        prototype: HTMLRuxIconFlipElement;
        new (): HTMLRuxIconFlipElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFlipToBackElement extends Components.RuxIconFlipToBack, HTMLStencilElement {
    }
    var HTMLRuxIconFlipToBackElement: {
        prototype: HTMLRuxIconFlipToBackElement;
        new (): HTMLRuxIconFlipToBackElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFlipToFrontElement extends Components.RuxIconFlipToFront, HTMLStencilElement {
    }
    var HTMLRuxIconFlipToFrontElement: {
        prototype: HTMLRuxIconFlipToFrontElement;
        new (): HTMLRuxIconFlipToFrontElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFolderElement extends Components.RuxIconFolder, HTMLStencilElement {
    }
    var HTMLRuxIconFolderElement: {
        prototype: HTMLRuxIconFolderElement;
        new (): HTMLRuxIconFolderElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFolderOpenElement extends Components.RuxIconFolderOpen, HTMLStencilElement {
    }
    var HTMLRuxIconFolderOpenElement: {
        prototype: HTMLRuxIconFolderOpenElement;
        new (): HTMLRuxIconFolderOpenElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFolderSharedElement extends Components.RuxIconFolderShared, HTMLStencilElement {
    }
    var HTMLRuxIconFolderSharedElement: {
        prototype: HTMLRuxIconFolderSharedElement;
        new (): HTMLRuxIconFolderSharedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFolderSpecialElement extends Components.RuxIconFolderSpecial, HTMLStencilElement {
    }
    var HTMLRuxIconFolderSpecialElement: {
        prototype: HTMLRuxIconFolderSpecialElement;
        new (): HTMLRuxIconFolderSpecialElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFontDownloadElement extends Components.RuxIconFontDownload, HTMLStencilElement {
    }
    var HTMLRuxIconFontDownloadElement: {
        prototype: HTMLRuxIconFontDownloadElement;
        new (): HTMLRuxIconFontDownloadElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFormatAlignCenterElement extends Components.RuxIconFormatAlignCenter, HTMLStencilElement {
    }
    var HTMLRuxIconFormatAlignCenterElement: {
        prototype: HTMLRuxIconFormatAlignCenterElement;
        new (): HTMLRuxIconFormatAlignCenterElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFormatAlignJustifyElement extends Components.RuxIconFormatAlignJustify, HTMLStencilElement {
    }
    var HTMLRuxIconFormatAlignJustifyElement: {
        prototype: HTMLRuxIconFormatAlignJustifyElement;
        new (): HTMLRuxIconFormatAlignJustifyElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFormatAlignLeftElement extends Components.RuxIconFormatAlignLeft, HTMLStencilElement {
    }
    var HTMLRuxIconFormatAlignLeftElement: {
        prototype: HTMLRuxIconFormatAlignLeftElement;
        new (): HTMLRuxIconFormatAlignLeftElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFormatAlignRightElement extends Components.RuxIconFormatAlignRight, HTMLStencilElement {
    }
    var HTMLRuxIconFormatAlignRightElement: {
        prototype: HTMLRuxIconFormatAlignRightElement;
        new (): HTMLRuxIconFormatAlignRightElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFormatBoldElement extends Components.RuxIconFormatBold, HTMLStencilElement {
    }
    var HTMLRuxIconFormatBoldElement: {
        prototype: HTMLRuxIconFormatBoldElement;
        new (): HTMLRuxIconFormatBoldElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFormatClearElement extends Components.RuxIconFormatClear, HTMLStencilElement {
    }
    var HTMLRuxIconFormatClearElement: {
        prototype: HTMLRuxIconFormatClearElement;
        new (): HTMLRuxIconFormatClearElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFormatColorFillElement extends Components.RuxIconFormatColorFill, HTMLStencilElement {
    }
    var HTMLRuxIconFormatColorFillElement: {
        prototype: HTMLRuxIconFormatColorFillElement;
        new (): HTMLRuxIconFormatColorFillElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFormatColorResetElement extends Components.RuxIconFormatColorReset, HTMLStencilElement {
    }
    var HTMLRuxIconFormatColorResetElement: {
        prototype: HTMLRuxIconFormatColorResetElement;
        new (): HTMLRuxIconFormatColorResetElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFormatColorTextElement extends Components.RuxIconFormatColorText, HTMLStencilElement {
    }
    var HTMLRuxIconFormatColorTextElement: {
        prototype: HTMLRuxIconFormatColorTextElement;
        new (): HTMLRuxIconFormatColorTextElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFormatIndentDecreaseElement extends Components.RuxIconFormatIndentDecrease, HTMLStencilElement {
    }
    var HTMLRuxIconFormatIndentDecreaseElement: {
        prototype: HTMLRuxIconFormatIndentDecreaseElement;
        new (): HTMLRuxIconFormatIndentDecreaseElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFormatIndentIncreaseElement extends Components.RuxIconFormatIndentIncrease, HTMLStencilElement {
    }
    var HTMLRuxIconFormatIndentIncreaseElement: {
        prototype: HTMLRuxIconFormatIndentIncreaseElement;
        new (): HTMLRuxIconFormatIndentIncreaseElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFormatItalicElement extends Components.RuxIconFormatItalic, HTMLStencilElement {
    }
    var HTMLRuxIconFormatItalicElement: {
        prototype: HTMLRuxIconFormatItalicElement;
        new (): HTMLRuxIconFormatItalicElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFormatLineSpacingElement extends Components.RuxIconFormatLineSpacing, HTMLStencilElement {
    }
    var HTMLRuxIconFormatLineSpacingElement: {
        prototype: HTMLRuxIconFormatLineSpacingElement;
        new (): HTMLRuxIconFormatLineSpacingElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFormatListBulletedElement extends Components.RuxIconFormatListBulleted, HTMLStencilElement {
    }
    var HTMLRuxIconFormatListBulletedElement: {
        prototype: HTMLRuxIconFormatListBulletedElement;
        new (): HTMLRuxIconFormatListBulletedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFormatListNumberedElement extends Components.RuxIconFormatListNumbered, HTMLStencilElement {
    }
    var HTMLRuxIconFormatListNumberedElement: {
        prototype: HTMLRuxIconFormatListNumberedElement;
        new (): HTMLRuxIconFormatListNumberedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFormatListNumberedRtlElement extends Components.RuxIconFormatListNumberedRtl, HTMLStencilElement {
    }
    var HTMLRuxIconFormatListNumberedRtlElement: {
        prototype: HTMLRuxIconFormatListNumberedRtlElement;
        new (): HTMLRuxIconFormatListNumberedRtlElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFormatPaintElement extends Components.RuxIconFormatPaint, HTMLStencilElement {
    }
    var HTMLRuxIconFormatPaintElement: {
        prototype: HTMLRuxIconFormatPaintElement;
        new (): HTMLRuxIconFormatPaintElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFormatQuoteElement extends Components.RuxIconFormatQuote, HTMLStencilElement {
    }
    var HTMLRuxIconFormatQuoteElement: {
        prototype: HTMLRuxIconFormatQuoteElement;
        new (): HTMLRuxIconFormatQuoteElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFormatShapesElement extends Components.RuxIconFormatShapes, HTMLStencilElement {
    }
    var HTMLRuxIconFormatShapesElement: {
        prototype: HTMLRuxIconFormatShapesElement;
        new (): HTMLRuxIconFormatShapesElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFormatSizeElement extends Components.RuxIconFormatSize, HTMLStencilElement {
    }
    var HTMLRuxIconFormatSizeElement: {
        prototype: HTMLRuxIconFormatSizeElement;
        new (): HTMLRuxIconFormatSizeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFormatStrikethroughElement extends Components.RuxIconFormatStrikethrough, HTMLStencilElement {
    }
    var HTMLRuxIconFormatStrikethroughElement: {
        prototype: HTMLRuxIconFormatStrikethroughElement;
        new (): HTMLRuxIconFormatStrikethroughElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFormatTextdirectionLToRElement extends Components.RuxIconFormatTextdirectionLToR, HTMLStencilElement {
    }
    var HTMLRuxIconFormatTextdirectionLToRElement: {
        prototype: HTMLRuxIconFormatTextdirectionLToRElement;
        new (): HTMLRuxIconFormatTextdirectionLToRElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFormatTextdirectionRToLElement extends Components.RuxIconFormatTextdirectionRToL, HTMLStencilElement {
    }
    var HTMLRuxIconFormatTextdirectionRToLElement: {
        prototype: HTMLRuxIconFormatTextdirectionRToLElement;
        new (): HTMLRuxIconFormatTextdirectionRToLElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFormatUnderlinedElement extends Components.RuxIconFormatUnderlined, HTMLStencilElement {
    }
    var HTMLRuxIconFormatUnderlinedElement: {
        prototype: HTMLRuxIconFormatUnderlinedElement;
        new (): HTMLRuxIconFormatUnderlinedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconForumElement extends Components.RuxIconForum, HTMLStencilElement {
    }
    var HTMLRuxIconForumElement: {
        prototype: HTMLRuxIconForumElement;
        new (): HTMLRuxIconForumElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconForwardElement extends Components.RuxIconForward, HTMLStencilElement {
    }
    var HTMLRuxIconForwardElement: {
        prototype: HTMLRuxIconForwardElement;
        new (): HTMLRuxIconForwardElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconForward10Element extends Components.RuxIconForward10, HTMLStencilElement {
    }
    var HTMLRuxIconForward10Element: {
        prototype: HTMLRuxIconForward10Element;
        new (): HTMLRuxIconForward10Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconForward30Element extends Components.RuxIconForward30, HTMLStencilElement {
    }
    var HTMLRuxIconForward30Element: {
        prototype: HTMLRuxIconForward30Element;
        new (): HTMLRuxIconForward30Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconForward5Element extends Components.RuxIconForward5, HTMLStencilElement {
    }
    var HTMLRuxIconForward5Element: {
        prototype: HTMLRuxIconForward5Element;
        new (): HTMLRuxIconForward5Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFreeBreakfastElement extends Components.RuxIconFreeBreakfast, HTMLStencilElement {
    }
    var HTMLRuxIconFreeBreakfastElement: {
        prototype: HTMLRuxIconFreeBreakfastElement;
        new (): HTMLRuxIconFreeBreakfastElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFullscreenElement extends Components.RuxIconFullscreen, HTMLStencilElement {
    }
    var HTMLRuxIconFullscreenElement: {
        prototype: HTMLRuxIconFullscreenElement;
        new (): HTMLRuxIconFullscreenElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFullscreenExitElement extends Components.RuxIconFullscreenExit, HTMLStencilElement {
    }
    var HTMLRuxIconFullscreenExitElement: {
        prototype: HTMLRuxIconFullscreenExitElement;
        new (): HTMLRuxIconFullscreenExitElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconFunctionsElement extends Components.RuxIconFunctions, HTMLStencilElement {
    }
    var HTMLRuxIconFunctionsElement: {
        prototype: HTMLRuxIconFunctionsElement;
        new (): HTMLRuxIconFunctionsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconGTranslateElement extends Components.RuxIconGTranslate, HTMLStencilElement {
    }
    var HTMLRuxIconGTranslateElement: {
        prototype: HTMLRuxIconGTranslateElement;
        new (): HTMLRuxIconGTranslateElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconGamepadElement extends Components.RuxIconGamepad, HTMLStencilElement {
    }
    var HTMLRuxIconGamepadElement: {
        prototype: HTMLRuxIconGamepadElement;
        new (): HTMLRuxIconGamepadElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconGamesElement extends Components.RuxIconGames, HTMLStencilElement {
    }
    var HTMLRuxIconGamesElement: {
        prototype: HTMLRuxIconGamesElement;
        new (): HTMLRuxIconGamesElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconGavelElement extends Components.RuxIconGavel, HTMLStencilElement {
    }
    var HTMLRuxIconGavelElement: {
        prototype: HTMLRuxIconGavelElement;
        new (): HTMLRuxIconGavelElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconGestureElement extends Components.RuxIconGesture, HTMLStencilElement {
    }
    var HTMLRuxIconGestureElement: {
        prototype: HTMLRuxIconGestureElement;
        new (): HTMLRuxIconGestureElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconGetAppElement extends Components.RuxIconGetApp, HTMLStencilElement {
    }
    var HTMLRuxIconGetAppElement: {
        prototype: HTMLRuxIconGetAppElement;
        new (): HTMLRuxIconGetAppElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconGifElement extends Components.RuxIconGif, HTMLStencilElement {
    }
    var HTMLRuxIconGifElement: {
        prototype: HTMLRuxIconGifElement;
        new (): HTMLRuxIconGifElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconGolfCourseElement extends Components.RuxIconGolfCourse, HTMLStencilElement {
    }
    var HTMLRuxIconGolfCourseElement: {
        prototype: HTMLRuxIconGolfCourseElement;
        new (): HTMLRuxIconGolfCourseElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconGpsFixedElement extends Components.RuxIconGpsFixed, HTMLStencilElement {
    }
    var HTMLRuxIconGpsFixedElement: {
        prototype: HTMLRuxIconGpsFixedElement;
        new (): HTMLRuxIconGpsFixedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconGpsNotFixedElement extends Components.RuxIconGpsNotFixed, HTMLStencilElement {
    }
    var HTMLRuxIconGpsNotFixedElement: {
        prototype: HTMLRuxIconGpsNotFixedElement;
        new (): HTMLRuxIconGpsNotFixedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconGpsOffElement extends Components.RuxIconGpsOff, HTMLStencilElement {
    }
    var HTMLRuxIconGpsOffElement: {
        prototype: HTMLRuxIconGpsOffElement;
        new (): HTMLRuxIconGpsOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconGradeElement extends Components.RuxIconGrade, HTMLStencilElement {
    }
    var HTMLRuxIconGradeElement: {
        prototype: HTMLRuxIconGradeElement;
        new (): HTMLRuxIconGradeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconGradientElement extends Components.RuxIconGradient, HTMLStencilElement {
    }
    var HTMLRuxIconGradientElement: {
        prototype: HTMLRuxIconGradientElement;
        new (): HTMLRuxIconGradientElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconGrainElement extends Components.RuxIconGrain, HTMLStencilElement {
    }
    var HTMLRuxIconGrainElement: {
        prototype: HTMLRuxIconGrainElement;
        new (): HTMLRuxIconGrainElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconGraphicEqElement extends Components.RuxIconGraphicEq, HTMLStencilElement {
    }
    var HTMLRuxIconGraphicEqElement: {
        prototype: HTMLRuxIconGraphicEqElement;
        new (): HTMLRuxIconGraphicEqElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconGridOffElement extends Components.RuxIconGridOff, HTMLStencilElement {
    }
    var HTMLRuxIconGridOffElement: {
        prototype: HTMLRuxIconGridOffElement;
        new (): HTMLRuxIconGridOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconGridOnElement extends Components.RuxIconGridOn, HTMLStencilElement {
    }
    var HTMLRuxIconGridOnElement: {
        prototype: HTMLRuxIconGridOnElement;
        new (): HTMLRuxIconGridOnElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconGroupElement extends Components.RuxIconGroup, HTMLStencilElement {
    }
    var HTMLRuxIconGroupElement: {
        prototype: HTMLRuxIconGroupElement;
        new (): HTMLRuxIconGroupElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconGroupAddElement extends Components.RuxIconGroupAdd, HTMLStencilElement {
    }
    var HTMLRuxIconGroupAddElement: {
        prototype: HTMLRuxIconGroupAddElement;
        new (): HTMLRuxIconGroupAddElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconGroupWorkElement extends Components.RuxIconGroupWork, HTMLStencilElement {
    }
    var HTMLRuxIconGroupWorkElement: {
        prototype: HTMLRuxIconGroupWorkElement;
        new (): HTMLRuxIconGroupWorkElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHardwareElement extends Components.RuxIconHardware, HTMLStencilElement {
    }
    var HTMLRuxIconHardwareElement: {
        prototype: HTMLRuxIconHardwareElement;
        new (): HTMLRuxIconHardwareElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHdElement extends Components.RuxIconHd, HTMLStencilElement {
    }
    var HTMLRuxIconHdElement: {
        prototype: HTMLRuxIconHdElement;
        new (): HTMLRuxIconHdElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHdrOffElement extends Components.RuxIconHdrOff, HTMLStencilElement {
    }
    var HTMLRuxIconHdrOffElement: {
        prototype: HTMLRuxIconHdrOffElement;
        new (): HTMLRuxIconHdrOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHdrOnElement extends Components.RuxIconHdrOn, HTMLStencilElement {
    }
    var HTMLRuxIconHdrOnElement: {
        prototype: HTMLRuxIconHdrOnElement;
        new (): HTMLRuxIconHdrOnElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHdrStrongElement extends Components.RuxIconHdrStrong, HTMLStencilElement {
    }
    var HTMLRuxIconHdrStrongElement: {
        prototype: HTMLRuxIconHdrStrongElement;
        new (): HTMLRuxIconHdrStrongElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHdrWeakElement extends Components.RuxIconHdrWeak, HTMLStencilElement {
    }
    var HTMLRuxIconHdrWeakElement: {
        prototype: HTMLRuxIconHdrWeakElement;
        new (): HTMLRuxIconHdrWeakElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHeadsetElement extends Components.RuxIconHeadset, HTMLStencilElement {
    }
    var HTMLRuxIconHeadsetElement: {
        prototype: HTMLRuxIconHeadsetElement;
        new (): HTMLRuxIconHeadsetElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHeadsetMicElement extends Components.RuxIconHeadsetMic, HTMLStencilElement {
    }
    var HTMLRuxIconHeadsetMicElement: {
        prototype: HTMLRuxIconHeadsetMicElement;
        new (): HTMLRuxIconHeadsetMicElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHealingElement extends Components.RuxIconHealing, HTMLStencilElement {
    }
    var HTMLRuxIconHealingElement: {
        prototype: HTMLRuxIconHealingElement;
        new (): HTMLRuxIconHealingElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHearingElement extends Components.RuxIconHearing, HTMLStencilElement {
    }
    var HTMLRuxIconHearingElement: {
        prototype: HTMLRuxIconHearingElement;
        new (): HTMLRuxIconHearingElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHelpElement extends Components.RuxIconHelp, HTMLStencilElement {
    }
    var HTMLRuxIconHelpElement: {
        prototype: HTMLRuxIconHelpElement;
        new (): HTMLRuxIconHelpElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHelpOutlineElement extends Components.RuxIconHelpOutline, HTMLStencilElement {
    }
    var HTMLRuxIconHelpOutlineElement: {
        prototype: HTMLRuxIconHelpOutlineElement;
        new (): HTMLRuxIconHelpOutlineElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHighQualityElement extends Components.RuxIconHighQuality, HTMLStencilElement {
    }
    var HTMLRuxIconHighQualityElement: {
        prototype: HTMLRuxIconHighQualityElement;
        new (): HTMLRuxIconHighQualityElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHighlightElement extends Components.RuxIconHighlight, HTMLStencilElement {
    }
    var HTMLRuxIconHighlightElement: {
        prototype: HTMLRuxIconHighlightElement;
        new (): HTMLRuxIconHighlightElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHighlightOffElement extends Components.RuxIconHighlightOff, HTMLStencilElement {
    }
    var HTMLRuxIconHighlightOffElement: {
        prototype: HTMLRuxIconHighlightOffElement;
        new (): HTMLRuxIconHighlightOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHistoryElement extends Components.RuxIconHistory, HTMLStencilElement {
    }
    var HTMLRuxIconHistoryElement: {
        prototype: HTMLRuxIconHistoryElement;
        new (): HTMLRuxIconHistoryElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHomeElement extends Components.RuxIconHome, HTMLStencilElement {
    }
    var HTMLRuxIconHomeElement: {
        prototype: HTMLRuxIconHomeElement;
        new (): HTMLRuxIconHomeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHorizontalSplitElement extends Components.RuxIconHorizontalSplit, HTMLStencilElement {
    }
    var HTMLRuxIconHorizontalSplitElement: {
        prototype: HTMLRuxIconHorizontalSplitElement;
        new (): HTMLRuxIconHorizontalSplitElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHotTubElement extends Components.RuxIconHotTub, HTMLStencilElement {
    }
    var HTMLRuxIconHotTubElement: {
        prototype: HTMLRuxIconHotTubElement;
        new (): HTMLRuxIconHotTubElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHotelElement extends Components.RuxIconHotel, HTMLStencilElement {
    }
    var HTMLRuxIconHotelElement: {
        prototype: HTMLRuxIconHotelElement;
        new (): HTMLRuxIconHotelElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHourglassEmptyElement extends Components.RuxIconHourglassEmpty, HTMLStencilElement {
    }
    var HTMLRuxIconHourglassEmptyElement: {
        prototype: HTMLRuxIconHourglassEmptyElement;
        new (): HTMLRuxIconHourglassEmptyElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHourglassFullElement extends Components.RuxIconHourglassFull, HTMLStencilElement {
    }
    var HTMLRuxIconHourglassFullElement: {
        prototype: HTMLRuxIconHourglassFullElement;
        new (): HTMLRuxIconHourglassFullElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHowToRegElement extends Components.RuxIconHowToReg, HTMLStencilElement {
    }
    var HTMLRuxIconHowToRegElement: {
        prototype: HTMLRuxIconHowToRegElement;
        new (): HTMLRuxIconHowToRegElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHowToVoteElement extends Components.RuxIconHowToVote, HTMLStencilElement {
    }
    var HTMLRuxIconHowToVoteElement: {
        prototype: HTMLRuxIconHowToVoteElement;
        new (): HTMLRuxIconHowToVoteElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHttpElement extends Components.RuxIconHttp, HTMLStencilElement {
    }
    var HTMLRuxIconHttpElement: {
        prototype: HTMLRuxIconHttpElement;
        new (): HTMLRuxIconHttpElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconHttpsElement extends Components.RuxIconHttps, HTMLStencilElement {
    }
    var HTMLRuxIconHttpsElement: {
        prototype: HTMLRuxIconHttpsElement;
        new (): HTMLRuxIconHttpsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconImageElement extends Components.RuxIconImage, HTMLStencilElement {
    }
    var HTMLRuxIconImageElement: {
        prototype: HTMLRuxIconImageElement;
        new (): HTMLRuxIconImageElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconImageAspectRatioElement extends Components.RuxIconImageAspectRatio, HTMLStencilElement {
    }
    var HTMLRuxIconImageAspectRatioElement: {
        prototype: HTMLRuxIconImageAspectRatioElement;
        new (): HTMLRuxIconImageAspectRatioElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconImageSearchElement extends Components.RuxIconImageSearch, HTMLStencilElement {
    }
    var HTMLRuxIconImageSearchElement: {
        prototype: HTMLRuxIconImageSearchElement;
        new (): HTMLRuxIconImageSearchElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconImportContactsElement extends Components.RuxIconImportContacts, HTMLStencilElement {
    }
    var HTMLRuxIconImportContactsElement: {
        prototype: HTMLRuxIconImportContactsElement;
        new (): HTMLRuxIconImportContactsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconImportExportElement extends Components.RuxIconImportExport, HTMLStencilElement {
    }
    var HTMLRuxIconImportExportElement: {
        prototype: HTMLRuxIconImportExportElement;
        new (): HTMLRuxIconImportExportElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconImportantDevicesElement extends Components.RuxIconImportantDevices, HTMLStencilElement {
    }
    var HTMLRuxIconImportantDevicesElement: {
        prototype: HTMLRuxIconImportantDevicesElement;
        new (): HTMLRuxIconImportantDevicesElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconInboxElement extends Components.RuxIconInbox, HTMLStencilElement {
    }
    var HTMLRuxIconInboxElement: {
        prototype: HTMLRuxIconInboxElement;
        new (): HTMLRuxIconInboxElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconIndeterminateCheckBoxElement extends Components.RuxIconIndeterminateCheckBox, HTMLStencilElement {
    }
    var HTMLRuxIconIndeterminateCheckBoxElement: {
        prototype: HTMLRuxIconIndeterminateCheckBoxElement;
        new (): HTMLRuxIconIndeterminateCheckBoxElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconInfoElement extends Components.RuxIconInfo, HTMLStencilElement {
    }
    var HTMLRuxIconInfoElement: {
        prototype: HTMLRuxIconInfoElement;
        new (): HTMLRuxIconInfoElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconInputElement extends Components.RuxIconInput, HTMLStencilElement {
    }
    var HTMLRuxIconInputElement: {
        prototype: HTMLRuxIconInputElement;
        new (): HTMLRuxIconInputElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconInsertChartElement extends Components.RuxIconInsertChart, HTMLStencilElement {
    }
    var HTMLRuxIconInsertChartElement: {
        prototype: HTMLRuxIconInsertChartElement;
        new (): HTMLRuxIconInsertChartElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconInsertChartOutlinedElement extends Components.RuxIconInsertChartOutlined, HTMLStencilElement {
    }
    var HTMLRuxIconInsertChartOutlinedElement: {
        prototype: HTMLRuxIconInsertChartOutlinedElement;
        new (): HTMLRuxIconInsertChartOutlinedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconInsertCommentElement extends Components.RuxIconInsertComment, HTMLStencilElement {
    }
    var HTMLRuxIconInsertCommentElement: {
        prototype: HTMLRuxIconInsertCommentElement;
        new (): HTMLRuxIconInsertCommentElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconInsertDriveFileElement extends Components.RuxIconInsertDriveFile, HTMLStencilElement {
    }
    var HTMLRuxIconInsertDriveFileElement: {
        prototype: HTMLRuxIconInsertDriveFileElement;
        new (): HTMLRuxIconInsertDriveFileElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconInsertEmoticonElement extends Components.RuxIconInsertEmoticon, HTMLStencilElement {
    }
    var HTMLRuxIconInsertEmoticonElement: {
        prototype: HTMLRuxIconInsertEmoticonElement;
        new (): HTMLRuxIconInsertEmoticonElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconInsertInvitationElement extends Components.RuxIconInsertInvitation, HTMLStencilElement {
    }
    var HTMLRuxIconInsertInvitationElement: {
        prototype: HTMLRuxIconInsertInvitationElement;
        new (): HTMLRuxIconInsertInvitationElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconInsertLinkElement extends Components.RuxIconInsertLink, HTMLStencilElement {
    }
    var HTMLRuxIconInsertLinkElement: {
        prototype: HTMLRuxIconInsertLinkElement;
        new (): HTMLRuxIconInsertLinkElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconInsertPhotoElement extends Components.RuxIconInsertPhoto, HTMLStencilElement {
    }
    var HTMLRuxIconInsertPhotoElement: {
        prototype: HTMLRuxIconInsertPhotoElement;
        new (): HTMLRuxIconInsertPhotoElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconInvertColorsElement extends Components.RuxIconInvertColors, HTMLStencilElement {
    }
    var HTMLRuxIconInvertColorsElement: {
        prototype: HTMLRuxIconInvertColorsElement;
        new (): HTMLRuxIconInvertColorsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconInvertColorsOffElement extends Components.RuxIconInvertColorsOff, HTMLStencilElement {
    }
    var HTMLRuxIconInvertColorsOffElement: {
        prototype: HTMLRuxIconInvertColorsOffElement;
        new (): HTMLRuxIconInvertColorsOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconIsoElement extends Components.RuxIconIso, HTMLStencilElement {
    }
    var HTMLRuxIconIsoElement: {
        prototype: HTMLRuxIconIsoElement;
        new (): HTMLRuxIconIsoElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconKeyboardElement extends Components.RuxIconKeyboard, HTMLStencilElement {
    }
    var HTMLRuxIconKeyboardElement: {
        prototype: HTMLRuxIconKeyboardElement;
        new (): HTMLRuxIconKeyboardElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconKeyboardArrowDownElement extends Components.RuxIconKeyboardArrowDown, HTMLStencilElement {
    }
    var HTMLRuxIconKeyboardArrowDownElement: {
        prototype: HTMLRuxIconKeyboardArrowDownElement;
        new (): HTMLRuxIconKeyboardArrowDownElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconKeyboardArrowLeftElement extends Components.RuxIconKeyboardArrowLeft, HTMLStencilElement {
    }
    var HTMLRuxIconKeyboardArrowLeftElement: {
        prototype: HTMLRuxIconKeyboardArrowLeftElement;
        new (): HTMLRuxIconKeyboardArrowLeftElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconKeyboardArrowRightElement extends Components.RuxIconKeyboardArrowRight, HTMLStencilElement {
    }
    var HTMLRuxIconKeyboardArrowRightElement: {
        prototype: HTMLRuxIconKeyboardArrowRightElement;
        new (): HTMLRuxIconKeyboardArrowRightElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconKeyboardArrowUpElement extends Components.RuxIconKeyboardArrowUp, HTMLStencilElement {
    }
    var HTMLRuxIconKeyboardArrowUpElement: {
        prototype: HTMLRuxIconKeyboardArrowUpElement;
        new (): HTMLRuxIconKeyboardArrowUpElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconKeyboardBackspaceElement extends Components.RuxIconKeyboardBackspace, HTMLStencilElement {
    }
    var HTMLRuxIconKeyboardBackspaceElement: {
        prototype: HTMLRuxIconKeyboardBackspaceElement;
        new (): HTMLRuxIconKeyboardBackspaceElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconKeyboardCapslockElement extends Components.RuxIconKeyboardCapslock, HTMLStencilElement {
    }
    var HTMLRuxIconKeyboardCapslockElement: {
        prototype: HTMLRuxIconKeyboardCapslockElement;
        new (): HTMLRuxIconKeyboardCapslockElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconKeyboardHideElement extends Components.RuxIconKeyboardHide, HTMLStencilElement {
    }
    var HTMLRuxIconKeyboardHideElement: {
        prototype: HTMLRuxIconKeyboardHideElement;
        new (): HTMLRuxIconKeyboardHideElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconKeyboardReturnElement extends Components.RuxIconKeyboardReturn, HTMLStencilElement {
    }
    var HTMLRuxIconKeyboardReturnElement: {
        prototype: HTMLRuxIconKeyboardReturnElement;
        new (): HTMLRuxIconKeyboardReturnElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconKeyboardTabElement extends Components.RuxIconKeyboardTab, HTMLStencilElement {
    }
    var HTMLRuxIconKeyboardTabElement: {
        prototype: HTMLRuxIconKeyboardTabElement;
        new (): HTMLRuxIconKeyboardTabElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconKeyboardVoiceElement extends Components.RuxIconKeyboardVoice, HTMLStencilElement {
    }
    var HTMLRuxIconKeyboardVoiceElement: {
        prototype: HTMLRuxIconKeyboardVoiceElement;
        new (): HTMLRuxIconKeyboardVoiceElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconKitchenElement extends Components.RuxIconKitchen, HTMLStencilElement {
    }
    var HTMLRuxIconKitchenElement: {
        prototype: HTMLRuxIconKitchenElement;
        new (): HTMLRuxIconKitchenElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLabelElement extends Components.RuxIconLabel, HTMLStencilElement {
    }
    var HTMLRuxIconLabelElement: {
        prototype: HTMLRuxIconLabelElement;
        new (): HTMLRuxIconLabelElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLabelImportantElement extends Components.RuxIconLabelImportant, HTMLStencilElement {
    }
    var HTMLRuxIconLabelImportantElement: {
        prototype: HTMLRuxIconLabelImportantElement;
        new (): HTMLRuxIconLabelImportantElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLabelOffElement extends Components.RuxIconLabelOff, HTMLStencilElement {
    }
    var HTMLRuxIconLabelOffElement: {
        prototype: HTMLRuxIconLabelOffElement;
        new (): HTMLRuxIconLabelOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLandscapeElement extends Components.RuxIconLandscape, HTMLStencilElement {
    }
    var HTMLRuxIconLandscapeElement: {
        prototype: HTMLRuxIconLandscapeElement;
        new (): HTMLRuxIconLandscapeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLanguageElement extends Components.RuxIconLanguage, HTMLStencilElement {
    }
    var HTMLRuxIconLanguageElement: {
        prototype: HTMLRuxIconLanguageElement;
        new (): HTMLRuxIconLanguageElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLaptopElement extends Components.RuxIconLaptop, HTMLStencilElement {
    }
    var HTMLRuxIconLaptopElement: {
        prototype: HTMLRuxIconLaptopElement;
        new (): HTMLRuxIconLaptopElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLaptopChromebookElement extends Components.RuxIconLaptopChromebook, HTMLStencilElement {
    }
    var HTMLRuxIconLaptopChromebookElement: {
        prototype: HTMLRuxIconLaptopChromebookElement;
        new (): HTMLRuxIconLaptopChromebookElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLaptopMacElement extends Components.RuxIconLaptopMac, HTMLStencilElement {
    }
    var HTMLRuxIconLaptopMacElement: {
        prototype: HTMLRuxIconLaptopMacElement;
        new (): HTMLRuxIconLaptopMacElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLaptopWindowsElement extends Components.RuxIconLaptopWindows, HTMLStencilElement {
    }
    var HTMLRuxIconLaptopWindowsElement: {
        prototype: HTMLRuxIconLaptopWindowsElement;
        new (): HTMLRuxIconLaptopWindowsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLastPageElement extends Components.RuxIconLastPage, HTMLStencilElement {
    }
    var HTMLRuxIconLastPageElement: {
        prototype: HTMLRuxIconLastPageElement;
        new (): HTMLRuxIconLastPageElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLaunchElement extends Components.RuxIconLaunch, HTMLStencilElement {
    }
    var HTMLRuxIconLaunchElement: {
        prototype: HTMLRuxIconLaunchElement;
        new (): HTMLRuxIconLaunchElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLayersElement extends Components.RuxIconLayers, HTMLStencilElement {
    }
    var HTMLRuxIconLayersElement: {
        prototype: HTMLRuxIconLayersElement;
        new (): HTMLRuxIconLayersElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLayersClearElement extends Components.RuxIconLayersClear, HTMLStencilElement {
    }
    var HTMLRuxIconLayersClearElement: {
        prototype: HTMLRuxIconLayersClearElement;
        new (): HTMLRuxIconLayersClearElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLeakAddElement extends Components.RuxIconLeakAdd, HTMLStencilElement {
    }
    var HTMLRuxIconLeakAddElement: {
        prototype: HTMLRuxIconLeakAddElement;
        new (): HTMLRuxIconLeakAddElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLeakRemoveElement extends Components.RuxIconLeakRemove, HTMLStencilElement {
    }
    var HTMLRuxIconLeakRemoveElement: {
        prototype: HTMLRuxIconLeakRemoveElement;
        new (): HTMLRuxIconLeakRemoveElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLensElement extends Components.RuxIconLens, HTMLStencilElement {
    }
    var HTMLRuxIconLensElement: {
        prototype: HTMLRuxIconLensElement;
        new (): HTMLRuxIconLensElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLibraryAddElement extends Components.RuxIconLibraryAdd, HTMLStencilElement {
    }
    var HTMLRuxIconLibraryAddElement: {
        prototype: HTMLRuxIconLibraryAddElement;
        new (): HTMLRuxIconLibraryAddElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLibraryBooksElement extends Components.RuxIconLibraryBooks, HTMLStencilElement {
    }
    var HTMLRuxIconLibraryBooksElement: {
        prototype: HTMLRuxIconLibraryBooksElement;
        new (): HTMLRuxIconLibraryBooksElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLibraryMusicElement extends Components.RuxIconLibraryMusic, HTMLStencilElement {
    }
    var HTMLRuxIconLibraryMusicElement: {
        prototype: HTMLRuxIconLibraryMusicElement;
        new (): HTMLRuxIconLibraryMusicElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLineStyleElement extends Components.RuxIconLineStyle, HTMLStencilElement {
    }
    var HTMLRuxIconLineStyleElement: {
        prototype: HTMLRuxIconLineStyleElement;
        new (): HTMLRuxIconLineStyleElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLineWeightElement extends Components.RuxIconLineWeight, HTMLStencilElement {
    }
    var HTMLRuxIconLineWeightElement: {
        prototype: HTMLRuxIconLineWeightElement;
        new (): HTMLRuxIconLineWeightElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLinearScaleElement extends Components.RuxIconLinearScale, HTMLStencilElement {
    }
    var HTMLRuxIconLinearScaleElement: {
        prototype: HTMLRuxIconLinearScaleElement;
        new (): HTMLRuxIconLinearScaleElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLinkElement extends Components.RuxIconLink, HTMLStencilElement {
    }
    var HTMLRuxIconLinkElement: {
        prototype: HTMLRuxIconLinkElement;
        new (): HTMLRuxIconLinkElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLinkOffElement extends Components.RuxIconLinkOff, HTMLStencilElement {
    }
    var HTMLRuxIconLinkOffElement: {
        prototype: HTMLRuxIconLinkOffElement;
        new (): HTMLRuxIconLinkOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLinkedCameraElement extends Components.RuxIconLinkedCamera, HTMLStencilElement {
    }
    var HTMLRuxIconLinkedCameraElement: {
        prototype: HTMLRuxIconLinkedCameraElement;
        new (): HTMLRuxIconLinkedCameraElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconListElement extends Components.RuxIconList, HTMLStencilElement {
    }
    var HTMLRuxIconListElement: {
        prototype: HTMLRuxIconListElement;
        new (): HTMLRuxIconListElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconListAltElement extends Components.RuxIconListAlt, HTMLStencilElement {
    }
    var HTMLRuxIconListAltElement: {
        prototype: HTMLRuxIconListAltElement;
        new (): HTMLRuxIconListAltElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLiveHelpElement extends Components.RuxIconLiveHelp, HTMLStencilElement {
    }
    var HTMLRuxIconLiveHelpElement: {
        prototype: HTMLRuxIconLiveHelpElement;
        new (): HTMLRuxIconLiveHelpElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLiveTvElement extends Components.RuxIconLiveTv, HTMLStencilElement {
    }
    var HTMLRuxIconLiveTvElement: {
        prototype: HTMLRuxIconLiveTvElement;
        new (): HTMLRuxIconLiveTvElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalActivityElement extends Components.RuxIconLocalActivity, HTMLStencilElement {
    }
    var HTMLRuxIconLocalActivityElement: {
        prototype: HTMLRuxIconLocalActivityElement;
        new (): HTMLRuxIconLocalActivityElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalAirportElement extends Components.RuxIconLocalAirport, HTMLStencilElement {
    }
    var HTMLRuxIconLocalAirportElement: {
        prototype: HTMLRuxIconLocalAirportElement;
        new (): HTMLRuxIconLocalAirportElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalAtmElement extends Components.RuxIconLocalAtm, HTMLStencilElement {
    }
    var HTMLRuxIconLocalAtmElement: {
        prototype: HTMLRuxIconLocalAtmElement;
        new (): HTMLRuxIconLocalAtmElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalBarElement extends Components.RuxIconLocalBar, HTMLStencilElement {
    }
    var HTMLRuxIconLocalBarElement: {
        prototype: HTMLRuxIconLocalBarElement;
        new (): HTMLRuxIconLocalBarElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalCafeElement extends Components.RuxIconLocalCafe, HTMLStencilElement {
    }
    var HTMLRuxIconLocalCafeElement: {
        prototype: HTMLRuxIconLocalCafeElement;
        new (): HTMLRuxIconLocalCafeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalCarWashElement extends Components.RuxIconLocalCarWash, HTMLStencilElement {
    }
    var HTMLRuxIconLocalCarWashElement: {
        prototype: HTMLRuxIconLocalCarWashElement;
        new (): HTMLRuxIconLocalCarWashElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalConvenienceStoreElement extends Components.RuxIconLocalConvenienceStore, HTMLStencilElement {
    }
    var HTMLRuxIconLocalConvenienceStoreElement: {
        prototype: HTMLRuxIconLocalConvenienceStoreElement;
        new (): HTMLRuxIconLocalConvenienceStoreElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalDiningElement extends Components.RuxIconLocalDining, HTMLStencilElement {
    }
    var HTMLRuxIconLocalDiningElement: {
        prototype: HTMLRuxIconLocalDiningElement;
        new (): HTMLRuxIconLocalDiningElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalDrinkElement extends Components.RuxIconLocalDrink, HTMLStencilElement {
    }
    var HTMLRuxIconLocalDrinkElement: {
        prototype: HTMLRuxIconLocalDrinkElement;
        new (): HTMLRuxIconLocalDrinkElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalGasStationElement extends Components.RuxIconLocalGasStation, HTMLStencilElement {
    }
    var HTMLRuxIconLocalGasStationElement: {
        prototype: HTMLRuxIconLocalGasStationElement;
        new (): HTMLRuxIconLocalGasStationElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalGroceryStoreElement extends Components.RuxIconLocalGroceryStore, HTMLStencilElement {
    }
    var HTMLRuxIconLocalGroceryStoreElement: {
        prototype: HTMLRuxIconLocalGroceryStoreElement;
        new (): HTMLRuxIconLocalGroceryStoreElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalHospitalElement extends Components.RuxIconLocalHospital, HTMLStencilElement {
    }
    var HTMLRuxIconLocalHospitalElement: {
        prototype: HTMLRuxIconLocalHospitalElement;
        new (): HTMLRuxIconLocalHospitalElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalHotelElement extends Components.RuxIconLocalHotel, HTMLStencilElement {
    }
    var HTMLRuxIconLocalHotelElement: {
        prototype: HTMLRuxIconLocalHotelElement;
        new (): HTMLRuxIconLocalHotelElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalLaundryServiceElement extends Components.RuxIconLocalLaundryService, HTMLStencilElement {
    }
    var HTMLRuxIconLocalLaundryServiceElement: {
        prototype: HTMLRuxIconLocalLaundryServiceElement;
        new (): HTMLRuxIconLocalLaundryServiceElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalLibraryElement extends Components.RuxIconLocalLibrary, HTMLStencilElement {
    }
    var HTMLRuxIconLocalLibraryElement: {
        prototype: HTMLRuxIconLocalLibraryElement;
        new (): HTMLRuxIconLocalLibraryElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalMallElement extends Components.RuxIconLocalMall, HTMLStencilElement {
    }
    var HTMLRuxIconLocalMallElement: {
        prototype: HTMLRuxIconLocalMallElement;
        new (): HTMLRuxIconLocalMallElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalMoviesElement extends Components.RuxIconLocalMovies, HTMLStencilElement {
    }
    var HTMLRuxIconLocalMoviesElement: {
        prototype: HTMLRuxIconLocalMoviesElement;
        new (): HTMLRuxIconLocalMoviesElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalOfferElement extends Components.RuxIconLocalOffer, HTMLStencilElement {
    }
    var HTMLRuxIconLocalOfferElement: {
        prototype: HTMLRuxIconLocalOfferElement;
        new (): HTMLRuxIconLocalOfferElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalParkingElement extends Components.RuxIconLocalParking, HTMLStencilElement {
    }
    var HTMLRuxIconLocalParkingElement: {
        prototype: HTMLRuxIconLocalParkingElement;
        new (): HTMLRuxIconLocalParkingElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalPharmacyElement extends Components.RuxIconLocalPharmacy, HTMLStencilElement {
    }
    var HTMLRuxIconLocalPharmacyElement: {
        prototype: HTMLRuxIconLocalPharmacyElement;
        new (): HTMLRuxIconLocalPharmacyElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalPhoneElement extends Components.RuxIconLocalPhone, HTMLStencilElement {
    }
    var HTMLRuxIconLocalPhoneElement: {
        prototype: HTMLRuxIconLocalPhoneElement;
        new (): HTMLRuxIconLocalPhoneElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalPlayElement extends Components.RuxIconLocalPlay, HTMLStencilElement {
    }
    var HTMLRuxIconLocalPlayElement: {
        prototype: HTMLRuxIconLocalPlayElement;
        new (): HTMLRuxIconLocalPlayElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalPostOfficeElement extends Components.RuxIconLocalPostOffice, HTMLStencilElement {
    }
    var HTMLRuxIconLocalPostOfficeElement: {
        prototype: HTMLRuxIconLocalPostOfficeElement;
        new (): HTMLRuxIconLocalPostOfficeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalPrintshopElement extends Components.RuxIconLocalPrintshop, HTMLStencilElement {
    }
    var HTMLRuxIconLocalPrintshopElement: {
        prototype: HTMLRuxIconLocalPrintshopElement;
        new (): HTMLRuxIconLocalPrintshopElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalSeeElement extends Components.RuxIconLocalSee, HTMLStencilElement {
    }
    var HTMLRuxIconLocalSeeElement: {
        prototype: HTMLRuxIconLocalSeeElement;
        new (): HTMLRuxIconLocalSeeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalShippingElement extends Components.RuxIconLocalShipping, HTMLStencilElement {
    }
    var HTMLRuxIconLocalShippingElement: {
        prototype: HTMLRuxIconLocalShippingElement;
        new (): HTMLRuxIconLocalShippingElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocalTaxiElement extends Components.RuxIconLocalTaxi, HTMLStencilElement {
    }
    var HTMLRuxIconLocalTaxiElement: {
        prototype: HTMLRuxIconLocalTaxiElement;
        new (): HTMLRuxIconLocalTaxiElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocationCityElement extends Components.RuxIconLocationCity, HTMLStencilElement {
    }
    var HTMLRuxIconLocationCityElement: {
        prototype: HTMLRuxIconLocationCityElement;
        new (): HTMLRuxIconLocationCityElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocationDisabledElement extends Components.RuxIconLocationDisabled, HTMLStencilElement {
    }
    var HTMLRuxIconLocationDisabledElement: {
        prototype: HTMLRuxIconLocationDisabledElement;
        new (): HTMLRuxIconLocationDisabledElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocationOffElement extends Components.RuxIconLocationOff, HTMLStencilElement {
    }
    var HTMLRuxIconLocationOffElement: {
        prototype: HTMLRuxIconLocationOffElement;
        new (): HTMLRuxIconLocationOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocationOnElement extends Components.RuxIconLocationOn, HTMLStencilElement {
    }
    var HTMLRuxIconLocationOnElement: {
        prototype: HTMLRuxIconLocationOnElement;
        new (): HTMLRuxIconLocationOnElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLocationSearchingElement extends Components.RuxIconLocationSearching, HTMLStencilElement {
    }
    var HTMLRuxIconLocationSearchingElement: {
        prototype: HTMLRuxIconLocationSearchingElement;
        new (): HTMLRuxIconLocationSearchingElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLockElement extends Components.RuxIconLock, HTMLStencilElement {
    }
    var HTMLRuxIconLockElement: {
        prototype: HTMLRuxIconLockElement;
        new (): HTMLRuxIconLockElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLockOpenElement extends Components.RuxIconLockOpen, HTMLStencilElement {
    }
    var HTMLRuxIconLockOpenElement: {
        prototype: HTMLRuxIconLockOpenElement;
        new (): HTMLRuxIconLockOpenElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLooksElement extends Components.RuxIconLooks, HTMLStencilElement {
    }
    var HTMLRuxIconLooksElement: {
        prototype: HTMLRuxIconLooksElement;
        new (): HTMLRuxIconLooksElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLooks1Element extends Components.RuxIconLooks1, HTMLStencilElement {
    }
    var HTMLRuxIconLooks1Element: {
        prototype: HTMLRuxIconLooks1Element;
        new (): HTMLRuxIconLooks1Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLooks2Element extends Components.RuxIconLooks2, HTMLStencilElement {
    }
    var HTMLRuxIconLooks2Element: {
        prototype: HTMLRuxIconLooks2Element;
        new (): HTMLRuxIconLooks2Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLooks3Element extends Components.RuxIconLooks3, HTMLStencilElement {
    }
    var HTMLRuxIconLooks3Element: {
        prototype: HTMLRuxIconLooks3Element;
        new (): HTMLRuxIconLooks3Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLooks4Element extends Components.RuxIconLooks4, HTMLStencilElement {
    }
    var HTMLRuxIconLooks4Element: {
        prototype: HTMLRuxIconLooks4Element;
        new (): HTMLRuxIconLooks4Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLooks5Element extends Components.RuxIconLooks5, HTMLStencilElement {
    }
    var HTMLRuxIconLooks5Element: {
        prototype: HTMLRuxIconLooks5Element;
        new (): HTMLRuxIconLooks5Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLooks6Element extends Components.RuxIconLooks6, HTMLStencilElement {
    }
    var HTMLRuxIconLooks6Element: {
        prototype: HTMLRuxIconLooks6Element;
        new (): HTMLRuxIconLooks6Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLoopElement extends Components.RuxIconLoop, HTMLStencilElement {
    }
    var HTMLRuxIconLoopElement: {
        prototype: HTMLRuxIconLoopElement;
        new (): HTMLRuxIconLoopElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLoupeElement extends Components.RuxIconLoupe, HTMLStencilElement {
    }
    var HTMLRuxIconLoupeElement: {
        prototype: HTMLRuxIconLoupeElement;
        new (): HTMLRuxIconLoupeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLowPriorityElement extends Components.RuxIconLowPriority, HTMLStencilElement {
    }
    var HTMLRuxIconLowPriorityElement: {
        prototype: HTMLRuxIconLowPriorityElement;
        new (): HTMLRuxIconLowPriorityElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconLoyaltyElement extends Components.RuxIconLoyalty, HTMLStencilElement {
    }
    var HTMLRuxIconLoyaltyElement: {
        prototype: HTMLRuxIconLoyaltyElement;
        new (): HTMLRuxIconLoyaltyElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMailElement extends Components.RuxIconMail, HTMLStencilElement {
    }
    var HTMLRuxIconMailElement: {
        prototype: HTMLRuxIconMailElement;
        new (): HTMLRuxIconMailElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMailOutlineElement extends Components.RuxIconMailOutline, HTMLStencilElement {
    }
    var HTMLRuxIconMailOutlineElement: {
        prototype: HTMLRuxIconMailOutlineElement;
        new (): HTMLRuxIconMailOutlineElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMapElement extends Components.RuxIconMap, HTMLStencilElement {
    }
    var HTMLRuxIconMapElement: {
        prototype: HTMLRuxIconMapElement;
        new (): HTMLRuxIconMapElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMarkunreadElement extends Components.RuxIconMarkunread, HTMLStencilElement {
    }
    var HTMLRuxIconMarkunreadElement: {
        prototype: HTMLRuxIconMarkunreadElement;
        new (): HTMLRuxIconMarkunreadElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMarkunreadMailboxElement extends Components.RuxIconMarkunreadMailbox, HTMLStencilElement {
    }
    var HTMLRuxIconMarkunreadMailboxElement: {
        prototype: HTMLRuxIconMarkunreadMailboxElement;
        new (): HTMLRuxIconMarkunreadMailboxElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMaximizeElement extends Components.RuxIconMaximize, HTMLStencilElement {
    }
    var HTMLRuxIconMaximizeElement: {
        prototype: HTMLRuxIconMaximizeElement;
        new (): HTMLRuxIconMaximizeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMeetingRoomElement extends Components.RuxIconMeetingRoom, HTMLStencilElement {
    }
    var HTMLRuxIconMeetingRoomElement: {
        prototype: HTMLRuxIconMeetingRoomElement;
        new (): HTMLRuxIconMeetingRoomElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMemoryElement extends Components.RuxIconMemory, HTMLStencilElement {
    }
    var HTMLRuxIconMemoryElement: {
        prototype: HTMLRuxIconMemoryElement;
        new (): HTMLRuxIconMemoryElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMenuElement extends Components.RuxIconMenu, HTMLStencilElement {
    }
    var HTMLRuxIconMenuElement: {
        prototype: HTMLRuxIconMenuElement;
        new (): HTMLRuxIconMenuElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMergeTypeElement extends Components.RuxIconMergeType, HTMLStencilElement {
    }
    var HTMLRuxIconMergeTypeElement: {
        prototype: HTMLRuxIconMergeTypeElement;
        new (): HTMLRuxIconMergeTypeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMessageElement extends Components.RuxIconMessage, HTMLStencilElement {
    }
    var HTMLRuxIconMessageElement: {
        prototype: HTMLRuxIconMessageElement;
        new (): HTMLRuxIconMessageElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMicElement extends Components.RuxIconMic, HTMLStencilElement {
    }
    var HTMLRuxIconMicElement: {
        prototype: HTMLRuxIconMicElement;
        new (): HTMLRuxIconMicElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMicNoneElement extends Components.RuxIconMicNone, HTMLStencilElement {
    }
    var HTMLRuxIconMicNoneElement: {
        prototype: HTMLRuxIconMicNoneElement;
        new (): HTMLRuxIconMicNoneElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMicOffElement extends Components.RuxIconMicOff, HTMLStencilElement {
    }
    var HTMLRuxIconMicOffElement: {
        prototype: HTMLRuxIconMicOffElement;
        new (): HTMLRuxIconMicOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMinimizeElement extends Components.RuxIconMinimize, HTMLStencilElement {
    }
    var HTMLRuxIconMinimizeElement: {
        prototype: HTMLRuxIconMinimizeElement;
        new (): HTMLRuxIconMinimizeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMissedVideoCallElement extends Components.RuxIconMissedVideoCall, HTMLStencilElement {
    }
    var HTMLRuxIconMissedVideoCallElement: {
        prototype: HTMLRuxIconMissedVideoCallElement;
        new (): HTMLRuxIconMissedVideoCallElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMissionElement extends Components.RuxIconMission, HTMLStencilElement {
    }
    var HTMLRuxIconMissionElement: {
        prototype: HTMLRuxIconMissionElement;
        new (): HTMLRuxIconMissionElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMmsElement extends Components.RuxIconMms, HTMLStencilElement {
    }
    var HTMLRuxIconMmsElement: {
        prototype: HTMLRuxIconMmsElement;
        new (): HTMLRuxIconMmsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMobileFriendlyElement extends Components.RuxIconMobileFriendly, HTMLStencilElement {
    }
    var HTMLRuxIconMobileFriendlyElement: {
        prototype: HTMLRuxIconMobileFriendlyElement;
        new (): HTMLRuxIconMobileFriendlyElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMobileOffElement extends Components.RuxIconMobileOff, HTMLStencilElement {
    }
    var HTMLRuxIconMobileOffElement: {
        prototype: HTMLRuxIconMobileOffElement;
        new (): HTMLRuxIconMobileOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMobileScreenShareElement extends Components.RuxIconMobileScreenShare, HTMLStencilElement {
    }
    var HTMLRuxIconMobileScreenShareElement: {
        prototype: HTMLRuxIconMobileScreenShareElement;
        new (): HTMLRuxIconMobileScreenShareElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconModeCommentElement extends Components.RuxIconModeComment, HTMLStencilElement {
    }
    var HTMLRuxIconModeCommentElement: {
        prototype: HTMLRuxIconModeCommentElement;
        new (): HTMLRuxIconModeCommentElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMonetizationOnElement extends Components.RuxIconMonetizationOn, HTMLStencilElement {
    }
    var HTMLRuxIconMonetizationOnElement: {
        prototype: HTMLRuxIconMonetizationOnElement;
        new (): HTMLRuxIconMonetizationOnElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMoneyElement extends Components.RuxIconMoney, HTMLStencilElement {
    }
    var HTMLRuxIconMoneyElement: {
        prototype: HTMLRuxIconMoneyElement;
        new (): HTMLRuxIconMoneyElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMoneyOffElement extends Components.RuxIconMoneyOff, HTMLStencilElement {
    }
    var HTMLRuxIconMoneyOffElement: {
        prototype: HTMLRuxIconMoneyOffElement;
        new (): HTMLRuxIconMoneyOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMonochromePhotosElement extends Components.RuxIconMonochromePhotos, HTMLStencilElement {
    }
    var HTMLRuxIconMonochromePhotosElement: {
        prototype: HTMLRuxIconMonochromePhotosElement;
        new (): HTMLRuxIconMonochromePhotosElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMoodElement extends Components.RuxIconMood, HTMLStencilElement {
    }
    var HTMLRuxIconMoodElement: {
        prototype: HTMLRuxIconMoodElement;
        new (): HTMLRuxIconMoodElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMoodBadElement extends Components.RuxIconMoodBad, HTMLStencilElement {
    }
    var HTMLRuxIconMoodBadElement: {
        prototype: HTMLRuxIconMoodBadElement;
        new (): HTMLRuxIconMoodBadElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMoreElement extends Components.RuxIconMore, HTMLStencilElement {
    }
    var HTMLRuxIconMoreElement: {
        prototype: HTMLRuxIconMoreElement;
        new (): HTMLRuxIconMoreElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMoreHorizElement extends Components.RuxIconMoreHoriz, HTMLStencilElement {
    }
    var HTMLRuxIconMoreHorizElement: {
        prototype: HTMLRuxIconMoreHorizElement;
        new (): HTMLRuxIconMoreHorizElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMoreVertElement extends Components.RuxIconMoreVert, HTMLStencilElement {
    }
    var HTMLRuxIconMoreVertElement: {
        prototype: HTMLRuxIconMoreVertElement;
        new (): HTMLRuxIconMoreVertElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMotorcycleElement extends Components.RuxIconMotorcycle, HTMLStencilElement {
    }
    var HTMLRuxIconMotorcycleElement: {
        prototype: HTMLRuxIconMotorcycleElement;
        new (): HTMLRuxIconMotorcycleElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMouseElement extends Components.RuxIconMouse, HTMLStencilElement {
    }
    var HTMLRuxIconMouseElement: {
        prototype: HTMLRuxIconMouseElement;
        new (): HTMLRuxIconMouseElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMoveToInboxElement extends Components.RuxIconMoveToInbox, HTMLStencilElement {
    }
    var HTMLRuxIconMoveToInboxElement: {
        prototype: HTMLRuxIconMoveToInboxElement;
        new (): HTMLRuxIconMoveToInboxElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMovieElement extends Components.RuxIconMovie, HTMLStencilElement {
    }
    var HTMLRuxIconMovieElement: {
        prototype: HTMLRuxIconMovieElement;
        new (): HTMLRuxIconMovieElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMovieCreationElement extends Components.RuxIconMovieCreation, HTMLStencilElement {
    }
    var HTMLRuxIconMovieCreationElement: {
        prototype: HTMLRuxIconMovieCreationElement;
        new (): HTMLRuxIconMovieCreationElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMovieFilterElement extends Components.RuxIconMovieFilter, HTMLStencilElement {
    }
    var HTMLRuxIconMovieFilterElement: {
        prototype: HTMLRuxIconMovieFilterElement;
        new (): HTMLRuxIconMovieFilterElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMultilineChartElement extends Components.RuxIconMultilineChart, HTMLStencilElement {
    }
    var HTMLRuxIconMultilineChartElement: {
        prototype: HTMLRuxIconMultilineChartElement;
        new (): HTMLRuxIconMultilineChartElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMusicNoteElement extends Components.RuxIconMusicNote, HTMLStencilElement {
    }
    var HTMLRuxIconMusicNoteElement: {
        prototype: HTMLRuxIconMusicNoteElement;
        new (): HTMLRuxIconMusicNoteElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMusicOffElement extends Components.RuxIconMusicOff, HTMLStencilElement {
    }
    var HTMLRuxIconMusicOffElement: {
        prototype: HTMLRuxIconMusicOffElement;
        new (): HTMLRuxIconMusicOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMusicVideoElement extends Components.RuxIconMusicVideo, HTMLStencilElement {
    }
    var HTMLRuxIconMusicVideoElement: {
        prototype: HTMLRuxIconMusicVideoElement;
        new (): HTMLRuxIconMusicVideoElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconMyLocationElement extends Components.RuxIconMyLocation, HTMLStencilElement {
    }
    var HTMLRuxIconMyLocationElement: {
        prototype: HTMLRuxIconMyLocationElement;
        new (): HTMLRuxIconMyLocationElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNatureElement extends Components.RuxIconNature, HTMLStencilElement {
    }
    var HTMLRuxIconNatureElement: {
        prototype: HTMLRuxIconNatureElement;
        new (): HTMLRuxIconNatureElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNaturePeopleElement extends Components.RuxIconNaturePeople, HTMLStencilElement {
    }
    var HTMLRuxIconNaturePeopleElement: {
        prototype: HTMLRuxIconNaturePeopleElement;
        new (): HTMLRuxIconNaturePeopleElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNavigateBeforeElement extends Components.RuxIconNavigateBefore, HTMLStencilElement {
    }
    var HTMLRuxIconNavigateBeforeElement: {
        prototype: HTMLRuxIconNavigateBeforeElement;
        new (): HTMLRuxIconNavigateBeforeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNavigateNextElement extends Components.RuxIconNavigateNext, HTMLStencilElement {
    }
    var HTMLRuxIconNavigateNextElement: {
        prototype: HTMLRuxIconNavigateNextElement;
        new (): HTMLRuxIconNavigateNextElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNavigationElement extends Components.RuxIconNavigation, HTMLStencilElement {
    }
    var HTMLRuxIconNavigationElement: {
        prototype: HTMLRuxIconNavigationElement;
        new (): HTMLRuxIconNavigationElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNearMeElement extends Components.RuxIconNearMe, HTMLStencilElement {
    }
    var HTMLRuxIconNearMeElement: {
        prototype: HTMLRuxIconNearMeElement;
        new (): HTMLRuxIconNearMeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNetcomElement extends Components.RuxIconNetcom, HTMLStencilElement {
    }
    var HTMLRuxIconNetcomElement: {
        prototype: HTMLRuxIconNetcomElement;
        new (): HTMLRuxIconNetcomElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNetworkCellElement extends Components.RuxIconNetworkCell, HTMLStencilElement {
    }
    var HTMLRuxIconNetworkCellElement: {
        prototype: HTMLRuxIconNetworkCellElement;
        new (): HTMLRuxIconNetworkCellElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNetworkCheckElement extends Components.RuxIconNetworkCheck, HTMLStencilElement {
    }
    var HTMLRuxIconNetworkCheckElement: {
        prototype: HTMLRuxIconNetworkCheckElement;
        new (): HTMLRuxIconNetworkCheckElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNetworkLockedElement extends Components.RuxIconNetworkLocked, HTMLStencilElement {
    }
    var HTMLRuxIconNetworkLockedElement: {
        prototype: HTMLRuxIconNetworkLockedElement;
        new (): HTMLRuxIconNetworkLockedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNetworkWifiElement extends Components.RuxIconNetworkWifi, HTMLStencilElement {
    }
    var HTMLRuxIconNetworkWifiElement: {
        prototype: HTMLRuxIconNetworkWifiElement;
        new (): HTMLRuxIconNetworkWifiElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNewReleasesElement extends Components.RuxIconNewReleases, HTMLStencilElement {
    }
    var HTMLRuxIconNewReleasesElement: {
        prototype: HTMLRuxIconNewReleasesElement;
        new (): HTMLRuxIconNewReleasesElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNextWeekElement extends Components.RuxIconNextWeek, HTMLStencilElement {
    }
    var HTMLRuxIconNextWeekElement: {
        prototype: HTMLRuxIconNextWeekElement;
        new (): HTMLRuxIconNextWeekElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNfcElement extends Components.RuxIconNfc, HTMLStencilElement {
    }
    var HTMLRuxIconNfcElement: {
        prototype: HTMLRuxIconNfcElement;
        new (): HTMLRuxIconNfcElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNoEncryptionElement extends Components.RuxIconNoEncryption, HTMLStencilElement {
    }
    var HTMLRuxIconNoEncryptionElement: {
        prototype: HTMLRuxIconNoEncryptionElement;
        new (): HTMLRuxIconNoEncryptionElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNoMeetingRoomElement extends Components.RuxIconNoMeetingRoom, HTMLStencilElement {
    }
    var HTMLRuxIconNoMeetingRoomElement: {
        prototype: HTMLRuxIconNoMeetingRoomElement;
        new (): HTMLRuxIconNoMeetingRoomElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNoSimElement extends Components.RuxIconNoSim, HTMLStencilElement {
    }
    var HTMLRuxIconNoSimElement: {
        prototype: HTMLRuxIconNoSimElement;
        new (): HTMLRuxIconNoSimElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNotInterestedElement extends Components.RuxIconNotInterested, HTMLStencilElement {
    }
    var HTMLRuxIconNotInterestedElement: {
        prototype: HTMLRuxIconNotInterestedElement;
        new (): HTMLRuxIconNotInterestedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNotListedLocationElement extends Components.RuxIconNotListedLocation, HTMLStencilElement {
    }
    var HTMLRuxIconNotListedLocationElement: {
        prototype: HTMLRuxIconNotListedLocationElement;
        new (): HTMLRuxIconNotListedLocationElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNoteElement extends Components.RuxIconNote, HTMLStencilElement {
    }
    var HTMLRuxIconNoteElement: {
        prototype: HTMLRuxIconNoteElement;
        new (): HTMLRuxIconNoteElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNoteAddElement extends Components.RuxIconNoteAdd, HTMLStencilElement {
    }
    var HTMLRuxIconNoteAddElement: {
        prototype: HTMLRuxIconNoteAddElement;
        new (): HTMLRuxIconNoteAddElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNotesElement extends Components.RuxIconNotes, HTMLStencilElement {
    }
    var HTMLRuxIconNotesElement: {
        prototype: HTMLRuxIconNotesElement;
        new (): HTMLRuxIconNotesElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNotificationImportantElement extends Components.RuxIconNotificationImportant, HTMLStencilElement {
    }
    var HTMLRuxIconNotificationImportantElement: {
        prototype: HTMLRuxIconNotificationImportantElement;
        new (): HTMLRuxIconNotificationImportantElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNotificationsElement extends Components.RuxIconNotifications, HTMLStencilElement {
    }
    var HTMLRuxIconNotificationsElement: {
        prototype: HTMLRuxIconNotificationsElement;
        new (): HTMLRuxIconNotificationsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNotificationsActiveElement extends Components.RuxIconNotificationsActive, HTMLStencilElement {
    }
    var HTMLRuxIconNotificationsActiveElement: {
        prototype: HTMLRuxIconNotificationsActiveElement;
        new (): HTMLRuxIconNotificationsActiveElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNotificationsNoneElement extends Components.RuxIconNotificationsNone, HTMLStencilElement {
    }
    var HTMLRuxIconNotificationsNoneElement: {
        prototype: HTMLRuxIconNotificationsNoneElement;
        new (): HTMLRuxIconNotificationsNoneElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNotificationsOffElement extends Components.RuxIconNotificationsOff, HTMLStencilElement {
    }
    var HTMLRuxIconNotificationsOffElement: {
        prototype: HTMLRuxIconNotificationsOffElement;
        new (): HTMLRuxIconNotificationsOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconNotificationsPausedElement extends Components.RuxIconNotificationsPaused, HTMLStencilElement {
    }
    var HTMLRuxIconNotificationsPausedElement: {
        prototype: HTMLRuxIconNotificationsPausedElement;
        new (): HTMLRuxIconNotificationsPausedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconOfflineBoltElement extends Components.RuxIconOfflineBolt, HTMLStencilElement {
    }
    var HTMLRuxIconOfflineBoltElement: {
        prototype: HTMLRuxIconOfflineBoltElement;
        new (): HTMLRuxIconOfflineBoltElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconOfflinePinElement extends Components.RuxIconOfflinePin, HTMLStencilElement {
    }
    var HTMLRuxIconOfflinePinElement: {
        prototype: HTMLRuxIconOfflinePinElement;
        new (): HTMLRuxIconOfflinePinElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconOndemandVideoElement extends Components.RuxIconOndemandVideo, HTMLStencilElement {
    }
    var HTMLRuxIconOndemandVideoElement: {
        prototype: HTMLRuxIconOndemandVideoElement;
        new (): HTMLRuxIconOndemandVideoElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconOpacityElement extends Components.RuxIconOpacity, HTMLStencilElement {
    }
    var HTMLRuxIconOpacityElement: {
        prototype: HTMLRuxIconOpacityElement;
        new (): HTMLRuxIconOpacityElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconOpenInBrowserElement extends Components.RuxIconOpenInBrowser, HTMLStencilElement {
    }
    var HTMLRuxIconOpenInBrowserElement: {
        prototype: HTMLRuxIconOpenInBrowserElement;
        new (): HTMLRuxIconOpenInBrowserElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconOpenInNewElement extends Components.RuxIconOpenInNew, HTMLStencilElement {
    }
    var HTMLRuxIconOpenInNewElement: {
        prototype: HTMLRuxIconOpenInNewElement;
        new (): HTMLRuxIconOpenInNewElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconOpenWithElement extends Components.RuxIconOpenWith, HTMLStencilElement {
    }
    var HTMLRuxIconOpenWithElement: {
        prototype: HTMLRuxIconOpenWithElement;
        new (): HTMLRuxIconOpenWithElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconOutlinedFlagElement extends Components.RuxIconOutlinedFlag, HTMLStencilElement {
    }
    var HTMLRuxIconOutlinedFlagElement: {
        prototype: HTMLRuxIconOutlinedFlagElement;
        new (): HTMLRuxIconOutlinedFlagElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPagesElement extends Components.RuxIconPages, HTMLStencilElement {
    }
    var HTMLRuxIconPagesElement: {
        prototype: HTMLRuxIconPagesElement;
        new (): HTMLRuxIconPagesElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPageviewElement extends Components.RuxIconPageview, HTMLStencilElement {
    }
    var HTMLRuxIconPageviewElement: {
        prototype: HTMLRuxIconPageviewElement;
        new (): HTMLRuxIconPageviewElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPaletteElement extends Components.RuxIconPalette, HTMLStencilElement {
    }
    var HTMLRuxIconPaletteElement: {
        prototype: HTMLRuxIconPaletteElement;
        new (): HTMLRuxIconPaletteElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPanToolElement extends Components.RuxIconPanTool, HTMLStencilElement {
    }
    var HTMLRuxIconPanToolElement: {
        prototype: HTMLRuxIconPanToolElement;
        new (): HTMLRuxIconPanToolElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPanoramaElement extends Components.RuxIconPanorama, HTMLStencilElement {
    }
    var HTMLRuxIconPanoramaElement: {
        prototype: HTMLRuxIconPanoramaElement;
        new (): HTMLRuxIconPanoramaElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPanoramaFishEyeElement extends Components.RuxIconPanoramaFishEye, HTMLStencilElement {
    }
    var HTMLRuxIconPanoramaFishEyeElement: {
        prototype: HTMLRuxIconPanoramaFishEyeElement;
        new (): HTMLRuxIconPanoramaFishEyeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPanoramaHorizontalElement extends Components.RuxIconPanoramaHorizontal, HTMLStencilElement {
    }
    var HTMLRuxIconPanoramaHorizontalElement: {
        prototype: HTMLRuxIconPanoramaHorizontalElement;
        new (): HTMLRuxIconPanoramaHorizontalElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPanoramaVerticalElement extends Components.RuxIconPanoramaVertical, HTMLStencilElement {
    }
    var HTMLRuxIconPanoramaVerticalElement: {
        prototype: HTMLRuxIconPanoramaVerticalElement;
        new (): HTMLRuxIconPanoramaVerticalElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPanoramaWideAngleElement extends Components.RuxIconPanoramaWideAngle, HTMLStencilElement {
    }
    var HTMLRuxIconPanoramaWideAngleElement: {
        prototype: HTMLRuxIconPanoramaWideAngleElement;
        new (): HTMLRuxIconPanoramaWideAngleElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPartyModeElement extends Components.RuxIconPartyMode, HTMLStencilElement {
    }
    var HTMLRuxIconPartyModeElement: {
        prototype: HTMLRuxIconPartyModeElement;
        new (): HTMLRuxIconPartyModeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPauseElement extends Components.RuxIconPause, HTMLStencilElement {
    }
    var HTMLRuxIconPauseElement: {
        prototype: HTMLRuxIconPauseElement;
        new (): HTMLRuxIconPauseElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPauseCircleFilledElement extends Components.RuxIconPauseCircleFilled, HTMLStencilElement {
    }
    var HTMLRuxIconPauseCircleFilledElement: {
        prototype: HTMLRuxIconPauseCircleFilledElement;
        new (): HTMLRuxIconPauseCircleFilledElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPauseCircleOutlineElement extends Components.RuxIconPauseCircleOutline, HTMLStencilElement {
    }
    var HTMLRuxIconPauseCircleOutlineElement: {
        prototype: HTMLRuxIconPauseCircleOutlineElement;
        new (): HTMLRuxIconPauseCircleOutlineElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPausePresentationElement extends Components.RuxIconPausePresentation, HTMLStencilElement {
    }
    var HTMLRuxIconPausePresentationElement: {
        prototype: HTMLRuxIconPausePresentationElement;
        new (): HTMLRuxIconPausePresentationElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPayloadElement extends Components.RuxIconPayload, HTMLStencilElement {
    }
    var HTMLRuxIconPayloadElement: {
        prototype: HTMLRuxIconPayloadElement;
        new (): HTMLRuxIconPayloadElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPaymentElement extends Components.RuxIconPayment, HTMLStencilElement {
    }
    var HTMLRuxIconPaymentElement: {
        prototype: HTMLRuxIconPaymentElement;
        new (): HTMLRuxIconPaymentElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPeopleOutlineElement extends Components.RuxIconPeopleOutline, HTMLStencilElement {
    }
    var HTMLRuxIconPeopleOutlineElement: {
        prototype: HTMLRuxIconPeopleOutlineElement;
        new (): HTMLRuxIconPeopleOutlineElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPermCameraMicElement extends Components.RuxIconPermCameraMic, HTMLStencilElement {
    }
    var HTMLRuxIconPermCameraMicElement: {
        prototype: HTMLRuxIconPermCameraMicElement;
        new (): HTMLRuxIconPermCameraMicElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPermContactCalendarElement extends Components.RuxIconPermContactCalendar, HTMLStencilElement {
    }
    var HTMLRuxIconPermContactCalendarElement: {
        prototype: HTMLRuxIconPermContactCalendarElement;
        new (): HTMLRuxIconPermContactCalendarElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPermDataSettingElement extends Components.RuxIconPermDataSetting, HTMLStencilElement {
    }
    var HTMLRuxIconPermDataSettingElement: {
        prototype: HTMLRuxIconPermDataSettingElement;
        new (): HTMLRuxIconPermDataSettingElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPermDeviceInformationElement extends Components.RuxIconPermDeviceInformation, HTMLStencilElement {
    }
    var HTMLRuxIconPermDeviceInformationElement: {
        prototype: HTMLRuxIconPermDeviceInformationElement;
        new (): HTMLRuxIconPermDeviceInformationElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPermIdentityElement extends Components.RuxIconPermIdentity, HTMLStencilElement {
    }
    var HTMLRuxIconPermIdentityElement: {
        prototype: HTMLRuxIconPermIdentityElement;
        new (): HTMLRuxIconPermIdentityElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPermMediaElement extends Components.RuxIconPermMedia, HTMLStencilElement {
    }
    var HTMLRuxIconPermMediaElement: {
        prototype: HTMLRuxIconPermMediaElement;
        new (): HTMLRuxIconPermMediaElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPermPhoneMsgElement extends Components.RuxIconPermPhoneMsg, HTMLStencilElement {
    }
    var HTMLRuxIconPermPhoneMsgElement: {
        prototype: HTMLRuxIconPermPhoneMsgElement;
        new (): HTMLRuxIconPermPhoneMsgElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPermScanWifiElement extends Components.RuxIconPermScanWifi, HTMLStencilElement {
    }
    var HTMLRuxIconPermScanWifiElement: {
        prototype: HTMLRuxIconPermScanWifiElement;
        new (): HTMLRuxIconPermScanWifiElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPersonElement extends Components.RuxIconPerson, HTMLStencilElement {
    }
    var HTMLRuxIconPersonElement: {
        prototype: HTMLRuxIconPersonElement;
        new (): HTMLRuxIconPersonElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPersonAddElement extends Components.RuxIconPersonAdd, HTMLStencilElement {
    }
    var HTMLRuxIconPersonAddElement: {
        prototype: HTMLRuxIconPersonAddElement;
        new (): HTMLRuxIconPersonAddElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPersonAddDisabledElement extends Components.RuxIconPersonAddDisabled, HTMLStencilElement {
    }
    var HTMLRuxIconPersonAddDisabledElement: {
        prototype: HTMLRuxIconPersonAddDisabledElement;
        new (): HTMLRuxIconPersonAddDisabledElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPersonOutlineElement extends Components.RuxIconPersonOutline, HTMLStencilElement {
    }
    var HTMLRuxIconPersonOutlineElement: {
        prototype: HTMLRuxIconPersonOutlineElement;
        new (): HTMLRuxIconPersonOutlineElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPersonPinElement extends Components.RuxIconPersonPin, HTMLStencilElement {
    }
    var HTMLRuxIconPersonPinElement: {
        prototype: HTMLRuxIconPersonPinElement;
        new (): HTMLRuxIconPersonPinElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPersonPinCircleElement extends Components.RuxIconPersonPinCircle, HTMLStencilElement {
    }
    var HTMLRuxIconPersonPinCircleElement: {
        prototype: HTMLRuxIconPersonPinCircleElement;
        new (): HTMLRuxIconPersonPinCircleElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPersonalVideoElement extends Components.RuxIconPersonalVideo, HTMLStencilElement {
    }
    var HTMLRuxIconPersonalVideoElement: {
        prototype: HTMLRuxIconPersonalVideoElement;
        new (): HTMLRuxIconPersonalVideoElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPetsElement extends Components.RuxIconPets, HTMLStencilElement {
    }
    var HTMLRuxIconPetsElement: {
        prototype: HTMLRuxIconPetsElement;
        new (): HTMLRuxIconPetsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPhoneElement extends Components.RuxIconPhone, HTMLStencilElement {
    }
    var HTMLRuxIconPhoneElement: {
        prototype: HTMLRuxIconPhoneElement;
        new (): HTMLRuxIconPhoneElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPhoneAndroidElement extends Components.RuxIconPhoneAndroid, HTMLStencilElement {
    }
    var HTMLRuxIconPhoneAndroidElement: {
        prototype: HTMLRuxIconPhoneAndroidElement;
        new (): HTMLRuxIconPhoneAndroidElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPhoneBluetoothSpeakerElement extends Components.RuxIconPhoneBluetoothSpeaker, HTMLStencilElement {
    }
    var HTMLRuxIconPhoneBluetoothSpeakerElement: {
        prototype: HTMLRuxIconPhoneBluetoothSpeakerElement;
        new (): HTMLRuxIconPhoneBluetoothSpeakerElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPhoneCallbackElement extends Components.RuxIconPhoneCallback, HTMLStencilElement {
    }
    var HTMLRuxIconPhoneCallbackElement: {
        prototype: HTMLRuxIconPhoneCallbackElement;
        new (): HTMLRuxIconPhoneCallbackElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPhoneForwardedElement extends Components.RuxIconPhoneForwarded, HTMLStencilElement {
    }
    var HTMLRuxIconPhoneForwardedElement: {
        prototype: HTMLRuxIconPhoneForwardedElement;
        new (): HTMLRuxIconPhoneForwardedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPhoneInTalkElement extends Components.RuxIconPhoneInTalk, HTMLStencilElement {
    }
    var HTMLRuxIconPhoneInTalkElement: {
        prototype: HTMLRuxIconPhoneInTalkElement;
        new (): HTMLRuxIconPhoneInTalkElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPhoneIphoneElement extends Components.RuxIconPhoneIphone, HTMLStencilElement {
    }
    var HTMLRuxIconPhoneIphoneElement: {
        prototype: HTMLRuxIconPhoneIphoneElement;
        new (): HTMLRuxIconPhoneIphoneElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPhoneLockedElement extends Components.RuxIconPhoneLocked, HTMLStencilElement {
    }
    var HTMLRuxIconPhoneLockedElement: {
        prototype: HTMLRuxIconPhoneLockedElement;
        new (): HTMLRuxIconPhoneLockedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPhoneMissedElement extends Components.RuxIconPhoneMissed, HTMLStencilElement {
    }
    var HTMLRuxIconPhoneMissedElement: {
        prototype: HTMLRuxIconPhoneMissedElement;
        new (): HTMLRuxIconPhoneMissedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPhonePausedElement extends Components.RuxIconPhonePaused, HTMLStencilElement {
    }
    var HTMLRuxIconPhonePausedElement: {
        prototype: HTMLRuxIconPhonePausedElement;
        new (): HTMLRuxIconPhonePausedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPhonelinkElement extends Components.RuxIconPhonelink, HTMLStencilElement {
    }
    var HTMLRuxIconPhonelinkElement: {
        prototype: HTMLRuxIconPhonelinkElement;
        new (): HTMLRuxIconPhonelinkElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPhonelinkEraseElement extends Components.RuxIconPhonelinkErase, HTMLStencilElement {
    }
    var HTMLRuxIconPhonelinkEraseElement: {
        prototype: HTMLRuxIconPhonelinkEraseElement;
        new (): HTMLRuxIconPhonelinkEraseElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPhonelinkLockElement extends Components.RuxIconPhonelinkLock, HTMLStencilElement {
    }
    var HTMLRuxIconPhonelinkLockElement: {
        prototype: HTMLRuxIconPhonelinkLockElement;
        new (): HTMLRuxIconPhonelinkLockElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPhonelinkOffElement extends Components.RuxIconPhonelinkOff, HTMLStencilElement {
    }
    var HTMLRuxIconPhonelinkOffElement: {
        prototype: HTMLRuxIconPhonelinkOffElement;
        new (): HTMLRuxIconPhonelinkOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPhonelinkRingElement extends Components.RuxIconPhonelinkRing, HTMLStencilElement {
    }
    var HTMLRuxIconPhonelinkRingElement: {
        prototype: HTMLRuxIconPhonelinkRingElement;
        new (): HTMLRuxIconPhonelinkRingElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPhonelinkSetupElement extends Components.RuxIconPhonelinkSetup, HTMLStencilElement {
    }
    var HTMLRuxIconPhonelinkSetupElement: {
        prototype: HTMLRuxIconPhonelinkSetupElement;
        new (): HTMLRuxIconPhonelinkSetupElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPhotoElement extends Components.RuxIconPhoto, HTMLStencilElement {
    }
    var HTMLRuxIconPhotoElement: {
        prototype: HTMLRuxIconPhotoElement;
        new (): HTMLRuxIconPhotoElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPhotoAlbumElement extends Components.RuxIconPhotoAlbum, HTMLStencilElement {
    }
    var HTMLRuxIconPhotoAlbumElement: {
        prototype: HTMLRuxIconPhotoAlbumElement;
        new (): HTMLRuxIconPhotoAlbumElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPhotoCameraElement extends Components.RuxIconPhotoCamera, HTMLStencilElement {
    }
    var HTMLRuxIconPhotoCameraElement: {
        prototype: HTMLRuxIconPhotoCameraElement;
        new (): HTMLRuxIconPhotoCameraElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPhotoFilterElement extends Components.RuxIconPhotoFilter, HTMLStencilElement {
    }
    var HTMLRuxIconPhotoFilterElement: {
        prototype: HTMLRuxIconPhotoFilterElement;
        new (): HTMLRuxIconPhotoFilterElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPhotoLibraryElement extends Components.RuxIconPhotoLibrary, HTMLStencilElement {
    }
    var HTMLRuxIconPhotoLibraryElement: {
        prototype: HTMLRuxIconPhotoLibraryElement;
        new (): HTMLRuxIconPhotoLibraryElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPhotoSizeSelectActualElement extends Components.RuxIconPhotoSizeSelectActual, HTMLStencilElement {
    }
    var HTMLRuxIconPhotoSizeSelectActualElement: {
        prototype: HTMLRuxIconPhotoSizeSelectActualElement;
        new (): HTMLRuxIconPhotoSizeSelectActualElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPhotoSizeSelectLargeElement extends Components.RuxIconPhotoSizeSelectLarge, HTMLStencilElement {
    }
    var HTMLRuxIconPhotoSizeSelectLargeElement: {
        prototype: HTMLRuxIconPhotoSizeSelectLargeElement;
        new (): HTMLRuxIconPhotoSizeSelectLargeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPhotoSizeSelectSmallElement extends Components.RuxIconPhotoSizeSelectSmall, HTMLStencilElement {
    }
    var HTMLRuxIconPhotoSizeSelectSmallElement: {
        prototype: HTMLRuxIconPhotoSizeSelectSmallElement;
        new (): HTMLRuxIconPhotoSizeSelectSmallElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPictureAsPdfElement extends Components.RuxIconPictureAsPdf, HTMLStencilElement {
    }
    var HTMLRuxIconPictureAsPdfElement: {
        prototype: HTMLRuxIconPictureAsPdfElement;
        new (): HTMLRuxIconPictureAsPdfElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPictureInPictureElement extends Components.RuxIconPictureInPicture, HTMLStencilElement {
    }
    var HTMLRuxIconPictureInPictureElement: {
        prototype: HTMLRuxIconPictureInPictureElement;
        new (): HTMLRuxIconPictureInPictureElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPictureInPictureAltElement extends Components.RuxIconPictureInPictureAlt, HTMLStencilElement {
    }
    var HTMLRuxIconPictureInPictureAltElement: {
        prototype: HTMLRuxIconPictureInPictureAltElement;
        new (): HTMLRuxIconPictureInPictureAltElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPieChartElement extends Components.RuxIconPieChart, HTMLStencilElement {
    }
    var HTMLRuxIconPieChartElement: {
        prototype: HTMLRuxIconPieChartElement;
        new (): HTMLRuxIconPieChartElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPinDropElement extends Components.RuxIconPinDrop, HTMLStencilElement {
    }
    var HTMLRuxIconPinDropElement: {
        prototype: HTMLRuxIconPinDropElement;
        new (): HTMLRuxIconPinDropElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPlaceElement extends Components.RuxIconPlace, HTMLStencilElement {
    }
    var HTMLRuxIconPlaceElement: {
        prototype: HTMLRuxIconPlaceElement;
        new (): HTMLRuxIconPlaceElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPlayArrowElement extends Components.RuxIconPlayArrow, HTMLStencilElement {
    }
    var HTMLRuxIconPlayArrowElement: {
        prototype: HTMLRuxIconPlayArrowElement;
        new (): HTMLRuxIconPlayArrowElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPlayCircleFilledElement extends Components.RuxIconPlayCircleFilled, HTMLStencilElement {
    }
    var HTMLRuxIconPlayCircleFilledElement: {
        prototype: HTMLRuxIconPlayCircleFilledElement;
        new (): HTMLRuxIconPlayCircleFilledElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPlayCircleFilledWhiteElement extends Components.RuxIconPlayCircleFilledWhite, HTMLStencilElement {
    }
    var HTMLRuxIconPlayCircleFilledWhiteElement: {
        prototype: HTMLRuxIconPlayCircleFilledWhiteElement;
        new (): HTMLRuxIconPlayCircleFilledWhiteElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPlayCircleOutlineElement extends Components.RuxIconPlayCircleOutline, HTMLStencilElement {
    }
    var HTMLRuxIconPlayCircleOutlineElement: {
        prototype: HTMLRuxIconPlayCircleOutlineElement;
        new (): HTMLRuxIconPlayCircleOutlineElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPlayForWorkElement extends Components.RuxIconPlayForWork, HTMLStencilElement {
    }
    var HTMLRuxIconPlayForWorkElement: {
        prototype: HTMLRuxIconPlayForWorkElement;
        new (): HTMLRuxIconPlayForWorkElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPlaylistAddElement extends Components.RuxIconPlaylistAdd, HTMLStencilElement {
    }
    var HTMLRuxIconPlaylistAddElement: {
        prototype: HTMLRuxIconPlaylistAddElement;
        new (): HTMLRuxIconPlaylistAddElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPlaylistAddCheckElement extends Components.RuxIconPlaylistAddCheck, HTMLStencilElement {
    }
    var HTMLRuxIconPlaylistAddCheckElement: {
        prototype: HTMLRuxIconPlaylistAddCheckElement;
        new (): HTMLRuxIconPlaylistAddCheckElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPlaylistPlayElement extends Components.RuxIconPlaylistPlay, HTMLStencilElement {
    }
    var HTMLRuxIconPlaylistPlayElement: {
        prototype: HTMLRuxIconPlaylistPlayElement;
        new (): HTMLRuxIconPlaylistPlayElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPlusOneElement extends Components.RuxIconPlusOne, HTMLStencilElement {
    }
    var HTMLRuxIconPlusOneElement: {
        prototype: HTMLRuxIconPlusOneElement;
        new (): HTMLRuxIconPlusOneElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPollElement extends Components.RuxIconPoll, HTMLStencilElement {
    }
    var HTMLRuxIconPollElement: {
        prototype: HTMLRuxIconPollElement;
        new (): HTMLRuxIconPollElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPoolElement extends Components.RuxIconPool, HTMLStencilElement {
    }
    var HTMLRuxIconPoolElement: {
        prototype: HTMLRuxIconPoolElement;
        new (): HTMLRuxIconPoolElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPortableWifiOffElement extends Components.RuxIconPortableWifiOff, HTMLStencilElement {
    }
    var HTMLRuxIconPortableWifiOffElement: {
        prototype: HTMLRuxIconPortableWifiOffElement;
        new (): HTMLRuxIconPortableWifiOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPortraitElement extends Components.RuxIconPortrait, HTMLStencilElement {
    }
    var HTMLRuxIconPortraitElement: {
        prototype: HTMLRuxIconPortraitElement;
        new (): HTMLRuxIconPortraitElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPowerElement extends Components.RuxIconPower, HTMLStencilElement {
    }
    var HTMLRuxIconPowerElement: {
        prototype: HTMLRuxIconPowerElement;
        new (): HTMLRuxIconPowerElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPowerInputElement extends Components.RuxIconPowerInput, HTMLStencilElement {
    }
    var HTMLRuxIconPowerInputElement: {
        prototype: HTMLRuxIconPowerInputElement;
        new (): HTMLRuxIconPowerInputElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPowerOffElement extends Components.RuxIconPowerOff, HTMLStencilElement {
    }
    var HTMLRuxIconPowerOffElement: {
        prototype: HTMLRuxIconPowerOffElement;
        new (): HTMLRuxIconPowerOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPowerSettingsNewElement extends Components.RuxIconPowerSettingsNew, HTMLStencilElement {
    }
    var HTMLRuxIconPowerSettingsNewElement: {
        prototype: HTMLRuxIconPowerSettingsNewElement;
        new (): HTMLRuxIconPowerSettingsNewElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPregnantWomanElement extends Components.RuxIconPregnantWoman, HTMLStencilElement {
    }
    var HTMLRuxIconPregnantWomanElement: {
        prototype: HTMLRuxIconPregnantWomanElement;
        new (): HTMLRuxIconPregnantWomanElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPresentToAllElement extends Components.RuxIconPresentToAll, HTMLStencilElement {
    }
    var HTMLRuxIconPresentToAllElement: {
        prototype: HTMLRuxIconPresentToAllElement;
        new (): HTMLRuxIconPresentToAllElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPrintElement extends Components.RuxIconPrint, HTMLStencilElement {
    }
    var HTMLRuxIconPrintElement: {
        prototype: HTMLRuxIconPrintElement;
        new (): HTMLRuxIconPrintElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPrintDisabledElement extends Components.RuxIconPrintDisabled, HTMLStencilElement {
    }
    var HTMLRuxIconPrintDisabledElement: {
        prototype: HTMLRuxIconPrintDisabledElement;
        new (): HTMLRuxIconPrintDisabledElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPriorityHighElement extends Components.RuxIconPriorityHigh, HTMLStencilElement {
    }
    var HTMLRuxIconPriorityHighElement: {
        prototype: HTMLRuxIconPriorityHighElement;
        new (): HTMLRuxIconPriorityHighElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconProcessorElement extends Components.RuxIconProcessor, HTMLStencilElement {
    }
    var HTMLRuxIconProcessorElement: {
        prototype: HTMLRuxIconProcessorElement;
        new (): HTMLRuxIconProcessorElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconProcessorAltElement extends Components.RuxIconProcessorAlt, HTMLStencilElement {
    }
    var HTMLRuxIconProcessorAltElement: {
        prototype: HTMLRuxIconProcessorAltElement;
        new (): HTMLRuxIconProcessorAltElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPropulsionPowerElement extends Components.RuxIconPropulsionPower, HTMLStencilElement {
    }
    var HTMLRuxIconPropulsionPowerElement: {
        prototype: HTMLRuxIconPropulsionPowerElement;
        new (): HTMLRuxIconPropulsionPowerElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPublicElement extends Components.RuxIconPublic, HTMLStencilElement {
    }
    var HTMLRuxIconPublicElement: {
        prototype: HTMLRuxIconPublicElement;
        new (): HTMLRuxIconPublicElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconPublishElement extends Components.RuxIconPublish, HTMLStencilElement {
    }
    var HTMLRuxIconPublishElement: {
        prototype: HTMLRuxIconPublishElement;
        new (): HTMLRuxIconPublishElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconQueryBuilderElement extends Components.RuxIconQueryBuilder, HTMLStencilElement {
    }
    var HTMLRuxIconQueryBuilderElement: {
        prototype: HTMLRuxIconQueryBuilderElement;
        new (): HTMLRuxIconQueryBuilderElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconQuestionAnswerElement extends Components.RuxIconQuestionAnswer, HTMLStencilElement {
    }
    var HTMLRuxIconQuestionAnswerElement: {
        prototype: HTMLRuxIconQuestionAnswerElement;
        new (): HTMLRuxIconQuestionAnswerElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconQueueElement extends Components.RuxIconQueue, HTMLStencilElement {
    }
    var HTMLRuxIconQueueElement: {
        prototype: HTMLRuxIconQueueElement;
        new (): HTMLRuxIconQueueElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconQueueMusicElement extends Components.RuxIconQueueMusic, HTMLStencilElement {
    }
    var HTMLRuxIconQueueMusicElement: {
        prototype: HTMLRuxIconQueueMusicElement;
        new (): HTMLRuxIconQueueMusicElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconQueuePlayNextElement extends Components.RuxIconQueuePlayNext, HTMLStencilElement {
    }
    var HTMLRuxIconQueuePlayNextElement: {
        prototype: HTMLRuxIconQueuePlayNextElement;
        new (): HTMLRuxIconQueuePlayNextElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRadioElement extends Components.RuxIconRadio, HTMLStencilElement {
    }
    var HTMLRuxIconRadioElement: {
        prototype: HTMLRuxIconRadioElement;
        new (): HTMLRuxIconRadioElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRadioButtonCheckedElement extends Components.RuxIconRadioButtonChecked, HTMLStencilElement {
    }
    var HTMLRuxIconRadioButtonCheckedElement: {
        prototype: HTMLRuxIconRadioButtonCheckedElement;
        new (): HTMLRuxIconRadioButtonCheckedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRadioButtonUncheckedElement extends Components.RuxIconRadioButtonUnchecked, HTMLStencilElement {
    }
    var HTMLRuxIconRadioButtonUncheckedElement: {
        prototype: HTMLRuxIconRadioButtonUncheckedElement;
        new (): HTMLRuxIconRadioButtonUncheckedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRateReviewElement extends Components.RuxIconRateReview, HTMLStencilElement {
    }
    var HTMLRuxIconRateReviewElement: {
        prototype: HTMLRuxIconRateReviewElement;
        new (): HTMLRuxIconRateReviewElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconReceiptElement extends Components.RuxIconReceipt, HTMLStencilElement {
    }
    var HTMLRuxIconReceiptElement: {
        prototype: HTMLRuxIconReceiptElement;
        new (): HTMLRuxIconReceiptElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRecentActorsElement extends Components.RuxIconRecentActors, HTMLStencilElement {
    }
    var HTMLRuxIconRecentActorsElement: {
        prototype: HTMLRuxIconRecentActorsElement;
        new (): HTMLRuxIconRecentActorsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRecordVoiceOverElement extends Components.RuxIconRecordVoiceOver, HTMLStencilElement {
    }
    var HTMLRuxIconRecordVoiceOverElement: {
        prototype: HTMLRuxIconRecordVoiceOverElement;
        new (): HTMLRuxIconRecordVoiceOverElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRedeemElement extends Components.RuxIconRedeem, HTMLStencilElement {
    }
    var HTMLRuxIconRedeemElement: {
        prototype: HTMLRuxIconRedeemElement;
        new (): HTMLRuxIconRedeemElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRedoElement extends Components.RuxIconRedo, HTMLStencilElement {
    }
    var HTMLRuxIconRedoElement: {
        prototype: HTMLRuxIconRedoElement;
        new (): HTMLRuxIconRedoElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRefreshElement extends Components.RuxIconRefresh, HTMLStencilElement {
    }
    var HTMLRuxIconRefreshElement: {
        prototype: HTMLRuxIconRefreshElement;
        new (): HTMLRuxIconRefreshElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconReleaseElement extends Components.RuxIconRelease, HTMLStencilElement {
    }
    var HTMLRuxIconReleaseElement: {
        prototype: HTMLRuxIconReleaseElement;
        new (): HTMLRuxIconReleaseElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRemoveElement extends Components.RuxIconRemove, HTMLStencilElement {
    }
    var HTMLRuxIconRemoveElement: {
        prototype: HTMLRuxIconRemoveElement;
        new (): HTMLRuxIconRemoveElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRemoveCircleElement extends Components.RuxIconRemoveCircle, HTMLStencilElement {
    }
    var HTMLRuxIconRemoveCircleElement: {
        prototype: HTMLRuxIconRemoveCircleElement;
        new (): HTMLRuxIconRemoveCircleElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRemoveCircleOutlineElement extends Components.RuxIconRemoveCircleOutline, HTMLStencilElement {
    }
    var HTMLRuxIconRemoveCircleOutlineElement: {
        prototype: HTMLRuxIconRemoveCircleOutlineElement;
        new (): HTMLRuxIconRemoveCircleOutlineElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRemoveFromQueueElement extends Components.RuxIconRemoveFromQueue, HTMLStencilElement {
    }
    var HTMLRuxIconRemoveFromQueueElement: {
        prototype: HTMLRuxIconRemoveFromQueueElement;
        new (): HTMLRuxIconRemoveFromQueueElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRemoveRedEyeElement extends Components.RuxIconRemoveRedEye, HTMLStencilElement {
    }
    var HTMLRuxIconRemoveRedEyeElement: {
        prototype: HTMLRuxIconRemoveRedEyeElement;
        new (): HTMLRuxIconRemoveRedEyeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRemoveShoppingCartElement extends Components.RuxIconRemoveShoppingCart, HTMLStencilElement {
    }
    var HTMLRuxIconRemoveShoppingCartElement: {
        prototype: HTMLRuxIconRemoveShoppingCartElement;
        new (): HTMLRuxIconRemoveShoppingCartElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconReorderElement extends Components.RuxIconReorder, HTMLStencilElement {
    }
    var HTMLRuxIconReorderElement: {
        prototype: HTMLRuxIconReorderElement;
        new (): HTMLRuxIconReorderElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRepeatElement extends Components.RuxIconRepeat, HTMLStencilElement {
    }
    var HTMLRuxIconRepeatElement: {
        prototype: HTMLRuxIconRepeatElement;
        new (): HTMLRuxIconRepeatElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRepeatOneElement extends Components.RuxIconRepeatOne, HTMLStencilElement {
    }
    var HTMLRuxIconRepeatOneElement: {
        prototype: HTMLRuxIconRepeatOneElement;
        new (): HTMLRuxIconRepeatOneElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconReplayElement extends Components.RuxIconReplay, HTMLStencilElement {
    }
    var HTMLRuxIconReplayElement: {
        prototype: HTMLRuxIconReplayElement;
        new (): HTMLRuxIconReplayElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconReplay10Element extends Components.RuxIconReplay10, HTMLStencilElement {
    }
    var HTMLRuxIconReplay10Element: {
        prototype: HTMLRuxIconReplay10Element;
        new (): HTMLRuxIconReplay10Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconReplay30Element extends Components.RuxIconReplay30, HTMLStencilElement {
    }
    var HTMLRuxIconReplay30Element: {
        prototype: HTMLRuxIconReplay30Element;
        new (): HTMLRuxIconReplay30Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconReplay5Element extends Components.RuxIconReplay5, HTMLStencilElement {
    }
    var HTMLRuxIconReplay5Element: {
        prototype: HTMLRuxIconReplay5Element;
        new (): HTMLRuxIconReplay5Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconReplyElement extends Components.RuxIconReply, HTMLStencilElement {
    }
    var HTMLRuxIconReplyElement: {
        prototype: HTMLRuxIconReplyElement;
        new (): HTMLRuxIconReplyElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconReplyAllElement extends Components.RuxIconReplyAll, HTMLStencilElement {
    }
    var HTMLRuxIconReplyAllElement: {
        prototype: HTMLRuxIconReplyAllElement;
        new (): HTMLRuxIconReplyAllElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconReportElement extends Components.RuxIconReport, HTMLStencilElement {
    }
    var HTMLRuxIconReportElement: {
        prototype: HTMLRuxIconReportElement;
        new (): HTMLRuxIconReportElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconReportOffElement extends Components.RuxIconReportOff, HTMLStencilElement {
    }
    var HTMLRuxIconReportOffElement: {
        prototype: HTMLRuxIconReportOffElement;
        new (): HTMLRuxIconReportOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconReportProblemElement extends Components.RuxIconReportProblem, HTMLStencilElement {
    }
    var HTMLRuxIconReportProblemElement: {
        prototype: HTMLRuxIconReportProblemElement;
        new (): HTMLRuxIconReportProblemElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRestaurantElement extends Components.RuxIconRestaurant, HTMLStencilElement {
    }
    var HTMLRuxIconRestaurantElement: {
        prototype: HTMLRuxIconRestaurantElement;
        new (): HTMLRuxIconRestaurantElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRestaurantMenuElement extends Components.RuxIconRestaurantMenu, HTMLStencilElement {
    }
    var HTMLRuxIconRestaurantMenuElement: {
        prototype: HTMLRuxIconRestaurantMenuElement;
        new (): HTMLRuxIconRestaurantMenuElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRestoreElement extends Components.RuxIconRestore, HTMLStencilElement {
    }
    var HTMLRuxIconRestoreElement: {
        prototype: HTMLRuxIconRestoreElement;
        new (): HTMLRuxIconRestoreElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRestoreFromTrashElement extends Components.RuxIconRestoreFromTrash, HTMLStencilElement {
    }
    var HTMLRuxIconRestoreFromTrashElement: {
        prototype: HTMLRuxIconRestoreFromTrashElement;
        new (): HTMLRuxIconRestoreFromTrashElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRestorePageElement extends Components.RuxIconRestorePage, HTMLStencilElement {
    }
    var HTMLRuxIconRestorePageElement: {
        prototype: HTMLRuxIconRestorePageElement;
        new (): HTMLRuxIconRestorePageElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRingVolumeElement extends Components.RuxIconRingVolume, HTMLStencilElement {
    }
    var HTMLRuxIconRingVolumeElement: {
        prototype: HTMLRuxIconRingVolumeElement;
        new (): HTMLRuxIconRingVolumeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRoomElement extends Components.RuxIconRoom, HTMLStencilElement {
    }
    var HTMLRuxIconRoomElement: {
        prototype: HTMLRuxIconRoomElement;
        new (): HTMLRuxIconRoomElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRoomServiceElement extends Components.RuxIconRoomService, HTMLStencilElement {
    }
    var HTMLRuxIconRoomServiceElement: {
        prototype: HTMLRuxIconRoomServiceElement;
        new (): HTMLRuxIconRoomServiceElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRotate90DegreesCcElement extends Components.RuxIconRotate90DegreesCc, HTMLStencilElement {
    }
    var HTMLRuxIconRotate90DegreesCcElement: {
        prototype: HTMLRuxIconRotate90DegreesCcElement;
        new (): HTMLRuxIconRotate90DegreesCcElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRotateLeftElement extends Components.RuxIconRotateLeft, HTMLStencilElement {
    }
    var HTMLRuxIconRotateLeftElement: {
        prototype: HTMLRuxIconRotateLeftElement;
        new (): HTMLRuxIconRotateLeftElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRotateRightElement extends Components.RuxIconRotateRight, HTMLStencilElement {
    }
    var HTMLRuxIconRotateRightElement: {
        prototype: HTMLRuxIconRotateRightElement;
        new (): HTMLRuxIconRotateRightElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRoundedCornerElement extends Components.RuxIconRoundedCorner, HTMLStencilElement {
    }
    var HTMLRuxIconRoundedCornerElement: {
        prototype: HTMLRuxIconRoundedCornerElement;
        new (): HTMLRuxIconRoundedCornerElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRouterElement extends Components.RuxIconRouter, HTMLStencilElement {
    }
    var HTMLRuxIconRouterElement: {
        prototype: HTMLRuxIconRouterElement;
        new (): HTMLRuxIconRouterElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRowingElement extends Components.RuxIconRowing, HTMLStencilElement {
    }
    var HTMLRuxIconRowingElement: {
        prototype: HTMLRuxIconRowingElement;
        new (): HTMLRuxIconRowingElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRssFeedElement extends Components.RuxIconRssFeed, HTMLStencilElement {
    }
    var HTMLRuxIconRssFeedElement: {
        prototype: HTMLRuxIconRssFeedElement;
        new (): HTMLRuxIconRssFeedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconRvHookupElement extends Components.RuxIconRvHookup, HTMLStencilElement {
    }
    var HTMLRuxIconRvHookupElement: {
        prototype: HTMLRuxIconRvHookupElement;
        new (): HTMLRuxIconRvHookupElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSatelliteElement extends Components.RuxIconSatellite, HTMLStencilElement {
    }
    var HTMLRuxIconSatelliteElement: {
        prototype: HTMLRuxIconSatelliteElement;
        new (): HTMLRuxIconSatelliteElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSatelliteOffElement extends Components.RuxIconSatelliteOff, HTMLStencilElement {
    }
    var HTMLRuxIconSatelliteOffElement: {
        prototype: HTMLRuxIconSatelliteOffElement;
        new (): HTMLRuxIconSatelliteOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSatelliteReceiveElement extends Components.RuxIconSatelliteReceive, HTMLStencilElement {
    }
    var HTMLRuxIconSatelliteReceiveElement: {
        prototype: HTMLRuxIconSatelliteReceiveElement;
        new (): HTMLRuxIconSatelliteReceiveElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSatelliteTransmitElement extends Components.RuxIconSatelliteTransmit, HTMLStencilElement {
    }
    var HTMLRuxIconSatelliteTransmitElement: {
        prototype: HTMLRuxIconSatelliteTransmitElement;
        new (): HTMLRuxIconSatelliteTransmitElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSaveElement extends Components.RuxIconSave, HTMLStencilElement {
    }
    var HTMLRuxIconSaveElement: {
        prototype: HTMLRuxIconSaveElement;
        new (): HTMLRuxIconSaveElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSaveAltElement extends Components.RuxIconSaveAlt, HTMLStencilElement {
    }
    var HTMLRuxIconSaveAltElement: {
        prototype: HTMLRuxIconSaveAltElement;
        new (): HTMLRuxIconSaveAltElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconScannerElement extends Components.RuxIconScanner, HTMLStencilElement {
    }
    var HTMLRuxIconScannerElement: {
        prototype: HTMLRuxIconScannerElement;
        new (): HTMLRuxIconScannerElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconScatterPlotElement extends Components.RuxIconScatterPlot, HTMLStencilElement {
    }
    var HTMLRuxIconScatterPlotElement: {
        prototype: HTMLRuxIconScatterPlotElement;
        new (): HTMLRuxIconScatterPlotElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconScheduleElement extends Components.RuxIconSchedule, HTMLStencilElement {
    }
    var HTMLRuxIconScheduleElement: {
        prototype: HTMLRuxIconScheduleElement;
        new (): HTMLRuxIconScheduleElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSchoolElement extends Components.RuxIconSchool, HTMLStencilElement {
    }
    var HTMLRuxIconSchoolElement: {
        prototype: HTMLRuxIconSchoolElement;
        new (): HTMLRuxIconSchoolElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconScoreElement extends Components.RuxIconScore, HTMLStencilElement {
    }
    var HTMLRuxIconScoreElement: {
        prototype: HTMLRuxIconScoreElement;
        new (): HTMLRuxIconScoreElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconScreenLockLandscapeElement extends Components.RuxIconScreenLockLandscape, HTMLStencilElement {
    }
    var HTMLRuxIconScreenLockLandscapeElement: {
        prototype: HTMLRuxIconScreenLockLandscapeElement;
        new (): HTMLRuxIconScreenLockLandscapeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconScreenLockPortraitElement extends Components.RuxIconScreenLockPortrait, HTMLStencilElement {
    }
    var HTMLRuxIconScreenLockPortraitElement: {
        prototype: HTMLRuxIconScreenLockPortraitElement;
        new (): HTMLRuxIconScreenLockPortraitElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconScreenLockRotationElement extends Components.RuxIconScreenLockRotation, HTMLStencilElement {
    }
    var HTMLRuxIconScreenLockRotationElement: {
        prototype: HTMLRuxIconScreenLockRotationElement;
        new (): HTMLRuxIconScreenLockRotationElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconScreenRotationElement extends Components.RuxIconScreenRotation, HTMLStencilElement {
    }
    var HTMLRuxIconScreenRotationElement: {
        prototype: HTMLRuxIconScreenRotationElement;
        new (): HTMLRuxIconScreenRotationElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconScreenShareElement extends Components.RuxIconScreenShare, HTMLStencilElement {
    }
    var HTMLRuxIconScreenShareElement: {
        prototype: HTMLRuxIconScreenShareElement;
        new (): HTMLRuxIconScreenShareElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSdCardElement extends Components.RuxIconSdCard, HTMLStencilElement {
    }
    var HTMLRuxIconSdCardElement: {
        prototype: HTMLRuxIconSdCardElement;
        new (): HTMLRuxIconSdCardElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSdStorageElement extends Components.RuxIconSdStorage, HTMLStencilElement {
    }
    var HTMLRuxIconSdStorageElement: {
        prototype: HTMLRuxIconSdStorageElement;
        new (): HTMLRuxIconSdStorageElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSearchElement extends Components.RuxIconSearch, HTMLStencilElement {
    }
    var HTMLRuxIconSearchElement: {
        prototype: HTMLRuxIconSearchElement;
        new (): HTMLRuxIconSearchElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSeatElement extends Components.RuxIconSeat, HTMLStencilElement {
    }
    var HTMLRuxIconSeatElement: {
        prototype: HTMLRuxIconSeatElement;
        new (): HTMLRuxIconSeatElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSecurityElement extends Components.RuxIconSecurity, HTMLStencilElement {
    }
    var HTMLRuxIconSecurityElement: {
        prototype: HTMLRuxIconSecurityElement;
        new (): HTMLRuxIconSecurityElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSelectAllElement extends Components.RuxIconSelectAll, HTMLStencilElement {
    }
    var HTMLRuxIconSelectAllElement: {
        prototype: HTMLRuxIconSelectAllElement;
        new (): HTMLRuxIconSelectAllElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSendElement extends Components.RuxIconSend, HTMLStencilElement {
    }
    var HTMLRuxIconSendElement: {
        prototype: HTMLRuxIconSendElement;
        new (): HTMLRuxIconSendElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSentimentDissatisfiedElement extends Components.RuxIconSentimentDissatisfied, HTMLStencilElement {
    }
    var HTMLRuxIconSentimentDissatisfiedElement: {
        prototype: HTMLRuxIconSentimentDissatisfiedElement;
        new (): HTMLRuxIconSentimentDissatisfiedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSentimentSatisfiedElement extends Components.RuxIconSentimentSatisfied, HTMLStencilElement {
    }
    var HTMLRuxIconSentimentSatisfiedElement: {
        prototype: HTMLRuxIconSentimentSatisfiedElement;
        new (): HTMLRuxIconSentimentSatisfiedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSentimentSatisfiedAltElement extends Components.RuxIconSentimentSatisfiedAlt, HTMLStencilElement {
    }
    var HTMLRuxIconSentimentSatisfiedAltElement: {
        prototype: HTMLRuxIconSentimentSatisfiedAltElement;
        new (): HTMLRuxIconSentimentSatisfiedAltElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSentimentVeryDissatisfiedElement extends Components.RuxIconSentimentVeryDissatisfied, HTMLStencilElement {
    }
    var HTMLRuxIconSentimentVeryDissatisfiedElement: {
        prototype: HTMLRuxIconSentimentVeryDissatisfiedElement;
        new (): HTMLRuxIconSentimentVeryDissatisfiedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSentimentVerySatisfiedElement extends Components.RuxIconSentimentVerySatisfied, HTMLStencilElement {
    }
    var HTMLRuxIconSentimentVerySatisfiedElement: {
        prototype: HTMLRuxIconSentimentVerySatisfiedElement;
        new (): HTMLRuxIconSentimentVerySatisfiedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSetPowerElement extends Components.RuxIconSetPower, HTMLStencilElement {
    }
    var HTMLRuxIconSetPowerElement: {
        prototype: HTMLRuxIconSetPowerElement;
        new (): HTMLRuxIconSetPowerElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSettingsElement extends Components.RuxIconSettings, HTMLStencilElement {
    }
    var HTMLRuxIconSettingsElement: {
        prototype: HTMLRuxIconSettingsElement;
        new (): HTMLRuxIconSettingsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSettingsApplicationsElement extends Components.RuxIconSettingsApplications, HTMLStencilElement {
    }
    var HTMLRuxIconSettingsApplicationsElement: {
        prototype: HTMLRuxIconSettingsApplicationsElement;
        new (): HTMLRuxIconSettingsApplicationsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSettingsBackupRestoreElement extends Components.RuxIconSettingsBackupRestore, HTMLStencilElement {
    }
    var HTMLRuxIconSettingsBackupRestoreElement: {
        prototype: HTMLRuxIconSettingsBackupRestoreElement;
        new (): HTMLRuxIconSettingsBackupRestoreElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSettingsBluetoothElement extends Components.RuxIconSettingsBluetooth, HTMLStencilElement {
    }
    var HTMLRuxIconSettingsBluetoothElement: {
        prototype: HTMLRuxIconSettingsBluetoothElement;
        new (): HTMLRuxIconSettingsBluetoothElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSettingsBrightnessElement extends Components.RuxIconSettingsBrightness, HTMLStencilElement {
    }
    var HTMLRuxIconSettingsBrightnessElement: {
        prototype: HTMLRuxIconSettingsBrightnessElement;
        new (): HTMLRuxIconSettingsBrightnessElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSettingsCellElement extends Components.RuxIconSettingsCell, HTMLStencilElement {
    }
    var HTMLRuxIconSettingsCellElement: {
        prototype: HTMLRuxIconSettingsCellElement;
        new (): HTMLRuxIconSettingsCellElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSettingsEthernetElement extends Components.RuxIconSettingsEthernet, HTMLStencilElement {
    }
    var HTMLRuxIconSettingsEthernetElement: {
        prototype: HTMLRuxIconSettingsEthernetElement;
        new (): HTMLRuxIconSettingsEthernetElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSettingsInputAntennaElement extends Components.RuxIconSettingsInputAntenna, HTMLStencilElement {
    }
    var HTMLRuxIconSettingsInputAntennaElement: {
        prototype: HTMLRuxIconSettingsInputAntennaElement;
        new (): HTMLRuxIconSettingsInputAntennaElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSettingsInputComponentElement extends Components.RuxIconSettingsInputComponent, HTMLStencilElement {
    }
    var HTMLRuxIconSettingsInputComponentElement: {
        prototype: HTMLRuxIconSettingsInputComponentElement;
        new (): HTMLRuxIconSettingsInputComponentElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSettingsInputCompositeElement extends Components.RuxIconSettingsInputComposite, HTMLStencilElement {
    }
    var HTMLRuxIconSettingsInputCompositeElement: {
        prototype: HTMLRuxIconSettingsInputCompositeElement;
        new (): HTMLRuxIconSettingsInputCompositeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSettingsInputHdmiElement extends Components.RuxIconSettingsInputHdmi, HTMLStencilElement {
    }
    var HTMLRuxIconSettingsInputHdmiElement: {
        prototype: HTMLRuxIconSettingsInputHdmiElement;
        new (): HTMLRuxIconSettingsInputHdmiElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSettingsInputSvideoElement extends Components.RuxIconSettingsInputSvideo, HTMLStencilElement {
    }
    var HTMLRuxIconSettingsInputSvideoElement: {
        prototype: HTMLRuxIconSettingsInputSvideoElement;
        new (): HTMLRuxIconSettingsInputSvideoElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSettingsOverscanElement extends Components.RuxIconSettingsOverscan, HTMLStencilElement {
    }
    var HTMLRuxIconSettingsOverscanElement: {
        prototype: HTMLRuxIconSettingsOverscanElement;
        new (): HTMLRuxIconSettingsOverscanElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSettingsPhoneElement extends Components.RuxIconSettingsPhone, HTMLStencilElement {
    }
    var HTMLRuxIconSettingsPhoneElement: {
        prototype: HTMLRuxIconSettingsPhoneElement;
        new (): HTMLRuxIconSettingsPhoneElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSettingsPowerElement extends Components.RuxIconSettingsPower, HTMLStencilElement {
    }
    var HTMLRuxIconSettingsPowerElement: {
        prototype: HTMLRuxIconSettingsPowerElement;
        new (): HTMLRuxIconSettingsPowerElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSettingsRemoteElement extends Components.RuxIconSettingsRemote, HTMLStencilElement {
    }
    var HTMLRuxIconSettingsRemoteElement: {
        prototype: HTMLRuxIconSettingsRemoteElement;
        new (): HTMLRuxIconSettingsRemoteElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSettingsSystemDaydreamElement extends Components.RuxIconSettingsSystemDaydream, HTMLStencilElement {
    }
    var HTMLRuxIconSettingsSystemDaydreamElement: {
        prototype: HTMLRuxIconSettingsSystemDaydreamElement;
        new (): HTMLRuxIconSettingsSystemDaydreamElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSettingsVoiceElement extends Components.RuxIconSettingsVoice, HTMLStencilElement {
    }
    var HTMLRuxIconSettingsVoiceElement: {
        prototype: HTMLRuxIconSettingsVoiceElement;
        new (): HTMLRuxIconSettingsVoiceElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconShareElement extends Components.RuxIconShare, HTMLStencilElement {
    }
    var HTMLRuxIconShareElement: {
        prototype: HTMLRuxIconShareElement;
        new (): HTMLRuxIconShareElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconShopElement extends Components.RuxIconShop, HTMLStencilElement {
    }
    var HTMLRuxIconShopElement: {
        prototype: HTMLRuxIconShopElement;
        new (): HTMLRuxIconShopElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconShopTwoElement extends Components.RuxIconShopTwo, HTMLStencilElement {
    }
    var HTMLRuxIconShopTwoElement: {
        prototype: HTMLRuxIconShopTwoElement;
        new (): HTMLRuxIconShopTwoElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconShoppingBasketElement extends Components.RuxIconShoppingBasket, HTMLStencilElement {
    }
    var HTMLRuxIconShoppingBasketElement: {
        prototype: HTMLRuxIconShoppingBasketElement;
        new (): HTMLRuxIconShoppingBasketElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconShoppingCartElement extends Components.RuxIconShoppingCart, HTMLStencilElement {
    }
    var HTMLRuxIconShoppingCartElement: {
        prototype: HTMLRuxIconShoppingCartElement;
        new (): HTMLRuxIconShoppingCartElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconShortTextElement extends Components.RuxIconShortText, HTMLStencilElement {
    }
    var HTMLRuxIconShortTextElement: {
        prototype: HTMLRuxIconShortTextElement;
        new (): HTMLRuxIconShortTextElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconShowChartElement extends Components.RuxIconShowChart, HTMLStencilElement {
    }
    var HTMLRuxIconShowChartElement: {
        prototype: HTMLRuxIconShowChartElement;
        new (): HTMLRuxIconShowChartElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconShuffleElement extends Components.RuxIconShuffle, HTMLStencilElement {
    }
    var HTMLRuxIconShuffleElement: {
        prototype: HTMLRuxIconShuffleElement;
        new (): HTMLRuxIconShuffleElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconShutterSpeedElement extends Components.RuxIconShutterSpeed, HTMLStencilElement {
    }
    var HTMLRuxIconShutterSpeedElement: {
        prototype: HTMLRuxIconShutterSpeedElement;
        new (): HTMLRuxIconShutterSpeedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSignalCellular0BarElement extends Components.RuxIconSignalCellular0Bar, HTMLStencilElement {
    }
    var HTMLRuxIconSignalCellular0BarElement: {
        prototype: HTMLRuxIconSignalCellular0BarElement;
        new (): HTMLRuxIconSignalCellular0BarElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSignalCellular1BarElement extends Components.RuxIconSignalCellular1Bar, HTMLStencilElement {
    }
    var HTMLRuxIconSignalCellular1BarElement: {
        prototype: HTMLRuxIconSignalCellular1BarElement;
        new (): HTMLRuxIconSignalCellular1BarElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSignalCellular2BarElement extends Components.RuxIconSignalCellular2Bar, HTMLStencilElement {
    }
    var HTMLRuxIconSignalCellular2BarElement: {
        prototype: HTMLRuxIconSignalCellular2BarElement;
        new (): HTMLRuxIconSignalCellular2BarElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSignalCellular3BarElement extends Components.RuxIconSignalCellular3Bar, HTMLStencilElement {
    }
    var HTMLRuxIconSignalCellular3BarElement: {
        prototype: HTMLRuxIconSignalCellular3BarElement;
        new (): HTMLRuxIconSignalCellular3BarElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSignalCellular4BarElement extends Components.RuxIconSignalCellular4Bar, HTMLStencilElement {
    }
    var HTMLRuxIconSignalCellular4BarElement: {
        prototype: HTMLRuxIconSignalCellular4BarElement;
        new (): HTMLRuxIconSignalCellular4BarElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSignalCellularAltElement extends Components.RuxIconSignalCellularAlt, HTMLStencilElement {
    }
    var HTMLRuxIconSignalCellularAltElement: {
        prototype: HTMLRuxIconSignalCellularAltElement;
        new (): HTMLRuxIconSignalCellularAltElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSignalCellularConnectedNoInternet0BarElement extends Components.RuxIconSignalCellularConnectedNoInternet0Bar, HTMLStencilElement {
    }
    var HTMLRuxIconSignalCellularConnectedNoInternet0BarElement: {
        prototype: HTMLRuxIconSignalCellularConnectedNoInternet0BarElement;
        new (): HTMLRuxIconSignalCellularConnectedNoInternet0BarElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSignalCellularConnectedNoInternet1BarElement extends Components.RuxIconSignalCellularConnectedNoInternet1Bar, HTMLStencilElement {
    }
    var HTMLRuxIconSignalCellularConnectedNoInternet1BarElement: {
        prototype: HTMLRuxIconSignalCellularConnectedNoInternet1BarElement;
        new (): HTMLRuxIconSignalCellularConnectedNoInternet1BarElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSignalCellularConnectedNoInternet2BarElement extends Components.RuxIconSignalCellularConnectedNoInternet2Bar, HTMLStencilElement {
    }
    var HTMLRuxIconSignalCellularConnectedNoInternet2BarElement: {
        prototype: HTMLRuxIconSignalCellularConnectedNoInternet2BarElement;
        new (): HTMLRuxIconSignalCellularConnectedNoInternet2BarElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSignalCellularConnectedNoInternet3BarElement extends Components.RuxIconSignalCellularConnectedNoInternet3Bar, HTMLStencilElement {
    }
    var HTMLRuxIconSignalCellularConnectedNoInternet3BarElement: {
        prototype: HTMLRuxIconSignalCellularConnectedNoInternet3BarElement;
        new (): HTMLRuxIconSignalCellularConnectedNoInternet3BarElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSignalCellularConnectedNoInternet4BarElement extends Components.RuxIconSignalCellularConnectedNoInternet4Bar, HTMLStencilElement {
    }
    var HTMLRuxIconSignalCellularConnectedNoInternet4BarElement: {
        prototype: HTMLRuxIconSignalCellularConnectedNoInternet4BarElement;
        new (): HTMLRuxIconSignalCellularConnectedNoInternet4BarElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSignalCellularNoSimElement extends Components.RuxIconSignalCellularNoSim, HTMLStencilElement {
    }
    var HTMLRuxIconSignalCellularNoSimElement: {
        prototype: HTMLRuxIconSignalCellularNoSimElement;
        new (): HTMLRuxIconSignalCellularNoSimElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSignalCellularNullElement extends Components.RuxIconSignalCellularNull, HTMLStencilElement {
    }
    var HTMLRuxIconSignalCellularNullElement: {
        prototype: HTMLRuxIconSignalCellularNullElement;
        new (): HTMLRuxIconSignalCellularNullElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSignalCellularOffElement extends Components.RuxIconSignalCellularOff, HTMLStencilElement {
    }
    var HTMLRuxIconSignalCellularOffElement: {
        prototype: HTMLRuxIconSignalCellularOffElement;
        new (): HTMLRuxIconSignalCellularOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSignalWifi0BarElement extends Components.RuxIconSignalWifi0Bar, HTMLStencilElement {
    }
    var HTMLRuxIconSignalWifi0BarElement: {
        prototype: HTMLRuxIconSignalWifi0BarElement;
        new (): HTMLRuxIconSignalWifi0BarElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSignalWifi1BarElement extends Components.RuxIconSignalWifi1Bar, HTMLStencilElement {
    }
    var HTMLRuxIconSignalWifi1BarElement: {
        prototype: HTMLRuxIconSignalWifi1BarElement;
        new (): HTMLRuxIconSignalWifi1BarElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSignalWifi1BarLockElement extends Components.RuxIconSignalWifi1BarLock, HTMLStencilElement {
    }
    var HTMLRuxIconSignalWifi1BarLockElement: {
        prototype: HTMLRuxIconSignalWifi1BarLockElement;
        new (): HTMLRuxIconSignalWifi1BarLockElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSignalWifi2BarElement extends Components.RuxIconSignalWifi2Bar, HTMLStencilElement {
    }
    var HTMLRuxIconSignalWifi2BarElement: {
        prototype: HTMLRuxIconSignalWifi2BarElement;
        new (): HTMLRuxIconSignalWifi2BarElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSignalWifi2BarLockElement extends Components.RuxIconSignalWifi2BarLock, HTMLStencilElement {
    }
    var HTMLRuxIconSignalWifi2BarLockElement: {
        prototype: HTMLRuxIconSignalWifi2BarLockElement;
        new (): HTMLRuxIconSignalWifi2BarLockElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSignalWifi3BarElement extends Components.RuxIconSignalWifi3Bar, HTMLStencilElement {
    }
    var HTMLRuxIconSignalWifi3BarElement: {
        prototype: HTMLRuxIconSignalWifi3BarElement;
        new (): HTMLRuxIconSignalWifi3BarElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSignalWifi3BarLockElement extends Components.RuxIconSignalWifi3BarLock, HTMLStencilElement {
    }
    var HTMLRuxIconSignalWifi3BarLockElement: {
        prototype: HTMLRuxIconSignalWifi3BarLockElement;
        new (): HTMLRuxIconSignalWifi3BarLockElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSignalWifi4BarElement extends Components.RuxIconSignalWifi4Bar, HTMLStencilElement {
    }
    var HTMLRuxIconSignalWifi4BarElement: {
        prototype: HTMLRuxIconSignalWifi4BarElement;
        new (): HTMLRuxIconSignalWifi4BarElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSignalWifi4BarLockElement extends Components.RuxIconSignalWifi4BarLock, HTMLStencilElement {
    }
    var HTMLRuxIconSignalWifi4BarLockElement: {
        prototype: HTMLRuxIconSignalWifi4BarLockElement;
        new (): HTMLRuxIconSignalWifi4BarLockElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSignalWifiOffElement extends Components.RuxIconSignalWifiOff, HTMLStencilElement {
    }
    var HTMLRuxIconSignalWifiOffElement: {
        prototype: HTMLRuxIconSignalWifiOffElement;
        new (): HTMLRuxIconSignalWifiOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSimCardElement extends Components.RuxIconSimCard, HTMLStencilElement {
    }
    var HTMLRuxIconSimCardElement: {
        prototype: HTMLRuxIconSimCardElement;
        new (): HTMLRuxIconSimCardElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSkipNextElement extends Components.RuxIconSkipNext, HTMLStencilElement {
    }
    var HTMLRuxIconSkipNextElement: {
        prototype: HTMLRuxIconSkipNextElement;
        new (): HTMLRuxIconSkipNextElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSkipPreviousElement extends Components.RuxIconSkipPrevious, HTMLStencilElement {
    }
    var HTMLRuxIconSkipPreviousElement: {
        prototype: HTMLRuxIconSkipPreviousElement;
        new (): HTMLRuxIconSkipPreviousElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSlideshowElement extends Components.RuxIconSlideshow, HTMLStencilElement {
    }
    var HTMLRuxIconSlideshowElement: {
        prototype: HTMLRuxIconSlideshowElement;
        new (): HTMLRuxIconSlideshowElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSlowMotionVideoElement extends Components.RuxIconSlowMotionVideo, HTMLStencilElement {
    }
    var HTMLRuxIconSlowMotionVideoElement: {
        prototype: HTMLRuxIconSlowMotionVideoElement;
        new (): HTMLRuxIconSlowMotionVideoElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSmartphoneElement extends Components.RuxIconSmartphone, HTMLStencilElement {
    }
    var HTMLRuxIconSmartphoneElement: {
        prototype: HTMLRuxIconSmartphoneElement;
        new (): HTMLRuxIconSmartphoneElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSmokeFreeElement extends Components.RuxIconSmokeFree, HTMLStencilElement {
    }
    var HTMLRuxIconSmokeFreeElement: {
        prototype: HTMLRuxIconSmokeFreeElement;
        new (): HTMLRuxIconSmokeFreeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSmokingRoomsElement extends Components.RuxIconSmokingRooms, HTMLStencilElement {
    }
    var HTMLRuxIconSmokingRoomsElement: {
        prototype: HTMLRuxIconSmokingRoomsElement;
        new (): HTMLRuxIconSmokingRoomsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSmsElement extends Components.RuxIconSms, HTMLStencilElement {
    }
    var HTMLRuxIconSmsElement: {
        prototype: HTMLRuxIconSmsElement;
        new (): HTMLRuxIconSmsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSmsFailedElement extends Components.RuxIconSmsFailed, HTMLStencilElement {
    }
    var HTMLRuxIconSmsFailedElement: {
        prototype: HTMLRuxIconSmsFailedElement;
        new (): HTMLRuxIconSmsFailedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSnoozeElement extends Components.RuxIconSnooze, HTMLStencilElement {
    }
    var HTMLRuxIconSnoozeElement: {
        prototype: HTMLRuxIconSnoozeElement;
        new (): HTMLRuxIconSnoozeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSolarElement extends Components.RuxIconSolar, HTMLStencilElement {
    }
    var HTMLRuxIconSolarElement: {
        prototype: HTMLRuxIconSolarElement;
        new (): HTMLRuxIconSolarElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSortElement extends Components.RuxIconSort, HTMLStencilElement {
    }
    var HTMLRuxIconSortElement: {
        prototype: HTMLRuxIconSortElement;
        new (): HTMLRuxIconSortElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSortByAlphaElement extends Components.RuxIconSortByAlpha, HTMLStencilElement {
    }
    var HTMLRuxIconSortByAlphaElement: {
        prototype: HTMLRuxIconSortByAlphaElement;
        new (): HTMLRuxIconSortByAlphaElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSpaElement extends Components.RuxIconSpa, HTMLStencilElement {
    }
    var HTMLRuxIconSpaElement: {
        prototype: HTMLRuxIconSpaElement;
        new (): HTMLRuxIconSpaElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSpaceBarElement extends Components.RuxIconSpaceBar, HTMLStencilElement {
    }
    var HTMLRuxIconSpaceBarElement: {
        prototype: HTMLRuxIconSpaceBarElement;
        new (): HTMLRuxIconSpaceBarElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSpeakerElement extends Components.RuxIconSpeaker, HTMLStencilElement {
    }
    var HTMLRuxIconSpeakerElement: {
        prototype: HTMLRuxIconSpeakerElement;
        new (): HTMLRuxIconSpeakerElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSpeakerGroupElement extends Components.RuxIconSpeakerGroup, HTMLStencilElement {
    }
    var HTMLRuxIconSpeakerGroupElement: {
        prototype: HTMLRuxIconSpeakerGroupElement;
        new (): HTMLRuxIconSpeakerGroupElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSpeakerNotesElement extends Components.RuxIconSpeakerNotes, HTMLStencilElement {
    }
    var HTMLRuxIconSpeakerNotesElement: {
        prototype: HTMLRuxIconSpeakerNotesElement;
        new (): HTMLRuxIconSpeakerNotesElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSpeakerNotesOffElement extends Components.RuxIconSpeakerNotesOff, HTMLStencilElement {
    }
    var HTMLRuxIconSpeakerNotesOffElement: {
        prototype: HTMLRuxIconSpeakerNotesOffElement;
        new (): HTMLRuxIconSpeakerNotesOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSpeakerPhoneElement extends Components.RuxIconSpeakerPhone, HTMLStencilElement {
    }
    var HTMLRuxIconSpeakerPhoneElement: {
        prototype: HTMLRuxIconSpeakerPhoneElement;
        new (): HTMLRuxIconSpeakerPhoneElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSpellcheckElement extends Components.RuxIconSpellcheck, HTMLStencilElement {
    }
    var HTMLRuxIconSpellcheckElement: {
        prototype: HTMLRuxIconSpellcheckElement;
        new (): HTMLRuxIconSpellcheckElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconStarElement extends Components.RuxIconStar, HTMLStencilElement {
    }
    var HTMLRuxIconStarElement: {
        prototype: HTMLRuxIconStarElement;
        new (): HTMLRuxIconStarElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconStarBorderElement extends Components.RuxIconStarBorder, HTMLStencilElement {
    }
    var HTMLRuxIconStarBorderElement: {
        prototype: HTMLRuxIconStarBorderElement;
        new (): HTMLRuxIconStarBorderElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconStarHalfElement extends Components.RuxIconStarHalf, HTMLStencilElement {
    }
    var HTMLRuxIconStarHalfElement: {
        prototype: HTMLRuxIconStarHalfElement;
        new (): HTMLRuxIconStarHalfElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconStarRateElement extends Components.RuxIconStarRate, HTMLStencilElement {
    }
    var HTMLRuxIconStarRateElement: {
        prototype: HTMLRuxIconStarRateElement;
        new (): HTMLRuxIconStarRateElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconStarsElement extends Components.RuxIconStars, HTMLStencilElement {
    }
    var HTMLRuxIconStarsElement: {
        prototype: HTMLRuxIconStarsElement;
        new (): HTMLRuxIconStarsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconStayCurrentLandscapeElement extends Components.RuxIconStayCurrentLandscape, HTMLStencilElement {
    }
    var HTMLRuxIconStayCurrentLandscapeElement: {
        prototype: HTMLRuxIconStayCurrentLandscapeElement;
        new (): HTMLRuxIconStayCurrentLandscapeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconStayCurrentPortraitElement extends Components.RuxIconStayCurrentPortrait, HTMLStencilElement {
    }
    var HTMLRuxIconStayCurrentPortraitElement: {
        prototype: HTMLRuxIconStayCurrentPortraitElement;
        new (): HTMLRuxIconStayCurrentPortraitElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconStayPrimaryLandscapeElement extends Components.RuxIconStayPrimaryLandscape, HTMLStencilElement {
    }
    var HTMLRuxIconStayPrimaryLandscapeElement: {
        prototype: HTMLRuxIconStayPrimaryLandscapeElement;
        new (): HTMLRuxIconStayPrimaryLandscapeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconStayPrimaryPortraitElement extends Components.RuxIconStayPrimaryPortrait, HTMLStencilElement {
    }
    var HTMLRuxIconStayPrimaryPortraitElement: {
        prototype: HTMLRuxIconStayPrimaryPortraitElement;
        new (): HTMLRuxIconStayPrimaryPortraitElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconStopElement extends Components.RuxIconStop, HTMLStencilElement {
    }
    var HTMLRuxIconStopElement: {
        prototype: HTMLRuxIconStopElement;
        new (): HTMLRuxIconStopElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconStopScreenShareElement extends Components.RuxIconStopScreenShare, HTMLStencilElement {
    }
    var HTMLRuxIconStopScreenShareElement: {
        prototype: HTMLRuxIconStopScreenShareElement;
        new (): HTMLRuxIconStopScreenShareElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconStorageElement extends Components.RuxIconStorage, HTMLStencilElement {
    }
    var HTMLRuxIconStorageElement: {
        prototype: HTMLRuxIconStorageElement;
        new (): HTMLRuxIconStorageElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconStoreElement extends Components.RuxIconStore, HTMLStencilElement {
    }
    var HTMLRuxIconStoreElement: {
        prototype: HTMLRuxIconStoreElement;
        new (): HTMLRuxIconStoreElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconStoreMallDirectoryElement extends Components.RuxIconStoreMallDirectory, HTMLStencilElement {
    }
    var HTMLRuxIconStoreMallDirectoryElement: {
        prototype: HTMLRuxIconStoreMallDirectoryElement;
        new (): HTMLRuxIconStoreMallDirectoryElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconStraightenElement extends Components.RuxIconStraighten, HTMLStencilElement {
    }
    var HTMLRuxIconStraightenElement: {
        prototype: HTMLRuxIconStraightenElement;
        new (): HTMLRuxIconStraightenElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconStreetviewElement extends Components.RuxIconStreetview, HTMLStencilElement {
    }
    var HTMLRuxIconStreetviewElement: {
        prototype: HTMLRuxIconStreetviewElement;
        new (): HTMLRuxIconStreetviewElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconStrikethroughSElement extends Components.RuxIconStrikethroughS, HTMLStencilElement {
    }
    var HTMLRuxIconStrikethroughSElement: {
        prototype: HTMLRuxIconStrikethroughSElement;
        new (): HTMLRuxIconStrikethroughSElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconStyleElement extends Components.RuxIconStyle, HTMLStencilElement {
    }
    var HTMLRuxIconStyleElement: {
        prototype: HTMLRuxIconStyleElement;
        new (): HTMLRuxIconStyleElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSubdirectoryArrowLeftElement extends Components.RuxIconSubdirectoryArrowLeft, HTMLStencilElement {
    }
    var HTMLRuxIconSubdirectoryArrowLeftElement: {
        prototype: HTMLRuxIconSubdirectoryArrowLeftElement;
        new (): HTMLRuxIconSubdirectoryArrowLeftElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSubdirectoryArrowRightElement extends Components.RuxIconSubdirectoryArrowRight, HTMLStencilElement {
    }
    var HTMLRuxIconSubdirectoryArrowRightElement: {
        prototype: HTMLRuxIconSubdirectoryArrowRightElement;
        new (): HTMLRuxIconSubdirectoryArrowRightElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSubjectElement extends Components.RuxIconSubject, HTMLStencilElement {
    }
    var HTMLRuxIconSubjectElement: {
        prototype: HTMLRuxIconSubjectElement;
        new (): HTMLRuxIconSubjectElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSubscriptionsElement extends Components.RuxIconSubscriptions, HTMLStencilElement {
    }
    var HTMLRuxIconSubscriptionsElement: {
        prototype: HTMLRuxIconSubscriptionsElement;
        new (): HTMLRuxIconSubscriptionsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSubtitlesElement extends Components.RuxIconSubtitles, HTMLStencilElement {
    }
    var HTMLRuxIconSubtitlesElement: {
        prototype: HTMLRuxIconSubtitlesElement;
        new (): HTMLRuxIconSubtitlesElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSubwayElement extends Components.RuxIconSubway, HTMLStencilElement {
    }
    var HTMLRuxIconSubwayElement: {
        prototype: HTMLRuxIconSubwayElement;
        new (): HTMLRuxIconSubwayElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSupervisedUserCircleElement extends Components.RuxIconSupervisedUserCircle, HTMLStencilElement {
    }
    var HTMLRuxIconSupervisedUserCircleElement: {
        prototype: HTMLRuxIconSupervisedUserCircleElement;
        new (): HTMLRuxIconSupervisedUserCircleElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSupervisorAccountElement extends Components.RuxIconSupervisorAccount, HTMLStencilElement {
    }
    var HTMLRuxIconSupervisorAccountElement: {
        prototype: HTMLRuxIconSupervisorAccountElement;
        new (): HTMLRuxIconSupervisorAccountElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSurroundSoundElement extends Components.RuxIconSurroundSound, HTMLStencilElement {
    }
    var HTMLRuxIconSurroundSoundElement: {
        prototype: HTMLRuxIconSurroundSoundElement;
        new (): HTMLRuxIconSurroundSoundElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSwapCallsElement extends Components.RuxIconSwapCalls, HTMLStencilElement {
    }
    var HTMLRuxIconSwapCallsElement: {
        prototype: HTMLRuxIconSwapCallsElement;
        new (): HTMLRuxIconSwapCallsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSwapHorizElement extends Components.RuxIconSwapHoriz, HTMLStencilElement {
    }
    var HTMLRuxIconSwapHorizElement: {
        prototype: HTMLRuxIconSwapHorizElement;
        new (): HTMLRuxIconSwapHorizElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSwapHorizontalCircleElement extends Components.RuxIconSwapHorizontalCircle, HTMLStencilElement {
    }
    var HTMLRuxIconSwapHorizontalCircleElement: {
        prototype: HTMLRuxIconSwapHorizontalCircleElement;
        new (): HTMLRuxIconSwapHorizontalCircleElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSwapVertElement extends Components.RuxIconSwapVert, HTMLStencilElement {
    }
    var HTMLRuxIconSwapVertElement: {
        prototype: HTMLRuxIconSwapVertElement;
        new (): HTMLRuxIconSwapVertElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSwapVerticalCircleElement extends Components.RuxIconSwapVerticalCircle, HTMLStencilElement {
    }
    var HTMLRuxIconSwapVerticalCircleElement: {
        prototype: HTMLRuxIconSwapVerticalCircleElement;
        new (): HTMLRuxIconSwapVerticalCircleElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSwitchCameraElement extends Components.RuxIconSwitchCamera, HTMLStencilElement {
    }
    var HTMLRuxIconSwitchCameraElement: {
        prototype: HTMLRuxIconSwitchCameraElement;
        new (): HTMLRuxIconSwitchCameraElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSwitchVideoElement extends Components.RuxIconSwitchVideo, HTMLStencilElement {
    }
    var HTMLRuxIconSwitchVideoElement: {
        prototype: HTMLRuxIconSwitchVideoElement;
        new (): HTMLRuxIconSwitchVideoElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSyncElement extends Components.RuxIconSync, HTMLStencilElement {
    }
    var HTMLRuxIconSyncElement: {
        prototype: HTMLRuxIconSyncElement;
        new (): HTMLRuxIconSyncElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSyncDisabledElement extends Components.RuxIconSyncDisabled, HTMLStencilElement {
    }
    var HTMLRuxIconSyncDisabledElement: {
        prototype: HTMLRuxIconSyncDisabledElement;
        new (): HTMLRuxIconSyncDisabledElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSyncProblemElement extends Components.RuxIconSyncProblem, HTMLStencilElement {
    }
    var HTMLRuxIconSyncProblemElement: {
        prototype: HTMLRuxIconSyncProblemElement;
        new (): HTMLRuxIconSyncProblemElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconSystemUpdateElement extends Components.RuxIconSystemUpdate, HTMLStencilElement {
    }
    var HTMLRuxIconSystemUpdateElement: {
        prototype: HTMLRuxIconSystemUpdateElement;
        new (): HTMLRuxIconSystemUpdateElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTabElement extends Components.RuxIconTab, HTMLStencilElement {
    }
    var HTMLRuxIconTabElement: {
        prototype: HTMLRuxIconTabElement;
        new (): HTMLRuxIconTabElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTabUnselectedElement extends Components.RuxIconTabUnselected, HTMLStencilElement {
    }
    var HTMLRuxIconTabUnselectedElement: {
        prototype: HTMLRuxIconTabUnselectedElement;
        new (): HTMLRuxIconTabUnselectedElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTableChartElement extends Components.RuxIconTableChart, HTMLStencilElement {
    }
    var HTMLRuxIconTableChartElement: {
        prototype: HTMLRuxIconTableChartElement;
        new (): HTMLRuxIconTableChartElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTabletElement extends Components.RuxIconTablet, HTMLStencilElement {
    }
    var HTMLRuxIconTabletElement: {
        prototype: HTMLRuxIconTabletElement;
        new (): HTMLRuxIconTabletElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTabletAndroidElement extends Components.RuxIconTabletAndroid, HTMLStencilElement {
    }
    var HTMLRuxIconTabletAndroidElement: {
        prototype: HTMLRuxIconTabletAndroidElement;
        new (): HTMLRuxIconTabletAndroidElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTabletMacElement extends Components.RuxIconTabletMac, HTMLStencilElement {
    }
    var HTMLRuxIconTabletMacElement: {
        prototype: HTMLRuxIconTabletMacElement;
        new (): HTMLRuxIconTabletMacElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTagFacesElement extends Components.RuxIconTagFaces, HTMLStencilElement {
    }
    var HTMLRuxIconTagFacesElement: {
        prototype: HTMLRuxIconTagFacesElement;
        new (): HTMLRuxIconTagFacesElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTapAndPlayElement extends Components.RuxIconTapAndPlay, HTMLStencilElement {
    }
    var HTMLRuxIconTapAndPlayElement: {
        prototype: HTMLRuxIconTapAndPlayElement;
        new (): HTMLRuxIconTapAndPlayElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTerrainElement extends Components.RuxIconTerrain, HTMLStencilElement {
    }
    var HTMLRuxIconTerrainElement: {
        prototype: HTMLRuxIconTerrainElement;
        new (): HTMLRuxIconTerrainElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTextFieldsElement extends Components.RuxIconTextFields, HTMLStencilElement {
    }
    var HTMLRuxIconTextFieldsElement: {
        prototype: HTMLRuxIconTextFieldsElement;
        new (): HTMLRuxIconTextFieldsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTextFormatElement extends Components.RuxIconTextFormat, HTMLStencilElement {
    }
    var HTMLRuxIconTextFormatElement: {
        prototype: HTMLRuxIconTextFormatElement;
        new (): HTMLRuxIconTextFormatElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTextRotateUpElement extends Components.RuxIconTextRotateUp, HTMLStencilElement {
    }
    var HTMLRuxIconTextRotateUpElement: {
        prototype: HTMLRuxIconTextRotateUpElement;
        new (): HTMLRuxIconTextRotateUpElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTextRotateVerticalElement extends Components.RuxIconTextRotateVertical, HTMLStencilElement {
    }
    var HTMLRuxIconTextRotateVerticalElement: {
        prototype: HTMLRuxIconTextRotateVerticalElement;
        new (): HTMLRuxIconTextRotateVerticalElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTextRotationNoneElement extends Components.RuxIconTextRotationNone, HTMLStencilElement {
    }
    var HTMLRuxIconTextRotationNoneElement: {
        prototype: HTMLRuxIconTextRotationNoneElement;
        new (): HTMLRuxIconTextRotationNoneElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTextsmsElement extends Components.RuxIconTextsms, HTMLStencilElement {
    }
    var HTMLRuxIconTextsmsElement: {
        prototype: HTMLRuxIconTextsmsElement;
        new (): HTMLRuxIconTextsmsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTextureElement extends Components.RuxIconTexture, HTMLStencilElement {
    }
    var HTMLRuxIconTextureElement: {
        prototype: HTMLRuxIconTextureElement;
        new (): HTMLRuxIconTextureElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTheatersElement extends Components.RuxIconTheaters, HTMLStencilElement {
    }
    var HTMLRuxIconTheatersElement: {
        prototype: HTMLRuxIconTheatersElement;
        new (): HTMLRuxIconTheatersElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconThermalElement extends Components.RuxIconThermal, HTMLStencilElement {
    }
    var HTMLRuxIconThermalElement: {
        prototype: HTMLRuxIconThermalElement;
        new (): HTMLRuxIconThermalElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconThumbDownElement extends Components.RuxIconThumbDown, HTMLStencilElement {
    }
    var HTMLRuxIconThumbDownElement: {
        prototype: HTMLRuxIconThumbDownElement;
        new (): HTMLRuxIconThumbDownElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconThumbDownAltElement extends Components.RuxIconThumbDownAlt, HTMLStencilElement {
    }
    var HTMLRuxIconThumbDownAltElement: {
        prototype: HTMLRuxIconThumbDownAltElement;
        new (): HTMLRuxIconThumbDownAltElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconThumbUpElement extends Components.RuxIconThumbUp, HTMLStencilElement {
    }
    var HTMLRuxIconThumbUpElement: {
        prototype: HTMLRuxIconThumbUpElement;
        new (): HTMLRuxIconThumbUpElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconThumbUpAltElement extends Components.RuxIconThumbUpAlt, HTMLStencilElement {
    }
    var HTMLRuxIconThumbUpAltElement: {
        prototype: HTMLRuxIconThumbUpAltElement;
        new (): HTMLRuxIconThumbUpAltElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconThumbsUpDownElement extends Components.RuxIconThumbsUpDown, HTMLStencilElement {
    }
    var HTMLRuxIconThumbsUpDownElement: {
        prototype: HTMLRuxIconThumbsUpDownElement;
        new (): HTMLRuxIconThumbsUpDownElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTimeToLeaveElement extends Components.RuxIconTimeToLeave, HTMLStencilElement {
    }
    var HTMLRuxIconTimeToLeaveElement: {
        prototype: HTMLRuxIconTimeToLeaveElement;
        new (): HTMLRuxIconTimeToLeaveElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTimelapseElement extends Components.RuxIconTimelapse, HTMLStencilElement {
    }
    var HTMLRuxIconTimelapseElement: {
        prototype: HTMLRuxIconTimelapseElement;
        new (): HTMLRuxIconTimelapseElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTimelineElement extends Components.RuxIconTimeline, HTMLStencilElement {
    }
    var HTMLRuxIconTimelineElement: {
        prototype: HTMLRuxIconTimelineElement;
        new (): HTMLRuxIconTimelineElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTimerElement extends Components.RuxIconTimer, HTMLStencilElement {
    }
    var HTMLRuxIconTimerElement: {
        prototype: HTMLRuxIconTimerElement;
        new (): HTMLRuxIconTimerElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTimer10Element extends Components.RuxIconTimer10, HTMLStencilElement {
    }
    var HTMLRuxIconTimer10Element: {
        prototype: HTMLRuxIconTimer10Element;
        new (): HTMLRuxIconTimer10Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTimer3Element extends Components.RuxIconTimer3, HTMLStencilElement {
    }
    var HTMLRuxIconTimer3Element: {
        prototype: HTMLRuxIconTimer3Element;
        new (): HTMLRuxIconTimer3Element;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTimerOffElement extends Components.RuxIconTimerOff, HTMLStencilElement {
    }
    var HTMLRuxIconTimerOffElement: {
        prototype: HTMLRuxIconTimerOffElement;
        new (): HTMLRuxIconTimerOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTitleElement extends Components.RuxIconTitle, HTMLStencilElement {
    }
    var HTMLRuxIconTitleElement: {
        prototype: HTMLRuxIconTitleElement;
        new (): HTMLRuxIconTitleElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTocElement extends Components.RuxIconToc, HTMLStencilElement {
    }
    var HTMLRuxIconTocElement: {
        prototype: HTMLRuxIconTocElement;
        new (): HTMLRuxIconTocElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTodayElement extends Components.RuxIconToday, HTMLStencilElement {
    }
    var HTMLRuxIconTodayElement: {
        prototype: HTMLRuxIconTodayElement;
        new (): HTMLRuxIconTodayElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconToggleOffElement extends Components.RuxIconToggleOff, HTMLStencilElement {
    }
    var HTMLRuxIconToggleOffElement: {
        prototype: HTMLRuxIconToggleOffElement;
        new (): HTMLRuxIconToggleOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconToggleOnElement extends Components.RuxIconToggleOn, HTMLStencilElement {
    }
    var HTMLRuxIconToggleOnElement: {
        prototype: HTMLRuxIconToggleOnElement;
        new (): HTMLRuxIconToggleOnElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTollElement extends Components.RuxIconToll, HTMLStencilElement {
    }
    var HTMLRuxIconTollElement: {
        prototype: HTMLRuxIconTollElement;
        new (): HTMLRuxIconTollElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTonalityElement extends Components.RuxIconTonality, HTMLStencilElement {
    }
    var HTMLRuxIconTonalityElement: {
        prototype: HTMLRuxIconTonalityElement;
        new (): HTMLRuxIconTonalityElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTouchAppElement extends Components.RuxIconTouchApp, HTMLStencilElement {
    }
    var HTMLRuxIconTouchAppElement: {
        prototype: HTMLRuxIconTouchAppElement;
        new (): HTMLRuxIconTouchAppElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconToysElement extends Components.RuxIconToys, HTMLStencilElement {
    }
    var HTMLRuxIconToysElement: {
        prototype: HTMLRuxIconToysElement;
        new (): HTMLRuxIconToysElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTrackChangesElement extends Components.RuxIconTrackChanges, HTMLStencilElement {
    }
    var HTMLRuxIconTrackChangesElement: {
        prototype: HTMLRuxIconTrackChangesElement;
        new (): HTMLRuxIconTrackChangesElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTrafficElement extends Components.RuxIconTraffic, HTMLStencilElement {
    }
    var HTMLRuxIconTrafficElement: {
        prototype: HTMLRuxIconTrafficElement;
        new (): HTMLRuxIconTrafficElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTrainElement extends Components.RuxIconTrain, HTMLStencilElement {
    }
    var HTMLRuxIconTrainElement: {
        prototype: HTMLRuxIconTrainElement;
        new (): HTMLRuxIconTrainElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTramElement extends Components.RuxIconTram, HTMLStencilElement {
    }
    var HTMLRuxIconTramElement: {
        prototype: HTMLRuxIconTramElement;
        new (): HTMLRuxIconTramElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTransferWithinAStationElement extends Components.RuxIconTransferWithinAStation, HTMLStencilElement {
    }
    var HTMLRuxIconTransferWithinAStationElement: {
        prototype: HTMLRuxIconTransferWithinAStationElement;
        new (): HTMLRuxIconTransferWithinAStationElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTransformElement extends Components.RuxIconTransform, HTMLStencilElement {
    }
    var HTMLRuxIconTransformElement: {
        prototype: HTMLRuxIconTransformElement;
        new (): HTMLRuxIconTransformElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTransitEnterexitElement extends Components.RuxIconTransitEnterexit, HTMLStencilElement {
    }
    var HTMLRuxIconTransitEnterexitElement: {
        prototype: HTMLRuxIconTransitEnterexitElement;
        new (): HTMLRuxIconTransitEnterexitElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTranslateElement extends Components.RuxIconTranslate, HTMLStencilElement {
    }
    var HTMLRuxIconTranslateElement: {
        prototype: HTMLRuxIconTranslateElement;
        new (): HTMLRuxIconTranslateElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTrendingDownElement extends Components.RuxIconTrendingDown, HTMLStencilElement {
    }
    var HTMLRuxIconTrendingDownElement: {
        prototype: HTMLRuxIconTrendingDownElement;
        new (): HTMLRuxIconTrendingDownElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTrendingFlatElement extends Components.RuxIconTrendingFlat, HTMLStencilElement {
    }
    var HTMLRuxIconTrendingFlatElement: {
        prototype: HTMLRuxIconTrendingFlatElement;
        new (): HTMLRuxIconTrendingFlatElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTrendingUpElement extends Components.RuxIconTrendingUp, HTMLStencilElement {
    }
    var HTMLRuxIconTrendingUpElement: {
        prototype: HTMLRuxIconTrendingUpElement;
        new (): HTMLRuxIconTrendingUpElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTripOriginElement extends Components.RuxIconTripOrigin, HTMLStencilElement {
    }
    var HTMLRuxIconTripOriginElement: {
        prototype: HTMLRuxIconTripOriginElement;
        new (): HTMLRuxIconTripOriginElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTuneElement extends Components.RuxIconTune, HTMLStencilElement {
    }
    var HTMLRuxIconTuneElement: {
        prototype: HTMLRuxIconTuneElement;
        new (): HTMLRuxIconTuneElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTurnedInElement extends Components.RuxIconTurnedIn, HTMLStencilElement {
    }
    var HTMLRuxIconTurnedInElement: {
        prototype: HTMLRuxIconTurnedInElement;
        new (): HTMLRuxIconTurnedInElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTurnedInNotElement extends Components.RuxIconTurnedInNot, HTMLStencilElement {
    }
    var HTMLRuxIconTurnedInNotElement: {
        prototype: HTMLRuxIconTurnedInNotElement;
        new (): HTMLRuxIconTurnedInNotElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTvElement extends Components.RuxIconTv, HTMLStencilElement {
    }
    var HTMLRuxIconTvElement: {
        prototype: HTMLRuxIconTvElement;
        new (): HTMLRuxIconTvElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconTvOffElement extends Components.RuxIconTvOff, HTMLStencilElement {
    }
    var HTMLRuxIconTvOffElement: {
        prototype: HTMLRuxIconTvOffElement;
        new (): HTMLRuxIconTvOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconUnarchiveElement extends Components.RuxIconUnarchive, HTMLStencilElement {
    }
    var HTMLRuxIconUnarchiveElement: {
        prototype: HTMLRuxIconUnarchiveElement;
        new (): HTMLRuxIconUnarchiveElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconUndoElement extends Components.RuxIconUndo, HTMLStencilElement {
    }
    var HTMLRuxIconUndoElement: {
        prototype: HTMLRuxIconUndoElement;
        new (): HTMLRuxIconUndoElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconUnfoldLessElement extends Components.RuxIconUnfoldLess, HTMLStencilElement {
    }
    var HTMLRuxIconUnfoldLessElement: {
        prototype: HTMLRuxIconUnfoldLessElement;
        new (): HTMLRuxIconUnfoldLessElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconUnfoldMoreElement extends Components.RuxIconUnfoldMore, HTMLStencilElement {
    }
    var HTMLRuxIconUnfoldMoreElement: {
        prototype: HTMLRuxIconUnfoldMoreElement;
        new (): HTMLRuxIconUnfoldMoreElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconUnsubscribeElement extends Components.RuxIconUnsubscribe, HTMLStencilElement {
    }
    var HTMLRuxIconUnsubscribeElement: {
        prototype: HTMLRuxIconUnsubscribeElement;
        new (): HTMLRuxIconUnsubscribeElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconUpdateElement extends Components.RuxIconUpdate, HTMLStencilElement {
    }
    var HTMLRuxIconUpdateElement: {
        prototype: HTMLRuxIconUpdateElement;
        new (): HTMLRuxIconUpdateElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconUsbElement extends Components.RuxIconUsb, HTMLStencilElement {
    }
    var HTMLRuxIconUsbElement: {
        prototype: HTMLRuxIconUsbElement;
        new (): HTMLRuxIconUsbElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconVerifiedUserElement extends Components.RuxIconVerifiedUser, HTMLStencilElement {
    }
    var HTMLRuxIconVerifiedUserElement: {
        prototype: HTMLRuxIconVerifiedUserElement;
        new (): HTMLRuxIconVerifiedUserElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconVerticalAlignBottomElement extends Components.RuxIconVerticalAlignBottom, HTMLStencilElement {
    }
    var HTMLRuxIconVerticalAlignBottomElement: {
        prototype: HTMLRuxIconVerticalAlignBottomElement;
        new (): HTMLRuxIconVerticalAlignBottomElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconVerticalAlignCenterElement extends Components.RuxIconVerticalAlignCenter, HTMLStencilElement {
    }
    var HTMLRuxIconVerticalAlignCenterElement: {
        prototype: HTMLRuxIconVerticalAlignCenterElement;
        new (): HTMLRuxIconVerticalAlignCenterElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconVerticalAlignTopElement extends Components.RuxIconVerticalAlignTop, HTMLStencilElement {
    }
    var HTMLRuxIconVerticalAlignTopElement: {
        prototype: HTMLRuxIconVerticalAlignTopElement;
        new (): HTMLRuxIconVerticalAlignTopElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconVerticalSplitElement extends Components.RuxIconVerticalSplit, HTMLStencilElement {
    }
    var HTMLRuxIconVerticalSplitElement: {
        prototype: HTMLRuxIconVerticalSplitElement;
        new (): HTMLRuxIconVerticalSplitElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconVibrationElement extends Components.RuxIconVibration, HTMLStencilElement {
    }
    var HTMLRuxIconVibrationElement: {
        prototype: HTMLRuxIconVibrationElement;
        new (): HTMLRuxIconVibrationElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconVideoCallElement extends Components.RuxIconVideoCall, HTMLStencilElement {
    }
    var HTMLRuxIconVideoCallElement: {
        prototype: HTMLRuxIconVideoCallElement;
        new (): HTMLRuxIconVideoCallElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconVideoLabelElement extends Components.RuxIconVideoLabel, HTMLStencilElement {
    }
    var HTMLRuxIconVideoLabelElement: {
        prototype: HTMLRuxIconVideoLabelElement;
        new (): HTMLRuxIconVideoLabelElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconVideoLibraryElement extends Components.RuxIconVideoLibrary, HTMLStencilElement {
    }
    var HTMLRuxIconVideoLibraryElement: {
        prototype: HTMLRuxIconVideoLibraryElement;
        new (): HTMLRuxIconVideoLibraryElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconVideocamElement extends Components.RuxIconVideocam, HTMLStencilElement {
    }
    var HTMLRuxIconVideocamElement: {
        prototype: HTMLRuxIconVideocamElement;
        new (): HTMLRuxIconVideocamElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconVideocamOffElement extends Components.RuxIconVideocamOff, HTMLStencilElement {
    }
    var HTMLRuxIconVideocamOffElement: {
        prototype: HTMLRuxIconVideocamOffElement;
        new (): HTMLRuxIconVideocamOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconVideogameAssetElement extends Components.RuxIconVideogameAsset, HTMLStencilElement {
    }
    var HTMLRuxIconVideogameAssetElement: {
        prototype: HTMLRuxIconVideogameAssetElement;
        new (): HTMLRuxIconVideogameAssetElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconViewAgendaElement extends Components.RuxIconViewAgenda, HTMLStencilElement {
    }
    var HTMLRuxIconViewAgendaElement: {
        prototype: HTMLRuxIconViewAgendaElement;
        new (): HTMLRuxIconViewAgendaElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconViewArrayElement extends Components.RuxIconViewArray, HTMLStencilElement {
    }
    var HTMLRuxIconViewArrayElement: {
        prototype: HTMLRuxIconViewArrayElement;
        new (): HTMLRuxIconViewArrayElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconViewCarouselElement extends Components.RuxIconViewCarousel, HTMLStencilElement {
    }
    var HTMLRuxIconViewCarouselElement: {
        prototype: HTMLRuxIconViewCarouselElement;
        new (): HTMLRuxIconViewCarouselElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconViewColumnElement extends Components.RuxIconViewColumn, HTMLStencilElement {
    }
    var HTMLRuxIconViewColumnElement: {
        prototype: HTMLRuxIconViewColumnElement;
        new (): HTMLRuxIconViewColumnElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconViewComfyElement extends Components.RuxIconViewComfy, HTMLStencilElement {
    }
    var HTMLRuxIconViewComfyElement: {
        prototype: HTMLRuxIconViewComfyElement;
        new (): HTMLRuxIconViewComfyElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconViewCompactElement extends Components.RuxIconViewCompact, HTMLStencilElement {
    }
    var HTMLRuxIconViewCompactElement: {
        prototype: HTMLRuxIconViewCompactElement;
        new (): HTMLRuxIconViewCompactElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconViewDayElement extends Components.RuxIconViewDay, HTMLStencilElement {
    }
    var HTMLRuxIconViewDayElement: {
        prototype: HTMLRuxIconViewDayElement;
        new (): HTMLRuxIconViewDayElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconViewHeadlineElement extends Components.RuxIconViewHeadline, HTMLStencilElement {
    }
    var HTMLRuxIconViewHeadlineElement: {
        prototype: HTMLRuxIconViewHeadlineElement;
        new (): HTMLRuxIconViewHeadlineElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconViewListElement extends Components.RuxIconViewList, HTMLStencilElement {
    }
    var HTMLRuxIconViewListElement: {
        prototype: HTMLRuxIconViewListElement;
        new (): HTMLRuxIconViewListElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconViewModuleElement extends Components.RuxIconViewModule, HTMLStencilElement {
    }
    var HTMLRuxIconViewModuleElement: {
        prototype: HTMLRuxIconViewModuleElement;
        new (): HTMLRuxIconViewModuleElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconViewQuiltElement extends Components.RuxIconViewQuilt, HTMLStencilElement {
    }
    var HTMLRuxIconViewQuiltElement: {
        prototype: HTMLRuxIconViewQuiltElement;
        new (): HTMLRuxIconViewQuiltElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconViewStreamElement extends Components.RuxIconViewStream, HTMLStencilElement {
    }
    var HTMLRuxIconViewStreamElement: {
        prototype: HTMLRuxIconViewStreamElement;
        new (): HTMLRuxIconViewStreamElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconViewWeekElement extends Components.RuxIconViewWeek, HTMLStencilElement {
    }
    var HTMLRuxIconViewWeekElement: {
        prototype: HTMLRuxIconViewWeekElement;
        new (): HTMLRuxIconViewWeekElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconVignetteElement extends Components.RuxIconVignette, HTMLStencilElement {
    }
    var HTMLRuxIconVignetteElement: {
        prototype: HTMLRuxIconVignetteElement;
        new (): HTMLRuxIconVignetteElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconVisibilityElement extends Components.RuxIconVisibility, HTMLStencilElement {
    }
    var HTMLRuxIconVisibilityElement: {
        prototype: HTMLRuxIconVisibilityElement;
        new (): HTMLRuxIconVisibilityElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconVisibilityOffElement extends Components.RuxIconVisibilityOff, HTMLStencilElement {
    }
    var HTMLRuxIconVisibilityOffElement: {
        prototype: HTMLRuxIconVisibilityOffElement;
        new (): HTMLRuxIconVisibilityOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconVoiceChatElement extends Components.RuxIconVoiceChat, HTMLStencilElement {
    }
    var HTMLRuxIconVoiceChatElement: {
        prototype: HTMLRuxIconVoiceChatElement;
        new (): HTMLRuxIconVoiceChatElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconVoiceOverOffElement extends Components.RuxIconVoiceOverOff, HTMLStencilElement {
    }
    var HTMLRuxIconVoiceOverOffElement: {
        prototype: HTMLRuxIconVoiceOverOffElement;
        new (): HTMLRuxIconVoiceOverOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconVoicemailElement extends Components.RuxIconVoicemail, HTMLStencilElement {
    }
    var HTMLRuxIconVoicemailElement: {
        prototype: HTMLRuxIconVoicemailElement;
        new (): HTMLRuxIconVoicemailElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconVolumeDownElement extends Components.RuxIconVolumeDown, HTMLStencilElement {
    }
    var HTMLRuxIconVolumeDownElement: {
        prototype: HTMLRuxIconVolumeDownElement;
        new (): HTMLRuxIconVolumeDownElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconVolumeMuteElement extends Components.RuxIconVolumeMute, HTMLStencilElement {
    }
    var HTMLRuxIconVolumeMuteElement: {
        prototype: HTMLRuxIconVolumeMuteElement;
        new (): HTMLRuxIconVolumeMuteElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconVolumeOffElement extends Components.RuxIconVolumeOff, HTMLStencilElement {
    }
    var HTMLRuxIconVolumeOffElement: {
        prototype: HTMLRuxIconVolumeOffElement;
        new (): HTMLRuxIconVolumeOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconVolumeUpElement extends Components.RuxIconVolumeUp, HTMLStencilElement {
    }
    var HTMLRuxIconVolumeUpElement: {
        prototype: HTMLRuxIconVolumeUpElement;
        new (): HTMLRuxIconVolumeUpElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconVpnKeyElement extends Components.RuxIconVpnKey, HTMLStencilElement {
    }
    var HTMLRuxIconVpnKeyElement: {
        prototype: HTMLRuxIconVpnKeyElement;
        new (): HTMLRuxIconVpnKeyElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconVpnLockElement extends Components.RuxIconVpnLock, HTMLStencilElement {
    }
    var HTMLRuxIconVpnLockElement: {
        prototype: HTMLRuxIconVpnLockElement;
        new (): HTMLRuxIconVpnLockElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconWallpaperElement extends Components.RuxIconWallpaper, HTMLStencilElement {
    }
    var HTMLRuxIconWallpaperElement: {
        prototype: HTMLRuxIconWallpaperElement;
        new (): HTMLRuxIconWallpaperElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconWarningElement extends Components.RuxIconWarning, HTMLStencilElement {
    }
    var HTMLRuxIconWarningElement: {
        prototype: HTMLRuxIconWarningElement;
        new (): HTMLRuxIconWarningElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconWatchElement extends Components.RuxIconWatch, HTMLStencilElement {
    }
    var HTMLRuxIconWatchElement: {
        prototype: HTMLRuxIconWatchElement;
        new (): HTMLRuxIconWatchElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconWatchLaterElement extends Components.RuxIconWatchLater, HTMLStencilElement {
    }
    var HTMLRuxIconWatchLaterElement: {
        prototype: HTMLRuxIconWatchLaterElement;
        new (): HTMLRuxIconWatchLaterElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconWavesElement extends Components.RuxIconWaves, HTMLStencilElement {
    }
    var HTMLRuxIconWavesElement: {
        prototype: HTMLRuxIconWavesElement;
        new (): HTMLRuxIconWavesElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconWbAutoElement extends Components.RuxIconWbAuto, HTMLStencilElement {
    }
    var HTMLRuxIconWbAutoElement: {
        prototype: HTMLRuxIconWbAutoElement;
        new (): HTMLRuxIconWbAutoElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconWbCloudyElement extends Components.RuxIconWbCloudy, HTMLStencilElement {
    }
    var HTMLRuxIconWbCloudyElement: {
        prototype: HTMLRuxIconWbCloudyElement;
        new (): HTMLRuxIconWbCloudyElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconWbIncandescentElement extends Components.RuxIconWbIncandescent, HTMLStencilElement {
    }
    var HTMLRuxIconWbIncandescentElement: {
        prototype: HTMLRuxIconWbIncandescentElement;
        new (): HTMLRuxIconWbIncandescentElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconWbIridescentElement extends Components.RuxIconWbIridescent, HTMLStencilElement {
    }
    var HTMLRuxIconWbIridescentElement: {
        prototype: HTMLRuxIconWbIridescentElement;
        new (): HTMLRuxIconWbIridescentElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconWbSunnyElement extends Components.RuxIconWbSunny, HTMLStencilElement {
    }
    var HTMLRuxIconWbSunnyElement: {
        prototype: HTMLRuxIconWbSunnyElement;
        new (): HTMLRuxIconWbSunnyElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconWcElement extends Components.RuxIconWc, HTMLStencilElement {
    }
    var HTMLRuxIconWcElement: {
        prototype: HTMLRuxIconWcElement;
        new (): HTMLRuxIconWcElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconWebElement extends Components.RuxIconWeb, HTMLStencilElement {
    }
    var HTMLRuxIconWebElement: {
        prototype: HTMLRuxIconWebElement;
        new (): HTMLRuxIconWebElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconWebAssetElement extends Components.RuxIconWebAsset, HTMLStencilElement {
    }
    var HTMLRuxIconWebAssetElement: {
        prototype: HTMLRuxIconWebAssetElement;
        new (): HTMLRuxIconWebAssetElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconWeekendElement extends Components.RuxIconWeekend, HTMLStencilElement {
    }
    var HTMLRuxIconWeekendElement: {
        prototype: HTMLRuxIconWeekendElement;
        new (): HTMLRuxIconWeekendElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconWhatshotElement extends Components.RuxIconWhatshot, HTMLStencilElement {
    }
    var HTMLRuxIconWhatshotElement: {
        prototype: HTMLRuxIconWhatshotElement;
        new (): HTMLRuxIconWhatshotElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconWhereToVoteElement extends Components.RuxIconWhereToVote, HTMLStencilElement {
    }
    var HTMLRuxIconWhereToVoteElement: {
        prototype: HTMLRuxIconWhereToVoteElement;
        new (): HTMLRuxIconWhereToVoteElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconWidgetsElement extends Components.RuxIconWidgets, HTMLStencilElement {
    }
    var HTMLRuxIconWidgetsElement: {
        prototype: HTMLRuxIconWidgetsElement;
        new (): HTMLRuxIconWidgetsElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconWifiElement extends Components.RuxIconWifi, HTMLStencilElement {
    }
    var HTMLRuxIconWifiElement: {
        prototype: HTMLRuxIconWifiElement;
        new (): HTMLRuxIconWifiElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconWifiLockElement extends Components.RuxIconWifiLock, HTMLStencilElement {
    }
    var HTMLRuxIconWifiLockElement: {
        prototype: HTMLRuxIconWifiLockElement;
        new (): HTMLRuxIconWifiLockElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconWifiOffElement extends Components.RuxIconWifiOff, HTMLStencilElement {
    }
    var HTMLRuxIconWifiOffElement: {
        prototype: HTMLRuxIconWifiOffElement;
        new (): HTMLRuxIconWifiOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconWifiTetheringElement extends Components.RuxIconWifiTethering, HTMLStencilElement {
    }
    var HTMLRuxIconWifiTetheringElement: {
        prototype: HTMLRuxIconWifiTetheringElement;
        new (): HTMLRuxIconWifiTetheringElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconWorkElement extends Components.RuxIconWork, HTMLStencilElement {
    }
    var HTMLRuxIconWorkElement: {
        prototype: HTMLRuxIconWorkElement;
        new (): HTMLRuxIconWorkElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconWorkOffElement extends Components.RuxIconWorkOff, HTMLStencilElement {
    }
    var HTMLRuxIconWorkOffElement: {
        prototype: HTMLRuxIconWorkOffElement;
        new (): HTMLRuxIconWorkOffElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconWorkOutlineElement extends Components.RuxIconWorkOutline, HTMLStencilElement {
    }
    var HTMLRuxIconWorkOutlineElement: {
        prototype: HTMLRuxIconWorkOutlineElement;
        new (): HTMLRuxIconWorkOutlineElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconWrapTextElement extends Components.RuxIconWrapText, HTMLStencilElement {
    }
    var HTMLRuxIconWrapTextElement: {
        prototype: HTMLRuxIconWrapTextElement;
        new (): HTMLRuxIconWrapTextElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconYoutubeSearchedForElement extends Components.RuxIconYoutubeSearchedFor, HTMLStencilElement {
    }
    var HTMLRuxIconYoutubeSearchedForElement: {
        prototype: HTMLRuxIconYoutubeSearchedForElement;
        new (): HTMLRuxIconYoutubeSearchedForElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconZoomInElement extends Components.RuxIconZoomIn, HTMLStencilElement {
    }
    var HTMLRuxIconZoomInElement: {
        prototype: HTMLRuxIconZoomInElement;
        new (): HTMLRuxIconZoomInElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconZoomInMapElement extends Components.RuxIconZoomInMap, HTMLStencilElement {
    }
    var HTMLRuxIconZoomInMapElement: {
        prototype: HTMLRuxIconZoomInMapElement;
        new (): HTMLRuxIconZoomInMapElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconZoomOutElement extends Components.RuxIconZoomOut, HTMLStencilElement {
    }
    var HTMLRuxIconZoomOutElement: {
        prototype: HTMLRuxIconZoomOutElement;
        new (): HTMLRuxIconZoomOutElement;
    };
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface HTMLRuxIconZoomOutMapElement extends Components.RuxIconZoomOutMap, HTMLStencilElement {
    }
    var HTMLRuxIconZoomOutMapElement: {
        prototype: HTMLRuxIconZoomOutMapElement;
        new (): HTMLRuxIconZoomOutMapElement;
    };
    interface HTMLRuxIndeterminateProgressElement extends Components.RuxIndeterminateProgress, HTMLStencilElement {
    }
    var HTMLRuxIndeterminateProgressElement: {
        prototype: HTMLRuxIndeterminateProgressElement;
        new (): HTMLRuxIndeterminateProgressElement;
    };
    interface HTMLRuxInputElement extends Components.RuxInput, HTMLStencilElement {
    }
    var HTMLRuxInputElement: {
        prototype: HTMLRuxInputElement;
        new (): HTMLRuxInputElement;
    };
    /**
     * A Log is a tabular representation of application events and may include username, priority, equipment type, signal type, etc. As part of the [Notification System](https://www.astrouxds.com/design-guidelines/notifications), Logs provide sorting and filtering function for examining events.
     */
    interface HTMLRuxLogElement extends Components.RuxLog, HTMLStencilElement {
    }
    var HTMLRuxLogElement: {
        prototype: HTMLRuxLogElement;
        new (): HTMLRuxLogElement;
    };
    interface HTMLRuxMenuElement extends Components.RuxMenu, HTMLStencilElement {
    }
    var HTMLRuxMenuElement: {
        prototype: HTMLRuxMenuElement;
        new (): HTMLRuxMenuElement;
    };
    interface HTMLRuxMenuItemElement extends Components.RuxMenuItem, HTMLStencilElement {
    }
    var HTMLRuxMenuItemElement: {
        prototype: HTMLRuxMenuItemElement;
        new (): HTMLRuxMenuItemElement;
    };
    interface HTMLRuxMenuItemDividerElement extends Components.RuxMenuItemDivider, HTMLStencilElement {
    }
    var HTMLRuxMenuItemDividerElement: {
        prototype: HTMLRuxMenuItemDividerElement;
        new (): HTMLRuxMenuItemDividerElement;
    };
    interface HTMLRuxMonitoringIconElement extends Components.RuxMonitoringIcon, HTMLStencilElement {
    }
    var HTMLRuxMonitoringIconElement: {
        prototype: HTMLRuxMonitoringIconElement;
        new (): HTMLRuxMonitoringIconElement;
    };
    interface HTMLRuxMonitoringProgressIconElement extends Components.RuxMonitoringProgressIcon, HTMLStencilElement {
    }
    var HTMLRuxMonitoringProgressIconElement: {
        prototype: HTMLRuxMonitoringProgressIconElement;
        new (): HTMLRuxMonitoringProgressIconElement;
    };
    interface HTMLRuxNotificationElement extends Components.RuxNotification, HTMLStencilElement {
    }
    var HTMLRuxNotificationElement: {
        prototype: HTMLRuxNotificationElement;
        new (): HTMLRuxNotificationElement;
    };
    /**
     * This component should be used exclusively with RuxSelect.
     * It's main function is to broadcast to RuxSelect when the value property changes.
     * RuxSelect can only listen for slot change, which won't fire in the scenario where there
     * might be 2 options and only their values change. Because the nodes themselves aren't added or removed,
     * onSlotchange doesn't fire.
     */
    interface HTMLRuxOptionElement extends Components.RuxOption, HTMLStencilElement {
    }
    var HTMLRuxOptionElement: {
        prototype: HTMLRuxOptionElement;
        new (): HTMLRuxOptionElement;
    };
    interface HTMLRuxOptionGroupElement extends Components.RuxOptionGroup, HTMLStencilElement {
    }
    var HTMLRuxOptionGroupElement: {
        prototype: HTMLRuxOptionGroupElement;
        new (): HTMLRuxOptionGroupElement;
    };
    interface HTMLRuxPopUpElement extends Components.RuxPopUp, HTMLStencilElement {
    }
    var HTMLRuxPopUpElement: {
        prototype: HTMLRuxPopUpElement;
        new (): HTMLRuxPopUpElement;
    };
    interface HTMLRuxProgressElement extends Components.RuxProgress, HTMLStencilElement {
    }
    var HTMLRuxProgressElement: {
        prototype: HTMLRuxProgressElement;
        new (): HTMLRuxProgressElement;
    };
    interface HTMLRuxPushButtonElement extends Components.RuxPushButton, HTMLStencilElement {
    }
    var HTMLRuxPushButtonElement: {
        prototype: HTMLRuxPushButtonElement;
        new (): HTMLRuxPushButtonElement;
    };
    interface HTMLRuxRadioElement extends Components.RuxRadio, HTMLStencilElement {
    }
    var HTMLRuxRadioElement: {
        prototype: HTMLRuxRadioElement;
        new (): HTMLRuxRadioElement;
    };
    interface HTMLRuxRadioGroupElement extends Components.RuxRadioGroup, HTMLStencilElement {
    }
    var HTMLRuxRadioGroupElement: {
        prototype: HTMLRuxRadioGroupElement;
        new (): HTMLRuxRadioGroupElement;
    };
    interface HTMLRuxRulerElement extends Components.RuxRuler, HTMLStencilElement {
    }
    var HTMLRuxRulerElement: {
        prototype: HTMLRuxRulerElement;
        new (): HTMLRuxRulerElement;
    };
    interface HTMLRuxSegmentedButtonElement extends Components.RuxSegmentedButton, HTMLStencilElement {
    }
    var HTMLRuxSegmentedButtonElement: {
        prototype: HTMLRuxSegmentedButtonElement;
        new (): HTMLRuxSegmentedButtonElement;
    };
    interface HTMLRuxSelectElement extends Components.RuxSelect, HTMLStencilElement {
    }
    var HTMLRuxSelectElement: {
        prototype: HTMLRuxSelectElement;
        new (): HTMLRuxSelectElement;
    };
    interface HTMLRuxSliderElement extends Components.RuxSlider, HTMLStencilElement {
    }
    var HTMLRuxSliderElement: {
        prototype: HTMLRuxSliderElement;
        new (): HTMLRuxSliderElement;
    };
    interface HTMLRuxStatusElement extends Components.RuxStatus, HTMLStencilElement {
    }
    var HTMLRuxStatusElement: {
        prototype: HTMLRuxStatusElement;
        new (): HTMLRuxStatusElement;
    };
    interface HTMLRuxSwitchElement extends Components.RuxSwitch, HTMLStencilElement {
    }
    var HTMLRuxSwitchElement: {
        prototype: HTMLRuxSwitchElement;
        new (): HTMLRuxSwitchElement;
    };
    interface HTMLRuxTabElement extends Components.RuxTab, HTMLStencilElement {
    }
    var HTMLRuxTabElement: {
        prototype: HTMLRuxTabElement;
        new (): HTMLRuxTabElement;
    };
    interface HTMLRuxTabPanelElement extends Components.RuxTabPanel, HTMLStencilElement {
    }
    var HTMLRuxTabPanelElement: {
        prototype: HTMLRuxTabPanelElement;
        new (): HTMLRuxTabPanelElement;
    };
    interface HTMLRuxTabPanelsElement extends Components.RuxTabPanels, HTMLStencilElement {
    }
    var HTMLRuxTabPanelsElement: {
        prototype: HTMLRuxTabPanelsElement;
        new (): HTMLRuxTabPanelsElement;
    };
    interface HTMLRuxTableElement extends Components.RuxTable, HTMLStencilElement {
    }
    var HTMLRuxTableElement: {
        prototype: HTMLRuxTableElement;
        new (): HTMLRuxTableElement;
    };
    interface HTMLRuxTableBodyElement extends Components.RuxTableBody, HTMLStencilElement {
    }
    var HTMLRuxTableBodyElement: {
        prototype: HTMLRuxTableBodyElement;
        new (): HTMLRuxTableBodyElement;
    };
    interface HTMLRuxTableCellElement extends Components.RuxTableCell, HTMLStencilElement {
    }
    var HTMLRuxTableCellElement: {
        prototype: HTMLRuxTableCellElement;
        new (): HTMLRuxTableCellElement;
    };
    interface HTMLRuxTableHeaderElement extends Components.RuxTableHeader, HTMLStencilElement {
    }
    var HTMLRuxTableHeaderElement: {
        prototype: HTMLRuxTableHeaderElement;
        new (): HTMLRuxTableHeaderElement;
    };
    interface HTMLRuxTableHeaderCellElement extends Components.RuxTableHeaderCell, HTMLStencilElement {
    }
    var HTMLRuxTableHeaderCellElement: {
        prototype: HTMLRuxTableHeaderCellElement;
        new (): HTMLRuxTableHeaderCellElement;
    };
    interface HTMLRuxTableHeaderRowElement extends Components.RuxTableHeaderRow, HTMLStencilElement {
    }
    var HTMLRuxTableHeaderRowElement: {
        prototype: HTMLRuxTableHeaderRowElement;
        new (): HTMLRuxTableHeaderRowElement;
    };
    interface HTMLRuxTableRowElement extends Components.RuxTableRow, HTMLStencilElement {
    }
    var HTMLRuxTableRowElement: {
        prototype: HTMLRuxTableRowElement;
        new (): HTMLRuxTableRowElement;
    };
    interface HTMLRuxTabsElement extends Components.RuxTabs, HTMLStencilElement {
    }
    var HTMLRuxTabsElement: {
        prototype: HTMLRuxTabsElement;
        new (): HTMLRuxTabsElement;
    };
    interface HTMLRuxTagElement extends Components.RuxTag, HTMLStencilElement {
    }
    var HTMLRuxTagElement: {
        prototype: HTMLRuxTagElement;
        new (): HTMLRuxTagElement;
    };
    interface HTMLRuxTextareaElement extends Components.RuxTextarea, HTMLStencilElement {
    }
    var HTMLRuxTextareaElement: {
        prototype: HTMLRuxTextareaElement;
        new (): HTMLRuxTextareaElement;
    };
    interface HTMLRuxTimeRegionElement extends Components.RuxTimeRegion, HTMLStencilElement {
    }
    var HTMLRuxTimeRegionElement: {
        prototype: HTMLRuxTimeRegionElement;
        new (): HTMLRuxTimeRegionElement;
    };
    interface HTMLRuxTimelineElement extends Components.RuxTimeline, HTMLStencilElement {
    }
    var HTMLRuxTimelineElement: {
        prototype: HTMLRuxTimelineElement;
        new (): HTMLRuxTimelineElement;
    };
    interface HTMLRuxToastElement extends Components.RuxToast, HTMLStencilElement {
    }
    var HTMLRuxToastElement: {
        prototype: HTMLRuxToastElement;
        new (): HTMLRuxToastElement;
    };
    interface HTMLRuxToastStackElement extends Components.RuxToastStack, HTMLStencilElement {
    }
    var HTMLRuxToastStackElement: {
        prototype: HTMLRuxToastStackElement;
        new (): HTMLRuxToastStackElement;
    };
    interface HTMLRuxTooltipElement extends Components.RuxTooltip, HTMLStencilElement {
    }
    var HTMLRuxTooltipElement: {
        prototype: HTMLRuxTooltipElement;
        new (): HTMLRuxTooltipElement;
    };
    interface HTMLRuxTrackElement extends Components.RuxTrack, HTMLStencilElement {
    }
    var HTMLRuxTrackElement: {
        prototype: HTMLRuxTrackElement;
        new (): HTMLRuxTrackElement;
    };
    interface HTMLRuxTreeElement extends Components.RuxTree, HTMLStencilElement {
    }
    var HTMLRuxTreeElement: {
        prototype: HTMLRuxTreeElement;
        new (): HTMLRuxTreeElement;
    };
    interface HTMLRuxTreeNodeElement extends Components.RuxTreeNode, HTMLStencilElement {
    }
    var HTMLRuxTreeNodeElement: {
        prototype: HTMLRuxTreeNodeElement;
        new (): HTMLRuxTreeNodeElement;
    };
    interface HTMLElementTagNameMap {
        "rux-accordion": HTMLRuxAccordionElement;
        "rux-accordion-item": HTMLRuxAccordionItemElement;
        "rux-breadcrumb": HTMLRuxBreadcrumbElement;
        "rux-breadcrumb-item": HTMLRuxBreadcrumbItemElement;
        "rux-button": HTMLRuxButtonElement;
        "rux-button-group": HTMLRuxButtonGroupElement;
        "rux-card": HTMLRuxCardElement;
        "rux-checkbox": HTMLRuxCheckboxElement;
        "rux-checkbox-group": HTMLRuxCheckboxGroupElement;
        "rux-classification-marking": HTMLRuxClassificationMarkingElement;
        "rux-clock": HTMLRuxClockElement;
        "rux-container": HTMLRuxContainerElement;
        "rux-datetime": HTMLRuxDatetimeElement;
        "rux-dialog": HTMLRuxDialogElement;
        "rux-global-status-bar": HTMLRuxGlobalStatusBarElement;
        "rux-icon": HTMLRuxIconElement;
        "rux-icon-360": HTMLRuxIcon360Element;
        "rux-icon-3d-rotation": HTMLRuxIcon3dRotationElement;
        "rux-icon-4k": HTMLRuxIcon4kElement;
        "rux-icon-ac-unit": HTMLRuxIconAcUnitElement;
        "rux-icon-access-alarms": HTMLRuxIconAccessAlarmsElement;
        "rux-icon-access-time": HTMLRuxIconAccessTimeElement;
        "rux-icon-accessibility": HTMLRuxIconAccessibilityElement;
        "rux-icon-accessibility-new": HTMLRuxIconAccessibilityNewElement;
        "rux-icon-accessible": HTMLRuxIconAccessibleElement;
        "rux-icon-accessible-forward": HTMLRuxIconAccessibleForwardElement;
        "rux-icon-account-balance": HTMLRuxIconAccountBalanceElement;
        "rux-icon-account-balance-wallet": HTMLRuxIconAccountBalanceWalletElement;
        "rux-icon-account-box": HTMLRuxIconAccountBoxElement;
        "rux-icon-account-circle": HTMLRuxIconAccountCircleElement;
        "rux-icon-adb": HTMLRuxIconAdbElement;
        "rux-icon-add": HTMLRuxIconAddElement;
        "rux-icon-add-a-photo": HTMLRuxIconAddAPhotoElement;
        "rux-icon-add-alarm": HTMLRuxIconAddAlarmElement;
        "rux-icon-add-alert": HTMLRuxIconAddAlertElement;
        "rux-icon-add-box": HTMLRuxIconAddBoxElement;
        "rux-icon-add-circle": HTMLRuxIconAddCircleElement;
        "rux-icon-add-circle-outline": HTMLRuxIconAddCircleOutlineElement;
        "rux-icon-add-comment": HTMLRuxIconAddCommentElement;
        "rux-icon-add-location": HTMLRuxIconAddLocationElement;
        "rux-icon-add-photo-alternate": HTMLRuxIconAddPhotoAlternateElement;
        "rux-icon-add-shopping-cart": HTMLRuxIconAddShoppingCartElement;
        "rux-icon-add-to-home-screen": HTMLRuxIconAddToHomeScreenElement;
        "rux-icon-add-to-photos": HTMLRuxIconAddToPhotosElement;
        "rux-icon-add-to-queue": HTMLRuxIconAddToQueueElement;
        "rux-icon-adjust": HTMLRuxIconAdjustElement;
        "rux-icon-airline-seat-flat": HTMLRuxIconAirlineSeatFlatElement;
        "rux-icon-airline-seat-flat-angled": HTMLRuxIconAirlineSeatFlatAngledElement;
        "rux-icon-airline-seat-individual-suite": HTMLRuxIconAirlineSeatIndividualSuiteElement;
        "rux-icon-airline-seat-legroom-extra": HTMLRuxIconAirlineSeatLegroomExtraElement;
        "rux-icon-airline-seat-legroom-normal": HTMLRuxIconAirlineSeatLegroomNormalElement;
        "rux-icon-airline-seat-legroom-reduced": HTMLRuxIconAirlineSeatLegroomReducedElement;
        "rux-icon-airline-seat-recline-extra": HTMLRuxIconAirlineSeatReclineExtraElement;
        "rux-icon-airline-seat-recline-normal": HTMLRuxIconAirlineSeatReclineNormalElement;
        "rux-icon-airplanemode-active": HTMLRuxIconAirplanemodeActiveElement;
        "rux-icon-airplanemode-inactive": HTMLRuxIconAirplanemodeInactiveElement;
        "rux-icon-airplay": HTMLRuxIconAirplayElement;
        "rux-icon-airport-shuttle": HTMLRuxIconAirportShuttleElement;
        "rux-icon-alarm": HTMLRuxIconAlarmElement;
        "rux-icon-alarm-add": HTMLRuxIconAlarmAddElement;
        "rux-icon-alarm-off": HTMLRuxIconAlarmOffElement;
        "rux-icon-alarm-on": HTMLRuxIconAlarmOnElement;
        "rux-icon-album": HTMLRuxIconAlbumElement;
        "rux-icon-all-inbox": HTMLRuxIconAllInboxElement;
        "rux-icon-all-inclusive": HTMLRuxIconAllInclusiveElement;
        "rux-icon-all-out": HTMLRuxIconAllOutElement;
        "rux-icon-alternate-email": HTMLRuxIconAlternateEmailElement;
        "rux-icon-altitude": HTMLRuxIconAltitudeElement;
        "rux-icon-android": HTMLRuxIconAndroidElement;
        "rux-icon-announcement": HTMLRuxIconAnnouncementElement;
        "rux-icon-antenna": HTMLRuxIconAntennaElement;
        "rux-icon-antenna-off": HTMLRuxIconAntennaOffElement;
        "rux-icon-antenna-receive": HTMLRuxIconAntennaReceiveElement;
        "rux-icon-antenna-transmit": HTMLRuxIconAntennaTransmitElement;
        "rux-icon-apps": HTMLRuxIconAppsElement;
        "rux-icon-archive": HTMLRuxIconArchiveElement;
        "rux-icon-arrow-back": HTMLRuxIconArrowBackElement;
        "rux-icon-arrow-back-ios": HTMLRuxIconArrowBackIosElement;
        "rux-icon-arrow-downward": HTMLRuxIconArrowDownwardElement;
        "rux-icon-arrow-drop-down": HTMLRuxIconArrowDropDownElement;
        "rux-icon-arrow-drop-down-circle": HTMLRuxIconArrowDropDownCircleElement;
        "rux-icon-arrow-drop-up": HTMLRuxIconArrowDropUpElement;
        "rux-icon-arrow-forward": HTMLRuxIconArrowForwardElement;
        "rux-icon-arrow-forward-ios": HTMLRuxIconArrowForwardIosElement;
        "rux-icon-arrow-left": HTMLRuxIconArrowLeftElement;
        "rux-icon-arrow-right": HTMLRuxIconArrowRightElement;
        "rux-icon-arrow-right-alt": HTMLRuxIconArrowRightAltElement;
        "rux-icon-arrow-upward": HTMLRuxIconArrowUpwardElement;
        "rux-icon-art-track": HTMLRuxIconArtTrackElement;
        "rux-icon-aspect-ratio": HTMLRuxIconAspectRatioElement;
        "rux-icon-assessment": HTMLRuxIconAssessmentElement;
        "rux-icon-assignment": HTMLRuxIconAssignmentElement;
        "rux-icon-assignment-find": HTMLRuxIconAssignmentFindElement;
        "rux-icon-assignment-late": HTMLRuxIconAssignmentLateElement;
        "rux-icon-assignment-return": HTMLRuxIconAssignmentReturnElement;
        "rux-icon-assignment-returned": HTMLRuxIconAssignmentReturnedElement;
        "rux-icon-assignment-turned-in": HTMLRuxIconAssignmentTurnedInElement;
        "rux-icon-assistant": HTMLRuxIconAssistantElement;
        "rux-icon-assistant-photo": HTMLRuxIconAssistantPhotoElement;
        "rux-icon-attach-file": HTMLRuxIconAttachFileElement;
        "rux-icon-attach-money": HTMLRuxIconAttachMoneyElement;
        "rux-icon-attachment": HTMLRuxIconAttachmentElement;
        "rux-icon-audiotrack": HTMLRuxIconAudiotrackElement;
        "rux-icon-autorenew": HTMLRuxIconAutorenewElement;
        "rux-icon-av-timer": HTMLRuxIconAvTimerElement;
        "rux-icon-backspace": HTMLRuxIconBackspaceElement;
        "rux-icon-backup": HTMLRuxIconBackupElement;
        "rux-icon-ballot": HTMLRuxIconBallotElement;
        "rux-icon-bar-chart": HTMLRuxIconBarChartElement;
        "rux-icon-battery-20": HTMLRuxIconBattery20Element;
        "rux-icon-battery-30": HTMLRuxIconBattery30Element;
        "rux-icon-battery-50": HTMLRuxIconBattery50Element;
        "rux-icon-battery-60": HTMLRuxIconBattery60Element;
        "rux-icon-battery-80": HTMLRuxIconBattery80Element;
        "rux-icon-battery-90": HTMLRuxIconBattery90Element;
        "rux-icon-battery-alert": HTMLRuxIconBatteryAlertElement;
        "rux-icon-battery-charging-20": HTMLRuxIconBatteryCharging20Element;
        "rux-icon-battery-charging-30": HTMLRuxIconBatteryCharging30Element;
        "rux-icon-battery-charging-50": HTMLRuxIconBatteryCharging50Element;
        "rux-icon-battery-charging-60": HTMLRuxIconBatteryCharging60Element;
        "rux-icon-battery-charging-80": HTMLRuxIconBatteryCharging80Element;
        "rux-icon-battery-charging-90": HTMLRuxIconBatteryCharging90Element;
        "rux-icon-battery-charging-full": HTMLRuxIconBatteryChargingFullElement;
        "rux-icon-battery-full": HTMLRuxIconBatteryFullElement;
        "rux-icon-battery-std": HTMLRuxIconBatteryStdElement;
        "rux-icon-battery-unknown": HTMLRuxIconBatteryUnknownElement;
        "rux-icon-beach-access": HTMLRuxIconBeachAccessElement;
        "rux-icon-beenhere": HTMLRuxIconBeenhereElement;
        "rux-icon-block": HTMLRuxIconBlockElement;
        "rux-icon-bluetooth": HTMLRuxIconBluetoothElement;
        "rux-icon-bluetooth-audio": HTMLRuxIconBluetoothAudioElement;
        "rux-icon-bluetooth-connected": HTMLRuxIconBluetoothConnectedElement;
        "rux-icon-bluetooth-disabled": HTMLRuxIconBluetoothDisabledElement;
        "rux-icon-bluetooth-searching": HTMLRuxIconBluetoothSearchingElement;
        "rux-icon-blur-circular": HTMLRuxIconBlurCircularElement;
        "rux-icon-blur-linear": HTMLRuxIconBlurLinearElement;
        "rux-icon-blur-off": HTMLRuxIconBlurOffElement;
        "rux-icon-blur-on": HTMLRuxIconBlurOnElement;
        "rux-icon-book": HTMLRuxIconBookElement;
        "rux-icon-bookmark": HTMLRuxIconBookmarkElement;
        "rux-icon-bookmark-border": HTMLRuxIconBookmarkBorderElement;
        "rux-icon-bookmarks": HTMLRuxIconBookmarksElement;
        "rux-icon-border-all": HTMLRuxIconBorderAllElement;
        "rux-icon-border-bottom": HTMLRuxIconBorderBottomElement;
        "rux-icon-border-clear": HTMLRuxIconBorderClearElement;
        "rux-icon-border-color": HTMLRuxIconBorderColorElement;
        "rux-icon-border-horizontal": HTMLRuxIconBorderHorizontalElement;
        "rux-icon-border-inner": HTMLRuxIconBorderInnerElement;
        "rux-icon-border-left": HTMLRuxIconBorderLeftElement;
        "rux-icon-border-outer": HTMLRuxIconBorderOuterElement;
        "rux-icon-border-right": HTMLRuxIconBorderRightElement;
        "rux-icon-border-style": HTMLRuxIconBorderStyleElement;
        "rux-icon-border-top": HTMLRuxIconBorderTopElement;
        "rux-icon-border-vertical": HTMLRuxIconBorderVerticalElement;
        "rux-icon-branding-watermark": HTMLRuxIconBrandingWatermarkElement;
        "rux-icon-brightness-1": HTMLRuxIconBrightness1Element;
        "rux-icon-brightness-2": HTMLRuxIconBrightness2Element;
        "rux-icon-brightness-3": HTMLRuxIconBrightness3Element;
        "rux-icon-brightness-4": HTMLRuxIconBrightness4Element;
        "rux-icon-brightness-5": HTMLRuxIconBrightness5Element;
        "rux-icon-brightness-6": HTMLRuxIconBrightness6Element;
        "rux-icon-brightness-7": HTMLRuxIconBrightness7Element;
        "rux-icon-brightness-auto": HTMLRuxIconBrightnessAutoElement;
        "rux-icon-brightness-high": HTMLRuxIconBrightnessHighElement;
        "rux-icon-brightness-low": HTMLRuxIconBrightnessLowElement;
        "rux-icon-brightness-medium": HTMLRuxIconBrightnessMediumElement;
        "rux-icon-broken-image": HTMLRuxIconBrokenImageElement;
        "rux-icon-brush": HTMLRuxIconBrushElement;
        "rux-icon-bubble-chart": HTMLRuxIconBubbleChartElement;
        "rux-icon-bug-report": HTMLRuxIconBugReportElement;
        "rux-icon-build": HTMLRuxIconBuildElement;
        "rux-icon-burst-mode": HTMLRuxIconBurstModeElement;
        "rux-icon-business": HTMLRuxIconBusinessElement;
        "rux-icon-business-center": HTMLRuxIconBusinessCenterElement;
        "rux-icon-cached": HTMLRuxIconCachedElement;
        "rux-icon-cake": HTMLRuxIconCakeElement;
        "rux-icon-calendar-today": HTMLRuxIconCalendarTodayElement;
        "rux-icon-calendar-view-day": HTMLRuxIconCalendarViewDayElement;
        "rux-icon-call": HTMLRuxIconCallElement;
        "rux-icon-call-end": HTMLRuxIconCallEndElement;
        "rux-icon-call-made": HTMLRuxIconCallMadeElement;
        "rux-icon-call-merge": HTMLRuxIconCallMergeElement;
        "rux-icon-call-missed": HTMLRuxIconCallMissedElement;
        "rux-icon-call-missed-outgoing": HTMLRuxIconCallMissedOutgoingElement;
        "rux-icon-call-received": HTMLRuxIconCallReceivedElement;
        "rux-icon-call-split": HTMLRuxIconCallSplitElement;
        "rux-icon-call-to-action": HTMLRuxIconCallToActionElement;
        "rux-icon-camera": HTMLRuxIconCameraElement;
        "rux-icon-camera-alt": HTMLRuxIconCameraAltElement;
        "rux-icon-camera-enhance": HTMLRuxIconCameraEnhanceElement;
        "rux-icon-camera-front": HTMLRuxIconCameraFrontElement;
        "rux-icon-camera-rear": HTMLRuxIconCameraRearElement;
        "rux-icon-camera-roll": HTMLRuxIconCameraRollElement;
        "rux-icon-cancel": HTMLRuxIconCancelElement;
        "rux-icon-cancel-presentation": HTMLRuxIconCancelPresentationElement;
        "rux-icon-card-giftcard": HTMLRuxIconCardGiftcardElement;
        "rux-icon-card-membership": HTMLRuxIconCardMembershipElement;
        "rux-icon-card-travel": HTMLRuxIconCardTravelElement;
        "rux-icon-casino": HTMLRuxIconCasinoElement;
        "rux-icon-cast": HTMLRuxIconCastElement;
        "rux-icon-cast-connected": HTMLRuxIconCastConnectedElement;
        "rux-icon-cast-for-education": HTMLRuxIconCastForEducationElement;
        "rux-icon-category": HTMLRuxIconCategoryElement;
        "rux-icon-cell-wifi": HTMLRuxIconCellWifiElement;
        "rux-icon-center-focus-strong": HTMLRuxIconCenterFocusStrongElement;
        "rux-icon-center-focus-weak": HTMLRuxIconCenterFocusWeakElement;
        "rux-icon-change-history": HTMLRuxIconChangeHistoryElement;
        "rux-icon-chat": HTMLRuxIconChatElement;
        "rux-icon-chat-bubble": HTMLRuxIconChatBubbleElement;
        "rux-icon-chat-bubble-outline": HTMLRuxIconChatBubbleOutlineElement;
        "rux-icon-check": HTMLRuxIconCheckElement;
        "rux-icon-check-box": HTMLRuxIconCheckBoxElement;
        "rux-icon-check-box-outline-blank": HTMLRuxIconCheckBoxOutlineBlankElement;
        "rux-icon-check-circle": HTMLRuxIconCheckCircleElement;
        "rux-icon-check-circle-outline": HTMLRuxIconCheckCircleOutlineElement;
        "rux-icon-chevron-left": HTMLRuxIconChevronLeftElement;
        "rux-icon-chevron-right": HTMLRuxIconChevronRightElement;
        "rux-icon-child-care": HTMLRuxIconChildCareElement;
        "rux-icon-child-friendly": HTMLRuxIconChildFriendlyElement;
        "rux-icon-chrome-reader-mode": HTMLRuxIconChromeReaderModeElement;
        "rux-icon-class": HTMLRuxIconClassElement;
        "rux-icon-clear": HTMLRuxIconClearElement;
        "rux-icon-clear-all": HTMLRuxIconClearAllElement;
        "rux-icon-close": HTMLRuxIconCloseElement;
        "rux-icon-closed-caption": HTMLRuxIconClosedCaptionElement;
        "rux-icon-cloud": HTMLRuxIconCloudElement;
        "rux-icon-cloud-circle": HTMLRuxIconCloudCircleElement;
        "rux-icon-cloud-done": HTMLRuxIconCloudDoneElement;
        "rux-icon-cloud-download": HTMLRuxIconCloudDownloadElement;
        "rux-icon-cloud-off": HTMLRuxIconCloudOffElement;
        "rux-icon-cloud-queue": HTMLRuxIconCloudQueueElement;
        "rux-icon-cloud-upload": HTMLRuxIconCloudUploadElement;
        "rux-icon-code": HTMLRuxIconCodeElement;
        "rux-icon-collections": HTMLRuxIconCollectionsElement;
        "rux-icon-collections-bookmark": HTMLRuxIconCollectionsBookmarkElement;
        "rux-icon-color-lens": HTMLRuxIconColorLensElement;
        "rux-icon-colorize": HTMLRuxIconColorizeElement;
        "rux-icon-comment": HTMLRuxIconCommentElement;
        "rux-icon-commute": HTMLRuxIconCommuteElement;
        "rux-icon-compare": HTMLRuxIconCompareElement;
        "rux-icon-compare-arrows": HTMLRuxIconCompareArrowsElement;
        "rux-icon-compass-calibration": HTMLRuxIconCompassCalibrationElement;
        "rux-icon-computer": HTMLRuxIconComputerElement;
        "rux-icon-confirmation-number": HTMLRuxIconConfirmationNumberElement;
        "rux-icon-contact-mail": HTMLRuxIconContactMailElement;
        "rux-icon-contact-phone": HTMLRuxIconContactPhoneElement;
        "rux-icon-contact-support": HTMLRuxIconContactSupportElement;
        "rux-icon-contacts": HTMLRuxIconContactsElement;
        "rux-icon-control-camera": HTMLRuxIconControlCameraElement;
        "rux-icon-control-point": HTMLRuxIconControlPointElement;
        "rux-icon-control-point-duplicate": HTMLRuxIconControlPointDuplicateElement;
        "rux-icon-copyright": HTMLRuxIconCopyrightElement;
        "rux-icon-create": HTMLRuxIconCreateElement;
        "rux-icon-create-new-folder": HTMLRuxIconCreateNewFolderElement;
        "rux-icon-credit-card": HTMLRuxIconCreditCardElement;
        "rux-icon-crop": HTMLRuxIconCropElement;
        "rux-icon-crop-16-9": HTMLRuxIconCrop169Element;
        "rux-icon-crop-3-2": HTMLRuxIconCrop32Element;
        "rux-icon-crop-5-4": HTMLRuxIconCrop54Element;
        "rux-icon-crop-7-5": HTMLRuxIconCrop75Element;
        "rux-icon-crop-din": HTMLRuxIconCropDinElement;
        "rux-icon-crop-free": HTMLRuxIconCropFreeElement;
        "rux-icon-crop-landscape": HTMLRuxIconCropLandscapeElement;
        "rux-icon-crop-original": HTMLRuxIconCropOriginalElement;
        "rux-icon-crop-portrait": HTMLRuxIconCropPortraitElement;
        "rux-icon-crop-rotate": HTMLRuxIconCropRotateElement;
        "rux-icon-crop-square": HTMLRuxIconCropSquareElement;
        "rux-icon-dashboard": HTMLRuxIconDashboardElement;
        "rux-icon-data-usage": HTMLRuxIconDataUsageElement;
        "rux-icon-date-range": HTMLRuxIconDateRangeElement;
        "rux-icon-dehaze": HTMLRuxIconDehazeElement;
        "rux-icon-delete": HTMLRuxIconDeleteElement;
        "rux-icon-delete-forever": HTMLRuxIconDeleteForeverElement;
        "rux-icon-delete-outline": HTMLRuxIconDeleteOutlineElement;
        "rux-icon-delete-sweep": HTMLRuxIconDeleteSweepElement;
        "rux-icon-departure-board": HTMLRuxIconDepartureBoardElement;
        "rux-icon-description": HTMLRuxIconDescriptionElement;
        "rux-icon-desktop-access-disabled": HTMLRuxIconDesktopAccessDisabledElement;
        "rux-icon-desktop-mac": HTMLRuxIconDesktopMacElement;
        "rux-icon-desktop-windows": HTMLRuxIconDesktopWindowsElement;
        "rux-icon-details": HTMLRuxIconDetailsElement;
        "rux-icon-developer-board": HTMLRuxIconDeveloperBoardElement;
        "rux-icon-developer-mode": HTMLRuxIconDeveloperModeElement;
        "rux-icon-device-hub": HTMLRuxIconDeviceHubElement;
        "rux-icon-device-unknown": HTMLRuxIconDeviceUnknownElement;
        "rux-icon-devices": HTMLRuxIconDevicesElement;
        "rux-icon-devices-other": HTMLRuxIconDevicesOtherElement;
        "rux-icon-dialer-sip": HTMLRuxIconDialerSipElement;
        "rux-icon-dialpad": HTMLRuxIconDialpadElement;
        "rux-icon-directions": HTMLRuxIconDirectionsElement;
        "rux-icon-directions-bike": HTMLRuxIconDirectionsBikeElement;
        "rux-icon-directions-boat": HTMLRuxIconDirectionsBoatElement;
        "rux-icon-directions-bus": HTMLRuxIconDirectionsBusElement;
        "rux-icon-directions-car": HTMLRuxIconDirectionsCarElement;
        "rux-icon-directions-railway": HTMLRuxIconDirectionsRailwayElement;
        "rux-icon-directions-run": HTMLRuxIconDirectionsRunElement;
        "rux-icon-directions-subway": HTMLRuxIconDirectionsSubwayElement;
        "rux-icon-directions-transit": HTMLRuxIconDirectionsTransitElement;
        "rux-icon-directions-walk": HTMLRuxIconDirectionsWalkElement;
        "rux-icon-disc-full": HTMLRuxIconDiscFullElement;
        "rux-icon-dns": HTMLRuxIconDnsElement;
        "rux-icon-dock": HTMLRuxIconDockElement;
        "rux-icon-domain": HTMLRuxIconDomainElement;
        "rux-icon-domain-disabled": HTMLRuxIconDomainDisabledElement;
        "rux-icon-done": HTMLRuxIconDoneElement;
        "rux-icon-done-all": HTMLRuxIconDoneAllElement;
        "rux-icon-done-outline": HTMLRuxIconDoneOutlineElement;
        "rux-icon-donut-large": HTMLRuxIconDonutLargeElement;
        "rux-icon-donut-small": HTMLRuxIconDonutSmallElement;
        "rux-icon-drafts": HTMLRuxIconDraftsElement;
        "rux-icon-drag-handle": HTMLRuxIconDragHandleElement;
        "rux-icon-drag-indicator": HTMLRuxIconDragIndicatorElement;
        "rux-icon-drive-eta": HTMLRuxIconDriveEtaElement;
        "rux-icon-duo": HTMLRuxIconDuoElement;
        "rux-icon-dvr": HTMLRuxIconDvrElement;
        "rux-icon-edit": HTMLRuxIconEditElement;
        "rux-icon-edit-attributes": HTMLRuxIconEditAttributesElement;
        "rux-icon-edit-location": HTMLRuxIconEditLocationElement;
        "rux-icon-eject": HTMLRuxIconEjectElement;
        "rux-icon-email": HTMLRuxIconEmailElement;
        "rux-icon-enhanced-encryption": HTMLRuxIconEnhancedEncryptionElement;
        "rux-icon-equalizer": HTMLRuxIconEqualizerElement;
        "rux-icon-equipment": HTMLRuxIconEquipmentElement;
        "rux-icon-error": HTMLRuxIconErrorElement;
        "rux-icon-error-outline": HTMLRuxIconErrorOutlineElement;
        "rux-icon-euro-symbol": HTMLRuxIconEuroSymbolElement;
        "rux-icon-ev-station": HTMLRuxIconEvStationElement;
        "rux-icon-event": HTMLRuxIconEventElement;
        "rux-icon-event-available": HTMLRuxIconEventAvailableElement;
        "rux-icon-event-busy": HTMLRuxIconEventBusyElement;
        "rux-icon-event-note": HTMLRuxIconEventNoteElement;
        "rux-icon-exit-to-app": HTMLRuxIconExitToAppElement;
        "rux-icon-expand-less": HTMLRuxIconExpandLessElement;
        "rux-icon-expand-more": HTMLRuxIconExpandMoreElement;
        "rux-icon-explicit": HTMLRuxIconExplicitElement;
        "rux-icon-explore": HTMLRuxIconExploreElement;
        "rux-icon-explore-off": HTMLRuxIconExploreOffElement;
        "rux-icon-exposure": HTMLRuxIconExposureElement;
        "rux-icon-exposure-neg-1": HTMLRuxIconExposureNeg1Element;
        "rux-icon-exposure-neg-2": HTMLRuxIconExposureNeg2Element;
        "rux-icon-exposure-plus-1": HTMLRuxIconExposurePlus1Element;
        "rux-icon-exposure-plus-2": HTMLRuxIconExposurePlus2Element;
        "rux-icon-exposure-zero": HTMLRuxIconExposureZeroElement;
        "rux-icon-extension": HTMLRuxIconExtensionElement;
        "rux-icon-face": HTMLRuxIconFaceElement;
        "rux-icon-fast-forward": HTMLRuxIconFastForwardElement;
        "rux-icon-fast-rewind": HTMLRuxIconFastRewindElement;
        "rux-icon-fastfood": HTMLRuxIconFastfoodElement;
        "rux-icon-favorite": HTMLRuxIconFavoriteElement;
        "rux-icon-favorite-border": HTMLRuxIconFavoriteBorderElement;
        "rux-icon-featured-play-list": HTMLRuxIconFeaturedPlayListElement;
        "rux-icon-featured-video": HTMLRuxIconFeaturedVideoElement;
        "rux-icon-feedback": HTMLRuxIconFeedbackElement;
        "rux-icon-fiber-dvr": HTMLRuxIconFiberDvrElement;
        "rux-icon-fiber-manual-record": HTMLRuxIconFiberManualRecordElement;
        "rux-icon-fiber-new": HTMLRuxIconFiberNewElement;
        "rux-icon-fiber-pin": HTMLRuxIconFiberPinElement;
        "rux-icon-fiber-smart-record": HTMLRuxIconFiberSmartRecordElement;
        "rux-icon-file-copy": HTMLRuxIconFileCopyElement;
        "rux-icon-filter": HTMLRuxIconFilterElement;
        "rux-icon-filter-1": HTMLRuxIconFilter1Element;
        "rux-icon-filter-2": HTMLRuxIconFilter2Element;
        "rux-icon-filter-3": HTMLRuxIconFilter3Element;
        "rux-icon-filter-4": HTMLRuxIconFilter4Element;
        "rux-icon-filter-5": HTMLRuxIconFilter5Element;
        "rux-icon-filter-6": HTMLRuxIconFilter6Element;
        "rux-icon-filter-7": HTMLRuxIconFilter7Element;
        "rux-icon-filter-8": HTMLRuxIconFilter8Element;
        "rux-icon-filter-9": HTMLRuxIconFilter9Element;
        "rux-icon-filter-9-plus": HTMLRuxIconFilter9PlusElement;
        "rux-icon-filter-b-and-w": HTMLRuxIconFilterBAndWElement;
        "rux-icon-filter-center-focus": HTMLRuxIconFilterCenterFocusElement;
        "rux-icon-filter-drama": HTMLRuxIconFilterDramaElement;
        "rux-icon-filter-frames": HTMLRuxIconFilterFramesElement;
        "rux-icon-filter-hdr": HTMLRuxIconFilterHdrElement;
        "rux-icon-filter-list": HTMLRuxIconFilterListElement;
        "rux-icon-filter-none": HTMLRuxIconFilterNoneElement;
        "rux-icon-filter-tilt-shift": HTMLRuxIconFilterTiltShiftElement;
        "rux-icon-filter-vintage": HTMLRuxIconFilterVintageElement;
        "rux-icon-find-in-page": HTMLRuxIconFindInPageElement;
        "rux-icon-find-replace": HTMLRuxIconFindReplaceElement;
        "rux-icon-fingerprint": HTMLRuxIconFingerprintElement;
        "rux-icon-first-page": HTMLRuxIconFirstPageElement;
        "rux-icon-fitness-center": HTMLRuxIconFitnessCenterElement;
        "rux-icon-flag": HTMLRuxIconFlagElement;
        "rux-icon-flare": HTMLRuxIconFlareElement;
        "rux-icon-flash-auto": HTMLRuxIconFlashAutoElement;
        "rux-icon-flash-off": HTMLRuxIconFlashOffElement;
        "rux-icon-flash-on": HTMLRuxIconFlashOnElement;
        "rux-icon-flight": HTMLRuxIconFlightElement;
        "rux-icon-flight-land": HTMLRuxIconFlightLandElement;
        "rux-icon-flight-takeoff": HTMLRuxIconFlightTakeoffElement;
        "rux-icon-flip": HTMLRuxIconFlipElement;
        "rux-icon-flip-to-back": HTMLRuxIconFlipToBackElement;
        "rux-icon-flip-to-front": HTMLRuxIconFlipToFrontElement;
        "rux-icon-folder": HTMLRuxIconFolderElement;
        "rux-icon-folder-open": HTMLRuxIconFolderOpenElement;
        "rux-icon-folder-shared": HTMLRuxIconFolderSharedElement;
        "rux-icon-folder-special": HTMLRuxIconFolderSpecialElement;
        "rux-icon-font-download": HTMLRuxIconFontDownloadElement;
        "rux-icon-format-align-center": HTMLRuxIconFormatAlignCenterElement;
        "rux-icon-format-align-justify": HTMLRuxIconFormatAlignJustifyElement;
        "rux-icon-format-align-left": HTMLRuxIconFormatAlignLeftElement;
        "rux-icon-format-align-right": HTMLRuxIconFormatAlignRightElement;
        "rux-icon-format-bold": HTMLRuxIconFormatBoldElement;
        "rux-icon-format-clear": HTMLRuxIconFormatClearElement;
        "rux-icon-format-color-fill": HTMLRuxIconFormatColorFillElement;
        "rux-icon-format-color-reset": HTMLRuxIconFormatColorResetElement;
        "rux-icon-format-color-text": HTMLRuxIconFormatColorTextElement;
        "rux-icon-format-indent-decrease": HTMLRuxIconFormatIndentDecreaseElement;
        "rux-icon-format-indent-increase": HTMLRuxIconFormatIndentIncreaseElement;
        "rux-icon-format-italic": HTMLRuxIconFormatItalicElement;
        "rux-icon-format-line-spacing": HTMLRuxIconFormatLineSpacingElement;
        "rux-icon-format-list-bulleted": HTMLRuxIconFormatListBulletedElement;
        "rux-icon-format-list-numbered": HTMLRuxIconFormatListNumberedElement;
        "rux-icon-format-list-numbered-rtl": HTMLRuxIconFormatListNumberedRtlElement;
        "rux-icon-format-paint": HTMLRuxIconFormatPaintElement;
        "rux-icon-format-quote": HTMLRuxIconFormatQuoteElement;
        "rux-icon-format-shapes": HTMLRuxIconFormatShapesElement;
        "rux-icon-format-size": HTMLRuxIconFormatSizeElement;
        "rux-icon-format-strikethrough": HTMLRuxIconFormatStrikethroughElement;
        "rux-icon-format-textdirection-l-to-r": HTMLRuxIconFormatTextdirectionLToRElement;
        "rux-icon-format-textdirection-r-to-l": HTMLRuxIconFormatTextdirectionRToLElement;
        "rux-icon-format-underlined": HTMLRuxIconFormatUnderlinedElement;
        "rux-icon-forum": HTMLRuxIconForumElement;
        "rux-icon-forward": HTMLRuxIconForwardElement;
        "rux-icon-forward-10": HTMLRuxIconForward10Element;
        "rux-icon-forward-30": HTMLRuxIconForward30Element;
        "rux-icon-forward-5": HTMLRuxIconForward5Element;
        "rux-icon-free-breakfast": HTMLRuxIconFreeBreakfastElement;
        "rux-icon-fullscreen": HTMLRuxIconFullscreenElement;
        "rux-icon-fullscreen-exit": HTMLRuxIconFullscreenExitElement;
        "rux-icon-functions": HTMLRuxIconFunctionsElement;
        "rux-icon-g-translate": HTMLRuxIconGTranslateElement;
        "rux-icon-gamepad": HTMLRuxIconGamepadElement;
        "rux-icon-games": HTMLRuxIconGamesElement;
        "rux-icon-gavel": HTMLRuxIconGavelElement;
        "rux-icon-gesture": HTMLRuxIconGestureElement;
        "rux-icon-get-app": HTMLRuxIconGetAppElement;
        "rux-icon-gif": HTMLRuxIconGifElement;
        "rux-icon-golf-course": HTMLRuxIconGolfCourseElement;
        "rux-icon-gps-fixed": HTMLRuxIconGpsFixedElement;
        "rux-icon-gps-not-fixed": HTMLRuxIconGpsNotFixedElement;
        "rux-icon-gps-off": HTMLRuxIconGpsOffElement;
        "rux-icon-grade": HTMLRuxIconGradeElement;
        "rux-icon-gradient": HTMLRuxIconGradientElement;
        "rux-icon-grain": HTMLRuxIconGrainElement;
        "rux-icon-graphic-eq": HTMLRuxIconGraphicEqElement;
        "rux-icon-grid-off": HTMLRuxIconGridOffElement;
        "rux-icon-grid-on": HTMLRuxIconGridOnElement;
        "rux-icon-group": HTMLRuxIconGroupElement;
        "rux-icon-group-add": HTMLRuxIconGroupAddElement;
        "rux-icon-group-work": HTMLRuxIconGroupWorkElement;
        "rux-icon-hardware": HTMLRuxIconHardwareElement;
        "rux-icon-hd": HTMLRuxIconHdElement;
        "rux-icon-hdr-off": HTMLRuxIconHdrOffElement;
        "rux-icon-hdr-on": HTMLRuxIconHdrOnElement;
        "rux-icon-hdr-strong": HTMLRuxIconHdrStrongElement;
        "rux-icon-hdr-weak": HTMLRuxIconHdrWeakElement;
        "rux-icon-headset": HTMLRuxIconHeadsetElement;
        "rux-icon-headset-mic": HTMLRuxIconHeadsetMicElement;
        "rux-icon-healing": HTMLRuxIconHealingElement;
        "rux-icon-hearing": HTMLRuxIconHearingElement;
        "rux-icon-help": HTMLRuxIconHelpElement;
        "rux-icon-help-outline": HTMLRuxIconHelpOutlineElement;
        "rux-icon-high-quality": HTMLRuxIconHighQualityElement;
        "rux-icon-highlight": HTMLRuxIconHighlightElement;
        "rux-icon-highlight-off": HTMLRuxIconHighlightOffElement;
        "rux-icon-history": HTMLRuxIconHistoryElement;
        "rux-icon-home": HTMLRuxIconHomeElement;
        "rux-icon-horizontal-split": HTMLRuxIconHorizontalSplitElement;
        "rux-icon-hot-tub": HTMLRuxIconHotTubElement;
        "rux-icon-hotel": HTMLRuxIconHotelElement;
        "rux-icon-hourglass-empty": HTMLRuxIconHourglassEmptyElement;
        "rux-icon-hourglass-full": HTMLRuxIconHourglassFullElement;
        "rux-icon-how-to-reg": HTMLRuxIconHowToRegElement;
        "rux-icon-how-to-vote": HTMLRuxIconHowToVoteElement;
        "rux-icon-http": HTMLRuxIconHttpElement;
        "rux-icon-https": HTMLRuxIconHttpsElement;
        "rux-icon-image": HTMLRuxIconImageElement;
        "rux-icon-image-aspect-ratio": HTMLRuxIconImageAspectRatioElement;
        "rux-icon-image-search": HTMLRuxIconImageSearchElement;
        "rux-icon-import-contacts": HTMLRuxIconImportContactsElement;
        "rux-icon-import-export": HTMLRuxIconImportExportElement;
        "rux-icon-important-devices": HTMLRuxIconImportantDevicesElement;
        "rux-icon-inbox": HTMLRuxIconInboxElement;
        "rux-icon-indeterminate-check-box": HTMLRuxIconIndeterminateCheckBoxElement;
        "rux-icon-info": HTMLRuxIconInfoElement;
        "rux-icon-input": HTMLRuxIconInputElement;
        "rux-icon-insert-chart": HTMLRuxIconInsertChartElement;
        "rux-icon-insert-chart-outlined": HTMLRuxIconInsertChartOutlinedElement;
        "rux-icon-insert-comment": HTMLRuxIconInsertCommentElement;
        "rux-icon-insert-drive-file": HTMLRuxIconInsertDriveFileElement;
        "rux-icon-insert-emoticon": HTMLRuxIconInsertEmoticonElement;
        "rux-icon-insert-invitation": HTMLRuxIconInsertInvitationElement;
        "rux-icon-insert-link": HTMLRuxIconInsertLinkElement;
        "rux-icon-insert-photo": HTMLRuxIconInsertPhotoElement;
        "rux-icon-invert-colors": HTMLRuxIconInvertColorsElement;
        "rux-icon-invert-colors-off": HTMLRuxIconInvertColorsOffElement;
        "rux-icon-iso": HTMLRuxIconIsoElement;
        "rux-icon-keyboard": HTMLRuxIconKeyboardElement;
        "rux-icon-keyboard-arrow-down": HTMLRuxIconKeyboardArrowDownElement;
        "rux-icon-keyboard-arrow-left": HTMLRuxIconKeyboardArrowLeftElement;
        "rux-icon-keyboard-arrow-right": HTMLRuxIconKeyboardArrowRightElement;
        "rux-icon-keyboard-arrow-up": HTMLRuxIconKeyboardArrowUpElement;
        "rux-icon-keyboard-backspace": HTMLRuxIconKeyboardBackspaceElement;
        "rux-icon-keyboard-capslock": HTMLRuxIconKeyboardCapslockElement;
        "rux-icon-keyboard-hide": HTMLRuxIconKeyboardHideElement;
        "rux-icon-keyboard-return": HTMLRuxIconKeyboardReturnElement;
        "rux-icon-keyboard-tab": HTMLRuxIconKeyboardTabElement;
        "rux-icon-keyboard-voice": HTMLRuxIconKeyboardVoiceElement;
        "rux-icon-kitchen": HTMLRuxIconKitchenElement;
        "rux-icon-label": HTMLRuxIconLabelElement;
        "rux-icon-label-important": HTMLRuxIconLabelImportantElement;
        "rux-icon-label-off": HTMLRuxIconLabelOffElement;
        "rux-icon-landscape": HTMLRuxIconLandscapeElement;
        "rux-icon-language": HTMLRuxIconLanguageElement;
        "rux-icon-laptop": HTMLRuxIconLaptopElement;
        "rux-icon-laptop-chromebook": HTMLRuxIconLaptopChromebookElement;
        "rux-icon-laptop-mac": HTMLRuxIconLaptopMacElement;
        "rux-icon-laptop-windows": HTMLRuxIconLaptopWindowsElement;
        "rux-icon-last-page": HTMLRuxIconLastPageElement;
        "rux-icon-launch": HTMLRuxIconLaunchElement;
        "rux-icon-layers": HTMLRuxIconLayersElement;
        "rux-icon-layers-clear": HTMLRuxIconLayersClearElement;
        "rux-icon-leak-add": HTMLRuxIconLeakAddElement;
        "rux-icon-leak-remove": HTMLRuxIconLeakRemoveElement;
        "rux-icon-lens": HTMLRuxIconLensElement;
        "rux-icon-library-add": HTMLRuxIconLibraryAddElement;
        "rux-icon-library-books": HTMLRuxIconLibraryBooksElement;
        "rux-icon-library-music": HTMLRuxIconLibraryMusicElement;
        "rux-icon-line-style": HTMLRuxIconLineStyleElement;
        "rux-icon-line-weight": HTMLRuxIconLineWeightElement;
        "rux-icon-linear-scale": HTMLRuxIconLinearScaleElement;
        "rux-icon-link": HTMLRuxIconLinkElement;
        "rux-icon-link-off": HTMLRuxIconLinkOffElement;
        "rux-icon-linked-camera": HTMLRuxIconLinkedCameraElement;
        "rux-icon-list": HTMLRuxIconListElement;
        "rux-icon-list-alt": HTMLRuxIconListAltElement;
        "rux-icon-live-help": HTMLRuxIconLiveHelpElement;
        "rux-icon-live-tv": HTMLRuxIconLiveTvElement;
        "rux-icon-local-activity": HTMLRuxIconLocalActivityElement;
        "rux-icon-local-airport": HTMLRuxIconLocalAirportElement;
        "rux-icon-local-atm": HTMLRuxIconLocalAtmElement;
        "rux-icon-local-bar": HTMLRuxIconLocalBarElement;
        "rux-icon-local-cafe": HTMLRuxIconLocalCafeElement;
        "rux-icon-local-car-wash": HTMLRuxIconLocalCarWashElement;
        "rux-icon-local-convenience-store": HTMLRuxIconLocalConvenienceStoreElement;
        "rux-icon-local-dining": HTMLRuxIconLocalDiningElement;
        "rux-icon-local-drink": HTMLRuxIconLocalDrinkElement;
        "rux-icon-local-gas-station": HTMLRuxIconLocalGasStationElement;
        "rux-icon-local-grocery-store": HTMLRuxIconLocalGroceryStoreElement;
        "rux-icon-local-hospital": HTMLRuxIconLocalHospitalElement;
        "rux-icon-local-hotel": HTMLRuxIconLocalHotelElement;
        "rux-icon-local-laundry-service": HTMLRuxIconLocalLaundryServiceElement;
        "rux-icon-local-library": HTMLRuxIconLocalLibraryElement;
        "rux-icon-local-mall": HTMLRuxIconLocalMallElement;
        "rux-icon-local-movies": HTMLRuxIconLocalMoviesElement;
        "rux-icon-local-offer": HTMLRuxIconLocalOfferElement;
        "rux-icon-local-parking": HTMLRuxIconLocalParkingElement;
        "rux-icon-local-pharmacy": HTMLRuxIconLocalPharmacyElement;
        "rux-icon-local-phone": HTMLRuxIconLocalPhoneElement;
        "rux-icon-local-play": HTMLRuxIconLocalPlayElement;
        "rux-icon-local-post-office": HTMLRuxIconLocalPostOfficeElement;
        "rux-icon-local-printshop": HTMLRuxIconLocalPrintshopElement;
        "rux-icon-local-see": HTMLRuxIconLocalSeeElement;
        "rux-icon-local-shipping": HTMLRuxIconLocalShippingElement;
        "rux-icon-local-taxi": HTMLRuxIconLocalTaxiElement;
        "rux-icon-location-city": HTMLRuxIconLocationCityElement;
        "rux-icon-location-disabled": HTMLRuxIconLocationDisabledElement;
        "rux-icon-location-off": HTMLRuxIconLocationOffElement;
        "rux-icon-location-on": HTMLRuxIconLocationOnElement;
        "rux-icon-location-searching": HTMLRuxIconLocationSearchingElement;
        "rux-icon-lock": HTMLRuxIconLockElement;
        "rux-icon-lock-open": HTMLRuxIconLockOpenElement;
        "rux-icon-looks": HTMLRuxIconLooksElement;
        "rux-icon-looks-1": HTMLRuxIconLooks1Element;
        "rux-icon-looks-2": HTMLRuxIconLooks2Element;
        "rux-icon-looks-3": HTMLRuxIconLooks3Element;
        "rux-icon-looks-4": HTMLRuxIconLooks4Element;
        "rux-icon-looks-5": HTMLRuxIconLooks5Element;
        "rux-icon-looks-6": HTMLRuxIconLooks6Element;
        "rux-icon-loop": HTMLRuxIconLoopElement;
        "rux-icon-loupe": HTMLRuxIconLoupeElement;
        "rux-icon-low-priority": HTMLRuxIconLowPriorityElement;
        "rux-icon-loyalty": HTMLRuxIconLoyaltyElement;
        "rux-icon-mail": HTMLRuxIconMailElement;
        "rux-icon-mail-outline": HTMLRuxIconMailOutlineElement;
        "rux-icon-map": HTMLRuxIconMapElement;
        "rux-icon-markunread": HTMLRuxIconMarkunreadElement;
        "rux-icon-markunread-mailbox": HTMLRuxIconMarkunreadMailboxElement;
        "rux-icon-maximize": HTMLRuxIconMaximizeElement;
        "rux-icon-meeting-room": HTMLRuxIconMeetingRoomElement;
        "rux-icon-memory": HTMLRuxIconMemoryElement;
        "rux-icon-menu": HTMLRuxIconMenuElement;
        "rux-icon-merge-type": HTMLRuxIconMergeTypeElement;
        "rux-icon-message": HTMLRuxIconMessageElement;
        "rux-icon-mic": HTMLRuxIconMicElement;
        "rux-icon-mic-none": HTMLRuxIconMicNoneElement;
        "rux-icon-mic-off": HTMLRuxIconMicOffElement;
        "rux-icon-minimize": HTMLRuxIconMinimizeElement;
        "rux-icon-missed-video-call": HTMLRuxIconMissedVideoCallElement;
        "rux-icon-mission": HTMLRuxIconMissionElement;
        "rux-icon-mms": HTMLRuxIconMmsElement;
        "rux-icon-mobile-friendly": HTMLRuxIconMobileFriendlyElement;
        "rux-icon-mobile-off": HTMLRuxIconMobileOffElement;
        "rux-icon-mobile-screen-share": HTMLRuxIconMobileScreenShareElement;
        "rux-icon-mode-comment": HTMLRuxIconModeCommentElement;
        "rux-icon-monetization-on": HTMLRuxIconMonetizationOnElement;
        "rux-icon-money": HTMLRuxIconMoneyElement;
        "rux-icon-money-off": HTMLRuxIconMoneyOffElement;
        "rux-icon-monochrome-photos": HTMLRuxIconMonochromePhotosElement;
        "rux-icon-mood": HTMLRuxIconMoodElement;
        "rux-icon-mood-bad": HTMLRuxIconMoodBadElement;
        "rux-icon-more": HTMLRuxIconMoreElement;
        "rux-icon-more-horiz": HTMLRuxIconMoreHorizElement;
        "rux-icon-more-vert": HTMLRuxIconMoreVertElement;
        "rux-icon-motorcycle": HTMLRuxIconMotorcycleElement;
        "rux-icon-mouse": HTMLRuxIconMouseElement;
        "rux-icon-move-to-inbox": HTMLRuxIconMoveToInboxElement;
        "rux-icon-movie": HTMLRuxIconMovieElement;
        "rux-icon-movie-creation": HTMLRuxIconMovieCreationElement;
        "rux-icon-movie-filter": HTMLRuxIconMovieFilterElement;
        "rux-icon-multiline-chart": HTMLRuxIconMultilineChartElement;
        "rux-icon-music-note": HTMLRuxIconMusicNoteElement;
        "rux-icon-music-off": HTMLRuxIconMusicOffElement;
        "rux-icon-music-video": HTMLRuxIconMusicVideoElement;
        "rux-icon-my-location": HTMLRuxIconMyLocationElement;
        "rux-icon-nature": HTMLRuxIconNatureElement;
        "rux-icon-nature-people": HTMLRuxIconNaturePeopleElement;
        "rux-icon-navigate-before": HTMLRuxIconNavigateBeforeElement;
        "rux-icon-navigate-next": HTMLRuxIconNavigateNextElement;
        "rux-icon-navigation": HTMLRuxIconNavigationElement;
        "rux-icon-near-me": HTMLRuxIconNearMeElement;
        "rux-icon-netcom": HTMLRuxIconNetcomElement;
        "rux-icon-network-cell": HTMLRuxIconNetworkCellElement;
        "rux-icon-network-check": HTMLRuxIconNetworkCheckElement;
        "rux-icon-network-locked": HTMLRuxIconNetworkLockedElement;
        "rux-icon-network-wifi": HTMLRuxIconNetworkWifiElement;
        "rux-icon-new-releases": HTMLRuxIconNewReleasesElement;
        "rux-icon-next-week": HTMLRuxIconNextWeekElement;
        "rux-icon-nfc": HTMLRuxIconNfcElement;
        "rux-icon-no-encryption": HTMLRuxIconNoEncryptionElement;
        "rux-icon-no-meeting-room": HTMLRuxIconNoMeetingRoomElement;
        "rux-icon-no-sim": HTMLRuxIconNoSimElement;
        "rux-icon-not-interested": HTMLRuxIconNotInterestedElement;
        "rux-icon-not-listed-location": HTMLRuxIconNotListedLocationElement;
        "rux-icon-note": HTMLRuxIconNoteElement;
        "rux-icon-note-add": HTMLRuxIconNoteAddElement;
        "rux-icon-notes": HTMLRuxIconNotesElement;
        "rux-icon-notification-important": HTMLRuxIconNotificationImportantElement;
        "rux-icon-notifications": HTMLRuxIconNotificationsElement;
        "rux-icon-notifications-active": HTMLRuxIconNotificationsActiveElement;
        "rux-icon-notifications-none": HTMLRuxIconNotificationsNoneElement;
        "rux-icon-notifications-off": HTMLRuxIconNotificationsOffElement;
        "rux-icon-notifications-paused": HTMLRuxIconNotificationsPausedElement;
        "rux-icon-offline-bolt": HTMLRuxIconOfflineBoltElement;
        "rux-icon-offline-pin": HTMLRuxIconOfflinePinElement;
        "rux-icon-ondemand-video": HTMLRuxIconOndemandVideoElement;
        "rux-icon-opacity": HTMLRuxIconOpacityElement;
        "rux-icon-open-in-browser": HTMLRuxIconOpenInBrowserElement;
        "rux-icon-open-in-new": HTMLRuxIconOpenInNewElement;
        "rux-icon-open-with": HTMLRuxIconOpenWithElement;
        "rux-icon-outlined-flag": HTMLRuxIconOutlinedFlagElement;
        "rux-icon-pages": HTMLRuxIconPagesElement;
        "rux-icon-pageview": HTMLRuxIconPageviewElement;
        "rux-icon-palette": HTMLRuxIconPaletteElement;
        "rux-icon-pan-tool": HTMLRuxIconPanToolElement;
        "rux-icon-panorama": HTMLRuxIconPanoramaElement;
        "rux-icon-panorama-fish-eye": HTMLRuxIconPanoramaFishEyeElement;
        "rux-icon-panorama-horizontal": HTMLRuxIconPanoramaHorizontalElement;
        "rux-icon-panorama-vertical": HTMLRuxIconPanoramaVerticalElement;
        "rux-icon-panorama-wide-angle": HTMLRuxIconPanoramaWideAngleElement;
        "rux-icon-party-mode": HTMLRuxIconPartyModeElement;
        "rux-icon-pause": HTMLRuxIconPauseElement;
        "rux-icon-pause-circle-filled": HTMLRuxIconPauseCircleFilledElement;
        "rux-icon-pause-circle-outline": HTMLRuxIconPauseCircleOutlineElement;
        "rux-icon-pause-presentation": HTMLRuxIconPausePresentationElement;
        "rux-icon-payload": HTMLRuxIconPayloadElement;
        "rux-icon-payment": HTMLRuxIconPaymentElement;
        "rux-icon-people-outline": HTMLRuxIconPeopleOutlineElement;
        "rux-icon-perm-camera-mic": HTMLRuxIconPermCameraMicElement;
        "rux-icon-perm-contact-calendar": HTMLRuxIconPermContactCalendarElement;
        "rux-icon-perm-data-setting": HTMLRuxIconPermDataSettingElement;
        "rux-icon-perm-device-information": HTMLRuxIconPermDeviceInformationElement;
        "rux-icon-perm-identity": HTMLRuxIconPermIdentityElement;
        "rux-icon-perm-media": HTMLRuxIconPermMediaElement;
        "rux-icon-perm-phone-msg": HTMLRuxIconPermPhoneMsgElement;
        "rux-icon-perm-scan-wifi": HTMLRuxIconPermScanWifiElement;
        "rux-icon-person": HTMLRuxIconPersonElement;
        "rux-icon-person-add": HTMLRuxIconPersonAddElement;
        "rux-icon-person-add-disabled": HTMLRuxIconPersonAddDisabledElement;
        "rux-icon-person-outline": HTMLRuxIconPersonOutlineElement;
        "rux-icon-person-pin": HTMLRuxIconPersonPinElement;
        "rux-icon-person-pin-circle": HTMLRuxIconPersonPinCircleElement;
        "rux-icon-personal-video": HTMLRuxIconPersonalVideoElement;
        "rux-icon-pets": HTMLRuxIconPetsElement;
        "rux-icon-phone": HTMLRuxIconPhoneElement;
        "rux-icon-phone-android": HTMLRuxIconPhoneAndroidElement;
        "rux-icon-phone-bluetooth-speaker": HTMLRuxIconPhoneBluetoothSpeakerElement;
        "rux-icon-phone-callback": HTMLRuxIconPhoneCallbackElement;
        "rux-icon-phone-forwarded": HTMLRuxIconPhoneForwardedElement;
        "rux-icon-phone-in-talk": HTMLRuxIconPhoneInTalkElement;
        "rux-icon-phone-iphone": HTMLRuxIconPhoneIphoneElement;
        "rux-icon-phone-locked": HTMLRuxIconPhoneLockedElement;
        "rux-icon-phone-missed": HTMLRuxIconPhoneMissedElement;
        "rux-icon-phone-paused": HTMLRuxIconPhonePausedElement;
        "rux-icon-phonelink": HTMLRuxIconPhonelinkElement;
        "rux-icon-phonelink-erase": HTMLRuxIconPhonelinkEraseElement;
        "rux-icon-phonelink-lock": HTMLRuxIconPhonelinkLockElement;
        "rux-icon-phonelink-off": HTMLRuxIconPhonelinkOffElement;
        "rux-icon-phonelink-ring": HTMLRuxIconPhonelinkRingElement;
        "rux-icon-phonelink-setup": HTMLRuxIconPhonelinkSetupElement;
        "rux-icon-photo": HTMLRuxIconPhotoElement;
        "rux-icon-photo-album": HTMLRuxIconPhotoAlbumElement;
        "rux-icon-photo-camera": HTMLRuxIconPhotoCameraElement;
        "rux-icon-photo-filter": HTMLRuxIconPhotoFilterElement;
        "rux-icon-photo-library": HTMLRuxIconPhotoLibraryElement;
        "rux-icon-photo-size-select-actual": HTMLRuxIconPhotoSizeSelectActualElement;
        "rux-icon-photo-size-select-large": HTMLRuxIconPhotoSizeSelectLargeElement;
        "rux-icon-photo-size-select-small": HTMLRuxIconPhotoSizeSelectSmallElement;
        "rux-icon-picture-as-pdf": HTMLRuxIconPictureAsPdfElement;
        "rux-icon-picture-in-picture": HTMLRuxIconPictureInPictureElement;
        "rux-icon-picture-in-picture-alt": HTMLRuxIconPictureInPictureAltElement;
        "rux-icon-pie-chart": HTMLRuxIconPieChartElement;
        "rux-icon-pin-drop": HTMLRuxIconPinDropElement;
        "rux-icon-place": HTMLRuxIconPlaceElement;
        "rux-icon-play-arrow": HTMLRuxIconPlayArrowElement;
        "rux-icon-play-circle-filled": HTMLRuxIconPlayCircleFilledElement;
        "rux-icon-play-circle-filled-white": HTMLRuxIconPlayCircleFilledWhiteElement;
        "rux-icon-play-circle-outline": HTMLRuxIconPlayCircleOutlineElement;
        "rux-icon-play-for-work": HTMLRuxIconPlayForWorkElement;
        "rux-icon-playlist-add": HTMLRuxIconPlaylistAddElement;
        "rux-icon-playlist-add-check": HTMLRuxIconPlaylistAddCheckElement;
        "rux-icon-playlist-play": HTMLRuxIconPlaylistPlayElement;
        "rux-icon-plus-one": HTMLRuxIconPlusOneElement;
        "rux-icon-poll": HTMLRuxIconPollElement;
        "rux-icon-pool": HTMLRuxIconPoolElement;
        "rux-icon-portable-wifi-off": HTMLRuxIconPortableWifiOffElement;
        "rux-icon-portrait": HTMLRuxIconPortraitElement;
        "rux-icon-power": HTMLRuxIconPowerElement;
        "rux-icon-power-input": HTMLRuxIconPowerInputElement;
        "rux-icon-power-off": HTMLRuxIconPowerOffElement;
        "rux-icon-power-settings-new": HTMLRuxIconPowerSettingsNewElement;
        "rux-icon-pregnant-woman": HTMLRuxIconPregnantWomanElement;
        "rux-icon-present-to-all": HTMLRuxIconPresentToAllElement;
        "rux-icon-print": HTMLRuxIconPrintElement;
        "rux-icon-print-disabled": HTMLRuxIconPrintDisabledElement;
        "rux-icon-priority-high": HTMLRuxIconPriorityHighElement;
        "rux-icon-processor": HTMLRuxIconProcessorElement;
        "rux-icon-processor-alt": HTMLRuxIconProcessorAltElement;
        "rux-icon-propulsion-power": HTMLRuxIconPropulsionPowerElement;
        "rux-icon-public": HTMLRuxIconPublicElement;
        "rux-icon-publish": HTMLRuxIconPublishElement;
        "rux-icon-query-builder": HTMLRuxIconQueryBuilderElement;
        "rux-icon-question-answer": HTMLRuxIconQuestionAnswerElement;
        "rux-icon-queue": HTMLRuxIconQueueElement;
        "rux-icon-queue-music": HTMLRuxIconQueueMusicElement;
        "rux-icon-queue-play-next": HTMLRuxIconQueuePlayNextElement;
        "rux-icon-radio": HTMLRuxIconRadioElement;
        "rux-icon-radio-button-checked": HTMLRuxIconRadioButtonCheckedElement;
        "rux-icon-radio-button-unchecked": HTMLRuxIconRadioButtonUncheckedElement;
        "rux-icon-rate-review": HTMLRuxIconRateReviewElement;
        "rux-icon-receipt": HTMLRuxIconReceiptElement;
        "rux-icon-recent-actors": HTMLRuxIconRecentActorsElement;
        "rux-icon-record-voice-over": HTMLRuxIconRecordVoiceOverElement;
        "rux-icon-redeem": HTMLRuxIconRedeemElement;
        "rux-icon-redo": HTMLRuxIconRedoElement;
        "rux-icon-refresh": HTMLRuxIconRefreshElement;
        "rux-icon-release": HTMLRuxIconReleaseElement;
        "rux-icon-remove": HTMLRuxIconRemoveElement;
        "rux-icon-remove-circle": HTMLRuxIconRemoveCircleElement;
        "rux-icon-remove-circle-outline": HTMLRuxIconRemoveCircleOutlineElement;
        "rux-icon-remove-from-queue": HTMLRuxIconRemoveFromQueueElement;
        "rux-icon-remove-red-eye": HTMLRuxIconRemoveRedEyeElement;
        "rux-icon-remove-shopping-cart": HTMLRuxIconRemoveShoppingCartElement;
        "rux-icon-reorder": HTMLRuxIconReorderElement;
        "rux-icon-repeat": HTMLRuxIconRepeatElement;
        "rux-icon-repeat-one": HTMLRuxIconRepeatOneElement;
        "rux-icon-replay": HTMLRuxIconReplayElement;
        "rux-icon-replay-10": HTMLRuxIconReplay10Element;
        "rux-icon-replay-30": HTMLRuxIconReplay30Element;
        "rux-icon-replay-5": HTMLRuxIconReplay5Element;
        "rux-icon-reply": HTMLRuxIconReplyElement;
        "rux-icon-reply-all": HTMLRuxIconReplyAllElement;
        "rux-icon-report": HTMLRuxIconReportElement;
        "rux-icon-report-off": HTMLRuxIconReportOffElement;
        "rux-icon-report-problem": HTMLRuxIconReportProblemElement;
        "rux-icon-restaurant": HTMLRuxIconRestaurantElement;
        "rux-icon-restaurant-menu": HTMLRuxIconRestaurantMenuElement;
        "rux-icon-restore": HTMLRuxIconRestoreElement;
        "rux-icon-restore-from-trash": HTMLRuxIconRestoreFromTrashElement;
        "rux-icon-restore-page": HTMLRuxIconRestorePageElement;
        "rux-icon-ring-volume": HTMLRuxIconRingVolumeElement;
        "rux-icon-room": HTMLRuxIconRoomElement;
        "rux-icon-room-service": HTMLRuxIconRoomServiceElement;
        "rux-icon-rotate-90-degrees-cc": HTMLRuxIconRotate90DegreesCcElement;
        "rux-icon-rotate-left": HTMLRuxIconRotateLeftElement;
        "rux-icon-rotate-right": HTMLRuxIconRotateRightElement;
        "rux-icon-rounded-corner": HTMLRuxIconRoundedCornerElement;
        "rux-icon-router": HTMLRuxIconRouterElement;
        "rux-icon-rowing": HTMLRuxIconRowingElement;
        "rux-icon-rss-feed": HTMLRuxIconRssFeedElement;
        "rux-icon-rv-hookup": HTMLRuxIconRvHookupElement;
        "rux-icon-satellite": HTMLRuxIconSatelliteElement;
        "rux-icon-satellite-off": HTMLRuxIconSatelliteOffElement;
        "rux-icon-satellite-receive": HTMLRuxIconSatelliteReceiveElement;
        "rux-icon-satellite-transmit": HTMLRuxIconSatelliteTransmitElement;
        "rux-icon-save": HTMLRuxIconSaveElement;
        "rux-icon-save-alt": HTMLRuxIconSaveAltElement;
        "rux-icon-scanner": HTMLRuxIconScannerElement;
        "rux-icon-scatter-plot": HTMLRuxIconScatterPlotElement;
        "rux-icon-schedule": HTMLRuxIconScheduleElement;
        "rux-icon-school": HTMLRuxIconSchoolElement;
        "rux-icon-score": HTMLRuxIconScoreElement;
        "rux-icon-screen-lock-landscape": HTMLRuxIconScreenLockLandscapeElement;
        "rux-icon-screen-lock-portrait": HTMLRuxIconScreenLockPortraitElement;
        "rux-icon-screen-lock-rotation": HTMLRuxIconScreenLockRotationElement;
        "rux-icon-screen-rotation": HTMLRuxIconScreenRotationElement;
        "rux-icon-screen-share": HTMLRuxIconScreenShareElement;
        "rux-icon-sd-card": HTMLRuxIconSdCardElement;
        "rux-icon-sd-storage": HTMLRuxIconSdStorageElement;
        "rux-icon-search": HTMLRuxIconSearchElement;
        "rux-icon-seat": HTMLRuxIconSeatElement;
        "rux-icon-security": HTMLRuxIconSecurityElement;
        "rux-icon-select-all": HTMLRuxIconSelectAllElement;
        "rux-icon-send": HTMLRuxIconSendElement;
        "rux-icon-sentiment-dissatisfied": HTMLRuxIconSentimentDissatisfiedElement;
        "rux-icon-sentiment-satisfied": HTMLRuxIconSentimentSatisfiedElement;
        "rux-icon-sentiment-satisfied-alt": HTMLRuxIconSentimentSatisfiedAltElement;
        "rux-icon-sentiment-very-dissatisfied": HTMLRuxIconSentimentVeryDissatisfiedElement;
        "rux-icon-sentiment-very-satisfied": HTMLRuxIconSentimentVerySatisfiedElement;
        "rux-icon-set-power": HTMLRuxIconSetPowerElement;
        "rux-icon-settings": HTMLRuxIconSettingsElement;
        "rux-icon-settings-applications": HTMLRuxIconSettingsApplicationsElement;
        "rux-icon-settings-backup-restore": HTMLRuxIconSettingsBackupRestoreElement;
        "rux-icon-settings-bluetooth": HTMLRuxIconSettingsBluetoothElement;
        "rux-icon-settings-brightness": HTMLRuxIconSettingsBrightnessElement;
        "rux-icon-settings-cell": HTMLRuxIconSettingsCellElement;
        "rux-icon-settings-ethernet": HTMLRuxIconSettingsEthernetElement;
        "rux-icon-settings-input-antenna": HTMLRuxIconSettingsInputAntennaElement;
        "rux-icon-settings-input-component": HTMLRuxIconSettingsInputComponentElement;
        "rux-icon-settings-input-composite": HTMLRuxIconSettingsInputCompositeElement;
        "rux-icon-settings-input-hdmi": HTMLRuxIconSettingsInputHdmiElement;
        "rux-icon-settings-input-svideo": HTMLRuxIconSettingsInputSvideoElement;
        "rux-icon-settings-overscan": HTMLRuxIconSettingsOverscanElement;
        "rux-icon-settings-phone": HTMLRuxIconSettingsPhoneElement;
        "rux-icon-settings-power": HTMLRuxIconSettingsPowerElement;
        "rux-icon-settings-remote": HTMLRuxIconSettingsRemoteElement;
        "rux-icon-settings-system-daydream": HTMLRuxIconSettingsSystemDaydreamElement;
        "rux-icon-settings-voice": HTMLRuxIconSettingsVoiceElement;
        "rux-icon-share": HTMLRuxIconShareElement;
        "rux-icon-shop": HTMLRuxIconShopElement;
        "rux-icon-shop-two": HTMLRuxIconShopTwoElement;
        "rux-icon-shopping-basket": HTMLRuxIconShoppingBasketElement;
        "rux-icon-shopping-cart": HTMLRuxIconShoppingCartElement;
        "rux-icon-short-text": HTMLRuxIconShortTextElement;
        "rux-icon-show-chart": HTMLRuxIconShowChartElement;
        "rux-icon-shuffle": HTMLRuxIconShuffleElement;
        "rux-icon-shutter-speed": HTMLRuxIconShutterSpeedElement;
        "rux-icon-signal-cellular-0-bar": HTMLRuxIconSignalCellular0BarElement;
        "rux-icon-signal-cellular-1-bar": HTMLRuxIconSignalCellular1BarElement;
        "rux-icon-signal-cellular-2-bar": HTMLRuxIconSignalCellular2BarElement;
        "rux-icon-signal-cellular-3-bar": HTMLRuxIconSignalCellular3BarElement;
        "rux-icon-signal-cellular-4-bar": HTMLRuxIconSignalCellular4BarElement;
        "rux-icon-signal-cellular-alt": HTMLRuxIconSignalCellularAltElement;
        "rux-icon-signal-cellular-connected-no-internet-0-bar": HTMLRuxIconSignalCellularConnectedNoInternet0BarElement;
        "rux-icon-signal-cellular-connected-no-internet-1-bar": HTMLRuxIconSignalCellularConnectedNoInternet1BarElement;
        "rux-icon-signal-cellular-connected-no-internet-2-bar": HTMLRuxIconSignalCellularConnectedNoInternet2BarElement;
        "rux-icon-signal-cellular-connected-no-internet-3-bar": HTMLRuxIconSignalCellularConnectedNoInternet3BarElement;
        "rux-icon-signal-cellular-connected-no-internet-4-bar": HTMLRuxIconSignalCellularConnectedNoInternet4BarElement;
        "rux-icon-signal-cellular-no-sim": HTMLRuxIconSignalCellularNoSimElement;
        "rux-icon-signal-cellular-null": HTMLRuxIconSignalCellularNullElement;
        "rux-icon-signal-cellular-off": HTMLRuxIconSignalCellularOffElement;
        "rux-icon-signal-wifi-0-bar": HTMLRuxIconSignalWifi0BarElement;
        "rux-icon-signal-wifi-1-bar": HTMLRuxIconSignalWifi1BarElement;
        "rux-icon-signal-wifi-1-bar-lock": HTMLRuxIconSignalWifi1BarLockElement;
        "rux-icon-signal-wifi-2-bar": HTMLRuxIconSignalWifi2BarElement;
        "rux-icon-signal-wifi-2-bar-lock": HTMLRuxIconSignalWifi2BarLockElement;
        "rux-icon-signal-wifi-3-bar": HTMLRuxIconSignalWifi3BarElement;
        "rux-icon-signal-wifi-3-bar-lock": HTMLRuxIconSignalWifi3BarLockElement;
        "rux-icon-signal-wifi-4-bar": HTMLRuxIconSignalWifi4BarElement;
        "rux-icon-signal-wifi-4-bar-lock": HTMLRuxIconSignalWifi4BarLockElement;
        "rux-icon-signal-wifi-off": HTMLRuxIconSignalWifiOffElement;
        "rux-icon-sim-card": HTMLRuxIconSimCardElement;
        "rux-icon-skip-next": HTMLRuxIconSkipNextElement;
        "rux-icon-skip-previous": HTMLRuxIconSkipPreviousElement;
        "rux-icon-slideshow": HTMLRuxIconSlideshowElement;
        "rux-icon-slow-motion-video": HTMLRuxIconSlowMotionVideoElement;
        "rux-icon-smartphone": HTMLRuxIconSmartphoneElement;
        "rux-icon-smoke-free": HTMLRuxIconSmokeFreeElement;
        "rux-icon-smoking-rooms": HTMLRuxIconSmokingRoomsElement;
        "rux-icon-sms": HTMLRuxIconSmsElement;
        "rux-icon-sms-failed": HTMLRuxIconSmsFailedElement;
        "rux-icon-snooze": HTMLRuxIconSnoozeElement;
        "rux-icon-solar": HTMLRuxIconSolarElement;
        "rux-icon-sort": HTMLRuxIconSortElement;
        "rux-icon-sort-by-alpha": HTMLRuxIconSortByAlphaElement;
        "rux-icon-spa": HTMLRuxIconSpaElement;
        "rux-icon-space-bar": HTMLRuxIconSpaceBarElement;
        "rux-icon-speaker": HTMLRuxIconSpeakerElement;
        "rux-icon-speaker-group": HTMLRuxIconSpeakerGroupElement;
        "rux-icon-speaker-notes": HTMLRuxIconSpeakerNotesElement;
        "rux-icon-speaker-notes-off": HTMLRuxIconSpeakerNotesOffElement;
        "rux-icon-speaker-phone": HTMLRuxIconSpeakerPhoneElement;
        "rux-icon-spellcheck": HTMLRuxIconSpellcheckElement;
        "rux-icon-star": HTMLRuxIconStarElement;
        "rux-icon-star-border": HTMLRuxIconStarBorderElement;
        "rux-icon-star-half": HTMLRuxIconStarHalfElement;
        "rux-icon-star-rate": HTMLRuxIconStarRateElement;
        "rux-icon-stars": HTMLRuxIconStarsElement;
        "rux-icon-stay-current-landscape": HTMLRuxIconStayCurrentLandscapeElement;
        "rux-icon-stay-current-portrait": HTMLRuxIconStayCurrentPortraitElement;
        "rux-icon-stay-primary-landscape": HTMLRuxIconStayPrimaryLandscapeElement;
        "rux-icon-stay-primary-portrait": HTMLRuxIconStayPrimaryPortraitElement;
        "rux-icon-stop": HTMLRuxIconStopElement;
        "rux-icon-stop-screen-share": HTMLRuxIconStopScreenShareElement;
        "rux-icon-storage": HTMLRuxIconStorageElement;
        "rux-icon-store": HTMLRuxIconStoreElement;
        "rux-icon-store-mall-directory": HTMLRuxIconStoreMallDirectoryElement;
        "rux-icon-straighten": HTMLRuxIconStraightenElement;
        "rux-icon-streetview": HTMLRuxIconStreetviewElement;
        "rux-icon-strikethrough-s": HTMLRuxIconStrikethroughSElement;
        "rux-icon-style": HTMLRuxIconStyleElement;
        "rux-icon-subdirectory-arrow-left": HTMLRuxIconSubdirectoryArrowLeftElement;
        "rux-icon-subdirectory-arrow-right": HTMLRuxIconSubdirectoryArrowRightElement;
        "rux-icon-subject": HTMLRuxIconSubjectElement;
        "rux-icon-subscriptions": HTMLRuxIconSubscriptionsElement;
        "rux-icon-subtitles": HTMLRuxIconSubtitlesElement;
        "rux-icon-subway": HTMLRuxIconSubwayElement;
        "rux-icon-supervised-user-circle": HTMLRuxIconSupervisedUserCircleElement;
        "rux-icon-supervisor-account": HTMLRuxIconSupervisorAccountElement;
        "rux-icon-surround-sound": HTMLRuxIconSurroundSoundElement;
        "rux-icon-swap-calls": HTMLRuxIconSwapCallsElement;
        "rux-icon-swap-horiz": HTMLRuxIconSwapHorizElement;
        "rux-icon-swap-horizontal-circle": HTMLRuxIconSwapHorizontalCircleElement;
        "rux-icon-swap-vert": HTMLRuxIconSwapVertElement;
        "rux-icon-swap-vertical-circle": HTMLRuxIconSwapVerticalCircleElement;
        "rux-icon-switch-camera": HTMLRuxIconSwitchCameraElement;
        "rux-icon-switch-video": HTMLRuxIconSwitchVideoElement;
        "rux-icon-sync": HTMLRuxIconSyncElement;
        "rux-icon-sync-disabled": HTMLRuxIconSyncDisabledElement;
        "rux-icon-sync-problem": HTMLRuxIconSyncProblemElement;
        "rux-icon-system-update": HTMLRuxIconSystemUpdateElement;
        "rux-icon-tab": HTMLRuxIconTabElement;
        "rux-icon-tab-unselected": HTMLRuxIconTabUnselectedElement;
        "rux-icon-table-chart": HTMLRuxIconTableChartElement;
        "rux-icon-tablet": HTMLRuxIconTabletElement;
        "rux-icon-tablet-android": HTMLRuxIconTabletAndroidElement;
        "rux-icon-tablet-mac": HTMLRuxIconTabletMacElement;
        "rux-icon-tag-faces": HTMLRuxIconTagFacesElement;
        "rux-icon-tap-and-play": HTMLRuxIconTapAndPlayElement;
        "rux-icon-terrain": HTMLRuxIconTerrainElement;
        "rux-icon-text-fields": HTMLRuxIconTextFieldsElement;
        "rux-icon-text-format": HTMLRuxIconTextFormatElement;
        "rux-icon-text-rotate-up": HTMLRuxIconTextRotateUpElement;
        "rux-icon-text-rotate-vertical": HTMLRuxIconTextRotateVerticalElement;
        "rux-icon-text-rotation-none": HTMLRuxIconTextRotationNoneElement;
        "rux-icon-textsms": HTMLRuxIconTextsmsElement;
        "rux-icon-texture": HTMLRuxIconTextureElement;
        "rux-icon-theaters": HTMLRuxIconTheatersElement;
        "rux-icon-thermal": HTMLRuxIconThermalElement;
        "rux-icon-thumb-down": HTMLRuxIconThumbDownElement;
        "rux-icon-thumb-down-alt": HTMLRuxIconThumbDownAltElement;
        "rux-icon-thumb-up": HTMLRuxIconThumbUpElement;
        "rux-icon-thumb-up-alt": HTMLRuxIconThumbUpAltElement;
        "rux-icon-thumbs-up-down": HTMLRuxIconThumbsUpDownElement;
        "rux-icon-time-to-leave": HTMLRuxIconTimeToLeaveElement;
        "rux-icon-timelapse": HTMLRuxIconTimelapseElement;
        "rux-icon-timeline": HTMLRuxIconTimelineElement;
        "rux-icon-timer": HTMLRuxIconTimerElement;
        "rux-icon-timer-10": HTMLRuxIconTimer10Element;
        "rux-icon-timer-3": HTMLRuxIconTimer3Element;
        "rux-icon-timer-off": HTMLRuxIconTimerOffElement;
        "rux-icon-title": HTMLRuxIconTitleElement;
        "rux-icon-toc": HTMLRuxIconTocElement;
        "rux-icon-today": HTMLRuxIconTodayElement;
        "rux-icon-toggle-off": HTMLRuxIconToggleOffElement;
        "rux-icon-toggle-on": HTMLRuxIconToggleOnElement;
        "rux-icon-toll": HTMLRuxIconTollElement;
        "rux-icon-tonality": HTMLRuxIconTonalityElement;
        "rux-icon-touch-app": HTMLRuxIconTouchAppElement;
        "rux-icon-toys": HTMLRuxIconToysElement;
        "rux-icon-track-changes": HTMLRuxIconTrackChangesElement;
        "rux-icon-traffic": HTMLRuxIconTrafficElement;
        "rux-icon-train": HTMLRuxIconTrainElement;
        "rux-icon-tram": HTMLRuxIconTramElement;
        "rux-icon-transfer-within-a-station": HTMLRuxIconTransferWithinAStationElement;
        "rux-icon-transform": HTMLRuxIconTransformElement;
        "rux-icon-transit-enterexit": HTMLRuxIconTransitEnterexitElement;
        "rux-icon-translate": HTMLRuxIconTranslateElement;
        "rux-icon-trending-down": HTMLRuxIconTrendingDownElement;
        "rux-icon-trending-flat": HTMLRuxIconTrendingFlatElement;
        "rux-icon-trending-up": HTMLRuxIconTrendingUpElement;
        "rux-icon-trip-origin": HTMLRuxIconTripOriginElement;
        "rux-icon-tune": HTMLRuxIconTuneElement;
        "rux-icon-turned-in": HTMLRuxIconTurnedInElement;
        "rux-icon-turned-in-not": HTMLRuxIconTurnedInNotElement;
        "rux-icon-tv": HTMLRuxIconTvElement;
        "rux-icon-tv-off": HTMLRuxIconTvOffElement;
        "rux-icon-unarchive": HTMLRuxIconUnarchiveElement;
        "rux-icon-undo": HTMLRuxIconUndoElement;
        "rux-icon-unfold-less": HTMLRuxIconUnfoldLessElement;
        "rux-icon-unfold-more": HTMLRuxIconUnfoldMoreElement;
        "rux-icon-unsubscribe": HTMLRuxIconUnsubscribeElement;
        "rux-icon-update": HTMLRuxIconUpdateElement;
        "rux-icon-usb": HTMLRuxIconUsbElement;
        "rux-icon-verified-user": HTMLRuxIconVerifiedUserElement;
        "rux-icon-vertical-align-bottom": HTMLRuxIconVerticalAlignBottomElement;
        "rux-icon-vertical-align-center": HTMLRuxIconVerticalAlignCenterElement;
        "rux-icon-vertical-align-top": HTMLRuxIconVerticalAlignTopElement;
        "rux-icon-vertical-split": HTMLRuxIconVerticalSplitElement;
        "rux-icon-vibration": HTMLRuxIconVibrationElement;
        "rux-icon-video-call": HTMLRuxIconVideoCallElement;
        "rux-icon-video-label": HTMLRuxIconVideoLabelElement;
        "rux-icon-video-library": HTMLRuxIconVideoLibraryElement;
        "rux-icon-videocam": HTMLRuxIconVideocamElement;
        "rux-icon-videocam-off": HTMLRuxIconVideocamOffElement;
        "rux-icon-videogame-asset": HTMLRuxIconVideogameAssetElement;
        "rux-icon-view-agenda": HTMLRuxIconViewAgendaElement;
        "rux-icon-view-array": HTMLRuxIconViewArrayElement;
        "rux-icon-view-carousel": HTMLRuxIconViewCarouselElement;
        "rux-icon-view-column": HTMLRuxIconViewColumnElement;
        "rux-icon-view-comfy": HTMLRuxIconViewComfyElement;
        "rux-icon-view-compact": HTMLRuxIconViewCompactElement;
        "rux-icon-view-day": HTMLRuxIconViewDayElement;
        "rux-icon-view-headline": HTMLRuxIconViewHeadlineElement;
        "rux-icon-view-list": HTMLRuxIconViewListElement;
        "rux-icon-view-module": HTMLRuxIconViewModuleElement;
        "rux-icon-view-quilt": HTMLRuxIconViewQuiltElement;
        "rux-icon-view-stream": HTMLRuxIconViewStreamElement;
        "rux-icon-view-week": HTMLRuxIconViewWeekElement;
        "rux-icon-vignette": HTMLRuxIconVignetteElement;
        "rux-icon-visibility": HTMLRuxIconVisibilityElement;
        "rux-icon-visibility-off": HTMLRuxIconVisibilityOffElement;
        "rux-icon-voice-chat": HTMLRuxIconVoiceChatElement;
        "rux-icon-voice-over-off": HTMLRuxIconVoiceOverOffElement;
        "rux-icon-voicemail": HTMLRuxIconVoicemailElement;
        "rux-icon-volume-down": HTMLRuxIconVolumeDownElement;
        "rux-icon-volume-mute": HTMLRuxIconVolumeMuteElement;
        "rux-icon-volume-off": HTMLRuxIconVolumeOffElement;
        "rux-icon-volume-up": HTMLRuxIconVolumeUpElement;
        "rux-icon-vpn-key": HTMLRuxIconVpnKeyElement;
        "rux-icon-vpn-lock": HTMLRuxIconVpnLockElement;
        "rux-icon-wallpaper": HTMLRuxIconWallpaperElement;
        "rux-icon-warning": HTMLRuxIconWarningElement;
        "rux-icon-watch": HTMLRuxIconWatchElement;
        "rux-icon-watch-later": HTMLRuxIconWatchLaterElement;
        "rux-icon-waves": HTMLRuxIconWavesElement;
        "rux-icon-wb-auto": HTMLRuxIconWbAutoElement;
        "rux-icon-wb-cloudy": HTMLRuxIconWbCloudyElement;
        "rux-icon-wb-incandescent": HTMLRuxIconWbIncandescentElement;
        "rux-icon-wb-iridescent": HTMLRuxIconWbIridescentElement;
        "rux-icon-wb-sunny": HTMLRuxIconWbSunnyElement;
        "rux-icon-wc": HTMLRuxIconWcElement;
        "rux-icon-web": HTMLRuxIconWebElement;
        "rux-icon-web-asset": HTMLRuxIconWebAssetElement;
        "rux-icon-weekend": HTMLRuxIconWeekendElement;
        "rux-icon-whatshot": HTMLRuxIconWhatshotElement;
        "rux-icon-where-to-vote": HTMLRuxIconWhereToVoteElement;
        "rux-icon-widgets": HTMLRuxIconWidgetsElement;
        "rux-icon-wifi": HTMLRuxIconWifiElement;
        "rux-icon-wifi-lock": HTMLRuxIconWifiLockElement;
        "rux-icon-wifi-off": HTMLRuxIconWifiOffElement;
        "rux-icon-wifi-tethering": HTMLRuxIconWifiTetheringElement;
        "rux-icon-work": HTMLRuxIconWorkElement;
        "rux-icon-work-off": HTMLRuxIconWorkOffElement;
        "rux-icon-work-outline": HTMLRuxIconWorkOutlineElement;
        "rux-icon-wrap-text": HTMLRuxIconWrapTextElement;
        "rux-icon-youtube-searched-for": HTMLRuxIconYoutubeSearchedForElement;
        "rux-icon-zoom-in": HTMLRuxIconZoomInElement;
        "rux-icon-zoom-in-map": HTMLRuxIconZoomInMapElement;
        "rux-icon-zoom-out": HTMLRuxIconZoomOutElement;
        "rux-icon-zoom-out-map": HTMLRuxIconZoomOutMapElement;
        "rux-indeterminate-progress": HTMLRuxIndeterminateProgressElement;
        "rux-input": HTMLRuxInputElement;
        "rux-log": HTMLRuxLogElement;
        "rux-menu": HTMLRuxMenuElement;
        "rux-menu-item": HTMLRuxMenuItemElement;
        "rux-menu-item-divider": HTMLRuxMenuItemDividerElement;
        "rux-monitoring-icon": HTMLRuxMonitoringIconElement;
        "rux-monitoring-progress-icon": HTMLRuxMonitoringProgressIconElement;
        "rux-notification": HTMLRuxNotificationElement;
        "rux-option": HTMLRuxOptionElement;
        "rux-option-group": HTMLRuxOptionGroupElement;
        "rux-pop-up": HTMLRuxPopUpElement;
        "rux-progress": HTMLRuxProgressElement;
        "rux-push-button": HTMLRuxPushButtonElement;
        "rux-radio": HTMLRuxRadioElement;
        "rux-radio-group": HTMLRuxRadioGroupElement;
        "rux-ruler": HTMLRuxRulerElement;
        "rux-segmented-button": HTMLRuxSegmentedButtonElement;
        "rux-select": HTMLRuxSelectElement;
        "rux-slider": HTMLRuxSliderElement;
        "rux-status": HTMLRuxStatusElement;
        "rux-switch": HTMLRuxSwitchElement;
        "rux-tab": HTMLRuxTabElement;
        "rux-tab-panel": HTMLRuxTabPanelElement;
        "rux-tab-panels": HTMLRuxTabPanelsElement;
        "rux-table": HTMLRuxTableElement;
        "rux-table-body": HTMLRuxTableBodyElement;
        "rux-table-cell": HTMLRuxTableCellElement;
        "rux-table-header": HTMLRuxTableHeaderElement;
        "rux-table-header-cell": HTMLRuxTableHeaderCellElement;
        "rux-table-header-row": HTMLRuxTableHeaderRowElement;
        "rux-table-row": HTMLRuxTableRowElement;
        "rux-tabs": HTMLRuxTabsElement;
        "rux-tag": HTMLRuxTagElement;
        "rux-textarea": HTMLRuxTextareaElement;
        "rux-time-region": HTMLRuxTimeRegionElement;
        "rux-timeline": HTMLRuxTimelineElement;
        "rux-toast": HTMLRuxToastElement;
        "rux-toast-stack": HTMLRuxToastStackElement;
        "rux-tooltip": HTMLRuxTooltipElement;
        "rux-track": HTMLRuxTrackElement;
        "rux-tree": HTMLRuxTreeElement;
        "rux-tree-node": HTMLRuxTreeNodeElement;
    }
}
declare namespace LocalJSX {
    interface RuxAccordion {
        /**
          * If present, sets a disabled state on the accordion, indicating that no part of it can be manipulated by user action.
         */
        "disabled"?: boolean;
        /**
          * ***** toggles disallow muiltiple - default false ********
         */
        "disallowMultiple"?: boolean;
    }
    interface RuxAccordionItem {
        /**
          * If present, sets a disabled state on this accordion item, indicating it cannot be selected by user action.
         */
        "disabled"?: boolean;
        /**
          * If present, sets the initial state on this accordion item to open, displaying the accordion content.
         */
        "expanded"?: boolean;
        /**
          * Fired when an accordion-item has collapsed
         */
        "onRuxcollapsed"?: (event: RuxAccordionItemCustomEvent<any>) => void;
        /**
          * Fired when an accordion-item has expanded
         */
        "onRuxexpanded"?: (event: RuxAccordionItemCustomEvent<any>) => void;
    }
    interface RuxBreadcrumb {
    }
    interface RuxBreadcrumbItem {
        /**
          * The href property of the breadcrumb item link
         */
        "href"?: string;
    }
    interface RuxButton {
        /**
          * Changes button style from solid to borderless by setting the rux-button--borderless class
         */
        "borderless"?: boolean;
        /**
          * Toggles disabled attribute on the button
         */
        "disabled"?: boolean;
        /**
          * For a [button style guide, see the Button section in Astro UXDS Guidelines](https://astrouxds.com/components/button) Displays an Astro icon matching this string. For a [full list of available icons, see the Icons section in Astro UXDS Guidelines](https://astrouxds.com/ui-components/icons-and-symbols)
         */
        "icon"?: string;
        /**
          * Hides slotted text from the button by setting rux-button--icon-only class
         */
        "iconOnly"?: boolean;
        /**
          * Changes button style from solid to secondary by setting the rux-button--secondary class
         */
        "secondary"?: boolean;
        /**
          * Changes size of a button from medium to small or large by setting sizing classes rux-button--small rux-button--large
         */
        "size"?: 'small' | 'medium' | 'large';
        /**
          * The button type. Use 'submit' to submit native form data.
         */
        "type"?: 'submit' | 'button';
    }
    /**
     * @deprecated Button Group is deprecated and will be removed in a next major release.
     * Instead, you should use `flex` or `grid` in combination with our spacing design tokens.
     */
    interface RuxButtonGroup {
        /**
          * The horizontal alignment of buttons within the group
         */
        "hAlign"?: 'left' | 'center' | 'right';
    }
    interface RuxCard {
    }
    interface RuxCheckbox {
        /**
          * Toggles checked state of a checkbox
         */
        "checked"?: boolean;
        /**
          * Disables the checkbox via HTML disabled attribute. Checkbox takes on a distinct visual state. Cursor uses the not-allowed system replacement and all keyboard and mouse events are ignored.
         */
        "disabled"?: boolean;
        /**
          * The help or explanation text
         */
        "helpText"?: string;
        /**
          * Toggles indeterminate state of a checkbox. The indeterminate property does not exist in HTML, but can be set in JS. [HTML Checkbox & Indeterminate State](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input/checkbox#indeterminate)
         */
        "indeterminate"?: boolean;
        /**
          * The checkbox label text. For HTML content, use the default slot instead.
         */
        "label"?: string;
        /**
          * The checkbox name
         */
        "name"?: string;
        /**
          * Fired when an element has lost focus - [HTMLElement/blur_event](https://developer.mozilla.org/en-US/docs/Web/API/Element/blur_event)
         */
        "onRuxblur"?: (event: RuxCheckboxCustomEvent<any>) => void;
        /**
          * Fired when the value of the input changes - [HTMLElement/input_event](https://developer.mozilla.org/en-US/docs/Web/API/HTMLElement/input_event)
         */
        "onRuxchange"?: (event: RuxCheckboxCustomEvent<any>) => void;
        /**
          * Fired when an element has gained focus - [HTMLElement/blur_event](https://developer.mozilla.org/en-US/docs/Web/API/Element/focus_event)
         */
        "onRuxfocus"?: (event: RuxCheckboxCustomEvent<any>) => void;
        /**
          * Fired when an alteration to the input's value is committed by the user - [HTMLElement/change_event](https://developer.mozilla.org/en-US/docs/Web/API/HTMLElement/change_event)
         */
        "onRuxinput"?: (event: RuxCheckboxCustomEvent<any>) => void;
        /**
          * The checkbox value
         */
        "value"?: string;
    }
    interface RuxCheckboxGroup {
        /**
          * The validation error text
         */
        "errorText"?: string;
        /**
          * The help or explanation text
         */
        "helpText"?: string;
        /**
          * Presentational only. Renders the Checkbox Group as invalid.
         */
        "invalid"?: boolean;
        /**
          * The label of the checkbox group. For HTML content, use the `label` slot instead.
         */
        "label"?: string;
        /**
          * Marks that a selection from the checkbox group is requried.
         */
        "required"?: boolean;
    }
    interface RuxClassificationMarking {
        /**
          * Defines which classification marking will be displayed.
         */
        "classification"?: Classification;
        /**
          * Allows additional text labels to be added to the marking
         */
        "label"?: string;
        /**
          * Declares the marking as a `tag` rather than the default banner style
         */
        "tag"?: boolean;
    }
    interface RuxClock {
        /**
          * When supplied with a valid [date string or value](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date#syntax) displays a timestamp labeled "AOS" next to the standard clock.
         */
        "aos"?: string;
        /**
          * When supplied with a valid [date string or value](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date#syntax), sets the time and date of the clock.
         */
        "dateIn"?: string;
        /**
          * Hides the day of the year.
         */
        "hideDate"?: boolean;
        /**
          * Hides all of the labels.
         */
        "hideLabels"?: boolean;
        /**
          * Hides the timezone in the main 24-hour clock. Timezone does not display on AOS/LOS.
         */
        "hideTimezone"?: boolean;
        /**
          * When supplied with a valid [date string or value](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date#syntax), displays a timestamp labeled "LOS" next to the standard clock.
         */
        "los"?: string;
        /**
          * Applies a smaller clock style.
         */
        "small"?: boolean;
        /**
          * Prevents clock from ticking. Use with `date-in` for full control over the displayed time
         */
        "static"?: boolean;
        /**
          * Accepts the [IANA timezone string format](https://www.iana.org/time-zones) such as `'America/Los_Angeles'` or any single-character designation for a [military timezones](https://en.wikipedia.org/wiki/List_of_military_time_zones) (`'A'` through `'Z'`, excluding `'J'`), both case-insensitive. If no value for timezone is provided, the clock will use `'UTC'`. See [`toLocaleString()` on MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date/toLocaleTimeString#Parameters) for more details.
         */
        "timezone"?: string;
    }
    interface RuxContainer {
    }
    interface RuxDatetime {
        /**
          * The date time to be formatted
         */
        "date"?: Date | string;
        /**
          * Format options for day
         */
        "day"?: 'numeric' | '2-digit';
        /**
          * Format options for era
         */
        "era"?: 'narrow' | 'short' | 'long';
        /**
          * Format options for hour
         */
        "hour"?: 'numeric' | '2-digit';
        /**
          * Display date in 12 hour time.
         */
        "hour12"?: boolean;
        /**
          * The locale
         */
        "locale"?: string;
        /**
          * Format options for minute
         */
        "minute"?: 'numeric' | '2-digit';
        /**
          * Format options for month
         */
        "month"?: 'numeric' | '2-digit' | 'narrow' | 'short' | 'long';
        /**
          * Format options for second
         */
        "second"?: 'numeric' | '2-digit';
        /**
          * Format options for Timezone
         */
        "timeZone"?: string;
        /**
          * Format options for Timezone name
         */
        "timeZoneName"?: 'short' | 'long';
        /**
          * Format options for weekday
         */
        "weekday"?: 'narrow' | 'short' | 'long';
        /**
          * Format options for year
         */
        "year"?: 'numeric' | '2-digit';
    }
    interface RuxDialog {
        /**
          * Allows dialog to close when clicking off it
         */
        "clickToClose"?: boolean;
        /**
          * Text for confirmation button
         */
        "confirmText"?: string;
        /**
          * Text for close button
         */
        "denyText"?: string;
        /**
          * Dialog header title
         */
        "header"?: string;
        /**
          * Dialog body message
         */
        "message"?: string;
        /**
          * Event that is fired when dialog closes. If dialog is closed by clicking on the default confirm or deny buttons (when no footer slot is provided), then true or false will be emitted respectively on the event.detail.
         */
        "onRuxdialogclosed"?: (event: RuxDialogCustomEvent<boolean | null>) => void;
        /**
          * Event that is fired when dialog opens
         */
        "onRuxdialogopened"?: (event: RuxDialogCustomEvent<void>) => void;
        /**
          * Shows and hides dialog
         */
        "open"?: boolean;
    }
    interface RuxGlobalStatusBar {
        /**
          * Sets the domain of the application to be displayed in the app-meta element
         */
        "appDomain"?: string;
        /**
          * Sets the name of the application to be displayed in the app-meta element
         */
        "appName"?: string;
        /**
          * Declares what text will render and whether the app-state component will be shown in the app-meta slot
         */
        "appState"?: string;
        /**
          * Declares the color of the the app-state component background
         */
        "appStateColor"?: 'tag1' | 'tag2' | 'tag3' | 'tag4';
        /**
          * Sets the version of the application to be displayed in the app-meta element
         */
        "appVersion"?: string;
        /**
          * Declares whether the menu-icon will be shown in the left-side slot
         */
        "includeIcon"?: boolean;
        /**
          * Sets the icon to be displayed in the default rux-icon component
         */
        "menuIcon"?: string;
        /**
          * Declares what text will render and whether the username component will be shown in the app-meta slot
         */
        "username"?: string;
    }
    interface RuxIcon {
        /**
          * The icon name
         */
        "icon": string;
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIcon360 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIcon3dRotation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIcon4k {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAcUnit {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAccessAlarms {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAccessTime {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAccessibility {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAccessibilityNew {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAccessible {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAccessibleForward {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAccountBalance {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAccountBalanceWallet {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAccountBox {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAccountCircle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAdb {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAdd {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddAPhoto {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddAlarm {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddAlert {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddBox {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddCircle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddCircleOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddComment {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddLocation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddPhotoAlternate {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddShoppingCart {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddToHomeScreen {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddToPhotos {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAddToQueue {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAdjust {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAirlineSeatFlat {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAirlineSeatFlatAngled {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAirlineSeatIndividualSuite {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAirlineSeatLegroomExtra {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAirlineSeatLegroomNormal {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAirlineSeatLegroomReduced {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAirlineSeatReclineExtra {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAirlineSeatReclineNormal {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAirplanemodeActive {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAirplanemodeInactive {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAirplay {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAirportShuttle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAlarm {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAlarmAdd {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAlarmOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAlarmOn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAlbum {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAllInbox {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAllInclusive {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAllOut {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAlternateEmail {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAltitude {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAndroid {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAnnouncement {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAntenna {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAntennaOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAntennaReceive {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAntennaTransmit {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconApps {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArchive {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArrowBack {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArrowBackIos {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArrowDownward {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArrowDropDown {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArrowDropDownCircle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArrowDropUp {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArrowForward {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArrowForwardIos {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArrowLeft {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArrowRight {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArrowRightAlt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArrowUpward {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconArtTrack {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAspectRatio {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAssessment {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAssignment {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAssignmentFind {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAssignmentLate {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAssignmentReturn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAssignmentReturned {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAssignmentTurnedIn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAssistant {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAssistantPhoto {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAttachFile {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAttachMoney {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAttachment {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAudiotrack {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAutorenew {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconAvTimer {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBackspace {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBackup {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBallot {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBarChart {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBattery20 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBattery30 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBattery50 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBattery60 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBattery80 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBattery90 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBatteryAlert {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBatteryCharging20 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBatteryCharging30 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBatteryCharging50 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBatteryCharging60 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBatteryCharging80 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBatteryCharging90 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBatteryChargingFull {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBatteryFull {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBatteryStd {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBatteryUnknown {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBeachAccess {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBeenhere {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBlock {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBluetooth {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBluetoothAudio {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBluetoothConnected {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBluetoothDisabled {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBluetoothSearching {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBlurCircular {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBlurLinear {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBlurOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBlurOn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBook {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBookmark {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBookmarkBorder {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBookmarks {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBorderAll {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBorderBottom {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBorderClear {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBorderColor {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBorderHorizontal {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBorderInner {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBorderLeft {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBorderOuter {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBorderRight {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBorderStyle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBorderTop {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBorderVertical {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrandingWatermark {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrightness1 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrightness2 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrightness3 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrightness4 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrightness5 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrightness6 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrightness7 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrightnessAuto {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrightnessHigh {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrightnessLow {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrightnessMedium {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrokenImage {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBrush {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBubbleChart {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBugReport {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBuild {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBurstMode {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBusiness {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconBusinessCenter {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCached {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCake {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCalendarToday {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCalendarViewDay {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCall {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCallEnd {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCallMade {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCallMerge {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCallMissed {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCallMissedOutgoing {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCallReceived {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCallSplit {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCallToAction {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCamera {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCameraAlt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCameraEnhance {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCameraFront {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCameraRear {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCameraRoll {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCancel {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCancelPresentation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCardGiftcard {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCardMembership {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCardTravel {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCasino {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCast {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCastConnected {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCastForEducation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCategory {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCellWifi {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCenterFocusStrong {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCenterFocusWeak {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconChangeHistory {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconChat {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconChatBubble {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconChatBubbleOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCheck {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCheckBox {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCheckBoxOutlineBlank {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCheckCircle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCheckCircleOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconChevronLeft {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconChevronRight {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconChildCare {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconChildFriendly {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconChromeReaderMode {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconClass {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconClear {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconClearAll {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconClose {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconClosedCaption {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCloud {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCloudCircle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCloudDone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCloudDownload {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCloudOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCloudQueue {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCloudUpload {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCode {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCollections {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCollectionsBookmark {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconColorLens {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconColorize {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconComment {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCommute {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCompare {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCompareArrows {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCompassCalibration {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconComputer {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconConfirmationNumber {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconContactMail {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconContactPhone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconContactSupport {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconContacts {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconControlCamera {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconControlPoint {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconControlPointDuplicate {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCopyright {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCreate {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCreateNewFolder {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCreditCard {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCrop {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCrop169 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCrop32 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCrop54 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCrop75 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCropDin {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCropFree {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCropLandscape {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCropOriginal {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCropPortrait {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCropRotate {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconCropSquare {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDashboard {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDataUsage {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDateRange {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDehaze {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDelete {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDeleteForever {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDeleteOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDeleteSweep {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDepartureBoard {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDescription {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDesktopAccessDisabled {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDesktopMac {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDesktopWindows {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDetails {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDeveloperBoard {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDeveloperMode {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDeviceHub {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDeviceUnknown {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDevices {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDevicesOther {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDialerSip {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDialpad {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDirections {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDirectionsBike {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDirectionsBoat {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDirectionsBus {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDirectionsCar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDirectionsRailway {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDirectionsRun {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDirectionsSubway {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDirectionsTransit {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDirectionsWalk {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDiscFull {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDns {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDock {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDomain {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDomainDisabled {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDoneAll {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDoneOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDonutLarge {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDonutSmall {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDrafts {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDragHandle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDragIndicator {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDriveEta {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDuo {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconDvr {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEdit {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEditAttributes {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEditLocation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEject {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEmail {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEnhancedEncryption {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEqualizer {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEquipment {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconError {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconErrorOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEuroSymbol {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEvStation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEvent {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEventAvailable {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEventBusy {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconEventNote {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExitToApp {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExpandLess {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExpandMore {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExplicit {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExplore {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExploreOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExposure {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExposureNeg1 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExposureNeg2 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExposurePlus1 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExposurePlus2 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExposureZero {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconExtension {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFace {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFastForward {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFastRewind {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFastfood {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFavorite {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFavoriteBorder {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFeaturedPlayList {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFeaturedVideo {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFeedback {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFiberDvr {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFiberManualRecord {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFiberNew {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFiberPin {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFiberSmartRecord {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFileCopy {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilter {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilter1 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilter2 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilter3 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilter4 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilter5 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilter6 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilter7 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilter8 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilter9 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilter9Plus {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilterBAndW {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilterCenterFocus {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilterDrama {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilterFrames {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilterHdr {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilterList {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilterNone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilterTiltShift {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFilterVintage {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFindInPage {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFindReplace {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFingerprint {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFirstPage {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFitnessCenter {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFlag {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFlare {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFlashAuto {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFlashOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFlashOn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFlight {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFlightLand {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFlightTakeoff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFlip {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFlipToBack {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFlipToFront {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFolder {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFolderOpen {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFolderShared {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFolderSpecial {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFontDownload {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatAlignCenter {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatAlignJustify {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatAlignLeft {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatAlignRight {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatBold {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatClear {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatColorFill {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatColorReset {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatColorText {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatIndentDecrease {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatIndentIncrease {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatItalic {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatLineSpacing {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatListBulleted {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatListNumbered {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatListNumberedRtl {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatPaint {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatQuote {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatShapes {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatSize {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatStrikethrough {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatTextdirectionLToR {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatTextdirectionRToL {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFormatUnderlined {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconForum {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconForward {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconForward10 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconForward30 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconForward5 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFreeBreakfast {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFullscreen {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFullscreenExit {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconFunctions {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGTranslate {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGamepad {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGames {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGavel {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGesture {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGetApp {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGif {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGolfCourse {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGpsFixed {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGpsNotFixed {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGpsOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGrade {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGradient {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGrain {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGraphicEq {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGridOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGridOn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGroup {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGroupAdd {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconGroupWork {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHardware {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHd {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHdrOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHdrOn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHdrStrong {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHdrWeak {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHeadset {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHeadsetMic {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHealing {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHearing {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHelp {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHelpOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHighQuality {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHighlight {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHighlightOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHistory {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHome {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHorizontalSplit {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHotTub {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHotel {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHourglassEmpty {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHourglassFull {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHowToReg {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHowToVote {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHttp {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconHttps {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconImage {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconImageAspectRatio {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconImageSearch {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconImportContacts {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconImportExport {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconImportantDevices {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInbox {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconIndeterminateCheckBox {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInfo {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInput {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInsertChart {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInsertChartOutlined {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInsertComment {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInsertDriveFile {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInsertEmoticon {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInsertInvitation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInsertLink {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInsertPhoto {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInvertColors {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconInvertColorsOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconIso {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconKeyboard {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconKeyboardArrowDown {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconKeyboardArrowLeft {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconKeyboardArrowRight {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconKeyboardArrowUp {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconKeyboardBackspace {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconKeyboardCapslock {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconKeyboardHide {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconKeyboardReturn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconKeyboardTab {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconKeyboardVoice {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconKitchen {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLabel {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLabelImportant {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLabelOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLandscape {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLanguage {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLaptop {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLaptopChromebook {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLaptopMac {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLaptopWindows {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLastPage {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLaunch {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLayers {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLayersClear {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLeakAdd {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLeakRemove {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLens {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLibraryAdd {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLibraryBooks {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLibraryMusic {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLineStyle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLineWeight {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLinearScale {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLink {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLinkOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLinkedCamera {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconList {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconListAlt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLiveHelp {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLiveTv {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalActivity {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalAirport {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalAtm {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalBar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalCafe {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalCarWash {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalConvenienceStore {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalDining {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalDrink {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalGasStation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalGroceryStore {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalHospital {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalHotel {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalLaundryService {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalLibrary {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalMall {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalMovies {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalOffer {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalParking {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalPharmacy {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalPhone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalPlay {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalPostOffice {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalPrintshop {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalSee {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalShipping {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocalTaxi {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocationCity {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocationDisabled {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocationOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocationOn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLocationSearching {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLock {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLockOpen {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLooks {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLooks1 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLooks2 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLooks3 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLooks4 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLooks5 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLooks6 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLoop {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLoupe {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLowPriority {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconLoyalty {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMail {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMailOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMap {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMarkunread {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMarkunreadMailbox {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMaximize {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMeetingRoom {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMemory {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMenu {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMergeType {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMessage {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMic {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMicNone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMicOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMinimize {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMissedVideoCall {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMission {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMms {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMobileFriendly {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMobileOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMobileScreenShare {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconModeComment {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMonetizationOn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMoney {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMoneyOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMonochromePhotos {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMood {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMoodBad {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMore {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMoreHoriz {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMoreVert {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMotorcycle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMouse {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMoveToInbox {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMovie {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMovieCreation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMovieFilter {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMultilineChart {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMusicNote {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMusicOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMusicVideo {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconMyLocation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNature {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNaturePeople {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNavigateBefore {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNavigateNext {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNavigation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNearMe {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNetcom {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNetworkCell {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNetworkCheck {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNetworkLocked {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNetworkWifi {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNewReleases {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNextWeek {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNfc {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNoEncryption {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNoMeetingRoom {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNoSim {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNotInterested {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNotListedLocation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNote {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNoteAdd {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNotes {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNotificationImportant {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNotifications {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNotificationsActive {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNotificationsNone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNotificationsOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconNotificationsPaused {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconOfflineBolt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconOfflinePin {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconOndemandVideo {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconOpacity {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconOpenInBrowser {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconOpenInNew {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconOpenWith {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconOutlinedFlag {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPages {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPageview {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPalette {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPanTool {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPanorama {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPanoramaFishEye {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPanoramaHorizontal {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPanoramaVertical {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPanoramaWideAngle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPartyMode {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPause {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPauseCircleFilled {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPauseCircleOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPausePresentation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPayload {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPayment {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPeopleOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPermCameraMic {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPermContactCalendar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPermDataSetting {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPermDeviceInformation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPermIdentity {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPermMedia {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPermPhoneMsg {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPermScanWifi {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPerson {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPersonAdd {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPersonAddDisabled {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPersonOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPersonPin {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPersonPinCircle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPersonalVideo {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPets {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhoneAndroid {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhoneBluetoothSpeaker {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhoneCallback {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhoneForwarded {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhoneInTalk {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhoneIphone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhoneLocked {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhoneMissed {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhonePaused {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhonelink {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhonelinkErase {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhonelinkLock {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhonelinkOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhonelinkRing {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhonelinkSetup {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhoto {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhotoAlbum {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhotoCamera {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhotoFilter {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhotoLibrary {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhotoSizeSelectActual {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhotoSizeSelectLarge {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPhotoSizeSelectSmall {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPictureAsPdf {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPictureInPicture {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPictureInPictureAlt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPieChart {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPinDrop {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPlace {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPlayArrow {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPlayCircleFilled {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPlayCircleFilledWhite {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPlayCircleOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPlayForWork {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPlaylistAdd {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPlaylistAddCheck {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPlaylistPlay {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPlusOne {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPoll {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPool {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPortableWifiOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPortrait {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPower {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPowerInput {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPowerOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPowerSettingsNew {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPregnantWoman {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPresentToAll {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPrint {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPrintDisabled {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPriorityHigh {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconProcessor {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconProcessorAlt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPropulsionPower {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPublic {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconPublish {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconQueryBuilder {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconQuestionAnswer {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconQueue {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconQueueMusic {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconQueuePlayNext {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRadio {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRadioButtonChecked {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRadioButtonUnchecked {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRateReview {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconReceipt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRecentActors {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRecordVoiceOver {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRedeem {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRedo {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRefresh {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRelease {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRemove {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRemoveCircle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRemoveCircleOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRemoveFromQueue {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRemoveRedEye {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRemoveShoppingCart {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconReorder {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRepeat {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRepeatOne {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconReplay {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconReplay10 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconReplay30 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconReplay5 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconReply {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconReplyAll {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconReport {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconReportOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconReportProblem {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRestaurant {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRestaurantMenu {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRestore {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRestoreFromTrash {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRestorePage {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRingVolume {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRoom {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRoomService {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRotate90DegreesCc {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRotateLeft {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRotateRight {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRoundedCorner {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRouter {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRowing {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRssFeed {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconRvHookup {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSatellite {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSatelliteOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSatelliteReceive {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSatelliteTransmit {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSave {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSaveAlt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconScanner {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconScatterPlot {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSchedule {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSchool {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconScore {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconScreenLockLandscape {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconScreenLockPortrait {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconScreenLockRotation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconScreenRotation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconScreenShare {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSdCard {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSdStorage {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSearch {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSeat {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSecurity {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSelectAll {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSend {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSentimentDissatisfied {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSentimentSatisfied {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSentimentSatisfiedAlt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSentimentVeryDissatisfied {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSentimentVerySatisfied {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSetPower {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettings {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsApplications {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsBackupRestore {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsBluetooth {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsBrightness {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsCell {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsEthernet {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsInputAntenna {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsInputComponent {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsInputComposite {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsInputHdmi {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsInputSvideo {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsOverscan {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsPhone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsPower {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsRemote {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsSystemDaydream {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSettingsVoice {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconShare {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconShop {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconShopTwo {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconShoppingBasket {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconShoppingCart {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconShortText {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconShowChart {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconShuffle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconShutterSpeed {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellular0Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellular1Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellular2Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellular3Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellular4Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellularAlt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellularConnectedNoInternet0Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellularConnectedNoInternet1Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellularConnectedNoInternet2Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellularConnectedNoInternet3Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellularConnectedNoInternet4Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellularNoSim {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellularNull {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalCellularOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalWifi0Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalWifi1Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalWifi1BarLock {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalWifi2Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalWifi2BarLock {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalWifi3Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalWifi3BarLock {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalWifi4Bar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalWifi4BarLock {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSignalWifiOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSimCard {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSkipNext {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSkipPrevious {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSlideshow {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSlowMotionVideo {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSmartphone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSmokeFree {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSmokingRooms {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSms {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSmsFailed {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSnooze {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSolar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSort {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSortByAlpha {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSpa {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSpaceBar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSpeaker {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSpeakerGroup {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSpeakerNotes {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSpeakerNotesOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSpeakerPhone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSpellcheck {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStar {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStarBorder {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStarHalf {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStarRate {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStars {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStayCurrentLandscape {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStayCurrentPortrait {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStayPrimaryLandscape {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStayPrimaryPortrait {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStop {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStopScreenShare {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStorage {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStore {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStoreMallDirectory {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStraighten {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStreetview {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStrikethroughS {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconStyle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSubdirectoryArrowLeft {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSubdirectoryArrowRight {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSubject {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSubscriptions {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSubtitles {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSubway {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSupervisedUserCircle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSupervisorAccount {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSurroundSound {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSwapCalls {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSwapHoriz {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSwapHorizontalCircle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSwapVert {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSwapVerticalCircle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSwitchCamera {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSwitchVideo {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSync {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSyncDisabled {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSyncProblem {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconSystemUpdate {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTab {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTabUnselected {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTableChart {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTablet {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTabletAndroid {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTabletMac {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTagFaces {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTapAndPlay {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTerrain {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTextFields {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTextFormat {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTextRotateUp {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTextRotateVertical {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTextRotationNone {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTextsms {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTexture {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTheaters {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconThermal {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconThumbDown {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconThumbDownAlt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconThumbUp {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconThumbUpAlt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconThumbsUpDown {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTimeToLeave {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTimelapse {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTimeline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTimer {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTimer10 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTimer3 {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTimerOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTitle {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconToc {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconToday {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconToggleOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconToggleOn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconToll {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTonality {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTouchApp {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconToys {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTrackChanges {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTraffic {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTrain {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTram {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTransferWithinAStation {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTransform {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTransitEnterexit {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTranslate {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTrendingDown {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTrendingFlat {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTrendingUp {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTripOrigin {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTune {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTurnedIn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTurnedInNot {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTv {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconTvOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconUnarchive {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconUndo {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconUnfoldLess {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconUnfoldMore {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconUnsubscribe {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconUpdate {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconUsb {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVerifiedUser {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVerticalAlignBottom {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVerticalAlignCenter {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVerticalAlignTop {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVerticalSplit {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVibration {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVideoCall {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVideoLabel {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVideoLibrary {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVideocam {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVideocamOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVideogameAsset {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewAgenda {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewArray {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewCarousel {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewColumn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewComfy {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewCompact {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewDay {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewHeadline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewList {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewModule {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewQuilt {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewStream {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconViewWeek {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVignette {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVisibility {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVisibilityOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVoiceChat {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVoiceOverOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVoicemail {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVolumeDown {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVolumeMute {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVolumeOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVolumeUp {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVpnKey {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconVpnLock {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWallpaper {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWarning {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWatch {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWatchLater {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWaves {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWbAuto {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWbCloudy {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWbIncandescent {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWbIridescent {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWbSunny {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWc {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWeb {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWebAsset {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWeekend {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWhatshot {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWhereToVote {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWidgets {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWifi {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWifiLock {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWifiOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWifiTethering {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWork {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWorkOff {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWorkOutline {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconWrapText {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconYoutubeSearchedFor {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconZoomIn {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconZoomInMap {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconZoomOut {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    /**
     * WARNING: This is an autogenerated component.
     * Do not make any changes to this file or they will be overwritten on build.
     * The template for this file is located in the generate-icons.js util file.
     * /
     * /** @internal *
     */
    interface RuxIconZoomOutMap {
        /**
          * The size of the icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: | 'extra-small'
        | 'small'
        | 'normal'
        | 'large'
        | 'auto'
        | string;
    }
    interface RuxIndeterminateProgress {
    }
    interface RuxInput {
        /**
          * Disables the button via HTML disabled attribute. Button takes on a distinct visual state. Cursor uses the not-allowed system replacement and all keyboard and mouse events are ignored.
         */
        "disabled"?: boolean;
        /**
          * The validation error text
         */
        "errorText"?: string;
        /**
          * The help or explanation text
         */
        "helpText"?: string;
        /**
          * Presentational only. Renders the Input Field as invalid.
         */
        "invalid"?: boolean;
        /**
          * The input label text. For HTML content, use the `label` slot instead.
         */
        "label"?: string;
        /**
          * The input max attribute
         */
        "max"?: string;
        /**
          * The input min attribute
         */
        "min"?: string;
        /**
          * The input name
         */
        "name"?: string;
        /**
          * Fired when an element has lost focus - [HTMLElement/blur_event](https://developer.mozilla.org/en-US/docs/Web/API/Element/blur_event)
         */
        "onRuxblur"?: (event: RuxInputCustomEvent<any>) => void;
        /**
          * Fired when the value of the input changes - [HTMLElement/input_event](https://developer.mozilla.org/en-US/docs/Web/API/HTMLElement/input_event)
         */
        "onRuxchange"?: (event: RuxInputCustomEvent<any>) => void;
        /**
          * Fired when an element has gained focus - [HTMLElement/focus_event](https://developer.mozilla.org/en-US/docs/Web/API/Element/focus_event)
         */
        "onRuxfocus"?: (event: RuxInputCustomEvent<any>) => void;
        /**
          * Fired when an alteration to the input's value is committed by the user - [HTMLElement/change_event](https://developer.mozilla.org/en-US/docs/Web/API/HTMLElement/change_event)
         */
        "onRuxinput"?: (event: RuxInputCustomEvent<any>) => void;
        /**
          * The input placeholder text
         */
        "placeholder"?: string;
        /**
          * The inputs readonly attribute
         */
        "readonly"?: boolean;
        /**
          * Sets the input as required
         */
        "required"?: boolean;
        /**
          * Control the padding around the input field
         */
        "size"?: 'small' | 'medium' | 'large';
        /**
          * The input's spellcheck attribute
         */
        "spellcheck"?: boolean;
        /**
          * The input step attribute
         */
        "step"?: string;
        /**
          * The input type
         */
        "type"?: | 'text'
        | 'number'
        | 'email'
        | 'url'
        | 'search'
        | 'password'
        | 'date'
        | 'datetime-local'
        | 'time'
        | 'tel';
        /**
          * The input value
         */
        "value"?: string;
    }
    /**
     * A Log is a tabular representation of application events and may include username, priority, equipment type, signal type, etc. As part of the [Notification System](https://www.astrouxds.com/design-guidelines/notifications), Logs provide sorting and filtering function for examining events.
     */
    interface RuxLog {
        /**
          * An array of objects to display as log
         */
        "data"?: LogRow[];
        /**
          * A string to filter the array to return only the children whose `message` property contains a case-insensitive substring match.
         */
        "filter"?: string;
        /**
          * Accepts [IANA timezone string format](https://www.iana.org/time-zones) such as `America/Los_Angeles`. Default timezone is `UTC`. See [`toLocaleString()` on MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date/toLocaleTimeString#Parameters) for more details.
         */
        "timezone"?: string;
    }
    interface RuxMenu {
        /**
          * Emits when a rux-menu-item is selected. Emits the rux-menu-item selected in the event detail.
         */
        "onRuxmenuselected"?: (event: RuxMenuCustomEvent<any>) => void;
    }
    interface RuxMenuItem {
        /**
          * sets the menu item as disabled
         */
        "disabled"?: boolean;
        /**
          * This attribute instructs browsers to download a URL instead of navigating to it, so the user will be prompted to save it as a local file. If the attribute has a value, it is used as the pre-filled file name in the Save prompt (the user can still change the file name if they want).
         */
        "download"?: string | undefined;
        /**
          * Contains a URL or a URL fragment that the hyperlink points to. If this property is set, an anchor tag will be rendered.
         */
        "href"?: string | undefined;
        /**
          * Specifies the relationship of the target object to the link object. The value is a space-separated list of [link types](https://developer.mozilla.org/en-US/docs/Web/HTML/Link_types).
         */
        "rel"?: string | undefined;
        /**
          * sets the menu item as selected
         */
        "selected"?: boolean;
        /**
          * Specifies where to display the linked URL. Only applies when an `href` is provided. Special keywords: `"_blank"`, `"_self"`, `"_parent"`, `"_top"`.
         */
        "target"?: string | undefined;
        /**
          * the value returned when item is selected.
         */
        "value"?: string;
    }
    interface RuxMenuItemDivider {
    }
    interface RuxMonitoringIcon {
        /**
          * Displays an Astro icon matching this string. For a [full list of available icons, see the Icons section in Astro UXDS Guidelines](https://astrouxds.com/ui-components/icons-and-symbols)
         */
        "icon"?: string;
        /**
          * Displays a label below the icon
         */
        "label": string;
        /**
          * If provided and greater than `0`, displays an outlined number badge at the bottom right of the icon. Numbers above `9999` are abbreviated to `'10K'` or `'100K'` for numbers in the thousands, `'1.5M'` for millions, `'1.5B'` for billions, and uses `'∞'` for one trillion or higher.
         */
        "notifications"?: number;
        /**
          * The size of a chosen Astro icon. Can be 'extra-small', 'small', 'normal', 'large', 'auto' or any custom value ('30px', '1rem', '3.321em')
         */
        "size"?: string;
        /**
          * Styles the icon according to the Astro Status colors. Valid options are the Astro statuses `critical`, `serious`, `caution`, `normal`, `standby`, and `off`.
         */
        "status"?: Status;
        /**
          * Displays a smaller label underneath the icon label
         */
        "sublabel"?: string;
    }
    interface RuxMonitoringProgressIcon {
        /**
          * Displays a label below the icon
         */
        "label"?: string;
        /**
          * Sets the maximum value for the progress range. When progress is this number, it reads 100%. When it is halfway between min and max, it will read 50%.
         */
        "max"?: number;
        /**
          * Sets the minimum value for the progress range. When progress is this number, it reads 0%. When it is halfway between min and max, it will read 50%.
         */
        "min"?: number;
        /**
          * If provided and greater than `0`, displays an outlined number badge at the bottom right of the icon. Numbers above `9999` are abbreviated to `'10K'` or `'100K'` for numbers in the thousands, `'1.5M'` for millions, `'1.5B'` for billions, and `'∞'` for one trillion or higher.
         */
        "notifications"?: number;
        /**
          * Displays this value as a percentage of where it lies between min and max in the center of the donut graph and styles a proportional segment of the graph. Progress can be positive or negative (the later useful for countdowns). The progress value must exist within the thresholds specified in the range property below, and must be an integer. If a non-integer value is passed in, progress will default to 0. If progress ever becomes less than min or greater than max, it will be set to equal min or max respectively.
         */
        "progress"?: number;
        /**
          * Items in this Array define thresholds for changing the status style of the progress icon. For each item in the Array, the icon will be styled with the given status while the progress value is less than or equal to the Array item’s threshold and greater than the next smallest item‘s threshold. Both progress and the Array items’ threshold values can be positive or negative. If no min is specified, the component assumes the Array's first status threshold begins at 0.
         */
        "range": Array<RangeItem>;
        /**
          * Displays a smaller label underneath the icon label
         */
        "sublabel"?: string;
    }
    interface RuxNotification {
        /**
          * If provided, the banner will automatically close after this amount of time. Accepts value either in milliseconds or seconds (which will be converted to milliseconds internally), between `2000` and `10000`, or `2` and `10`, respectively. Any number provided outside of the `2000`-`10000` range will be ignored in favor of the default 2000ms delay. <br>If `closeAfter` is not passed or if it is given an undefined or `null` value, the banner will stay open until the user closes it.
         */
        "closeAfter"?: number;
        /**
          * Prevents the user from dismissing the notification. Hides the `actions` slot.
         */
        "hideClose"?: boolean;
        /**
          * Message for the notification banner.
         */
        "message"?: string;
        /**
          * Fires when the notification banner is closed
         */
        "onRuxclosed"?: (event: RuxNotificationCustomEvent<boolean>) => void;
        /**
          * Set to true to display the Banner and begin countdown to close (if a close-after Number value is provided).
         */
        "open"?: boolean;
        /**
          * Changes the size of the banner to a small variant.
         */
        "small"?: boolean;
        /**
          * The background color. Possible values include 'off', 'standby', 'normal', 'caution', 'serious' and 'critical'. See [Astro UXDS Status System](https://astrouxds.com/patterns/status-system/).
         */
        "status"?: Status;
    }
    /**
     * This component should be used exclusively with RuxSelect.
     * It's main function is to broadcast to RuxSelect when the value property changes.
     * RuxSelect can only listen for slot change, which won't fire in the scenario where there
     * might be 2 options and only their values change. Because the nodes themselves aren't added or removed,
     * onSlotchange doesn't fire.
     */
    interface RuxOption {
        /**
          * Sets the option as disabled
         */
        "disabled"?: boolean;
        /**
          * The option label
         */
        "label": string;
        /**
          * The option value
         */
        "value": string;
    }
    interface RuxOptionGroup {
        /**
          * The option group label
         */
        "label"?: string;
    }
    interface RuxPopUp {
        /**
          * When provided, will close the pop-up when a single selection is made.
         */
        "closeOnSelect"?: boolean;
        /**
          * Turns autoUpdate on or off which makes the pop-up move to stay in view based on scroll. Defaults to false.
         */
        "disableAutoUpdate"?: boolean;
        /**
          * watches for trigger movements and replace the popup if movement is detected.
         */
        "enableAnimationFrame"?: boolean;
        /**
          * Emits when the pop up has closed.
         */
        "onRuxpopupclosed"?: (event: RuxPopUpCustomEvent<any>) => void;
        /**
          * Emits when the pop up has opened
         */
        "onRuxpopupopened"?: (event: RuxPopUpCustomEvent<any>) => void;
        /**
          * Determines if the pop up is open or closed
         */
        "open"?: boolean;
        /**
          * The placement of the pop up relative to it's slotted trigger element. Defaults to auto.
         */
        "placement"?: ExtendedPlacement;
        /**
          * The position strategy of the popup, either absolute or fixed.
         */
        "strategy"?: 'absolute' | 'fixed';
    }
    interface RuxProgress {
        /**
          * Hides the progress label
         */
        "hideLabel"?: boolean;
        /**
          * For progress bars where progress bars have a maximum value greater or less than 100
         */
        "max"?: number;
        /**
          * Current progress value between 0 and 100 (or the max, if defined below).
         */
        "value"?: number;
    }
    interface RuxPushButton {
        /**
          * Checks the push button via HTML `checked` attribute. Push button takes on a distinct "enabled" or "selected" visual state.
         */
        "checked"?: boolean;
        /**
          * Disables the push button via HTML `disabled` attribute. Button takes on a distinct disabled visual state. Cursor uses the `not-allowed` system replacement and all keyboard and mouse events are ignored.
         */
        "disabled"?: boolean;
        /**
          * For a [button style guide, see the Button section in Astro UXDS Guidelines](https://astrouxds.com/components/button) Displays an Astro icon matching this string. For a [full list of available icons, see the Icons section in Astro UXDS Guidelines](https://astrouxds.com/ui-components/icons-and-symbols)
         */
        "icon"?: string;
        /**
          * Hides slotted text from the button by setting rux-button--icon-only class
         */
        "iconOnly"?: boolean;
        /**
          * The label of the push button.
         */
        "label"?: string;
        /**
          * The name of the push button.
         */
        "name"?: string;
        /**
          * Fired when an element has lost focus - [HTMLElement/blur_event](https://developer.mozilla.org/en-US/docs/Web/API/Element/blur_event)
         */
        "onRuxblur"?: (event: RuxPushButtonCustomEvent<any>) => void;
        /**
          * Fired when an alteration to the input's value is committed by the user and emits the value on the event.detail - [HTMLElement/change_event](https://developer.mozilla.org/en-US/docs/Web/API/HTMLElement/change_event)
         */
        "onRuxchange"?: (event: RuxPushButtonCustomEvent<any>) => void;
        /**
          * Changes size of a push button from medium to small or large by setting sizing classes rux-button--small rux-button--large
         */
        "size"?: 'small' | 'medium' | 'large';
        /**
          * The value of the push button.
         */
        "value"?: string;
    }
    interface RuxRadio {
        /**
          * Toggles checked state of a radio
         */
        "checked"?: boolean;
        /**
          * Disables the radio via HTML disabled attribute. Radio takes on a distinct visual state. Cursor uses the not-allowed system replacement and all keyboard and mouse events are ignored.
         */
        "disabled"?: boolean;
        /**
          * The radio label text. For HTML content, use the default slot instead.
         */
        "label"?: string;
        /**
          * The radio name
         */
        "name"?: string;
        /**
          * Fired when an element has lost focus - [HTMLElement/blur_event](https://developer.mozilla.org/en-US/docs/Web/API/Element/blur_event)
         */
        "onRuxblur"?: (event: RuxRadioCustomEvent<any>) => void;
        /**
          * The radio value
         */
        "value"?: string;
    }
    interface RuxRadioGroup {
        /**
          * The validation error text
         */
        "errorText"?: string;
        /**
          * The help or explanation text
         */
        "helpText"?: string;
        /**
          * Presentational only. Renders the Radio Group as invalid.
         */
        "invalid"?: boolean;
        /**
          * The label of the radio group. For HTML content, use the `label` slot instead.
         */
        "label"?: string;
        /**
          * The name of the radio group - submitted with form data. Must match the name of the radios in the group.
         */
        "name"?: string;
        /**
          * Fired when the value of the input changes and emits that value on the event.detail. - [HTMLElement/input_event](https://developer.mozilla.org/en-US/docs/Web/API/HTMLElement/input_event)
         */
        "onRuxchange"?: (event: RuxRadioGroupCustomEvent<any>) => void;
        /**
          * Marks that a selection from the radio-group is requried.
         */
        "required"?: boolean;
        /**
          * The value of the current selected radio in the group. Changing this will also mark that radio as checked in the UI.
         */
        "value"?: any | null;
    }
    interface RuxRuler {
    }
    interface RuxSegmentedButton {
        /**
          * Items in this Array are the individual button segments.
         */
        "data"?: SegmentedButton[];
        /**
          * Sets the disabled attribute.
         */
        "disabled"?: boolean;
        /**
          * Fires when the value property has changed and emits that value on the event.detail.
         */
        "onRuxchange"?: (event: RuxSegmentedButtonCustomEvent<any>) => void;
        /**
          * When passed in on load, this selects the first button segment with a matching label. When the selected segment changes, this property updates with the currently selected value, which reflects back to the component attribute. If no button segment label matches this string, then no segment is selected. This value takes priority over setting selected boolean property on the items in the data array.
         */
        "selected"?: string;
        /**
          * Changes size of segmented button from small to medium or large.
         */
        "size"?: 'small' | 'medium' | 'large';
    }
    interface RuxSelect {
        /**
          * Disables the select menu via HTML disabled attribute. Select menu takes on a distinct visual state. Cursor uses the not-allowed system replacement and all keyboard and mouse events are ignored.
         */
        "disabled"?: boolean;
        /**
          * The validation error text
         */
        "errorText"?: string;
        /**
          * The help or explanation text
         */
        "helpText"?: string;
        /**
          * Styles the select menu as a inline, borderless variant.
         */
        "inline"?: boolean;
        /**
          * Id for the Select Input
         */
        "inputId"?: string;
        /**
          * Presentational only. Renders the Select Menu as invalid.
         */
        "invalid"?: boolean;
        /**
          * The select label text. For HTML content, use the `label` slot instead.
         */
        "label"?: string;
        /**
          * Id for the Label
         */
        "labelId"?: string;
        /**
          * Enables multiselect
         */
        "multiple"?: boolean;
        /**
          * Sets the Name of the Input Element
         */
        "name"?: string;
        /**
          * Fired when an element has lost focus - [HTMLElement/blur_event](https://developer.mozilla.org/en-US/docs/Web/API/Element/blur_event)
         */
        "onRuxblur"?: (event: RuxSelectCustomEvent<any>) => void;
        /**
          * Event Emitted when the Value of the Select is Changed
         */
        "onRuxchange"?: (event: RuxSelectCustomEvent<void>) => void;
        /**
          * Sets the field as required
         */
        "required"?: boolean;
        /**
          * The size of rux-select
         */
        "size"?: 'small' | 'medium' | 'large';
        /**
          * The value of the selected option. If multiple is true, this is an array.
         */
        "value"?: string | string[];
    }
    interface RuxSlider {
        /**
          * Shows tick marks and labels in the order provided and aligns evenly based on the length.
         */
        "axisLabels"?: string[];
        /**
          * Determines if the slider is disabled.
         */
        "disabled"?: boolean;
        /**
          * The validation error text
         */
        "errorText"?: string;
        /**
          * The help or explanation text
         */
        "helpText"?: string;
        /**
          * The slider label text. For HTML content, use the `label` slot instead.
         */
        "label"?: string;
        /**
          * Max value of slider.
         */
        "max"?: number;
        /**
          * Min value of the slider.
         */
        "min"?: number;
        /**
          * If present, creates a dual-range slider by adding a second thumb.
         */
        "minVal"?: number;
        /**
          * Name of the Input Field for Form Submission
         */
        "name"?: string;
        /**
          * Fired when an element has lost focus - [HTMLElement/blur_event](https://developer.mozilla.org/en-US/docs/Web/API/Element/blur_event)
         */
        "onRuxblur"?: (event: RuxSliderCustomEvent<any>) => void;
        /**
          * Fired when the element's value is altered by the user - [HTMLElement/change_event](https://developer.mozilla.org/en-US/docs/Web/API/HTMLElement/change_event)
         */
        "onRuxchange"?: (event: RuxSliderCustomEvent<any>) => void;
        /**
          * Fired when the value of the input changes - [HTMLElement/input_event](https://developer.mozilla.org/en-US/docs/Web/API/HTMLElement/input_event)
         */
        "onRuxinput"?: (event: RuxSliderCustomEvent<any>) => void;
        /**
          * Step amount of slider value.
         */
        "step"?: number;
        /**
          * In a dual-range slider, disables thumb swapping.
         */
        "strict"?: boolean;
        /**
          * Hides labels and only shows tick marks if axis-labels is provided.
         */
        "ticksOnly"?: boolean;
        /**
          * Current value of the slider. The default value is halfway between the specified minimum and maximum. - [HTMLElement/input_type_range>](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input/range) In dual-range, this value should be higher than the min-val.
         */
        "value"?: number;
    }
    interface RuxStatus {
        /**
          * Sets the status symbol, valid options are critical, serious, caution, normal, standby and off
         */
        "status"?: Status;
    }
    interface RuxSwitch {
        /**
          * Toggles checked state of a switch
         */
        "checked"?: boolean;
        /**
          * Disables the switch via HTML disabled attribute. Switch takes on a distinct visual state. Cursor uses the not-allowed system replacement and all keyboard and mouse events are ignored.
         */
        "disabled"?: boolean;
        /**
          * The switch label. For HTML content, use the `label` slot instead.
         */
        "label"?: string;
        /**
          * The switch name
         */
        "name"?: string;
        /**
          * Fired when an element has lost focus - [HTMLElement/blur_event](https://developer.mozilla.org/en-US/docs/Web/API/Element/blur_event)
         */
        "onRuxblur"?: (event: RuxSwitchCustomEvent<any>) => void;
        /**
          * Fired when the value of the input changes and emits that value on the event.detail. - [HTMLElement/input_event](https://developer.mozilla.org/en-US/docs/Web/API/HTMLElement/input_event)
         */
        "onRuxchange"?: (event: RuxSwitchCustomEvent<any>) => void;
        /**
          * Fired when an alteration to the input's value is committed by the user - [HTMLElement/change_event](https://developer.mozilla.org/en-US/docs/Web/API/HTMLElement/change_event)
         */
        "onRuxinput"?: (event: RuxSwitchCustomEvent<any>) => void;
        /**
          * The switch value
         */
        "value"?: string;
    }
    interface RuxTab {
        /**
          * If present, sets a disabled state on this tab item, indicating it cannot be selected by user action.
         */
        "disabled"?: boolean;
        /**
          * Fires when a tab is selected
         */
        "onRuxtabselected"?: (event: RuxTabCustomEvent<any>) => void;
        /**
          * If present, overrides which tab is selected on load / mount. By default, the first <rux-tab> item is selected.
         */
        "selected"?: boolean;
        /**
          * If passed or set to true, displays the tabs in a smaller style, suitable for limited-space uses.
         */
        "small"?: boolean;
    }
    interface RuxTabPanel {
    }
    interface RuxTabPanels {
        /**
          * Emits a list of the Tab Panels on the event.detail which have been passed in
         */
        "onRuxregisterpanels"?: (event: RuxTabPanelsCustomEvent<HTMLRuxTabPanelsElement[]>) => void;
    }
    interface RuxTable {
    }
    interface RuxTableBody {
    }
    interface RuxTableCell {
    }
    interface RuxTableHeader {
    }
    interface RuxTableHeaderCell {
    }
    interface RuxTableHeaderRow {
    }
    interface RuxTableRow {
        /**
          * Changes the background color of the row. Can be applied to multiple rows at once.
         */
        "selected"?: boolean;
    }
    interface RuxTabs {
        /**
          * Fires whenever a new tab is selected, and emits the selected tab on the event.detail.
         */
        "onRuxselected"?: (event: RuxTabsCustomEvent<any>) => void;
        /**
          * If passed or set to true, displays the tabs in a smaller style, suitable for limited-space uses.
         */
        "small"?: boolean;
    }
    interface RuxTag {
        /**
          * Used to display a status of pass, fail, or unknown. If no status is provided or the provided status is not an accepted status type, the default is unknown.
         */
        "status"?: StatusTags;
    }
    interface RuxTextarea {
        /**
          * Sets the input as disabled
         */
        "disabled"?: boolean;
        /**
          * The validation error text
         */
        "errorText"?: string;
        /**
          * The  or explanation text
         */
        "helpText"?: string;
        /**
          * Presentational only. Renders the Textarea as invalid.
         */
        "invalid"?: boolean;
        /**
          * The textarea label text. For HTML content, use the `label` slot instead.
         */
        "label"?: string;
        /**
          * The input maxLength attribute
         */
        "maxLength"?: string;
        /**
          * The input minLength attribute
         */
        "minLength"?: string;
        /**
          * The input name
         */
        "name"?: string;
        /**
          * Fired when an element has lost focus - [HTMLElement/blur_event](https://developer.mozilla.org/en-US/docs/Web/API/Element/blur_event)
         */
        "onRuxblur"?: (event: RuxTextareaCustomEvent<any>) => void;
        /**
          * Fired when the value of the input changes - [HTMLElement/input_event](https://developer.mozilla.org/en-US/docs/Web/API/HTMLElement/input_event)
         */
        "onRuxchange"?: (event: RuxTextareaCustomEvent<any>) => void;
        /**
          * Fired when an alteration to the input's value is committed by the user - [HTMLElement/change_event](https://developer.mozilla.org/en-US/docs/Web/API/HTMLElement/change_event)
         */
        "onRuxinput"?: (event: RuxTextareaCustomEvent<any>) => void;
        /**
          * The textarea placeholder text
         */
        "placeholder"?: string;
        /**
          * The textareas readonly attribute
         */
        "readonly"?: boolean;
        /**
          * Sets the input as required
         */
        "required"?: boolean;
        /**
          * The input rows attribute
         */
        "rows"?: number;
        /**
          * Styles the input element size between small, medium and large. The default styling is medium.
         */
        "size"?: 'small' | 'medium' | 'large';
        /**
          * The input value
         */
        "value"?: string;
    }
    interface RuxTimeRegion {
        /**
          * The end date. Must be an ISO string "2021-02-02T05:00:00Z"
         */
        "end"?: string;
        /**
          * Optionally hide the bottom right timestamp.
         */
        "hideTimestamp"?: boolean;
        /**
          * Visually indicates a partial time regions. Partial time regions are time regions that start or end outside of the current range of the timeline.
         */
        "partial"?: 'none' | 'start' | 'end' | 'ongoing';
        /**
          * Visually displays the selected state
         */
        "selected"?: boolean;
        /**
          * The start date. Must be an ISO string "2021-02-02T05:00:00Z".
         */
        "start"?: string;
        /**
          * Short hand attribute for displaying a Status icon and appropriate border color.
         */
        "status"?: Status;
    }
    interface RuxTimeline {
        /**
          * The timeline's end date. Must be an ISO string "2021-02-02T05:00:00Z"
         */
        "end"?: string;
        /**
          * The timeline's date time interval
         */
        "interval"?: 'hour' | 'day';
        /**
          * The timeline's playhead date time. Must be an ISO string "2021-02-02T05:00:00Z"
         */
        "playhead"?: string;
        /**
          * The timeline's start date. Must be an ISO string "2021-02-02T05:00:00Z"
         */
        "start"?: string;
        /**
          * Controls the timezone that the timeline is localized to. Must be an IANA time zone name ("America/New_York") or an offset string.
         */
        "timezone"?: string;
        /**
          * The timeline's zoom level.
         */
        "zoom"?: number;
    }
    interface RuxToast {
        /**
          * If provided, the toast will automatically close after this amount of time. Accepts value either in milliseconds or seconds (which will be converted to milliseconds internally), between `2000` and `10000`, or `2` and `10`, respectively. Any number provided outside of the `2000`-`10000` range will be ignored in favor of the default 2000ms delay. <br>If `closeAfter` is not passed or if it is given an undefined or `null` value, the toast will stay open until the user closes it.
         */
        "closeAfter"?: number;
        /**
          * Prevents the user from dismissing the notification. Hides the close icon.
         */
        "hideClose"?: boolean;
        /**
          * Message for the toast.
         */
        "message"?: string;
        /**
          * Fires when a toast is closed
         */
        "onRuxtoastclosed"?: (event: RuxToastCustomEvent<boolean>) => void;
        /**
          * Fires when a toast is opened
         */
        "onRuxtoastopen"?: (event: RuxToastCustomEvent<boolean>) => void;
    }
    interface RuxToastStack {
        /**
          * position of toast stack in viewport
         */
        "position"?: ToastStackPosition;
    }
    interface RuxTooltip {
        /**
          * How long it takes the tooltip to appear in milliseconds, default = 800, Overrides the css custom property --delay.
         */
        "delay"?: number;
        /**
          * Turns disableAutoUpdate on or off which makes the tooltip move to stay in view based on scroll. Defaults to false.
         */
        "disableAutoUpdate"?: boolean;
        /**
          * The tooltip's content.
         */
        "message"?: string;
        /**
          * Pixel offset from trigger, default = 8
         */
        "offset"?: number;
        /**
          * Emits when the tooltip has closed.
         */
        "onRuxtooltipclosed"?: (event: RuxTooltipCustomEvent<any>) => void;
        /**
          * Emits when the tooltip has opened
         */
        "onRuxtooltipopened"?: (event: RuxTooltipCustomEvent<any>) => void;
        /**
          * Whether or not the tooltip is open
         */
        "open"?: boolean;
        /**
          * The placement of the tooltip relative to it's slotted trigger element. Defaults to auto.
         */
        "placement"?: ExtendedPlacement;
        /**
          * The position strategy of the tooltip, either absolute or fixed.
         */
        "strategy"?: 'absolute' | 'fixed';
    }
    interface RuxTrack {
    }
    interface RuxTree {
    }
    interface RuxTreeNode {
        /**
          * Sets the expanded state
         */
        "expanded"?: boolean;
        /**
          * Fires when the user collapses a tree node and emits the node's id on the event.detail.
         */
        "onRuxtreenodecollapsed"?: (event: RuxTreeNodeCustomEvent<string>) => void;
        /**
          * Fires when the user expands a tree node and emits the node's id on the event.detail.
         */
        "onRuxtreenodeexpanded"?: (event: RuxTreeNodeCustomEvent<string>) => void;
        /**
          * Fires when the user selects a tree node and emits the node's id on the event.detail.
         */
        "onRuxtreenodeselected"?: (event: RuxTreeNodeCustomEvent<string>) => void;
        /**
          * Sets the selected state
         */
        "selected"?: boolean;
    }
    interface IntrinsicElements {
        "rux-accordion": RuxAccordion;
        "rux-accordion-item": RuxAccordionItem;
        "rux-breadcrumb": RuxBreadcrumb;
        "rux-breadcrumb-item": RuxBreadcrumbItem;
        "rux-button": RuxButton;
        "rux-button-group": RuxButtonGroup;
        "rux-card": RuxCard;
        "rux-checkbox": RuxCheckbox;
        "rux-checkbox-group": RuxCheckboxGroup;
        "rux-classification-marking": RuxClassificationMarking;
        "rux-clock": RuxClock;
        "rux-container": RuxContainer;
        "rux-datetime": RuxDatetime;
        "rux-dialog": RuxDialog;
        "rux-global-status-bar": RuxGlobalStatusBar;
        "rux-icon": RuxIcon;
        "rux-icon-360": RuxIcon360;
        "rux-icon-3d-rotation": RuxIcon3dRotation;
        "rux-icon-4k": RuxIcon4k;
        "rux-icon-ac-unit": RuxIconAcUnit;
        "rux-icon-access-alarms": RuxIconAccessAlarms;
        "rux-icon-access-time": RuxIconAccessTime;
        "rux-icon-accessibility": RuxIconAccessibility;
        "rux-icon-accessibility-new": RuxIconAccessibilityNew;
        "rux-icon-accessible": RuxIconAccessible;
        "rux-icon-accessible-forward": RuxIconAccessibleForward;
        "rux-icon-account-balance": RuxIconAccountBalance;
        "rux-icon-account-balance-wallet": RuxIconAccountBalanceWallet;
        "rux-icon-account-box": RuxIconAccountBox;
        "rux-icon-account-circle": RuxIconAccountCircle;
        "rux-icon-adb": RuxIconAdb;
        "rux-icon-add": RuxIconAdd;
        "rux-icon-add-a-photo": RuxIconAddAPhoto;
        "rux-icon-add-alarm": RuxIconAddAlarm;
        "rux-icon-add-alert": RuxIconAddAlert;
        "rux-icon-add-box": RuxIconAddBox;
        "rux-icon-add-circle": RuxIconAddCircle;
        "rux-icon-add-circle-outline": RuxIconAddCircleOutline;
        "rux-icon-add-comment": RuxIconAddComment;
        "rux-icon-add-location": RuxIconAddLocation;
        "rux-icon-add-photo-alternate": RuxIconAddPhotoAlternate;
        "rux-icon-add-shopping-cart": RuxIconAddShoppingCart;
        "rux-icon-add-to-home-screen": RuxIconAddToHomeScreen;
        "rux-icon-add-to-photos": RuxIconAddToPhotos;
        "rux-icon-add-to-queue": RuxIconAddToQueue;
        "rux-icon-adjust": RuxIconAdjust;
        "rux-icon-airline-seat-flat": RuxIconAirlineSeatFlat;
        "rux-icon-airline-seat-flat-angled": RuxIconAirlineSeatFlatAngled;
        "rux-icon-airline-seat-individual-suite": RuxIconAirlineSeatIndividualSuite;
        "rux-icon-airline-seat-legroom-extra": RuxIconAirlineSeatLegroomExtra;
        "rux-icon-airline-seat-legroom-normal": RuxIconAirlineSeatLegroomNormal;
        "rux-icon-airline-seat-legroom-reduced": RuxIconAirlineSeatLegroomReduced;
        "rux-icon-airline-seat-recline-extra": RuxIconAirlineSeatReclineExtra;
        "rux-icon-airline-seat-recline-normal": RuxIconAirlineSeatReclineNormal;
        "rux-icon-airplanemode-active": RuxIconAirplanemodeActive;
        "rux-icon-airplanemode-inactive": RuxIconAirplanemodeInactive;
        "rux-icon-airplay": RuxIconAirplay;
        "rux-icon-airport-shuttle": RuxIconAirportShuttle;
        "rux-icon-alarm": RuxIconAlarm;
        "rux-icon-alarm-add": RuxIconAlarmAdd;
        "rux-icon-alarm-off": RuxIconAlarmOff;
        "rux-icon-alarm-on": RuxIconAlarmOn;
        "rux-icon-album": RuxIconAlbum;
        "rux-icon-all-inbox": RuxIconAllInbox;
        "rux-icon-all-inclusive": RuxIconAllInclusive;
        "rux-icon-all-out": RuxIconAllOut;
        "rux-icon-alternate-email": RuxIconAlternateEmail;
        "rux-icon-altitude": RuxIconAltitude;
        "rux-icon-android": RuxIconAndroid;
        "rux-icon-announcement": RuxIconAnnouncement;
        "rux-icon-antenna": RuxIconAntenna;
        "rux-icon-antenna-off": RuxIconAntennaOff;
        "rux-icon-antenna-receive": RuxIconAntennaReceive;
        "rux-icon-antenna-transmit": RuxIconAntennaTransmit;
        "rux-icon-apps": RuxIconApps;
        "rux-icon-archive": RuxIconArchive;
        "rux-icon-arrow-back": RuxIconArrowBack;
        "rux-icon-arrow-back-ios": RuxIconArrowBackIos;
        "rux-icon-arrow-downward": RuxIconArrowDownward;
        "rux-icon-arrow-drop-down": RuxIconArrowDropDown;
        "rux-icon-arrow-drop-down-circle": RuxIconArrowDropDownCircle;
        "rux-icon-arrow-drop-up": RuxIconArrowDropUp;
        "rux-icon-arrow-forward": RuxIconArrowForward;
        "rux-icon-arrow-forward-ios": RuxIconArrowForwardIos;
        "rux-icon-arrow-left": RuxIconArrowLeft;
        "rux-icon-arrow-right": RuxIconArrowRight;
        "rux-icon-arrow-right-alt": RuxIconArrowRightAlt;
        "rux-icon-arrow-upward": RuxIconArrowUpward;
        "rux-icon-art-track": RuxIconArtTrack;
        "rux-icon-aspect-ratio": RuxIconAspectRatio;
        "rux-icon-assessment": RuxIconAssessment;
        "rux-icon-assignment": RuxIconAssignment;
        "rux-icon-assignment-find": RuxIconAssignmentFind;
        "rux-icon-assignment-late": RuxIconAssignmentLate;
        "rux-icon-assignment-return": RuxIconAssignmentReturn;
        "rux-icon-assignment-returned": RuxIconAssignmentReturned;
        "rux-icon-assignment-turned-in": RuxIconAssignmentTurnedIn;
        "rux-icon-assistant": RuxIconAssistant;
        "rux-icon-assistant-photo": RuxIconAssistantPhoto;
        "rux-icon-attach-file": RuxIconAttachFile;
        "rux-icon-attach-money": RuxIconAttachMoney;
        "rux-icon-attachment": RuxIconAttachment;
        "rux-icon-audiotrack": RuxIconAudiotrack;
        "rux-icon-autorenew": RuxIconAutorenew;
        "rux-icon-av-timer": RuxIconAvTimer;
        "rux-icon-backspace": RuxIconBackspace;
        "rux-icon-backup": RuxIconBackup;
        "rux-icon-ballot": RuxIconBallot;
        "rux-icon-bar-chart": RuxIconBarChart;
        "rux-icon-battery-20": RuxIconBattery20;
        "rux-icon-battery-30": RuxIconBattery30;
        "rux-icon-battery-50": RuxIconBattery50;
        "rux-icon-battery-60": RuxIconBattery60;
        "rux-icon-battery-80": RuxIconBattery80;
        "rux-icon-battery-90": RuxIconBattery90;
        "rux-icon-battery-alert": RuxIconBatteryAlert;
        "rux-icon-battery-charging-20": RuxIconBatteryCharging20;
        "rux-icon-battery-charging-30": RuxIconBatteryCharging30;
        "rux-icon-battery-charging-50": RuxIconBatteryCharging50;
        "rux-icon-battery-charging-60": RuxIconBatteryCharging60;
        "rux-icon-battery-charging-80": RuxIconBatteryCharging80;
        "rux-icon-battery-charging-90": RuxIconBatteryCharging90;
        "rux-icon-battery-charging-full": RuxIconBatteryChargingFull;
        "rux-icon-battery-full": RuxIconBatteryFull;
        "rux-icon-battery-std": RuxIconBatteryStd;
        "rux-icon-battery-unknown": RuxIconBatteryUnknown;
        "rux-icon-beach-access": RuxIconBeachAccess;
        "rux-icon-beenhere": RuxIconBeenhere;
        "rux-icon-block": RuxIconBlock;
        "rux-icon-bluetooth": RuxIconBluetooth;
        "rux-icon-bluetooth-audio": RuxIconBluetoothAudio;
        "rux-icon-bluetooth-connected": RuxIconBluetoothConnected;
        "rux-icon-bluetooth-disabled": RuxIconBluetoothDisabled;
        "rux-icon-bluetooth-searching": RuxIconBluetoothSearching;
        "rux-icon-blur-circular": RuxIconBlurCircular;
        "rux-icon-blur-linear": RuxIconBlurLinear;
        "rux-icon-blur-off": RuxIconBlurOff;
        "rux-icon-blur-on": RuxIconBlurOn;
        "rux-icon-book": RuxIconBook;
        "rux-icon-bookmark": RuxIconBookmark;
        "rux-icon-bookmark-border": RuxIconBookmarkBorder;
        "rux-icon-bookmarks": RuxIconBookmarks;
        "rux-icon-border-all": RuxIconBorderAll;
        "rux-icon-border-bottom": RuxIconBorderBottom;
        "rux-icon-border-clear": RuxIconBorderClear;
        "rux-icon-border-color": RuxIconBorderColor;
        "rux-icon-border-horizontal": RuxIconBorderHorizontal;
        "rux-icon-border-inner": RuxIconBorderInner;
        "rux-icon-border-left": RuxIconBorderLeft;
        "rux-icon-border-outer": RuxIconBorderOuter;
        "rux-icon-border-right": RuxIconBorderRight;
        "rux-icon-border-style": RuxIconBorderStyle;
        "rux-icon-border-top": RuxIconBorderTop;
        "rux-icon-border-vertical": RuxIconBorderVertical;
        "rux-icon-branding-watermark": RuxIconBrandingWatermark;
        "rux-icon-brightness-1": RuxIconBrightness1;
        "rux-icon-brightness-2": RuxIconBrightness2;
        "rux-icon-brightness-3": RuxIconBrightness3;
        "rux-icon-brightness-4": RuxIconBrightness4;
        "rux-icon-brightness-5": RuxIconBrightness5;
        "rux-icon-brightness-6": RuxIconBrightness6;
        "rux-icon-brightness-7": RuxIconBrightness7;
        "rux-icon-brightness-auto": RuxIconBrightnessAuto;
        "rux-icon-brightness-high": RuxIconBrightnessHigh;
        "rux-icon-brightness-low": RuxIconBrightnessLow;
        "rux-icon-brightness-medium": RuxIconBrightnessMedium;
        "rux-icon-broken-image": RuxIconBrokenImage;
        "rux-icon-brush": RuxIconBrush;
        "rux-icon-bubble-chart": RuxIconBubbleChart;
        "rux-icon-bug-report": RuxIconBugReport;
        "rux-icon-build": RuxIconBuild;
        "rux-icon-burst-mode": RuxIconBurstMode;
        "rux-icon-business": RuxIconBusiness;
        "rux-icon-business-center": RuxIconBusinessCenter;
        "rux-icon-cached": RuxIconCached;
        "rux-icon-cake": RuxIconCake;
        "rux-icon-calendar-today": RuxIconCalendarToday;
        "rux-icon-calendar-view-day": RuxIconCalendarViewDay;
        "rux-icon-call": RuxIconCall;
        "rux-icon-call-end": RuxIconCallEnd;
        "rux-icon-call-made": RuxIconCallMade;
        "rux-icon-call-merge": RuxIconCallMerge;
        "rux-icon-call-missed": RuxIconCallMissed;
        "rux-icon-call-missed-outgoing": RuxIconCallMissedOutgoing;
        "rux-icon-call-received": RuxIconCallReceived;
        "rux-icon-call-split": RuxIconCallSplit;
        "rux-icon-call-to-action": RuxIconCallToAction;
        "rux-icon-camera": RuxIconCamera;
        "rux-icon-camera-alt": RuxIconCameraAlt;
        "rux-icon-camera-enhance": RuxIconCameraEnhance;
        "rux-icon-camera-front": RuxIconCameraFront;
        "rux-icon-camera-rear": RuxIconCameraRear;
        "rux-icon-camera-roll": RuxIconCameraRoll;
        "rux-icon-cancel": RuxIconCancel;
        "rux-icon-cancel-presentation": RuxIconCancelPresentation;
        "rux-icon-card-giftcard": RuxIconCardGiftcard;
        "rux-icon-card-membership": RuxIconCardMembership;
        "rux-icon-card-travel": RuxIconCardTravel;
        "rux-icon-casino": RuxIconCasino;
        "rux-icon-cast": RuxIconCast;
        "rux-icon-cast-connected": RuxIconCastConnected;
        "rux-icon-cast-for-education": RuxIconCastForEducation;
        "rux-icon-category": RuxIconCategory;
        "rux-icon-cell-wifi": RuxIconCellWifi;
        "rux-icon-center-focus-strong": RuxIconCenterFocusStrong;
        "rux-icon-center-focus-weak": RuxIconCenterFocusWeak;
        "rux-icon-change-history": RuxIconChangeHistory;
        "rux-icon-chat": RuxIconChat;
        "rux-icon-chat-bubble": RuxIconChatBubble;
        "rux-icon-chat-bubble-outline": RuxIconChatBubbleOutline;
        "rux-icon-check": RuxIconCheck;
        "rux-icon-check-box": RuxIconCheckBox;
        "rux-icon-check-box-outline-blank": RuxIconCheckBoxOutlineBlank;
        "rux-icon-check-circle": RuxIconCheckCircle;
        "rux-icon-check-circle-outline": RuxIconCheckCircleOutline;
        "rux-icon-chevron-left": RuxIconChevronLeft;
        "rux-icon-chevron-right": RuxIconChevronRight;
        "rux-icon-child-care": RuxIconChildCare;
        "rux-icon-child-friendly": RuxIconChildFriendly;
        "rux-icon-chrome-reader-mode": RuxIconChromeReaderMode;
        "rux-icon-class": RuxIconClass;
        "rux-icon-clear": RuxIconClear;
        "rux-icon-clear-all": RuxIconClearAll;
        "rux-icon-close": RuxIconClose;
        "rux-icon-closed-caption": RuxIconClosedCaption;
        "rux-icon-cloud": RuxIconCloud;
        "rux-icon-cloud-circle": RuxIconCloudCircle;
        "rux-icon-cloud-done": RuxIconCloudDone;
        "rux-icon-cloud-download": RuxIconCloudDownload;
        "rux-icon-cloud-off": RuxIconCloudOff;
        "rux-icon-cloud-queue": RuxIconCloudQueue;
        "rux-icon-cloud-upload": RuxIconCloudUpload;
        "rux-icon-code": RuxIconCode;
        "rux-icon-collections": RuxIconCollections;
        "rux-icon-collections-bookmark": RuxIconCollectionsBookmark;
        "rux-icon-color-lens": RuxIconColorLens;
        "rux-icon-colorize": RuxIconColorize;
        "rux-icon-comment": RuxIconComment;
        "rux-icon-commute": RuxIconCommute;
        "rux-icon-compare": RuxIconCompare;
        "rux-icon-compare-arrows": RuxIconCompareArrows;
        "rux-icon-compass-calibration": RuxIconCompassCalibration;
        "rux-icon-computer": RuxIconComputer;
        "rux-icon-confirmation-number": RuxIconConfirmationNumber;
        "rux-icon-contact-mail": RuxIconContactMail;
        "rux-icon-contact-phone": RuxIconContactPhone;
        "rux-icon-contact-support": RuxIconContactSupport;
        "rux-icon-contacts": RuxIconContacts;
        "rux-icon-control-camera": RuxIconControlCamera;
        "rux-icon-control-point": RuxIconControlPoint;
        "rux-icon-control-point-duplicate": RuxIconControlPointDuplicate;
        "rux-icon-copyright": RuxIconCopyright;
        "rux-icon-create": RuxIconCreate;
        "rux-icon-create-new-folder": RuxIconCreateNewFolder;
        "rux-icon-credit-card": RuxIconCreditCard;
        "rux-icon-crop": RuxIconCrop;
        "rux-icon-crop-16-9": RuxIconCrop169;
        "rux-icon-crop-3-2": RuxIconCrop32;
        "rux-icon-crop-5-4": RuxIconCrop54;
        "rux-icon-crop-7-5": RuxIconCrop75;
        "rux-icon-crop-din": RuxIconCropDin;
        "rux-icon-crop-free": RuxIconCropFree;
        "rux-icon-crop-landscape": RuxIconCropLandscape;
        "rux-icon-crop-original": RuxIconCropOriginal;
        "rux-icon-crop-portrait": RuxIconCropPortrait;
        "rux-icon-crop-rotate": RuxIconCropRotate;
        "rux-icon-crop-square": RuxIconCropSquare;
        "rux-icon-dashboard": RuxIconDashboard;
        "rux-icon-data-usage": RuxIconDataUsage;
        "rux-icon-date-range": RuxIconDateRange;
        "rux-icon-dehaze": RuxIconDehaze;
        "rux-icon-delete": RuxIconDelete;
        "rux-icon-delete-forever": RuxIconDeleteForever;
        "rux-icon-delete-outline": RuxIconDeleteOutline;
        "rux-icon-delete-sweep": RuxIconDeleteSweep;
        "rux-icon-departure-board": RuxIconDepartureBoard;
        "rux-icon-description": RuxIconDescription;
        "rux-icon-desktop-access-disabled": RuxIconDesktopAccessDisabled;
        "rux-icon-desktop-mac": RuxIconDesktopMac;
        "rux-icon-desktop-windows": RuxIconDesktopWindows;
        "rux-icon-details": RuxIconDetails;
        "rux-icon-developer-board": RuxIconDeveloperBoard;
        "rux-icon-developer-mode": RuxIconDeveloperMode;
        "rux-icon-device-hub": RuxIconDeviceHub;
        "rux-icon-device-unknown": RuxIconDeviceUnknown;
        "rux-icon-devices": RuxIconDevices;
        "rux-icon-devices-other": RuxIconDevicesOther;
        "rux-icon-dialer-sip": RuxIconDialerSip;
        "rux-icon-dialpad": RuxIconDialpad;
        "rux-icon-directions": RuxIconDirections;
        "rux-icon-directions-bike": RuxIconDirectionsBike;
        "rux-icon-directions-boat": RuxIconDirectionsBoat;
        "rux-icon-directions-bus": RuxIconDirectionsBus;
        "rux-icon-directions-car": RuxIconDirectionsCar;
        "rux-icon-directions-railway": RuxIconDirectionsRailway;
        "rux-icon-directions-run": RuxIconDirectionsRun;
        "rux-icon-directions-subway": RuxIconDirectionsSubway;
        "rux-icon-directions-transit": RuxIconDirectionsTransit;
        "rux-icon-directions-walk": RuxIconDirectionsWalk;
        "rux-icon-disc-full": RuxIconDiscFull;
        "rux-icon-dns": RuxIconDns;
        "rux-icon-dock": RuxIconDock;
        "rux-icon-domain": RuxIconDomain;
        "rux-icon-domain-disabled": RuxIconDomainDisabled;
        "rux-icon-done": RuxIconDone;
        "rux-icon-done-all": RuxIconDoneAll;
        "rux-icon-done-outline": RuxIconDoneOutline;
        "rux-icon-donut-large": RuxIconDonutLarge;
        "rux-icon-donut-small": RuxIconDonutSmall;
        "rux-icon-drafts": RuxIconDrafts;
        "rux-icon-drag-handle": RuxIconDragHandle;
        "rux-icon-drag-indicator": RuxIconDragIndicator;
        "rux-icon-drive-eta": RuxIconDriveEta;
        "rux-icon-duo": RuxIconDuo;
        "rux-icon-dvr": RuxIconDvr;
        "rux-icon-edit": RuxIconEdit;
        "rux-icon-edit-attributes": RuxIconEditAttributes;
        "rux-icon-edit-location": RuxIconEditLocation;
        "rux-icon-eject": RuxIconEject;
        "rux-icon-email": RuxIconEmail;
        "rux-icon-enhanced-encryption": RuxIconEnhancedEncryption;
        "rux-icon-equalizer": RuxIconEqualizer;
        "rux-icon-equipment": RuxIconEquipment;
        "rux-icon-error": RuxIconError;
        "rux-icon-error-outline": RuxIconErrorOutline;
        "rux-icon-euro-symbol": RuxIconEuroSymbol;
        "rux-icon-ev-station": RuxIconEvStation;
        "rux-icon-event": RuxIconEvent;
        "rux-icon-event-available": RuxIconEventAvailable;
        "rux-icon-event-busy": RuxIconEventBusy;
        "rux-icon-event-note": RuxIconEventNote;
        "rux-icon-exit-to-app": RuxIconExitToApp;
        "rux-icon-expand-less": RuxIconExpandLess;
        "rux-icon-expand-more": RuxIconExpandMore;
        "rux-icon-explicit": RuxIconExplicit;
        "rux-icon-explore": RuxIconExplore;
        "rux-icon-explore-off": RuxIconExploreOff;
        "rux-icon-exposure": RuxIconExposure;
        "rux-icon-exposure-neg-1": RuxIconExposureNeg1;
        "rux-icon-exposure-neg-2": RuxIconExposureNeg2;
        "rux-icon-exposure-plus-1": RuxIconExposurePlus1;
        "rux-icon-exposure-plus-2": RuxIconExposurePlus2;
        "rux-icon-exposure-zero": RuxIconExposureZero;
        "rux-icon-extension": RuxIconExtension;
        "rux-icon-face": RuxIconFace;
        "rux-icon-fast-forward": RuxIconFastForward;
        "rux-icon-fast-rewind": RuxIconFastRewind;
        "rux-icon-fastfood": RuxIconFastfood;
        "rux-icon-favorite": RuxIconFavorite;
        "rux-icon-favorite-border": RuxIconFavoriteBorder;
        "rux-icon-featured-play-list": RuxIconFeaturedPlayList;
        "rux-icon-featured-video": RuxIconFeaturedVideo;
        "rux-icon-feedback": RuxIconFeedback;
        "rux-icon-fiber-dvr": RuxIconFiberDvr;
        "rux-icon-fiber-manual-record": RuxIconFiberManualRecord;
        "rux-icon-fiber-new": RuxIconFiberNew;
        "rux-icon-fiber-pin": RuxIconFiberPin;
        "rux-icon-fiber-smart-record": RuxIconFiberSmartRecord;
        "rux-icon-file-copy": RuxIconFileCopy;
        "rux-icon-filter": RuxIconFilter;
        "rux-icon-filter-1": RuxIconFilter1;
        "rux-icon-filter-2": RuxIconFilter2;
        "rux-icon-filter-3": RuxIconFilter3;
        "rux-icon-filter-4": RuxIconFilter4;
        "rux-icon-filter-5": RuxIconFilter5;
        "rux-icon-filter-6": RuxIconFilter6;
        "rux-icon-filter-7": RuxIconFilter7;
        "rux-icon-filter-8": RuxIconFilter8;
        "rux-icon-filter-9": RuxIconFilter9;
        "rux-icon-filter-9-plus": RuxIconFilter9Plus;
        "rux-icon-filter-b-and-w": RuxIconFilterBAndW;
        "rux-icon-filter-center-focus": RuxIconFilterCenterFocus;
        "rux-icon-filter-drama": RuxIconFilterDrama;
        "rux-icon-filter-frames": RuxIconFilterFrames;
        "rux-icon-filter-hdr": RuxIconFilterHdr;
        "rux-icon-filter-list": RuxIconFilterList;
        "rux-icon-filter-none": RuxIconFilterNone;
        "rux-icon-filter-tilt-shift": RuxIconFilterTiltShift;
        "rux-icon-filter-vintage": RuxIconFilterVintage;
        "rux-icon-find-in-page": RuxIconFindInPage;
        "rux-icon-find-replace": RuxIconFindReplace;
        "rux-icon-fingerprint": RuxIconFingerprint;
        "rux-icon-first-page": RuxIconFirstPage;
        "rux-icon-fitness-center": RuxIconFitnessCenter;
        "rux-icon-flag": RuxIconFlag;
        "rux-icon-flare": RuxIconFlare;
        "rux-icon-flash-auto": RuxIconFlashAuto;
        "rux-icon-flash-off": RuxIconFlashOff;
        "rux-icon-flash-on": RuxIconFlashOn;
        "rux-icon-flight": RuxIconFlight;
        "rux-icon-flight-land": RuxIconFlightLand;
        "rux-icon-flight-takeoff": RuxIconFlightTakeoff;
        "rux-icon-flip": RuxIconFlip;
        "rux-icon-flip-to-back": RuxIconFlipToBack;
        "rux-icon-flip-to-front": RuxIconFlipToFront;
        "rux-icon-folder": RuxIconFolder;
        "rux-icon-folder-open": RuxIconFolderOpen;
        "rux-icon-folder-shared": RuxIconFolderShared;
        "rux-icon-folder-special": RuxIconFolderSpecial;
        "rux-icon-font-download": RuxIconFontDownload;
        "rux-icon-format-align-center": RuxIconFormatAlignCenter;
        "rux-icon-format-align-justify": RuxIconFormatAlignJustify;
        "rux-icon-format-align-left": RuxIconFormatAlignLeft;
        "rux-icon-format-align-right": RuxIconFormatAlignRight;
        "rux-icon-format-bold": RuxIconFormatBold;
        "rux-icon-format-clear": RuxIconFormatClear;
        "rux-icon-format-color-fill": RuxIconFormatColorFill;
        "rux-icon-format-color-reset": RuxIconFormatColorReset;
        "rux-icon-format-color-text": RuxIconFormatColorText;
        "rux-icon-format-indent-decrease": RuxIconFormatIndentDecrease;
        "rux-icon-format-indent-increase": RuxIconFormatIndentIncrease;
        "rux-icon-format-italic": RuxIconFormatItalic;
        "rux-icon-format-line-spacing": RuxIconFormatLineSpacing;
        "rux-icon-format-list-bulleted": RuxIconFormatListBulleted;
        "rux-icon-format-list-numbered": RuxIconFormatListNumbered;
        "rux-icon-format-list-numbered-rtl": RuxIconFormatListNumberedRtl;
        "rux-icon-format-paint": RuxIconFormatPaint;
        "rux-icon-format-quote": RuxIconFormatQuote;
        "rux-icon-format-shapes": RuxIconFormatShapes;
        "rux-icon-format-size": RuxIconFormatSize;
        "rux-icon-format-strikethrough": RuxIconFormatStrikethrough;
        "rux-icon-format-textdirection-l-to-r": RuxIconFormatTextdirectionLToR;
        "rux-icon-format-textdirection-r-to-l": RuxIconFormatTextdirectionRToL;
        "rux-icon-format-underlined": RuxIconFormatUnderlined;
        "rux-icon-forum": RuxIconForum;
        "rux-icon-forward": RuxIconForward;
        "rux-icon-forward-10": RuxIconForward10;
        "rux-icon-forward-30": RuxIconForward30;
        "rux-icon-forward-5": RuxIconForward5;
        "rux-icon-free-breakfast": RuxIconFreeBreakfast;
        "rux-icon-fullscreen": RuxIconFullscreen;
        "rux-icon-fullscreen-exit": RuxIconFullscreenExit;
        "rux-icon-functions": RuxIconFunctions;
        "rux-icon-g-translate": RuxIconGTranslate;
        "rux-icon-gamepad": RuxIconGamepad;
        "rux-icon-games": RuxIconGames;
        "rux-icon-gavel": RuxIconGavel;
        "rux-icon-gesture": RuxIconGesture;
        "rux-icon-get-app": RuxIconGetApp;
        "rux-icon-gif": RuxIconGif;
        "rux-icon-golf-course": RuxIconGolfCourse;
        "rux-icon-gps-fixed": RuxIconGpsFixed;
        "rux-icon-gps-not-fixed": RuxIconGpsNotFixed;
        "rux-icon-gps-off": RuxIconGpsOff;
        "rux-icon-grade": RuxIconGrade;
        "rux-icon-gradient": RuxIconGradient;
        "rux-icon-grain": RuxIconGrain;
        "rux-icon-graphic-eq": RuxIconGraphicEq;
        "rux-icon-grid-off": RuxIconGridOff;
        "rux-icon-grid-on": RuxIconGridOn;
        "rux-icon-group": RuxIconGroup;
        "rux-icon-group-add": RuxIconGroupAdd;
        "rux-icon-group-work": RuxIconGroupWork;
        "rux-icon-hardware": RuxIconHardware;
        "rux-icon-hd": RuxIconHd;
        "rux-icon-hdr-off": RuxIconHdrOff;
        "rux-icon-hdr-on": RuxIconHdrOn;
        "rux-icon-hdr-strong": RuxIconHdrStrong;
        "rux-icon-hdr-weak": RuxIconHdrWeak;
        "rux-icon-headset": RuxIconHeadset;
        "rux-icon-headset-mic": RuxIconHeadsetMic;
        "rux-icon-healing": RuxIconHealing;
        "rux-icon-hearing": RuxIconHearing;
        "rux-icon-help": RuxIconHelp;
        "rux-icon-help-outline": RuxIconHelpOutline;
        "rux-icon-high-quality": RuxIconHighQuality;
        "rux-icon-highlight": RuxIconHighlight;
        "rux-icon-highlight-off": RuxIconHighlightOff;
        "rux-icon-history": RuxIconHistory;
        "rux-icon-home": RuxIconHome;
        "rux-icon-horizontal-split": RuxIconHorizontalSplit;
        "rux-icon-hot-tub": RuxIconHotTub;
        "rux-icon-hotel": RuxIconHotel;
        "rux-icon-hourglass-empty": RuxIconHourglassEmpty;
        "rux-icon-hourglass-full": RuxIconHourglassFull;
        "rux-icon-how-to-reg": RuxIconHowToReg;
        "rux-icon-how-to-vote": RuxIconHowToVote;
        "rux-icon-http": RuxIconHttp;
        "rux-icon-https": RuxIconHttps;
        "rux-icon-image": RuxIconImage;
        "rux-icon-image-aspect-ratio": RuxIconImageAspectRatio;
        "rux-icon-image-search": RuxIconImageSearch;
        "rux-icon-import-contacts": RuxIconImportContacts;
        "rux-icon-import-export": RuxIconImportExport;
        "rux-icon-important-devices": RuxIconImportantDevices;
        "rux-icon-inbox": RuxIconInbox;
        "rux-icon-indeterminate-check-box": RuxIconIndeterminateCheckBox;
        "rux-icon-info": RuxIconInfo;
        "rux-icon-input": RuxIconInput;
        "rux-icon-insert-chart": RuxIconInsertChart;
        "rux-icon-insert-chart-outlined": RuxIconInsertChartOutlined;
        "rux-icon-insert-comment": RuxIconInsertComment;
        "rux-icon-insert-drive-file": RuxIconInsertDriveFile;
        "rux-icon-insert-emoticon": RuxIconInsertEmoticon;
        "rux-icon-insert-invitation": RuxIconInsertInvitation;
        "rux-icon-insert-link": RuxIconInsertLink;
        "rux-icon-insert-photo": RuxIconInsertPhoto;
        "rux-icon-invert-colors": RuxIconInvertColors;
        "rux-icon-invert-colors-off": RuxIconInvertColorsOff;
        "rux-icon-iso": RuxIconIso;
        "rux-icon-keyboard": RuxIconKeyboard;
        "rux-icon-keyboard-arrow-down": RuxIconKeyboardArrowDown;
        "rux-icon-keyboard-arrow-left": RuxIconKeyboardArrowLeft;
        "rux-icon-keyboard-arrow-right": RuxIconKeyboardArrowRight;
        "rux-icon-keyboard-arrow-up": RuxIconKeyboardArrowUp;
        "rux-icon-keyboard-backspace": RuxIconKeyboardBackspace;
        "rux-icon-keyboard-capslock": RuxIconKeyboardCapslock;
        "rux-icon-keyboard-hide": RuxIconKeyboardHide;
        "rux-icon-keyboard-return": RuxIconKeyboardReturn;
        "rux-icon-keyboard-tab": RuxIconKeyboardTab;
        "rux-icon-keyboard-voice": RuxIconKeyboardVoice;
        "rux-icon-kitchen": RuxIconKitchen;
        "rux-icon-label": RuxIconLabel;
        "rux-icon-label-important": RuxIconLabelImportant;
        "rux-icon-label-off": RuxIconLabelOff;
        "rux-icon-landscape": RuxIconLandscape;
        "rux-icon-language": RuxIconLanguage;
        "rux-icon-laptop": RuxIconLaptop;
        "rux-icon-laptop-chromebook": RuxIconLaptopChromebook;
        "rux-icon-laptop-mac": RuxIconLaptopMac;
        "rux-icon-laptop-windows": RuxIconLaptopWindows;
        "rux-icon-last-page": RuxIconLastPage;
        "rux-icon-launch": RuxIconLaunch;
        "rux-icon-layers": RuxIconLayers;
        "rux-icon-layers-clear": RuxIconLayersClear;
        "rux-icon-leak-add": RuxIconLeakAdd;
        "rux-icon-leak-remove": RuxIconLeakRemove;
        "rux-icon-lens": RuxIconLens;
        "rux-icon-library-add": RuxIconLibraryAdd;
        "rux-icon-library-books": RuxIconLibraryBooks;
        "rux-icon-library-music": RuxIconLibraryMusic;
        "rux-icon-line-style": RuxIconLineStyle;
        "rux-icon-line-weight": RuxIconLineWeight;
        "rux-icon-linear-scale": RuxIconLinearScale;
        "rux-icon-link": RuxIconLink;
        "rux-icon-link-off": RuxIconLinkOff;
        "rux-icon-linked-camera": RuxIconLinkedCamera;
        "rux-icon-list": RuxIconList;
        "rux-icon-list-alt": RuxIconListAlt;
        "rux-icon-live-help": RuxIconLiveHelp;
        "rux-icon-live-tv": RuxIconLiveTv;
        "rux-icon-local-activity": RuxIconLocalActivity;
        "rux-icon-local-airport": RuxIconLocalAirport;
        "rux-icon-local-atm": RuxIconLocalAtm;
        "rux-icon-local-bar": RuxIconLocalBar;
        "rux-icon-local-cafe": RuxIconLocalCafe;
        "rux-icon-local-car-wash": RuxIconLocalCarWash;
        "rux-icon-local-convenience-store": RuxIconLocalConvenienceStore;
        "rux-icon-local-dining": RuxIconLocalDining;
        "rux-icon-local-drink": RuxIconLocalDrink;
        "rux-icon-local-gas-station": RuxIconLocalGasStation;
        "rux-icon-local-grocery-store": RuxIconLocalGroceryStore;
        "rux-icon-local-hospital": RuxIconLocalHospital;
        "rux-icon-local-hotel": RuxIconLocalHotel;
        "rux-icon-local-laundry-service": RuxIconLocalLaundryService;
        "rux-icon-local-library": RuxIconLocalLibrary;
        "rux-icon-local-mall": RuxIconLocalMall;
        "rux-icon-local-movies": RuxIconLocalMovies;
        "rux-icon-local-offer": RuxIconLocalOffer;
        "rux-icon-local-parking": RuxIconLocalParking;
        "rux-icon-local-pharmacy": RuxIconLocalPharmacy;
        "rux-icon-local-phone": RuxIconLocalPhone;
        "rux-icon-local-play": RuxIconLocalPlay;
        "rux-icon-local-post-office": RuxIconLocalPostOffice;
        "rux-icon-local-printshop": RuxIconLocalPrintshop;
        "rux-icon-local-see": RuxIconLocalSee;
        "rux-icon-local-shipping": RuxIconLocalShipping;
        "rux-icon-local-taxi": RuxIconLocalTaxi;
        "rux-icon-location-city": RuxIconLocationCity;
        "rux-icon-location-disabled": RuxIconLocationDisabled;
        "rux-icon-location-off": RuxIconLocationOff;
        "rux-icon-location-on": RuxIconLocationOn;
        "rux-icon-location-searching": RuxIconLocationSearching;
        "rux-icon-lock": RuxIconLock;
        "rux-icon-lock-open": RuxIconLockOpen;
        "rux-icon-looks": RuxIconLooks;
        "rux-icon-looks-1": RuxIconLooks1;
        "rux-icon-looks-2": RuxIconLooks2;
        "rux-icon-looks-3": RuxIconLooks3;
        "rux-icon-looks-4": RuxIconLooks4;
        "rux-icon-looks-5": RuxIconLooks5;
        "rux-icon-looks-6": RuxIconLooks6;
        "rux-icon-loop": RuxIconLoop;
        "rux-icon-loupe": RuxIconLoupe;
        "rux-icon-low-priority": RuxIconLowPriority;
        "rux-icon-loyalty": RuxIconLoyalty;
        "rux-icon-mail": RuxIconMail;
        "rux-icon-mail-outline": RuxIconMailOutline;
        "rux-icon-map": RuxIconMap;
        "rux-icon-markunread": RuxIconMarkunread;
        "rux-icon-markunread-mailbox": RuxIconMarkunreadMailbox;
        "rux-icon-maximize": RuxIconMaximize;
        "rux-icon-meeting-room": RuxIconMeetingRoom;
        "rux-icon-memory": RuxIconMemory;
        "rux-icon-menu": RuxIconMenu;
        "rux-icon-merge-type": RuxIconMergeType;
        "rux-icon-message": RuxIconMessage;
        "rux-icon-mic": RuxIconMic;
        "rux-icon-mic-none": RuxIconMicNone;
        "rux-icon-mic-off": RuxIconMicOff;
        "rux-icon-minimize": RuxIconMinimize;
        "rux-icon-missed-video-call": RuxIconMissedVideoCall;
        "rux-icon-mission": RuxIconMission;
        "rux-icon-mms": RuxIconMms;
        "rux-icon-mobile-friendly": RuxIconMobileFriendly;
        "rux-icon-mobile-off": RuxIconMobileOff;
        "rux-icon-mobile-screen-share": RuxIconMobileScreenShare;
        "rux-icon-mode-comment": RuxIconModeComment;
        "rux-icon-monetization-on": RuxIconMonetizationOn;
        "rux-icon-money": RuxIconMoney;
        "rux-icon-money-off": RuxIconMoneyOff;
        "rux-icon-monochrome-photos": RuxIconMonochromePhotos;
        "rux-icon-mood": RuxIconMood;
        "rux-icon-mood-bad": RuxIconMoodBad;
        "rux-icon-more": RuxIconMore;
        "rux-icon-more-horiz": RuxIconMoreHoriz;
        "rux-icon-more-vert": RuxIconMoreVert;
        "rux-icon-motorcycle": RuxIconMotorcycle;
        "rux-icon-mouse": RuxIconMouse;
        "rux-icon-move-to-inbox": RuxIconMoveToInbox;
        "rux-icon-movie": RuxIconMovie;
        "rux-icon-movie-creation": RuxIconMovieCreation;
        "rux-icon-movie-filter": RuxIconMovieFilter;
        "rux-icon-multiline-chart": RuxIconMultilineChart;
        "rux-icon-music-note": RuxIconMusicNote;
        "rux-icon-music-off": RuxIconMusicOff;
        "rux-icon-music-video": RuxIconMusicVideo;
        "rux-icon-my-location": RuxIconMyLocation;
        "rux-icon-nature": RuxIconNature;
        "rux-icon-nature-people": RuxIconNaturePeople;
        "rux-icon-navigate-before": RuxIconNavigateBefore;
        "rux-icon-navigate-next": RuxIconNavigateNext;
        "rux-icon-navigation": RuxIconNavigation;
        "rux-icon-near-me": RuxIconNearMe;
        "rux-icon-netcom": RuxIconNetcom;
        "rux-icon-network-cell": RuxIconNetworkCell;
        "rux-icon-network-check": RuxIconNetworkCheck;
        "rux-icon-network-locked": RuxIconNetworkLocked;
        "rux-icon-network-wifi": RuxIconNetworkWifi;
        "rux-icon-new-releases": RuxIconNewReleases;
        "rux-icon-next-week": RuxIconNextWeek;
        "rux-icon-nfc": RuxIconNfc;
        "rux-icon-no-encryption": RuxIconNoEncryption;
        "rux-icon-no-meeting-room": RuxIconNoMeetingRoom;
        "rux-icon-no-sim": RuxIconNoSim;
        "rux-icon-not-interested": RuxIconNotInterested;
        "rux-icon-not-listed-location": RuxIconNotListedLocation;
        "rux-icon-note": RuxIconNote;
        "rux-icon-note-add": RuxIconNoteAdd;
        "rux-icon-notes": RuxIconNotes;
        "rux-icon-notification-important": RuxIconNotificationImportant;
        "rux-icon-notifications": RuxIconNotifications;
        "rux-icon-notifications-active": RuxIconNotificationsActive;
        "rux-icon-notifications-none": RuxIconNotificationsNone;
        "rux-icon-notifications-off": RuxIconNotificationsOff;
        "rux-icon-notifications-paused": RuxIconNotificationsPaused;
        "rux-icon-offline-bolt": RuxIconOfflineBolt;
        "rux-icon-offline-pin": RuxIconOfflinePin;
        "rux-icon-ondemand-video": RuxIconOndemandVideo;
        "rux-icon-opacity": RuxIconOpacity;
        "rux-icon-open-in-browser": RuxIconOpenInBrowser;
        "rux-icon-open-in-new": RuxIconOpenInNew;
        "rux-icon-open-with": RuxIconOpenWith;
        "rux-icon-outlined-flag": RuxIconOutlinedFlag;
        "rux-icon-pages": RuxIconPages;
        "rux-icon-pageview": RuxIconPageview;
        "rux-icon-palette": RuxIconPalette;
        "rux-icon-pan-tool": RuxIconPanTool;
        "rux-icon-panorama": RuxIconPanorama;
        "rux-icon-panorama-fish-eye": RuxIconPanoramaFishEye;
        "rux-icon-panorama-horizontal": RuxIconPanoramaHorizontal;
        "rux-icon-panorama-vertical": RuxIconPanoramaVertical;
        "rux-icon-panorama-wide-angle": RuxIconPanoramaWideAngle;
        "rux-icon-party-mode": RuxIconPartyMode;
        "rux-icon-pause": RuxIconPause;
        "rux-icon-pause-circle-filled": RuxIconPauseCircleFilled;
        "rux-icon-pause-circle-outline": RuxIconPauseCircleOutline;
        "rux-icon-pause-presentation": RuxIconPausePresentation;
        "rux-icon-payload": RuxIconPayload;
        "rux-icon-payment": RuxIconPayment;
        "rux-icon-people-outline": RuxIconPeopleOutline;
        "rux-icon-perm-camera-mic": RuxIconPermCameraMic;
        "rux-icon-perm-contact-calendar": RuxIconPermContactCalendar;
        "rux-icon-perm-data-setting": RuxIconPermDataSetting;
        "rux-icon-perm-device-information": RuxIconPermDeviceInformation;
        "rux-icon-perm-identity": RuxIconPermIdentity;
        "rux-icon-perm-media": RuxIconPermMedia;
        "rux-icon-perm-phone-msg": RuxIconPermPhoneMsg;
        "rux-icon-perm-scan-wifi": RuxIconPermScanWifi;
        "rux-icon-person": RuxIconPerson;
        "rux-icon-person-add": RuxIconPersonAdd;
        "rux-icon-person-add-disabled": RuxIconPersonAddDisabled;
        "rux-icon-person-outline": RuxIconPersonOutline;
        "rux-icon-person-pin": RuxIconPersonPin;
        "rux-icon-person-pin-circle": RuxIconPersonPinCircle;
        "rux-icon-personal-video": RuxIconPersonalVideo;
        "rux-icon-pets": RuxIconPets;
        "rux-icon-phone": RuxIconPhone;
        "rux-icon-phone-android": RuxIconPhoneAndroid;
        "rux-icon-phone-bluetooth-speaker": RuxIconPhoneBluetoothSpeaker;
        "rux-icon-phone-callback": RuxIconPhoneCallback;
        "rux-icon-phone-forwarded": RuxIconPhoneForwarded;
        "rux-icon-phone-in-talk": RuxIconPhoneInTalk;
        "rux-icon-phone-iphone": RuxIconPhoneIphone;
        "rux-icon-phone-locked": RuxIconPhoneLocked;
        "rux-icon-phone-missed": RuxIconPhoneMissed;
        "rux-icon-phone-paused": RuxIconPhonePaused;
        "rux-icon-phonelink": RuxIconPhonelink;
        "rux-icon-phonelink-erase": RuxIconPhonelinkErase;
        "rux-icon-phonelink-lock": RuxIconPhonelinkLock;
        "rux-icon-phonelink-off": RuxIconPhonelinkOff;
        "rux-icon-phonelink-ring": RuxIconPhonelinkRing;
        "rux-icon-phonelink-setup": RuxIconPhonelinkSetup;
        "rux-icon-photo": RuxIconPhoto;
        "rux-icon-photo-album": RuxIconPhotoAlbum;
        "rux-icon-photo-camera": RuxIconPhotoCamera;
        "rux-icon-photo-filter": RuxIconPhotoFilter;
        "rux-icon-photo-library": RuxIconPhotoLibrary;
        "rux-icon-photo-size-select-actual": RuxIconPhotoSizeSelectActual;
        "rux-icon-photo-size-select-large": RuxIconPhotoSizeSelectLarge;
        "rux-icon-photo-size-select-small": RuxIconPhotoSizeSelectSmall;
        "rux-icon-picture-as-pdf": RuxIconPictureAsPdf;
        "rux-icon-picture-in-picture": RuxIconPictureInPicture;
        "rux-icon-picture-in-picture-alt": RuxIconPictureInPictureAlt;
        "rux-icon-pie-chart": RuxIconPieChart;
        "rux-icon-pin-drop": RuxIconPinDrop;
        "rux-icon-place": RuxIconPlace;
        "rux-icon-play-arrow": RuxIconPlayArrow;
        "rux-icon-play-circle-filled": RuxIconPlayCircleFilled;
        "rux-icon-play-circle-filled-white": RuxIconPlayCircleFilledWhite;
        "rux-icon-play-circle-outline": RuxIconPlayCircleOutline;
        "rux-icon-play-for-work": RuxIconPlayForWork;
        "rux-icon-playlist-add": RuxIconPlaylistAdd;
        "rux-icon-playlist-add-check": RuxIconPlaylistAddCheck;
        "rux-icon-playlist-play": RuxIconPlaylistPlay;
        "rux-icon-plus-one": RuxIconPlusOne;
        "rux-icon-poll": RuxIconPoll;
        "rux-icon-pool": RuxIconPool;
        "rux-icon-portable-wifi-off": RuxIconPortableWifiOff;
        "rux-icon-portrait": RuxIconPortrait;
        "rux-icon-power": RuxIconPower;
        "rux-icon-power-input": RuxIconPowerInput;
        "rux-icon-power-off": RuxIconPowerOff;
        "rux-icon-power-settings-new": RuxIconPowerSettingsNew;
        "rux-icon-pregnant-woman": RuxIconPregnantWoman;
        "rux-icon-present-to-all": RuxIconPresentToAll;
        "rux-icon-print": RuxIconPrint;
        "rux-icon-print-disabled": RuxIconPrintDisabled;
        "rux-icon-priority-high": RuxIconPriorityHigh;
        "rux-icon-processor": RuxIconProcessor;
        "rux-icon-processor-alt": RuxIconProcessorAlt;
        "rux-icon-propulsion-power": RuxIconPropulsionPower;
        "rux-icon-public": RuxIconPublic;
        "rux-icon-publish": RuxIconPublish;
        "rux-icon-query-builder": RuxIconQueryBuilder;
        "rux-icon-question-answer": RuxIconQuestionAnswer;
        "rux-icon-queue": RuxIconQueue;
        "rux-icon-queue-music": RuxIconQueueMusic;
        "rux-icon-queue-play-next": RuxIconQueuePlayNext;
        "rux-icon-radio": RuxIconRadio;
        "rux-icon-radio-button-checked": RuxIconRadioButtonChecked;
        "rux-icon-radio-button-unchecked": RuxIconRadioButtonUnchecked;
        "rux-icon-rate-review": RuxIconRateReview;
        "rux-icon-receipt": RuxIconReceipt;
        "rux-icon-recent-actors": RuxIconRecentActors;
        "rux-icon-record-voice-over": RuxIconRecordVoiceOver;
        "rux-icon-redeem": RuxIconRedeem;
        "rux-icon-redo": RuxIconRedo;
        "rux-icon-refresh": RuxIconRefresh;
        "rux-icon-release": RuxIconRelease;
        "rux-icon-remove": RuxIconRemove;
        "rux-icon-remove-circle": RuxIconRemoveCircle;
        "rux-icon-remove-circle-outline": RuxIconRemoveCircleOutline;
        "rux-icon-remove-from-queue": RuxIconRemoveFromQueue;
        "rux-icon-remove-red-eye": RuxIconRemoveRedEye;
        "rux-icon-remove-shopping-cart": RuxIconRemoveShoppingCart;
        "rux-icon-reorder": RuxIconReorder;
        "rux-icon-repeat": RuxIconRepeat;
        "rux-icon-repeat-one": RuxIconRepeatOne;
        "rux-icon-replay": RuxIconReplay;
        "rux-icon-replay-10": RuxIconReplay10;
        "rux-icon-replay-30": RuxIconReplay30;
        "rux-icon-replay-5": RuxIconReplay5;
        "rux-icon-reply": RuxIconReply;
        "rux-icon-reply-all": RuxIconReplyAll;
        "rux-icon-report": RuxIconReport;
        "rux-icon-report-off": RuxIconReportOff;
        "rux-icon-report-problem": RuxIconReportProblem;
        "rux-icon-restaurant": RuxIconRestaurant;
        "rux-icon-restaurant-menu": RuxIconRestaurantMenu;
        "rux-icon-restore": RuxIconRestore;
        "rux-icon-restore-from-trash": RuxIconRestoreFromTrash;
        "rux-icon-restore-page": RuxIconRestorePage;
        "rux-icon-ring-volume": RuxIconRingVolume;
        "rux-icon-room": RuxIconRoom;
        "rux-icon-room-service": RuxIconRoomService;
        "rux-icon-rotate-90-degrees-cc": RuxIconRotate90DegreesCc;
        "rux-icon-rotate-left": RuxIconRotateLeft;
        "rux-icon-rotate-right": RuxIconRotateRight;
        "rux-icon-rounded-corner": RuxIconRoundedCorner;
        "rux-icon-router": RuxIconRouter;
        "rux-icon-rowing": RuxIconRowing;
        "rux-icon-rss-feed": RuxIconRssFeed;
        "rux-icon-rv-hookup": RuxIconRvHookup;
        "rux-icon-satellite": RuxIconSatellite;
        "rux-icon-satellite-off": RuxIconSatelliteOff;
        "rux-icon-satellite-receive": RuxIconSatelliteReceive;
        "rux-icon-satellite-transmit": RuxIconSatelliteTransmit;
        "rux-icon-save": RuxIconSave;
        "rux-icon-save-alt": RuxIconSaveAlt;
        "rux-icon-scanner": RuxIconScanner;
        "rux-icon-scatter-plot": RuxIconScatterPlot;
        "rux-icon-schedule": RuxIconSchedule;
        "rux-icon-school": RuxIconSchool;
        "rux-icon-score": RuxIconScore;
        "rux-icon-screen-lock-landscape": RuxIconScreenLockLandscape;
        "rux-icon-screen-lock-portrait": RuxIconScreenLockPortrait;
        "rux-icon-screen-lock-rotation": RuxIconScreenLockRotation;
        "rux-icon-screen-rotation": RuxIconScreenRotation;
        "rux-icon-screen-share": RuxIconScreenShare;
        "rux-icon-sd-card": RuxIconSdCard;
        "rux-icon-sd-storage": RuxIconSdStorage;
        "rux-icon-search": RuxIconSearch;
        "rux-icon-seat": RuxIconSeat;
        "rux-icon-security": RuxIconSecurity;
        "rux-icon-select-all": RuxIconSelectAll;
        "rux-icon-send": RuxIconSend;
        "rux-icon-sentiment-dissatisfied": RuxIconSentimentDissatisfied;
        "rux-icon-sentiment-satisfied": RuxIconSentimentSatisfied;
        "rux-icon-sentiment-satisfied-alt": RuxIconSentimentSatisfiedAlt;
        "rux-icon-sentiment-very-dissatisfied": RuxIconSentimentVeryDissatisfied;
        "rux-icon-sentiment-very-satisfied": RuxIconSentimentVerySatisfied;
        "rux-icon-set-power": RuxIconSetPower;
        "rux-icon-settings": RuxIconSettings;
        "rux-icon-settings-applications": RuxIconSettingsApplications;
        "rux-icon-settings-backup-restore": RuxIconSettingsBackupRestore;
        "rux-icon-settings-bluetooth": RuxIconSettingsBluetooth;
        "rux-icon-settings-brightness": RuxIconSettingsBrightness;
        "rux-icon-settings-cell": RuxIconSettingsCell;
        "rux-icon-settings-ethernet": RuxIconSettingsEthernet;
        "rux-icon-settings-input-antenna": RuxIconSettingsInputAntenna;
        "rux-icon-settings-input-component": RuxIconSettingsInputComponent;
        "rux-icon-settings-input-composite": RuxIconSettingsInputComposite;
        "rux-icon-settings-input-hdmi": RuxIconSettingsInputHdmi;
        "rux-icon-settings-input-svideo": RuxIconSettingsInputSvideo;
        "rux-icon-settings-overscan": RuxIconSettingsOverscan;
        "rux-icon-settings-phone": RuxIconSettingsPhone;
        "rux-icon-settings-power": RuxIconSettingsPower;
        "rux-icon-settings-remote": RuxIconSettingsRemote;
        "rux-icon-settings-system-daydream": RuxIconSettingsSystemDaydream;
        "rux-icon-settings-voice": RuxIconSettingsVoice;
        "rux-icon-share": RuxIconShare;
        "rux-icon-shop": RuxIconShop;
        "rux-icon-shop-two": RuxIconShopTwo;
        "rux-icon-shopping-basket": RuxIconShoppingBasket;
        "rux-icon-shopping-cart": RuxIconShoppingCart;
        "rux-icon-short-text": RuxIconShortText;
        "rux-icon-show-chart": RuxIconShowChart;
        "rux-icon-shuffle": RuxIconShuffle;
        "rux-icon-shutter-speed": RuxIconShutterSpeed;
        "rux-icon-signal-cellular-0-bar": RuxIconSignalCellular0Bar;
        "rux-icon-signal-cellular-1-bar": RuxIconSignalCellular1Bar;
        "rux-icon-signal-cellular-2-bar": RuxIconSignalCellular2Bar;
        "rux-icon-signal-cellular-3-bar": RuxIconSignalCellular3Bar;
        "rux-icon-signal-cellular-4-bar": RuxIconSignalCellular4Bar;
        "rux-icon-signal-cellular-alt": RuxIconSignalCellularAlt;
        "rux-icon-signal-cellular-connected-no-internet-0-bar": RuxIconSignalCellularConnectedNoInternet0Bar;
        "rux-icon-signal-cellular-connected-no-internet-1-bar": RuxIconSignalCellularConnectedNoInternet1Bar;
        "rux-icon-signal-cellular-connected-no-internet-2-bar": RuxIconSignalCellularConnectedNoInternet2Bar;
        "rux-icon-signal-cellular-connected-no-internet-3-bar": RuxIconSignalCellularConnectedNoInternet3Bar;
        "rux-icon-signal-cellular-connected-no-internet-4-bar": RuxIconSignalCellularConnectedNoInternet4Bar;
        "rux-icon-signal-cellular-no-sim": RuxIconSignalCellularNoSim;
        "rux-icon-signal-cellular-null": RuxIconSignalCellularNull;
        "rux-icon-signal-cellular-off": RuxIconSignalCellularOff;
        "rux-icon-signal-wifi-0-bar": RuxIconSignalWifi0Bar;
        "rux-icon-signal-wifi-1-bar": RuxIconSignalWifi1Bar;
        "rux-icon-signal-wifi-1-bar-lock": RuxIconSignalWifi1BarLock;
        "rux-icon-signal-wifi-2-bar": RuxIconSignalWifi2Bar;
        "rux-icon-signal-wifi-2-bar-lock": RuxIconSignalWifi2BarLock;
        "rux-icon-signal-wifi-3-bar": RuxIconSignalWifi3Bar;
        "rux-icon-signal-wifi-3-bar-lock": RuxIconSignalWifi3BarLock;
        "rux-icon-signal-wifi-4-bar": RuxIconSignalWifi4Bar;
        "rux-icon-signal-wifi-4-bar-lock": RuxIconSignalWifi4BarLock;
        "rux-icon-signal-wifi-off": RuxIconSignalWifiOff;
        "rux-icon-sim-card": RuxIconSimCard;
        "rux-icon-skip-next": RuxIconSkipNext;
        "rux-icon-skip-previous": RuxIconSkipPrevious;
        "rux-icon-slideshow": RuxIconSlideshow;
        "rux-icon-slow-motion-video": RuxIconSlowMotionVideo;
        "rux-icon-smartphone": RuxIconSmartphone;
        "rux-icon-smoke-free": RuxIconSmokeFree;
        "rux-icon-smoking-rooms": RuxIconSmokingRooms;
        "rux-icon-sms": RuxIconSms;
        "rux-icon-sms-failed": RuxIconSmsFailed;
        "rux-icon-snooze": RuxIconSnooze;
        "rux-icon-solar": RuxIconSolar;
        "rux-icon-sort": RuxIconSort;
        "rux-icon-sort-by-alpha": RuxIconSortByAlpha;
        "rux-icon-spa": RuxIconSpa;
        "rux-icon-space-bar": RuxIconSpaceBar;
        "rux-icon-speaker": RuxIconSpeaker;
        "rux-icon-speaker-group": RuxIconSpeakerGroup;
        "rux-icon-speaker-notes": RuxIconSpeakerNotes;
        "rux-icon-speaker-notes-off": RuxIconSpeakerNotesOff;
        "rux-icon-speaker-phone": RuxIconSpeakerPhone;
        "rux-icon-spellcheck": RuxIconSpellcheck;
        "rux-icon-star": RuxIconStar;
        "rux-icon-star-border": RuxIconStarBorder;
        "rux-icon-star-half": RuxIconStarHalf;
        "rux-icon-star-rate": RuxIconStarRate;
        "rux-icon-stars": RuxIconStars;
        "rux-icon-stay-current-landscape": RuxIconStayCurrentLandscape;
        "rux-icon-stay-current-portrait": RuxIconStayCurrentPortrait;
        "rux-icon-stay-primary-landscape": RuxIconStayPrimaryLandscape;
        "rux-icon-stay-primary-portrait": RuxIconStayPrimaryPortrait;
        "rux-icon-stop": RuxIconStop;
        "rux-icon-stop-screen-share": RuxIconStopScreenShare;
        "rux-icon-storage": RuxIconStorage;
        "rux-icon-store": RuxIconStore;
        "rux-icon-store-mall-directory": RuxIconStoreMallDirectory;
        "rux-icon-straighten": RuxIconStraighten;
        "rux-icon-streetview": RuxIconStreetview;
        "rux-icon-strikethrough-s": RuxIconStrikethroughS;
        "rux-icon-style": RuxIconStyle;
        "rux-icon-subdirectory-arrow-left": RuxIconSubdirectoryArrowLeft;
        "rux-icon-subdirectory-arrow-right": RuxIconSubdirectoryArrowRight;
        "rux-icon-subject": RuxIconSubject;
        "rux-icon-subscriptions": RuxIconSubscriptions;
        "rux-icon-subtitles": RuxIconSubtitles;
        "rux-icon-subway": RuxIconSubway;
        "rux-icon-supervised-user-circle": RuxIconSupervisedUserCircle;
        "rux-icon-supervisor-account": RuxIconSupervisorAccount;
        "rux-icon-surround-sound": RuxIconSurroundSound;
        "rux-icon-swap-calls": RuxIconSwapCalls;
        "rux-icon-swap-horiz": RuxIconSwapHoriz;
        "rux-icon-swap-horizontal-circle": RuxIconSwapHorizontalCircle;
        "rux-icon-swap-vert": RuxIconSwapVert;
        "rux-icon-swap-vertical-circle": RuxIconSwapVerticalCircle;
        "rux-icon-switch-camera": RuxIconSwitchCamera;
        "rux-icon-switch-video": RuxIconSwitchVideo;
        "rux-icon-sync": RuxIconSync;
        "rux-icon-sync-disabled": RuxIconSyncDisabled;
        "rux-icon-sync-problem": RuxIconSyncProblem;
        "rux-icon-system-update": RuxIconSystemUpdate;
        "rux-icon-tab": RuxIconTab;
        "rux-icon-tab-unselected": RuxIconTabUnselected;
        "rux-icon-table-chart": RuxIconTableChart;
        "rux-icon-tablet": RuxIconTablet;
        "rux-icon-tablet-android": RuxIconTabletAndroid;
        "rux-icon-tablet-mac": RuxIconTabletMac;
        "rux-icon-tag-faces": RuxIconTagFaces;
        "rux-icon-tap-and-play": RuxIconTapAndPlay;
        "rux-icon-terrain": RuxIconTerrain;
        "rux-icon-text-fields": RuxIconTextFields;
        "rux-icon-text-format": RuxIconTextFormat;
        "rux-icon-text-rotate-up": RuxIconTextRotateUp;
        "rux-icon-text-rotate-vertical": RuxIconTextRotateVertical;
        "rux-icon-text-rotation-none": RuxIconTextRotationNone;
        "rux-icon-textsms": RuxIconTextsms;
        "rux-icon-texture": RuxIconTexture;
        "rux-icon-theaters": RuxIconTheaters;
        "rux-icon-thermal": RuxIconThermal;
        "rux-icon-thumb-down": RuxIconThumbDown;
        "rux-icon-thumb-down-alt": RuxIconThumbDownAlt;
        "rux-icon-thumb-up": RuxIconThumbUp;
        "rux-icon-thumb-up-alt": RuxIconThumbUpAlt;
        "rux-icon-thumbs-up-down": RuxIconThumbsUpDown;
        "rux-icon-time-to-leave": RuxIconTimeToLeave;
        "rux-icon-timelapse": RuxIconTimelapse;
        "rux-icon-timeline": RuxIconTimeline;
        "rux-icon-timer": RuxIconTimer;
        "rux-icon-timer-10": RuxIconTimer10;
        "rux-icon-timer-3": RuxIconTimer3;
        "rux-icon-timer-off": RuxIconTimerOff;
        "rux-icon-title": RuxIconTitle;
        "rux-icon-toc": RuxIconToc;
        "rux-icon-today": RuxIconToday;
        "rux-icon-toggle-off": RuxIconToggleOff;
        "rux-icon-toggle-on": RuxIconToggleOn;
        "rux-icon-toll": RuxIconToll;
        "rux-icon-tonality": RuxIconTonality;
        "rux-icon-touch-app": RuxIconTouchApp;
        "rux-icon-toys": RuxIconToys;
        "rux-icon-track-changes": RuxIconTrackChanges;
        "rux-icon-traffic": RuxIconTraffic;
        "rux-icon-train": RuxIconTrain;
        "rux-icon-tram": RuxIconTram;
        "rux-icon-transfer-within-a-station": RuxIconTransferWithinAStation;
        "rux-icon-transform": RuxIconTransform;
        "rux-icon-transit-enterexit": RuxIconTransitEnterexit;
        "rux-icon-translate": RuxIconTranslate;
        "rux-icon-trending-down": RuxIconTrendingDown;
        "rux-icon-trending-flat": RuxIconTrendingFlat;
        "rux-icon-trending-up": RuxIconTrendingUp;
        "rux-icon-trip-origin": RuxIconTripOrigin;
        "rux-icon-tune": RuxIconTune;
        "rux-icon-turned-in": RuxIconTurnedIn;
        "rux-icon-turned-in-not": RuxIconTurnedInNot;
        "rux-icon-tv": RuxIconTv;
        "rux-icon-tv-off": RuxIconTvOff;
        "rux-icon-unarchive": RuxIconUnarchive;
        "rux-icon-undo": RuxIconUndo;
        "rux-icon-unfold-less": RuxIconUnfoldLess;
        "rux-icon-unfold-more": RuxIconUnfoldMore;
        "rux-icon-unsubscribe": RuxIconUnsubscribe;
        "rux-icon-update": RuxIconUpdate;
        "rux-icon-usb": RuxIconUsb;
        "rux-icon-verified-user": RuxIconVerifiedUser;
        "rux-icon-vertical-align-bottom": RuxIconVerticalAlignBottom;
        "rux-icon-vertical-align-center": RuxIconVerticalAlignCenter;
        "rux-icon-vertical-align-top": RuxIconVerticalAlignTop;
        "rux-icon-vertical-split": RuxIconVerticalSplit;
        "rux-icon-vibration": RuxIconVibration;
        "rux-icon-video-call": RuxIconVideoCall;
        "rux-icon-video-label": RuxIconVideoLabel;
        "rux-icon-video-library": RuxIconVideoLibrary;
        "rux-icon-videocam": RuxIconVideocam;
        "rux-icon-videocam-off": RuxIconVideocamOff;
        "rux-icon-videogame-asset": RuxIconVideogameAsset;
        "rux-icon-view-agenda": RuxIconViewAgenda;
        "rux-icon-view-array": RuxIconViewArray;
        "rux-icon-view-carousel": RuxIconViewCarousel;
        "rux-icon-view-column": RuxIconViewColumn;
        "rux-icon-view-comfy": RuxIconViewComfy;
        "rux-icon-view-compact": RuxIconViewCompact;
        "rux-icon-view-day": RuxIconViewDay;
        "rux-icon-view-headline": RuxIconViewHeadline;
        "rux-icon-view-list": RuxIconViewList;
        "rux-icon-view-module": RuxIconViewModule;
        "rux-icon-view-quilt": RuxIconViewQuilt;
        "rux-icon-view-stream": RuxIconViewStream;
        "rux-icon-view-week": RuxIconViewWeek;
        "rux-icon-vignette": RuxIconVignette;
        "rux-icon-visibility": RuxIconVisibility;
        "rux-icon-visibility-off": RuxIconVisibilityOff;
        "rux-icon-voice-chat": RuxIconVoiceChat;
        "rux-icon-voice-over-off": RuxIconVoiceOverOff;
        "rux-icon-voicemail": RuxIconVoicemail;
        "rux-icon-volume-down": RuxIconVolumeDown;
        "rux-icon-volume-mute": RuxIconVolumeMute;
        "rux-icon-volume-off": RuxIconVolumeOff;
        "rux-icon-volume-up": RuxIconVolumeUp;
        "rux-icon-vpn-key": RuxIconVpnKey;
        "rux-icon-vpn-lock": RuxIconVpnLock;
        "rux-icon-wallpaper": RuxIconWallpaper;
        "rux-icon-warning": RuxIconWarning;
        "rux-icon-watch": RuxIconWatch;
        "rux-icon-watch-later": RuxIconWatchLater;
        "rux-icon-waves": RuxIconWaves;
        "rux-icon-wb-auto": RuxIconWbAuto;
        "rux-icon-wb-cloudy": RuxIconWbCloudy;
        "rux-icon-wb-incandescent": RuxIconWbIncandescent;
        "rux-icon-wb-iridescent": RuxIconWbIridescent;
        "rux-icon-wb-sunny": RuxIconWbSunny;
        "rux-icon-wc": RuxIconWc;
        "rux-icon-web": RuxIconWeb;
        "rux-icon-web-asset": RuxIconWebAsset;
        "rux-icon-weekend": RuxIconWeekend;
        "rux-icon-whatshot": RuxIconWhatshot;
        "rux-icon-where-to-vote": RuxIconWhereToVote;
        "rux-icon-widgets": RuxIconWidgets;
        "rux-icon-wifi": RuxIconWifi;
        "rux-icon-wifi-lock": RuxIconWifiLock;
        "rux-icon-wifi-off": RuxIconWifiOff;
        "rux-icon-wifi-tethering": RuxIconWifiTethering;
        "rux-icon-work": RuxIconWork;
        "rux-icon-work-off": RuxIconWorkOff;
        "rux-icon-work-outline": RuxIconWorkOutline;
        "rux-icon-wrap-text": RuxIconWrapText;
        "rux-icon-youtube-searched-for": RuxIconYoutubeSearchedFor;
        "rux-icon-zoom-in": RuxIconZoomIn;
        "rux-icon-zoom-in-map": RuxIconZoomInMap;
        "rux-icon-zoom-out": RuxIconZoomOut;
        "rux-icon-zoom-out-map": RuxIconZoomOutMap;
        "rux-indeterminate-progress": RuxIndeterminateProgress;
        "rux-input": RuxInput;
        "rux-log": RuxLog;
        "rux-menu": RuxMenu;
        "rux-menu-item": RuxMenuItem;
        "rux-menu-item-divider": RuxMenuItemDivider;
        "rux-monitoring-icon": RuxMonitoringIcon;
        "rux-monitoring-progress-icon": RuxMonitoringProgressIcon;
        "rux-notification": RuxNotification;
        "rux-option": RuxOption;
        "rux-option-group": RuxOptionGroup;
        "rux-pop-up": RuxPopUp;
        "rux-progress": RuxProgress;
        "rux-push-button": RuxPushButton;
        "rux-radio": RuxRadio;
        "rux-radio-group": RuxRadioGroup;
        "rux-ruler": RuxRuler;
        "rux-segmented-button": RuxSegmentedButton;
        "rux-select": RuxSelect;
        "rux-slider": RuxSlider;
        "rux-status": RuxStatus;
        "rux-switch": RuxSwitch;
        "rux-tab": RuxTab;
        "rux-tab-panel": RuxTabPanel;
        "rux-tab-panels": RuxTabPanels;
        "rux-table": RuxTable;
        "rux-table-body": RuxTableBody;
        "rux-table-cell": RuxTableCell;
        "rux-table-header": RuxTableHeader;
        "rux-table-header-cell": RuxTableHeaderCell;
        "rux-table-header-row": RuxTableHeaderRow;
        "rux-table-row": RuxTableRow;
        "rux-tabs": RuxTabs;
        "rux-tag": RuxTag;
        "rux-textarea": RuxTextarea;
        "rux-time-region": RuxTimeRegion;
        "rux-timeline": RuxTimeline;
        "rux-toast": RuxToast;
        "rux-toast-stack": RuxToastStack;
        "rux-tooltip": RuxTooltip;
        "rux-track": RuxTrack;
        "rux-tree": RuxTree;
        "rux-tree-node": RuxTreeNode;
    }
}
export { LocalJSX as JSX };
declare module "@stencil/core" {
    export namespace JSX {
        interface IntrinsicElements {
            "rux-accordion": LocalJSX.RuxAccordion & JSXBase.HTMLAttributes<HTMLRuxAccordionElement>;
            "rux-accordion-item": LocalJSX.RuxAccordionItem & JSXBase.HTMLAttributes<HTMLRuxAccordionItemElement>;
            "rux-breadcrumb": LocalJSX.RuxBreadcrumb & JSXBase.HTMLAttributes<HTMLRuxBreadcrumbElement>;
            "rux-breadcrumb-item": LocalJSX.RuxBreadcrumbItem & JSXBase.HTMLAttributes<HTMLRuxBreadcrumbItemElement>;
            "rux-button": LocalJSX.RuxButton & JSXBase.HTMLAttributes<HTMLRuxButtonElement>;
            /**
             * @deprecated Button Group is deprecated and will be removed in a next major release.
             * Instead, you should use `flex` or `grid` in combination with our spacing design tokens.
             */
            "rux-button-group": LocalJSX.RuxButtonGroup & JSXBase.HTMLAttributes<HTMLRuxButtonGroupElement>;
            "rux-card": LocalJSX.RuxCard & JSXBase.HTMLAttributes<HTMLRuxCardElement>;
            "rux-checkbox": LocalJSX.RuxCheckbox & JSXBase.HTMLAttributes<HTMLRuxCheckboxElement>;
            "rux-checkbox-group": LocalJSX.RuxCheckboxGroup & JSXBase.HTMLAttributes<HTMLRuxCheckboxGroupElement>;
            "rux-classification-marking": LocalJSX.RuxClassificationMarking & JSXBase.HTMLAttributes<HTMLRuxClassificationMarkingElement>;
            "rux-clock": LocalJSX.RuxClock & JSXBase.HTMLAttributes<HTMLRuxClockElement>;
            "rux-container": LocalJSX.RuxContainer & JSXBase.HTMLAttributes<HTMLRuxContainerElement>;
            "rux-datetime": LocalJSX.RuxDatetime & JSXBase.HTMLAttributes<HTMLRuxDatetimeElement>;
            "rux-dialog": LocalJSX.RuxDialog & JSXBase.HTMLAttributes<HTMLRuxDialogElement>;
            "rux-global-status-bar": LocalJSX.RuxGlobalStatusBar & JSXBase.HTMLAttributes<HTMLRuxGlobalStatusBarElement>;
            "rux-icon": LocalJSX.RuxIcon & JSXBase.HTMLAttributes<HTMLRuxIconElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-360": LocalJSX.RuxIcon360 & JSXBase.HTMLAttributes<HTMLRuxIcon360Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-3d-rotation": LocalJSX.RuxIcon3dRotation & JSXBase.HTMLAttributes<HTMLRuxIcon3dRotationElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-4k": LocalJSX.RuxIcon4k & JSXBase.HTMLAttributes<HTMLRuxIcon4kElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-ac-unit": LocalJSX.RuxIconAcUnit & JSXBase.HTMLAttributes<HTMLRuxIconAcUnitElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-access-alarms": LocalJSX.RuxIconAccessAlarms & JSXBase.HTMLAttributes<HTMLRuxIconAccessAlarmsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-access-time": LocalJSX.RuxIconAccessTime & JSXBase.HTMLAttributes<HTMLRuxIconAccessTimeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-accessibility": LocalJSX.RuxIconAccessibility & JSXBase.HTMLAttributes<HTMLRuxIconAccessibilityElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-accessibility-new": LocalJSX.RuxIconAccessibilityNew & JSXBase.HTMLAttributes<HTMLRuxIconAccessibilityNewElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-accessible": LocalJSX.RuxIconAccessible & JSXBase.HTMLAttributes<HTMLRuxIconAccessibleElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-accessible-forward": LocalJSX.RuxIconAccessibleForward & JSXBase.HTMLAttributes<HTMLRuxIconAccessibleForwardElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-account-balance": LocalJSX.RuxIconAccountBalance & JSXBase.HTMLAttributes<HTMLRuxIconAccountBalanceElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-account-balance-wallet": LocalJSX.RuxIconAccountBalanceWallet & JSXBase.HTMLAttributes<HTMLRuxIconAccountBalanceWalletElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-account-box": LocalJSX.RuxIconAccountBox & JSXBase.HTMLAttributes<HTMLRuxIconAccountBoxElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-account-circle": LocalJSX.RuxIconAccountCircle & JSXBase.HTMLAttributes<HTMLRuxIconAccountCircleElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-adb": LocalJSX.RuxIconAdb & JSXBase.HTMLAttributes<HTMLRuxIconAdbElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-add": LocalJSX.RuxIconAdd & JSXBase.HTMLAttributes<HTMLRuxIconAddElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-add-a-photo": LocalJSX.RuxIconAddAPhoto & JSXBase.HTMLAttributes<HTMLRuxIconAddAPhotoElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-add-alarm": LocalJSX.RuxIconAddAlarm & JSXBase.HTMLAttributes<HTMLRuxIconAddAlarmElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-add-alert": LocalJSX.RuxIconAddAlert & JSXBase.HTMLAttributes<HTMLRuxIconAddAlertElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-add-box": LocalJSX.RuxIconAddBox & JSXBase.HTMLAttributes<HTMLRuxIconAddBoxElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-add-circle": LocalJSX.RuxIconAddCircle & JSXBase.HTMLAttributes<HTMLRuxIconAddCircleElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-add-circle-outline": LocalJSX.RuxIconAddCircleOutline & JSXBase.HTMLAttributes<HTMLRuxIconAddCircleOutlineElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-add-comment": LocalJSX.RuxIconAddComment & JSXBase.HTMLAttributes<HTMLRuxIconAddCommentElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-add-location": LocalJSX.RuxIconAddLocation & JSXBase.HTMLAttributes<HTMLRuxIconAddLocationElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-add-photo-alternate": LocalJSX.RuxIconAddPhotoAlternate & JSXBase.HTMLAttributes<HTMLRuxIconAddPhotoAlternateElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-add-shopping-cart": LocalJSX.RuxIconAddShoppingCart & JSXBase.HTMLAttributes<HTMLRuxIconAddShoppingCartElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-add-to-home-screen": LocalJSX.RuxIconAddToHomeScreen & JSXBase.HTMLAttributes<HTMLRuxIconAddToHomeScreenElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-add-to-photos": LocalJSX.RuxIconAddToPhotos & JSXBase.HTMLAttributes<HTMLRuxIconAddToPhotosElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-add-to-queue": LocalJSX.RuxIconAddToQueue & JSXBase.HTMLAttributes<HTMLRuxIconAddToQueueElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-adjust": LocalJSX.RuxIconAdjust & JSXBase.HTMLAttributes<HTMLRuxIconAdjustElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-airline-seat-flat": LocalJSX.RuxIconAirlineSeatFlat & JSXBase.HTMLAttributes<HTMLRuxIconAirlineSeatFlatElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-airline-seat-flat-angled": LocalJSX.RuxIconAirlineSeatFlatAngled & JSXBase.HTMLAttributes<HTMLRuxIconAirlineSeatFlatAngledElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-airline-seat-individual-suite": LocalJSX.RuxIconAirlineSeatIndividualSuite & JSXBase.HTMLAttributes<HTMLRuxIconAirlineSeatIndividualSuiteElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-airline-seat-legroom-extra": LocalJSX.RuxIconAirlineSeatLegroomExtra & JSXBase.HTMLAttributes<HTMLRuxIconAirlineSeatLegroomExtraElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-airline-seat-legroom-normal": LocalJSX.RuxIconAirlineSeatLegroomNormal & JSXBase.HTMLAttributes<HTMLRuxIconAirlineSeatLegroomNormalElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-airline-seat-legroom-reduced": LocalJSX.RuxIconAirlineSeatLegroomReduced & JSXBase.HTMLAttributes<HTMLRuxIconAirlineSeatLegroomReducedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-airline-seat-recline-extra": LocalJSX.RuxIconAirlineSeatReclineExtra & JSXBase.HTMLAttributes<HTMLRuxIconAirlineSeatReclineExtraElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-airline-seat-recline-normal": LocalJSX.RuxIconAirlineSeatReclineNormal & JSXBase.HTMLAttributes<HTMLRuxIconAirlineSeatReclineNormalElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-airplanemode-active": LocalJSX.RuxIconAirplanemodeActive & JSXBase.HTMLAttributes<HTMLRuxIconAirplanemodeActiveElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-airplanemode-inactive": LocalJSX.RuxIconAirplanemodeInactive & JSXBase.HTMLAttributes<HTMLRuxIconAirplanemodeInactiveElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-airplay": LocalJSX.RuxIconAirplay & JSXBase.HTMLAttributes<HTMLRuxIconAirplayElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-airport-shuttle": LocalJSX.RuxIconAirportShuttle & JSXBase.HTMLAttributes<HTMLRuxIconAirportShuttleElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-alarm": LocalJSX.RuxIconAlarm & JSXBase.HTMLAttributes<HTMLRuxIconAlarmElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-alarm-add": LocalJSX.RuxIconAlarmAdd & JSXBase.HTMLAttributes<HTMLRuxIconAlarmAddElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-alarm-off": LocalJSX.RuxIconAlarmOff & JSXBase.HTMLAttributes<HTMLRuxIconAlarmOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-alarm-on": LocalJSX.RuxIconAlarmOn & JSXBase.HTMLAttributes<HTMLRuxIconAlarmOnElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-album": LocalJSX.RuxIconAlbum & JSXBase.HTMLAttributes<HTMLRuxIconAlbumElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-all-inbox": LocalJSX.RuxIconAllInbox & JSXBase.HTMLAttributes<HTMLRuxIconAllInboxElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-all-inclusive": LocalJSX.RuxIconAllInclusive & JSXBase.HTMLAttributes<HTMLRuxIconAllInclusiveElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-all-out": LocalJSX.RuxIconAllOut & JSXBase.HTMLAttributes<HTMLRuxIconAllOutElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-alternate-email": LocalJSX.RuxIconAlternateEmail & JSXBase.HTMLAttributes<HTMLRuxIconAlternateEmailElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-altitude": LocalJSX.RuxIconAltitude & JSXBase.HTMLAttributes<HTMLRuxIconAltitudeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-android": LocalJSX.RuxIconAndroid & JSXBase.HTMLAttributes<HTMLRuxIconAndroidElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-announcement": LocalJSX.RuxIconAnnouncement & JSXBase.HTMLAttributes<HTMLRuxIconAnnouncementElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-antenna": LocalJSX.RuxIconAntenna & JSXBase.HTMLAttributes<HTMLRuxIconAntennaElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-antenna-off": LocalJSX.RuxIconAntennaOff & JSXBase.HTMLAttributes<HTMLRuxIconAntennaOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-antenna-receive": LocalJSX.RuxIconAntennaReceive & JSXBase.HTMLAttributes<HTMLRuxIconAntennaReceiveElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-antenna-transmit": LocalJSX.RuxIconAntennaTransmit & JSXBase.HTMLAttributes<HTMLRuxIconAntennaTransmitElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-apps": LocalJSX.RuxIconApps & JSXBase.HTMLAttributes<HTMLRuxIconAppsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-archive": LocalJSX.RuxIconArchive & JSXBase.HTMLAttributes<HTMLRuxIconArchiveElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-arrow-back": LocalJSX.RuxIconArrowBack & JSXBase.HTMLAttributes<HTMLRuxIconArrowBackElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-arrow-back-ios": LocalJSX.RuxIconArrowBackIos & JSXBase.HTMLAttributes<HTMLRuxIconArrowBackIosElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-arrow-downward": LocalJSX.RuxIconArrowDownward & JSXBase.HTMLAttributes<HTMLRuxIconArrowDownwardElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-arrow-drop-down": LocalJSX.RuxIconArrowDropDown & JSXBase.HTMLAttributes<HTMLRuxIconArrowDropDownElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-arrow-drop-down-circle": LocalJSX.RuxIconArrowDropDownCircle & JSXBase.HTMLAttributes<HTMLRuxIconArrowDropDownCircleElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-arrow-drop-up": LocalJSX.RuxIconArrowDropUp & JSXBase.HTMLAttributes<HTMLRuxIconArrowDropUpElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-arrow-forward": LocalJSX.RuxIconArrowForward & JSXBase.HTMLAttributes<HTMLRuxIconArrowForwardElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-arrow-forward-ios": LocalJSX.RuxIconArrowForwardIos & JSXBase.HTMLAttributes<HTMLRuxIconArrowForwardIosElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-arrow-left": LocalJSX.RuxIconArrowLeft & JSXBase.HTMLAttributes<HTMLRuxIconArrowLeftElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-arrow-right": LocalJSX.RuxIconArrowRight & JSXBase.HTMLAttributes<HTMLRuxIconArrowRightElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-arrow-right-alt": LocalJSX.RuxIconArrowRightAlt & JSXBase.HTMLAttributes<HTMLRuxIconArrowRightAltElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-arrow-upward": LocalJSX.RuxIconArrowUpward & JSXBase.HTMLAttributes<HTMLRuxIconArrowUpwardElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-art-track": LocalJSX.RuxIconArtTrack & JSXBase.HTMLAttributes<HTMLRuxIconArtTrackElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-aspect-ratio": LocalJSX.RuxIconAspectRatio & JSXBase.HTMLAttributes<HTMLRuxIconAspectRatioElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-assessment": LocalJSX.RuxIconAssessment & JSXBase.HTMLAttributes<HTMLRuxIconAssessmentElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-assignment": LocalJSX.RuxIconAssignment & JSXBase.HTMLAttributes<HTMLRuxIconAssignmentElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-assignment-find": LocalJSX.RuxIconAssignmentFind & JSXBase.HTMLAttributes<HTMLRuxIconAssignmentFindElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-assignment-late": LocalJSX.RuxIconAssignmentLate & JSXBase.HTMLAttributes<HTMLRuxIconAssignmentLateElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-assignment-return": LocalJSX.RuxIconAssignmentReturn & JSXBase.HTMLAttributes<HTMLRuxIconAssignmentReturnElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-assignment-returned": LocalJSX.RuxIconAssignmentReturned & JSXBase.HTMLAttributes<HTMLRuxIconAssignmentReturnedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-assignment-turned-in": LocalJSX.RuxIconAssignmentTurnedIn & JSXBase.HTMLAttributes<HTMLRuxIconAssignmentTurnedInElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-assistant": LocalJSX.RuxIconAssistant & JSXBase.HTMLAttributes<HTMLRuxIconAssistantElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-assistant-photo": LocalJSX.RuxIconAssistantPhoto & JSXBase.HTMLAttributes<HTMLRuxIconAssistantPhotoElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-attach-file": LocalJSX.RuxIconAttachFile & JSXBase.HTMLAttributes<HTMLRuxIconAttachFileElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-attach-money": LocalJSX.RuxIconAttachMoney & JSXBase.HTMLAttributes<HTMLRuxIconAttachMoneyElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-attachment": LocalJSX.RuxIconAttachment & JSXBase.HTMLAttributes<HTMLRuxIconAttachmentElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-audiotrack": LocalJSX.RuxIconAudiotrack & JSXBase.HTMLAttributes<HTMLRuxIconAudiotrackElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-autorenew": LocalJSX.RuxIconAutorenew & JSXBase.HTMLAttributes<HTMLRuxIconAutorenewElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-av-timer": LocalJSX.RuxIconAvTimer & JSXBase.HTMLAttributes<HTMLRuxIconAvTimerElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-backspace": LocalJSX.RuxIconBackspace & JSXBase.HTMLAttributes<HTMLRuxIconBackspaceElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-backup": LocalJSX.RuxIconBackup & JSXBase.HTMLAttributes<HTMLRuxIconBackupElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-ballot": LocalJSX.RuxIconBallot & JSXBase.HTMLAttributes<HTMLRuxIconBallotElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-bar-chart": LocalJSX.RuxIconBarChart & JSXBase.HTMLAttributes<HTMLRuxIconBarChartElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-battery-20": LocalJSX.RuxIconBattery20 & JSXBase.HTMLAttributes<HTMLRuxIconBattery20Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-battery-30": LocalJSX.RuxIconBattery30 & JSXBase.HTMLAttributes<HTMLRuxIconBattery30Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-battery-50": LocalJSX.RuxIconBattery50 & JSXBase.HTMLAttributes<HTMLRuxIconBattery50Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-battery-60": LocalJSX.RuxIconBattery60 & JSXBase.HTMLAttributes<HTMLRuxIconBattery60Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-battery-80": LocalJSX.RuxIconBattery80 & JSXBase.HTMLAttributes<HTMLRuxIconBattery80Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-battery-90": LocalJSX.RuxIconBattery90 & JSXBase.HTMLAttributes<HTMLRuxIconBattery90Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-battery-alert": LocalJSX.RuxIconBatteryAlert & JSXBase.HTMLAttributes<HTMLRuxIconBatteryAlertElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-battery-charging-20": LocalJSX.RuxIconBatteryCharging20 & JSXBase.HTMLAttributes<HTMLRuxIconBatteryCharging20Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-battery-charging-30": LocalJSX.RuxIconBatteryCharging30 & JSXBase.HTMLAttributes<HTMLRuxIconBatteryCharging30Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-battery-charging-50": LocalJSX.RuxIconBatteryCharging50 & JSXBase.HTMLAttributes<HTMLRuxIconBatteryCharging50Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-battery-charging-60": LocalJSX.RuxIconBatteryCharging60 & JSXBase.HTMLAttributes<HTMLRuxIconBatteryCharging60Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-battery-charging-80": LocalJSX.RuxIconBatteryCharging80 & JSXBase.HTMLAttributes<HTMLRuxIconBatteryCharging80Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-battery-charging-90": LocalJSX.RuxIconBatteryCharging90 & JSXBase.HTMLAttributes<HTMLRuxIconBatteryCharging90Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-battery-charging-full": LocalJSX.RuxIconBatteryChargingFull & JSXBase.HTMLAttributes<HTMLRuxIconBatteryChargingFullElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-battery-full": LocalJSX.RuxIconBatteryFull & JSXBase.HTMLAttributes<HTMLRuxIconBatteryFullElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-battery-std": LocalJSX.RuxIconBatteryStd & JSXBase.HTMLAttributes<HTMLRuxIconBatteryStdElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-battery-unknown": LocalJSX.RuxIconBatteryUnknown & JSXBase.HTMLAttributes<HTMLRuxIconBatteryUnknownElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-beach-access": LocalJSX.RuxIconBeachAccess & JSXBase.HTMLAttributes<HTMLRuxIconBeachAccessElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-beenhere": LocalJSX.RuxIconBeenhere & JSXBase.HTMLAttributes<HTMLRuxIconBeenhereElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-block": LocalJSX.RuxIconBlock & JSXBase.HTMLAttributes<HTMLRuxIconBlockElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-bluetooth": LocalJSX.RuxIconBluetooth & JSXBase.HTMLAttributes<HTMLRuxIconBluetoothElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-bluetooth-audio": LocalJSX.RuxIconBluetoothAudio & JSXBase.HTMLAttributes<HTMLRuxIconBluetoothAudioElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-bluetooth-connected": LocalJSX.RuxIconBluetoothConnected & JSXBase.HTMLAttributes<HTMLRuxIconBluetoothConnectedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-bluetooth-disabled": LocalJSX.RuxIconBluetoothDisabled & JSXBase.HTMLAttributes<HTMLRuxIconBluetoothDisabledElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-bluetooth-searching": LocalJSX.RuxIconBluetoothSearching & JSXBase.HTMLAttributes<HTMLRuxIconBluetoothSearchingElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-blur-circular": LocalJSX.RuxIconBlurCircular & JSXBase.HTMLAttributes<HTMLRuxIconBlurCircularElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-blur-linear": LocalJSX.RuxIconBlurLinear & JSXBase.HTMLAttributes<HTMLRuxIconBlurLinearElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-blur-off": LocalJSX.RuxIconBlurOff & JSXBase.HTMLAttributes<HTMLRuxIconBlurOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-blur-on": LocalJSX.RuxIconBlurOn & JSXBase.HTMLAttributes<HTMLRuxIconBlurOnElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-book": LocalJSX.RuxIconBook & JSXBase.HTMLAttributes<HTMLRuxIconBookElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-bookmark": LocalJSX.RuxIconBookmark & JSXBase.HTMLAttributes<HTMLRuxIconBookmarkElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-bookmark-border": LocalJSX.RuxIconBookmarkBorder & JSXBase.HTMLAttributes<HTMLRuxIconBookmarkBorderElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-bookmarks": LocalJSX.RuxIconBookmarks & JSXBase.HTMLAttributes<HTMLRuxIconBookmarksElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-border-all": LocalJSX.RuxIconBorderAll & JSXBase.HTMLAttributes<HTMLRuxIconBorderAllElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-border-bottom": LocalJSX.RuxIconBorderBottom & JSXBase.HTMLAttributes<HTMLRuxIconBorderBottomElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-border-clear": LocalJSX.RuxIconBorderClear & JSXBase.HTMLAttributes<HTMLRuxIconBorderClearElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-border-color": LocalJSX.RuxIconBorderColor & JSXBase.HTMLAttributes<HTMLRuxIconBorderColorElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-border-horizontal": LocalJSX.RuxIconBorderHorizontal & JSXBase.HTMLAttributes<HTMLRuxIconBorderHorizontalElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-border-inner": LocalJSX.RuxIconBorderInner & JSXBase.HTMLAttributes<HTMLRuxIconBorderInnerElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-border-left": LocalJSX.RuxIconBorderLeft & JSXBase.HTMLAttributes<HTMLRuxIconBorderLeftElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-border-outer": LocalJSX.RuxIconBorderOuter & JSXBase.HTMLAttributes<HTMLRuxIconBorderOuterElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-border-right": LocalJSX.RuxIconBorderRight & JSXBase.HTMLAttributes<HTMLRuxIconBorderRightElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-border-style": LocalJSX.RuxIconBorderStyle & JSXBase.HTMLAttributes<HTMLRuxIconBorderStyleElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-border-top": LocalJSX.RuxIconBorderTop & JSXBase.HTMLAttributes<HTMLRuxIconBorderTopElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-border-vertical": LocalJSX.RuxIconBorderVertical & JSXBase.HTMLAttributes<HTMLRuxIconBorderVerticalElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-branding-watermark": LocalJSX.RuxIconBrandingWatermark & JSXBase.HTMLAttributes<HTMLRuxIconBrandingWatermarkElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-brightness-1": LocalJSX.RuxIconBrightness1 & JSXBase.HTMLAttributes<HTMLRuxIconBrightness1Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-brightness-2": LocalJSX.RuxIconBrightness2 & JSXBase.HTMLAttributes<HTMLRuxIconBrightness2Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-brightness-3": LocalJSX.RuxIconBrightness3 & JSXBase.HTMLAttributes<HTMLRuxIconBrightness3Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-brightness-4": LocalJSX.RuxIconBrightness4 & JSXBase.HTMLAttributes<HTMLRuxIconBrightness4Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-brightness-5": LocalJSX.RuxIconBrightness5 & JSXBase.HTMLAttributes<HTMLRuxIconBrightness5Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-brightness-6": LocalJSX.RuxIconBrightness6 & JSXBase.HTMLAttributes<HTMLRuxIconBrightness6Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-brightness-7": LocalJSX.RuxIconBrightness7 & JSXBase.HTMLAttributes<HTMLRuxIconBrightness7Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-brightness-auto": LocalJSX.RuxIconBrightnessAuto & JSXBase.HTMLAttributes<HTMLRuxIconBrightnessAutoElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-brightness-high": LocalJSX.RuxIconBrightnessHigh & JSXBase.HTMLAttributes<HTMLRuxIconBrightnessHighElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-brightness-low": LocalJSX.RuxIconBrightnessLow & JSXBase.HTMLAttributes<HTMLRuxIconBrightnessLowElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-brightness-medium": LocalJSX.RuxIconBrightnessMedium & JSXBase.HTMLAttributes<HTMLRuxIconBrightnessMediumElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-broken-image": LocalJSX.RuxIconBrokenImage & JSXBase.HTMLAttributes<HTMLRuxIconBrokenImageElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-brush": LocalJSX.RuxIconBrush & JSXBase.HTMLAttributes<HTMLRuxIconBrushElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-bubble-chart": LocalJSX.RuxIconBubbleChart & JSXBase.HTMLAttributes<HTMLRuxIconBubbleChartElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-bug-report": LocalJSX.RuxIconBugReport & JSXBase.HTMLAttributes<HTMLRuxIconBugReportElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-build": LocalJSX.RuxIconBuild & JSXBase.HTMLAttributes<HTMLRuxIconBuildElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-burst-mode": LocalJSX.RuxIconBurstMode & JSXBase.HTMLAttributes<HTMLRuxIconBurstModeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-business": LocalJSX.RuxIconBusiness & JSXBase.HTMLAttributes<HTMLRuxIconBusinessElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-business-center": LocalJSX.RuxIconBusinessCenter & JSXBase.HTMLAttributes<HTMLRuxIconBusinessCenterElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-cached": LocalJSX.RuxIconCached & JSXBase.HTMLAttributes<HTMLRuxIconCachedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-cake": LocalJSX.RuxIconCake & JSXBase.HTMLAttributes<HTMLRuxIconCakeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-calendar-today": LocalJSX.RuxIconCalendarToday & JSXBase.HTMLAttributes<HTMLRuxIconCalendarTodayElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-calendar-view-day": LocalJSX.RuxIconCalendarViewDay & JSXBase.HTMLAttributes<HTMLRuxIconCalendarViewDayElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-call": LocalJSX.RuxIconCall & JSXBase.HTMLAttributes<HTMLRuxIconCallElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-call-end": LocalJSX.RuxIconCallEnd & JSXBase.HTMLAttributes<HTMLRuxIconCallEndElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-call-made": LocalJSX.RuxIconCallMade & JSXBase.HTMLAttributes<HTMLRuxIconCallMadeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-call-merge": LocalJSX.RuxIconCallMerge & JSXBase.HTMLAttributes<HTMLRuxIconCallMergeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-call-missed": LocalJSX.RuxIconCallMissed & JSXBase.HTMLAttributes<HTMLRuxIconCallMissedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-call-missed-outgoing": LocalJSX.RuxIconCallMissedOutgoing & JSXBase.HTMLAttributes<HTMLRuxIconCallMissedOutgoingElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-call-received": LocalJSX.RuxIconCallReceived & JSXBase.HTMLAttributes<HTMLRuxIconCallReceivedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-call-split": LocalJSX.RuxIconCallSplit & JSXBase.HTMLAttributes<HTMLRuxIconCallSplitElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-call-to-action": LocalJSX.RuxIconCallToAction & JSXBase.HTMLAttributes<HTMLRuxIconCallToActionElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-camera": LocalJSX.RuxIconCamera & JSXBase.HTMLAttributes<HTMLRuxIconCameraElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-camera-alt": LocalJSX.RuxIconCameraAlt & JSXBase.HTMLAttributes<HTMLRuxIconCameraAltElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-camera-enhance": LocalJSX.RuxIconCameraEnhance & JSXBase.HTMLAttributes<HTMLRuxIconCameraEnhanceElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-camera-front": LocalJSX.RuxIconCameraFront & JSXBase.HTMLAttributes<HTMLRuxIconCameraFrontElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-camera-rear": LocalJSX.RuxIconCameraRear & JSXBase.HTMLAttributes<HTMLRuxIconCameraRearElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-camera-roll": LocalJSX.RuxIconCameraRoll & JSXBase.HTMLAttributes<HTMLRuxIconCameraRollElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-cancel": LocalJSX.RuxIconCancel & JSXBase.HTMLAttributes<HTMLRuxIconCancelElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-cancel-presentation": LocalJSX.RuxIconCancelPresentation & JSXBase.HTMLAttributes<HTMLRuxIconCancelPresentationElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-card-giftcard": LocalJSX.RuxIconCardGiftcard & JSXBase.HTMLAttributes<HTMLRuxIconCardGiftcardElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-card-membership": LocalJSX.RuxIconCardMembership & JSXBase.HTMLAttributes<HTMLRuxIconCardMembershipElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-card-travel": LocalJSX.RuxIconCardTravel & JSXBase.HTMLAttributes<HTMLRuxIconCardTravelElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-casino": LocalJSX.RuxIconCasino & JSXBase.HTMLAttributes<HTMLRuxIconCasinoElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-cast": LocalJSX.RuxIconCast & JSXBase.HTMLAttributes<HTMLRuxIconCastElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-cast-connected": LocalJSX.RuxIconCastConnected & JSXBase.HTMLAttributes<HTMLRuxIconCastConnectedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-cast-for-education": LocalJSX.RuxIconCastForEducation & JSXBase.HTMLAttributes<HTMLRuxIconCastForEducationElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-category": LocalJSX.RuxIconCategory & JSXBase.HTMLAttributes<HTMLRuxIconCategoryElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-cell-wifi": LocalJSX.RuxIconCellWifi & JSXBase.HTMLAttributes<HTMLRuxIconCellWifiElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-center-focus-strong": LocalJSX.RuxIconCenterFocusStrong & JSXBase.HTMLAttributes<HTMLRuxIconCenterFocusStrongElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-center-focus-weak": LocalJSX.RuxIconCenterFocusWeak & JSXBase.HTMLAttributes<HTMLRuxIconCenterFocusWeakElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-change-history": LocalJSX.RuxIconChangeHistory & JSXBase.HTMLAttributes<HTMLRuxIconChangeHistoryElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-chat": LocalJSX.RuxIconChat & JSXBase.HTMLAttributes<HTMLRuxIconChatElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-chat-bubble": LocalJSX.RuxIconChatBubble & JSXBase.HTMLAttributes<HTMLRuxIconChatBubbleElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-chat-bubble-outline": LocalJSX.RuxIconChatBubbleOutline & JSXBase.HTMLAttributes<HTMLRuxIconChatBubbleOutlineElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-check": LocalJSX.RuxIconCheck & JSXBase.HTMLAttributes<HTMLRuxIconCheckElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-check-box": LocalJSX.RuxIconCheckBox & JSXBase.HTMLAttributes<HTMLRuxIconCheckBoxElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-check-box-outline-blank": LocalJSX.RuxIconCheckBoxOutlineBlank & JSXBase.HTMLAttributes<HTMLRuxIconCheckBoxOutlineBlankElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-check-circle": LocalJSX.RuxIconCheckCircle & JSXBase.HTMLAttributes<HTMLRuxIconCheckCircleElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-check-circle-outline": LocalJSX.RuxIconCheckCircleOutline & JSXBase.HTMLAttributes<HTMLRuxIconCheckCircleOutlineElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-chevron-left": LocalJSX.RuxIconChevronLeft & JSXBase.HTMLAttributes<HTMLRuxIconChevronLeftElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-chevron-right": LocalJSX.RuxIconChevronRight & JSXBase.HTMLAttributes<HTMLRuxIconChevronRightElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-child-care": LocalJSX.RuxIconChildCare & JSXBase.HTMLAttributes<HTMLRuxIconChildCareElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-child-friendly": LocalJSX.RuxIconChildFriendly & JSXBase.HTMLAttributes<HTMLRuxIconChildFriendlyElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-chrome-reader-mode": LocalJSX.RuxIconChromeReaderMode & JSXBase.HTMLAttributes<HTMLRuxIconChromeReaderModeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-class": LocalJSX.RuxIconClass & JSXBase.HTMLAttributes<HTMLRuxIconClassElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-clear": LocalJSX.RuxIconClear & JSXBase.HTMLAttributes<HTMLRuxIconClearElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-clear-all": LocalJSX.RuxIconClearAll & JSXBase.HTMLAttributes<HTMLRuxIconClearAllElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-close": LocalJSX.RuxIconClose & JSXBase.HTMLAttributes<HTMLRuxIconCloseElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-closed-caption": LocalJSX.RuxIconClosedCaption & JSXBase.HTMLAttributes<HTMLRuxIconClosedCaptionElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-cloud": LocalJSX.RuxIconCloud & JSXBase.HTMLAttributes<HTMLRuxIconCloudElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-cloud-circle": LocalJSX.RuxIconCloudCircle & JSXBase.HTMLAttributes<HTMLRuxIconCloudCircleElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-cloud-done": LocalJSX.RuxIconCloudDone & JSXBase.HTMLAttributes<HTMLRuxIconCloudDoneElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-cloud-download": LocalJSX.RuxIconCloudDownload & JSXBase.HTMLAttributes<HTMLRuxIconCloudDownloadElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-cloud-off": LocalJSX.RuxIconCloudOff & JSXBase.HTMLAttributes<HTMLRuxIconCloudOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-cloud-queue": LocalJSX.RuxIconCloudQueue & JSXBase.HTMLAttributes<HTMLRuxIconCloudQueueElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-cloud-upload": LocalJSX.RuxIconCloudUpload & JSXBase.HTMLAttributes<HTMLRuxIconCloudUploadElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-code": LocalJSX.RuxIconCode & JSXBase.HTMLAttributes<HTMLRuxIconCodeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-collections": LocalJSX.RuxIconCollections & JSXBase.HTMLAttributes<HTMLRuxIconCollectionsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-collections-bookmark": LocalJSX.RuxIconCollectionsBookmark & JSXBase.HTMLAttributes<HTMLRuxIconCollectionsBookmarkElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-color-lens": LocalJSX.RuxIconColorLens & JSXBase.HTMLAttributes<HTMLRuxIconColorLensElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-colorize": LocalJSX.RuxIconColorize & JSXBase.HTMLAttributes<HTMLRuxIconColorizeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-comment": LocalJSX.RuxIconComment & JSXBase.HTMLAttributes<HTMLRuxIconCommentElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-commute": LocalJSX.RuxIconCommute & JSXBase.HTMLAttributes<HTMLRuxIconCommuteElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-compare": LocalJSX.RuxIconCompare & JSXBase.HTMLAttributes<HTMLRuxIconCompareElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-compare-arrows": LocalJSX.RuxIconCompareArrows & JSXBase.HTMLAttributes<HTMLRuxIconCompareArrowsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-compass-calibration": LocalJSX.RuxIconCompassCalibration & JSXBase.HTMLAttributes<HTMLRuxIconCompassCalibrationElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-computer": LocalJSX.RuxIconComputer & JSXBase.HTMLAttributes<HTMLRuxIconComputerElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-confirmation-number": LocalJSX.RuxIconConfirmationNumber & JSXBase.HTMLAttributes<HTMLRuxIconConfirmationNumberElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-contact-mail": LocalJSX.RuxIconContactMail & JSXBase.HTMLAttributes<HTMLRuxIconContactMailElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-contact-phone": LocalJSX.RuxIconContactPhone & JSXBase.HTMLAttributes<HTMLRuxIconContactPhoneElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-contact-support": LocalJSX.RuxIconContactSupport & JSXBase.HTMLAttributes<HTMLRuxIconContactSupportElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-contacts": LocalJSX.RuxIconContacts & JSXBase.HTMLAttributes<HTMLRuxIconContactsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-control-camera": LocalJSX.RuxIconControlCamera & JSXBase.HTMLAttributes<HTMLRuxIconControlCameraElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-control-point": LocalJSX.RuxIconControlPoint & JSXBase.HTMLAttributes<HTMLRuxIconControlPointElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-control-point-duplicate": LocalJSX.RuxIconControlPointDuplicate & JSXBase.HTMLAttributes<HTMLRuxIconControlPointDuplicateElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-copyright": LocalJSX.RuxIconCopyright & JSXBase.HTMLAttributes<HTMLRuxIconCopyrightElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-create": LocalJSX.RuxIconCreate & JSXBase.HTMLAttributes<HTMLRuxIconCreateElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-create-new-folder": LocalJSX.RuxIconCreateNewFolder & JSXBase.HTMLAttributes<HTMLRuxIconCreateNewFolderElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-credit-card": LocalJSX.RuxIconCreditCard & JSXBase.HTMLAttributes<HTMLRuxIconCreditCardElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-crop": LocalJSX.RuxIconCrop & JSXBase.HTMLAttributes<HTMLRuxIconCropElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-crop-16-9": LocalJSX.RuxIconCrop169 & JSXBase.HTMLAttributes<HTMLRuxIconCrop169Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-crop-3-2": LocalJSX.RuxIconCrop32 & JSXBase.HTMLAttributes<HTMLRuxIconCrop32Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-crop-5-4": LocalJSX.RuxIconCrop54 & JSXBase.HTMLAttributes<HTMLRuxIconCrop54Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-crop-7-5": LocalJSX.RuxIconCrop75 & JSXBase.HTMLAttributes<HTMLRuxIconCrop75Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-crop-din": LocalJSX.RuxIconCropDin & JSXBase.HTMLAttributes<HTMLRuxIconCropDinElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-crop-free": LocalJSX.RuxIconCropFree & JSXBase.HTMLAttributes<HTMLRuxIconCropFreeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-crop-landscape": LocalJSX.RuxIconCropLandscape & JSXBase.HTMLAttributes<HTMLRuxIconCropLandscapeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-crop-original": LocalJSX.RuxIconCropOriginal & JSXBase.HTMLAttributes<HTMLRuxIconCropOriginalElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-crop-portrait": LocalJSX.RuxIconCropPortrait & JSXBase.HTMLAttributes<HTMLRuxIconCropPortraitElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-crop-rotate": LocalJSX.RuxIconCropRotate & JSXBase.HTMLAttributes<HTMLRuxIconCropRotateElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-crop-square": LocalJSX.RuxIconCropSquare & JSXBase.HTMLAttributes<HTMLRuxIconCropSquareElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-dashboard": LocalJSX.RuxIconDashboard & JSXBase.HTMLAttributes<HTMLRuxIconDashboardElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-data-usage": LocalJSX.RuxIconDataUsage & JSXBase.HTMLAttributes<HTMLRuxIconDataUsageElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-date-range": LocalJSX.RuxIconDateRange & JSXBase.HTMLAttributes<HTMLRuxIconDateRangeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-dehaze": LocalJSX.RuxIconDehaze & JSXBase.HTMLAttributes<HTMLRuxIconDehazeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-delete": LocalJSX.RuxIconDelete & JSXBase.HTMLAttributes<HTMLRuxIconDeleteElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-delete-forever": LocalJSX.RuxIconDeleteForever & JSXBase.HTMLAttributes<HTMLRuxIconDeleteForeverElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-delete-outline": LocalJSX.RuxIconDeleteOutline & JSXBase.HTMLAttributes<HTMLRuxIconDeleteOutlineElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-delete-sweep": LocalJSX.RuxIconDeleteSweep & JSXBase.HTMLAttributes<HTMLRuxIconDeleteSweepElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-departure-board": LocalJSX.RuxIconDepartureBoard & JSXBase.HTMLAttributes<HTMLRuxIconDepartureBoardElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-description": LocalJSX.RuxIconDescription & JSXBase.HTMLAttributes<HTMLRuxIconDescriptionElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-desktop-access-disabled": LocalJSX.RuxIconDesktopAccessDisabled & JSXBase.HTMLAttributes<HTMLRuxIconDesktopAccessDisabledElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-desktop-mac": LocalJSX.RuxIconDesktopMac & JSXBase.HTMLAttributes<HTMLRuxIconDesktopMacElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-desktop-windows": LocalJSX.RuxIconDesktopWindows & JSXBase.HTMLAttributes<HTMLRuxIconDesktopWindowsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-details": LocalJSX.RuxIconDetails & JSXBase.HTMLAttributes<HTMLRuxIconDetailsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-developer-board": LocalJSX.RuxIconDeveloperBoard & JSXBase.HTMLAttributes<HTMLRuxIconDeveloperBoardElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-developer-mode": LocalJSX.RuxIconDeveloperMode & JSXBase.HTMLAttributes<HTMLRuxIconDeveloperModeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-device-hub": LocalJSX.RuxIconDeviceHub & JSXBase.HTMLAttributes<HTMLRuxIconDeviceHubElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-device-unknown": LocalJSX.RuxIconDeviceUnknown & JSXBase.HTMLAttributes<HTMLRuxIconDeviceUnknownElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-devices": LocalJSX.RuxIconDevices & JSXBase.HTMLAttributes<HTMLRuxIconDevicesElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-devices-other": LocalJSX.RuxIconDevicesOther & JSXBase.HTMLAttributes<HTMLRuxIconDevicesOtherElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-dialer-sip": LocalJSX.RuxIconDialerSip & JSXBase.HTMLAttributes<HTMLRuxIconDialerSipElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-dialpad": LocalJSX.RuxIconDialpad & JSXBase.HTMLAttributes<HTMLRuxIconDialpadElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-directions": LocalJSX.RuxIconDirections & JSXBase.HTMLAttributes<HTMLRuxIconDirectionsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-directions-bike": LocalJSX.RuxIconDirectionsBike & JSXBase.HTMLAttributes<HTMLRuxIconDirectionsBikeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-directions-boat": LocalJSX.RuxIconDirectionsBoat & JSXBase.HTMLAttributes<HTMLRuxIconDirectionsBoatElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-directions-bus": LocalJSX.RuxIconDirectionsBus & JSXBase.HTMLAttributes<HTMLRuxIconDirectionsBusElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-directions-car": LocalJSX.RuxIconDirectionsCar & JSXBase.HTMLAttributes<HTMLRuxIconDirectionsCarElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-directions-railway": LocalJSX.RuxIconDirectionsRailway & JSXBase.HTMLAttributes<HTMLRuxIconDirectionsRailwayElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-directions-run": LocalJSX.RuxIconDirectionsRun & JSXBase.HTMLAttributes<HTMLRuxIconDirectionsRunElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-directions-subway": LocalJSX.RuxIconDirectionsSubway & JSXBase.HTMLAttributes<HTMLRuxIconDirectionsSubwayElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-directions-transit": LocalJSX.RuxIconDirectionsTransit & JSXBase.HTMLAttributes<HTMLRuxIconDirectionsTransitElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-directions-walk": LocalJSX.RuxIconDirectionsWalk & JSXBase.HTMLAttributes<HTMLRuxIconDirectionsWalkElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-disc-full": LocalJSX.RuxIconDiscFull & JSXBase.HTMLAttributes<HTMLRuxIconDiscFullElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-dns": LocalJSX.RuxIconDns & JSXBase.HTMLAttributes<HTMLRuxIconDnsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-dock": LocalJSX.RuxIconDock & JSXBase.HTMLAttributes<HTMLRuxIconDockElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-domain": LocalJSX.RuxIconDomain & JSXBase.HTMLAttributes<HTMLRuxIconDomainElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-domain-disabled": LocalJSX.RuxIconDomainDisabled & JSXBase.HTMLAttributes<HTMLRuxIconDomainDisabledElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-done": LocalJSX.RuxIconDone & JSXBase.HTMLAttributes<HTMLRuxIconDoneElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-done-all": LocalJSX.RuxIconDoneAll & JSXBase.HTMLAttributes<HTMLRuxIconDoneAllElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-done-outline": LocalJSX.RuxIconDoneOutline & JSXBase.HTMLAttributes<HTMLRuxIconDoneOutlineElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-donut-large": LocalJSX.RuxIconDonutLarge & JSXBase.HTMLAttributes<HTMLRuxIconDonutLargeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-donut-small": LocalJSX.RuxIconDonutSmall & JSXBase.HTMLAttributes<HTMLRuxIconDonutSmallElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-drafts": LocalJSX.RuxIconDrafts & JSXBase.HTMLAttributes<HTMLRuxIconDraftsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-drag-handle": LocalJSX.RuxIconDragHandle & JSXBase.HTMLAttributes<HTMLRuxIconDragHandleElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-drag-indicator": LocalJSX.RuxIconDragIndicator & JSXBase.HTMLAttributes<HTMLRuxIconDragIndicatorElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-drive-eta": LocalJSX.RuxIconDriveEta & JSXBase.HTMLAttributes<HTMLRuxIconDriveEtaElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-duo": LocalJSX.RuxIconDuo & JSXBase.HTMLAttributes<HTMLRuxIconDuoElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-dvr": LocalJSX.RuxIconDvr & JSXBase.HTMLAttributes<HTMLRuxIconDvrElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-edit": LocalJSX.RuxIconEdit & JSXBase.HTMLAttributes<HTMLRuxIconEditElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-edit-attributes": LocalJSX.RuxIconEditAttributes & JSXBase.HTMLAttributes<HTMLRuxIconEditAttributesElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-edit-location": LocalJSX.RuxIconEditLocation & JSXBase.HTMLAttributes<HTMLRuxIconEditLocationElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-eject": LocalJSX.RuxIconEject & JSXBase.HTMLAttributes<HTMLRuxIconEjectElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-email": LocalJSX.RuxIconEmail & JSXBase.HTMLAttributes<HTMLRuxIconEmailElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-enhanced-encryption": LocalJSX.RuxIconEnhancedEncryption & JSXBase.HTMLAttributes<HTMLRuxIconEnhancedEncryptionElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-equalizer": LocalJSX.RuxIconEqualizer & JSXBase.HTMLAttributes<HTMLRuxIconEqualizerElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-equipment": LocalJSX.RuxIconEquipment & JSXBase.HTMLAttributes<HTMLRuxIconEquipmentElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-error": LocalJSX.RuxIconError & JSXBase.HTMLAttributes<HTMLRuxIconErrorElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-error-outline": LocalJSX.RuxIconErrorOutline & JSXBase.HTMLAttributes<HTMLRuxIconErrorOutlineElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-euro-symbol": LocalJSX.RuxIconEuroSymbol & JSXBase.HTMLAttributes<HTMLRuxIconEuroSymbolElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-ev-station": LocalJSX.RuxIconEvStation & JSXBase.HTMLAttributes<HTMLRuxIconEvStationElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-event": LocalJSX.RuxIconEvent & JSXBase.HTMLAttributes<HTMLRuxIconEventElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-event-available": LocalJSX.RuxIconEventAvailable & JSXBase.HTMLAttributes<HTMLRuxIconEventAvailableElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-event-busy": LocalJSX.RuxIconEventBusy & JSXBase.HTMLAttributes<HTMLRuxIconEventBusyElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-event-note": LocalJSX.RuxIconEventNote & JSXBase.HTMLAttributes<HTMLRuxIconEventNoteElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-exit-to-app": LocalJSX.RuxIconExitToApp & JSXBase.HTMLAttributes<HTMLRuxIconExitToAppElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-expand-less": LocalJSX.RuxIconExpandLess & JSXBase.HTMLAttributes<HTMLRuxIconExpandLessElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-expand-more": LocalJSX.RuxIconExpandMore & JSXBase.HTMLAttributes<HTMLRuxIconExpandMoreElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-explicit": LocalJSX.RuxIconExplicit & JSXBase.HTMLAttributes<HTMLRuxIconExplicitElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-explore": LocalJSX.RuxIconExplore & JSXBase.HTMLAttributes<HTMLRuxIconExploreElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-explore-off": LocalJSX.RuxIconExploreOff & JSXBase.HTMLAttributes<HTMLRuxIconExploreOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-exposure": LocalJSX.RuxIconExposure & JSXBase.HTMLAttributes<HTMLRuxIconExposureElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-exposure-neg-1": LocalJSX.RuxIconExposureNeg1 & JSXBase.HTMLAttributes<HTMLRuxIconExposureNeg1Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-exposure-neg-2": LocalJSX.RuxIconExposureNeg2 & JSXBase.HTMLAttributes<HTMLRuxIconExposureNeg2Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-exposure-plus-1": LocalJSX.RuxIconExposurePlus1 & JSXBase.HTMLAttributes<HTMLRuxIconExposurePlus1Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-exposure-plus-2": LocalJSX.RuxIconExposurePlus2 & JSXBase.HTMLAttributes<HTMLRuxIconExposurePlus2Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-exposure-zero": LocalJSX.RuxIconExposureZero & JSXBase.HTMLAttributes<HTMLRuxIconExposureZeroElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-extension": LocalJSX.RuxIconExtension & JSXBase.HTMLAttributes<HTMLRuxIconExtensionElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-face": LocalJSX.RuxIconFace & JSXBase.HTMLAttributes<HTMLRuxIconFaceElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-fast-forward": LocalJSX.RuxIconFastForward & JSXBase.HTMLAttributes<HTMLRuxIconFastForwardElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-fast-rewind": LocalJSX.RuxIconFastRewind & JSXBase.HTMLAttributes<HTMLRuxIconFastRewindElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-fastfood": LocalJSX.RuxIconFastfood & JSXBase.HTMLAttributes<HTMLRuxIconFastfoodElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-favorite": LocalJSX.RuxIconFavorite & JSXBase.HTMLAttributes<HTMLRuxIconFavoriteElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-favorite-border": LocalJSX.RuxIconFavoriteBorder & JSXBase.HTMLAttributes<HTMLRuxIconFavoriteBorderElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-featured-play-list": LocalJSX.RuxIconFeaturedPlayList & JSXBase.HTMLAttributes<HTMLRuxIconFeaturedPlayListElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-featured-video": LocalJSX.RuxIconFeaturedVideo & JSXBase.HTMLAttributes<HTMLRuxIconFeaturedVideoElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-feedback": LocalJSX.RuxIconFeedback & JSXBase.HTMLAttributes<HTMLRuxIconFeedbackElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-fiber-dvr": LocalJSX.RuxIconFiberDvr & JSXBase.HTMLAttributes<HTMLRuxIconFiberDvrElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-fiber-manual-record": LocalJSX.RuxIconFiberManualRecord & JSXBase.HTMLAttributes<HTMLRuxIconFiberManualRecordElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-fiber-new": LocalJSX.RuxIconFiberNew & JSXBase.HTMLAttributes<HTMLRuxIconFiberNewElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-fiber-pin": LocalJSX.RuxIconFiberPin & JSXBase.HTMLAttributes<HTMLRuxIconFiberPinElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-fiber-smart-record": LocalJSX.RuxIconFiberSmartRecord & JSXBase.HTMLAttributes<HTMLRuxIconFiberSmartRecordElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-file-copy": LocalJSX.RuxIconFileCopy & JSXBase.HTMLAttributes<HTMLRuxIconFileCopyElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-filter": LocalJSX.RuxIconFilter & JSXBase.HTMLAttributes<HTMLRuxIconFilterElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-filter-1": LocalJSX.RuxIconFilter1 & JSXBase.HTMLAttributes<HTMLRuxIconFilter1Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-filter-2": LocalJSX.RuxIconFilter2 & JSXBase.HTMLAttributes<HTMLRuxIconFilter2Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-filter-3": LocalJSX.RuxIconFilter3 & JSXBase.HTMLAttributes<HTMLRuxIconFilter3Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-filter-4": LocalJSX.RuxIconFilter4 & JSXBase.HTMLAttributes<HTMLRuxIconFilter4Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-filter-5": LocalJSX.RuxIconFilter5 & JSXBase.HTMLAttributes<HTMLRuxIconFilter5Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-filter-6": LocalJSX.RuxIconFilter6 & JSXBase.HTMLAttributes<HTMLRuxIconFilter6Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-filter-7": LocalJSX.RuxIconFilter7 & JSXBase.HTMLAttributes<HTMLRuxIconFilter7Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-filter-8": LocalJSX.RuxIconFilter8 & JSXBase.HTMLAttributes<HTMLRuxIconFilter8Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-filter-9": LocalJSX.RuxIconFilter9 & JSXBase.HTMLAttributes<HTMLRuxIconFilter9Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-filter-9-plus": LocalJSX.RuxIconFilter9Plus & JSXBase.HTMLAttributes<HTMLRuxIconFilter9PlusElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-filter-b-and-w": LocalJSX.RuxIconFilterBAndW & JSXBase.HTMLAttributes<HTMLRuxIconFilterBAndWElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-filter-center-focus": LocalJSX.RuxIconFilterCenterFocus & JSXBase.HTMLAttributes<HTMLRuxIconFilterCenterFocusElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-filter-drama": LocalJSX.RuxIconFilterDrama & JSXBase.HTMLAttributes<HTMLRuxIconFilterDramaElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-filter-frames": LocalJSX.RuxIconFilterFrames & JSXBase.HTMLAttributes<HTMLRuxIconFilterFramesElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-filter-hdr": LocalJSX.RuxIconFilterHdr & JSXBase.HTMLAttributes<HTMLRuxIconFilterHdrElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-filter-list": LocalJSX.RuxIconFilterList & JSXBase.HTMLAttributes<HTMLRuxIconFilterListElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-filter-none": LocalJSX.RuxIconFilterNone & JSXBase.HTMLAttributes<HTMLRuxIconFilterNoneElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-filter-tilt-shift": LocalJSX.RuxIconFilterTiltShift & JSXBase.HTMLAttributes<HTMLRuxIconFilterTiltShiftElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-filter-vintage": LocalJSX.RuxIconFilterVintage & JSXBase.HTMLAttributes<HTMLRuxIconFilterVintageElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-find-in-page": LocalJSX.RuxIconFindInPage & JSXBase.HTMLAttributes<HTMLRuxIconFindInPageElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-find-replace": LocalJSX.RuxIconFindReplace & JSXBase.HTMLAttributes<HTMLRuxIconFindReplaceElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-fingerprint": LocalJSX.RuxIconFingerprint & JSXBase.HTMLAttributes<HTMLRuxIconFingerprintElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-first-page": LocalJSX.RuxIconFirstPage & JSXBase.HTMLAttributes<HTMLRuxIconFirstPageElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-fitness-center": LocalJSX.RuxIconFitnessCenter & JSXBase.HTMLAttributes<HTMLRuxIconFitnessCenterElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-flag": LocalJSX.RuxIconFlag & JSXBase.HTMLAttributes<HTMLRuxIconFlagElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-flare": LocalJSX.RuxIconFlare & JSXBase.HTMLAttributes<HTMLRuxIconFlareElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-flash-auto": LocalJSX.RuxIconFlashAuto & JSXBase.HTMLAttributes<HTMLRuxIconFlashAutoElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-flash-off": LocalJSX.RuxIconFlashOff & JSXBase.HTMLAttributes<HTMLRuxIconFlashOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-flash-on": LocalJSX.RuxIconFlashOn & JSXBase.HTMLAttributes<HTMLRuxIconFlashOnElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-flight": LocalJSX.RuxIconFlight & JSXBase.HTMLAttributes<HTMLRuxIconFlightElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-flight-land": LocalJSX.RuxIconFlightLand & JSXBase.HTMLAttributes<HTMLRuxIconFlightLandElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-flight-takeoff": LocalJSX.RuxIconFlightTakeoff & JSXBase.HTMLAttributes<HTMLRuxIconFlightTakeoffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-flip": LocalJSX.RuxIconFlip & JSXBase.HTMLAttributes<HTMLRuxIconFlipElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-flip-to-back": LocalJSX.RuxIconFlipToBack & JSXBase.HTMLAttributes<HTMLRuxIconFlipToBackElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-flip-to-front": LocalJSX.RuxIconFlipToFront & JSXBase.HTMLAttributes<HTMLRuxIconFlipToFrontElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-folder": LocalJSX.RuxIconFolder & JSXBase.HTMLAttributes<HTMLRuxIconFolderElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-folder-open": LocalJSX.RuxIconFolderOpen & JSXBase.HTMLAttributes<HTMLRuxIconFolderOpenElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-folder-shared": LocalJSX.RuxIconFolderShared & JSXBase.HTMLAttributes<HTMLRuxIconFolderSharedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-folder-special": LocalJSX.RuxIconFolderSpecial & JSXBase.HTMLAttributes<HTMLRuxIconFolderSpecialElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-font-download": LocalJSX.RuxIconFontDownload & JSXBase.HTMLAttributes<HTMLRuxIconFontDownloadElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-format-align-center": LocalJSX.RuxIconFormatAlignCenter & JSXBase.HTMLAttributes<HTMLRuxIconFormatAlignCenterElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-format-align-justify": LocalJSX.RuxIconFormatAlignJustify & JSXBase.HTMLAttributes<HTMLRuxIconFormatAlignJustifyElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-format-align-left": LocalJSX.RuxIconFormatAlignLeft & JSXBase.HTMLAttributes<HTMLRuxIconFormatAlignLeftElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-format-align-right": LocalJSX.RuxIconFormatAlignRight & JSXBase.HTMLAttributes<HTMLRuxIconFormatAlignRightElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-format-bold": LocalJSX.RuxIconFormatBold & JSXBase.HTMLAttributes<HTMLRuxIconFormatBoldElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-format-clear": LocalJSX.RuxIconFormatClear & JSXBase.HTMLAttributes<HTMLRuxIconFormatClearElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-format-color-fill": LocalJSX.RuxIconFormatColorFill & JSXBase.HTMLAttributes<HTMLRuxIconFormatColorFillElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-format-color-reset": LocalJSX.RuxIconFormatColorReset & JSXBase.HTMLAttributes<HTMLRuxIconFormatColorResetElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-format-color-text": LocalJSX.RuxIconFormatColorText & JSXBase.HTMLAttributes<HTMLRuxIconFormatColorTextElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-format-indent-decrease": LocalJSX.RuxIconFormatIndentDecrease & JSXBase.HTMLAttributes<HTMLRuxIconFormatIndentDecreaseElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-format-indent-increase": LocalJSX.RuxIconFormatIndentIncrease & JSXBase.HTMLAttributes<HTMLRuxIconFormatIndentIncreaseElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-format-italic": LocalJSX.RuxIconFormatItalic & JSXBase.HTMLAttributes<HTMLRuxIconFormatItalicElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-format-line-spacing": LocalJSX.RuxIconFormatLineSpacing & JSXBase.HTMLAttributes<HTMLRuxIconFormatLineSpacingElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-format-list-bulleted": LocalJSX.RuxIconFormatListBulleted & JSXBase.HTMLAttributes<HTMLRuxIconFormatListBulletedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-format-list-numbered": LocalJSX.RuxIconFormatListNumbered & JSXBase.HTMLAttributes<HTMLRuxIconFormatListNumberedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-format-list-numbered-rtl": LocalJSX.RuxIconFormatListNumberedRtl & JSXBase.HTMLAttributes<HTMLRuxIconFormatListNumberedRtlElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-format-paint": LocalJSX.RuxIconFormatPaint & JSXBase.HTMLAttributes<HTMLRuxIconFormatPaintElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-format-quote": LocalJSX.RuxIconFormatQuote & JSXBase.HTMLAttributes<HTMLRuxIconFormatQuoteElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-format-shapes": LocalJSX.RuxIconFormatShapes & JSXBase.HTMLAttributes<HTMLRuxIconFormatShapesElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-format-size": LocalJSX.RuxIconFormatSize & JSXBase.HTMLAttributes<HTMLRuxIconFormatSizeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-format-strikethrough": LocalJSX.RuxIconFormatStrikethrough & JSXBase.HTMLAttributes<HTMLRuxIconFormatStrikethroughElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-format-textdirection-l-to-r": LocalJSX.RuxIconFormatTextdirectionLToR & JSXBase.HTMLAttributes<HTMLRuxIconFormatTextdirectionLToRElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-format-textdirection-r-to-l": LocalJSX.RuxIconFormatTextdirectionRToL & JSXBase.HTMLAttributes<HTMLRuxIconFormatTextdirectionRToLElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-format-underlined": LocalJSX.RuxIconFormatUnderlined & JSXBase.HTMLAttributes<HTMLRuxIconFormatUnderlinedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-forum": LocalJSX.RuxIconForum & JSXBase.HTMLAttributes<HTMLRuxIconForumElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-forward": LocalJSX.RuxIconForward & JSXBase.HTMLAttributes<HTMLRuxIconForwardElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-forward-10": LocalJSX.RuxIconForward10 & JSXBase.HTMLAttributes<HTMLRuxIconForward10Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-forward-30": LocalJSX.RuxIconForward30 & JSXBase.HTMLAttributes<HTMLRuxIconForward30Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-forward-5": LocalJSX.RuxIconForward5 & JSXBase.HTMLAttributes<HTMLRuxIconForward5Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-free-breakfast": LocalJSX.RuxIconFreeBreakfast & JSXBase.HTMLAttributes<HTMLRuxIconFreeBreakfastElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-fullscreen": LocalJSX.RuxIconFullscreen & JSXBase.HTMLAttributes<HTMLRuxIconFullscreenElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-fullscreen-exit": LocalJSX.RuxIconFullscreenExit & JSXBase.HTMLAttributes<HTMLRuxIconFullscreenExitElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-functions": LocalJSX.RuxIconFunctions & JSXBase.HTMLAttributes<HTMLRuxIconFunctionsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-g-translate": LocalJSX.RuxIconGTranslate & JSXBase.HTMLAttributes<HTMLRuxIconGTranslateElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-gamepad": LocalJSX.RuxIconGamepad & JSXBase.HTMLAttributes<HTMLRuxIconGamepadElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-games": LocalJSX.RuxIconGames & JSXBase.HTMLAttributes<HTMLRuxIconGamesElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-gavel": LocalJSX.RuxIconGavel & JSXBase.HTMLAttributes<HTMLRuxIconGavelElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-gesture": LocalJSX.RuxIconGesture & JSXBase.HTMLAttributes<HTMLRuxIconGestureElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-get-app": LocalJSX.RuxIconGetApp & JSXBase.HTMLAttributes<HTMLRuxIconGetAppElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-gif": LocalJSX.RuxIconGif & JSXBase.HTMLAttributes<HTMLRuxIconGifElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-golf-course": LocalJSX.RuxIconGolfCourse & JSXBase.HTMLAttributes<HTMLRuxIconGolfCourseElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-gps-fixed": LocalJSX.RuxIconGpsFixed & JSXBase.HTMLAttributes<HTMLRuxIconGpsFixedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-gps-not-fixed": LocalJSX.RuxIconGpsNotFixed & JSXBase.HTMLAttributes<HTMLRuxIconGpsNotFixedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-gps-off": LocalJSX.RuxIconGpsOff & JSXBase.HTMLAttributes<HTMLRuxIconGpsOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-grade": LocalJSX.RuxIconGrade & JSXBase.HTMLAttributes<HTMLRuxIconGradeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-gradient": LocalJSX.RuxIconGradient & JSXBase.HTMLAttributes<HTMLRuxIconGradientElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-grain": LocalJSX.RuxIconGrain & JSXBase.HTMLAttributes<HTMLRuxIconGrainElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-graphic-eq": LocalJSX.RuxIconGraphicEq & JSXBase.HTMLAttributes<HTMLRuxIconGraphicEqElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-grid-off": LocalJSX.RuxIconGridOff & JSXBase.HTMLAttributes<HTMLRuxIconGridOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-grid-on": LocalJSX.RuxIconGridOn & JSXBase.HTMLAttributes<HTMLRuxIconGridOnElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-group": LocalJSX.RuxIconGroup & JSXBase.HTMLAttributes<HTMLRuxIconGroupElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-group-add": LocalJSX.RuxIconGroupAdd & JSXBase.HTMLAttributes<HTMLRuxIconGroupAddElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-group-work": LocalJSX.RuxIconGroupWork & JSXBase.HTMLAttributes<HTMLRuxIconGroupWorkElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-hardware": LocalJSX.RuxIconHardware & JSXBase.HTMLAttributes<HTMLRuxIconHardwareElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-hd": LocalJSX.RuxIconHd & JSXBase.HTMLAttributes<HTMLRuxIconHdElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-hdr-off": LocalJSX.RuxIconHdrOff & JSXBase.HTMLAttributes<HTMLRuxIconHdrOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-hdr-on": LocalJSX.RuxIconHdrOn & JSXBase.HTMLAttributes<HTMLRuxIconHdrOnElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-hdr-strong": LocalJSX.RuxIconHdrStrong & JSXBase.HTMLAttributes<HTMLRuxIconHdrStrongElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-hdr-weak": LocalJSX.RuxIconHdrWeak & JSXBase.HTMLAttributes<HTMLRuxIconHdrWeakElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-headset": LocalJSX.RuxIconHeadset & JSXBase.HTMLAttributes<HTMLRuxIconHeadsetElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-headset-mic": LocalJSX.RuxIconHeadsetMic & JSXBase.HTMLAttributes<HTMLRuxIconHeadsetMicElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-healing": LocalJSX.RuxIconHealing & JSXBase.HTMLAttributes<HTMLRuxIconHealingElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-hearing": LocalJSX.RuxIconHearing & JSXBase.HTMLAttributes<HTMLRuxIconHearingElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-help": LocalJSX.RuxIconHelp & JSXBase.HTMLAttributes<HTMLRuxIconHelpElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-help-outline": LocalJSX.RuxIconHelpOutline & JSXBase.HTMLAttributes<HTMLRuxIconHelpOutlineElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-high-quality": LocalJSX.RuxIconHighQuality & JSXBase.HTMLAttributes<HTMLRuxIconHighQualityElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-highlight": LocalJSX.RuxIconHighlight & JSXBase.HTMLAttributes<HTMLRuxIconHighlightElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-highlight-off": LocalJSX.RuxIconHighlightOff & JSXBase.HTMLAttributes<HTMLRuxIconHighlightOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-history": LocalJSX.RuxIconHistory & JSXBase.HTMLAttributes<HTMLRuxIconHistoryElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-home": LocalJSX.RuxIconHome & JSXBase.HTMLAttributes<HTMLRuxIconHomeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-horizontal-split": LocalJSX.RuxIconHorizontalSplit & JSXBase.HTMLAttributes<HTMLRuxIconHorizontalSplitElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-hot-tub": LocalJSX.RuxIconHotTub & JSXBase.HTMLAttributes<HTMLRuxIconHotTubElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-hotel": LocalJSX.RuxIconHotel & JSXBase.HTMLAttributes<HTMLRuxIconHotelElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-hourglass-empty": LocalJSX.RuxIconHourglassEmpty & JSXBase.HTMLAttributes<HTMLRuxIconHourglassEmptyElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-hourglass-full": LocalJSX.RuxIconHourglassFull & JSXBase.HTMLAttributes<HTMLRuxIconHourglassFullElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-how-to-reg": LocalJSX.RuxIconHowToReg & JSXBase.HTMLAttributes<HTMLRuxIconHowToRegElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-how-to-vote": LocalJSX.RuxIconHowToVote & JSXBase.HTMLAttributes<HTMLRuxIconHowToVoteElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-http": LocalJSX.RuxIconHttp & JSXBase.HTMLAttributes<HTMLRuxIconHttpElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-https": LocalJSX.RuxIconHttps & JSXBase.HTMLAttributes<HTMLRuxIconHttpsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-image": LocalJSX.RuxIconImage & JSXBase.HTMLAttributes<HTMLRuxIconImageElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-image-aspect-ratio": LocalJSX.RuxIconImageAspectRatio & JSXBase.HTMLAttributes<HTMLRuxIconImageAspectRatioElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-image-search": LocalJSX.RuxIconImageSearch & JSXBase.HTMLAttributes<HTMLRuxIconImageSearchElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-import-contacts": LocalJSX.RuxIconImportContacts & JSXBase.HTMLAttributes<HTMLRuxIconImportContactsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-import-export": LocalJSX.RuxIconImportExport & JSXBase.HTMLAttributes<HTMLRuxIconImportExportElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-important-devices": LocalJSX.RuxIconImportantDevices & JSXBase.HTMLAttributes<HTMLRuxIconImportantDevicesElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-inbox": LocalJSX.RuxIconInbox & JSXBase.HTMLAttributes<HTMLRuxIconInboxElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-indeterminate-check-box": LocalJSX.RuxIconIndeterminateCheckBox & JSXBase.HTMLAttributes<HTMLRuxIconIndeterminateCheckBoxElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-info": LocalJSX.RuxIconInfo & JSXBase.HTMLAttributes<HTMLRuxIconInfoElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-input": LocalJSX.RuxIconInput & JSXBase.HTMLAttributes<HTMLRuxIconInputElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-insert-chart": LocalJSX.RuxIconInsertChart & JSXBase.HTMLAttributes<HTMLRuxIconInsertChartElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-insert-chart-outlined": LocalJSX.RuxIconInsertChartOutlined & JSXBase.HTMLAttributes<HTMLRuxIconInsertChartOutlinedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-insert-comment": LocalJSX.RuxIconInsertComment & JSXBase.HTMLAttributes<HTMLRuxIconInsertCommentElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-insert-drive-file": LocalJSX.RuxIconInsertDriveFile & JSXBase.HTMLAttributes<HTMLRuxIconInsertDriveFileElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-insert-emoticon": LocalJSX.RuxIconInsertEmoticon & JSXBase.HTMLAttributes<HTMLRuxIconInsertEmoticonElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-insert-invitation": LocalJSX.RuxIconInsertInvitation & JSXBase.HTMLAttributes<HTMLRuxIconInsertInvitationElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-insert-link": LocalJSX.RuxIconInsertLink & JSXBase.HTMLAttributes<HTMLRuxIconInsertLinkElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-insert-photo": LocalJSX.RuxIconInsertPhoto & JSXBase.HTMLAttributes<HTMLRuxIconInsertPhotoElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-invert-colors": LocalJSX.RuxIconInvertColors & JSXBase.HTMLAttributes<HTMLRuxIconInvertColorsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-invert-colors-off": LocalJSX.RuxIconInvertColorsOff & JSXBase.HTMLAttributes<HTMLRuxIconInvertColorsOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-iso": LocalJSX.RuxIconIso & JSXBase.HTMLAttributes<HTMLRuxIconIsoElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-keyboard": LocalJSX.RuxIconKeyboard & JSXBase.HTMLAttributes<HTMLRuxIconKeyboardElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-keyboard-arrow-down": LocalJSX.RuxIconKeyboardArrowDown & JSXBase.HTMLAttributes<HTMLRuxIconKeyboardArrowDownElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-keyboard-arrow-left": LocalJSX.RuxIconKeyboardArrowLeft & JSXBase.HTMLAttributes<HTMLRuxIconKeyboardArrowLeftElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-keyboard-arrow-right": LocalJSX.RuxIconKeyboardArrowRight & JSXBase.HTMLAttributes<HTMLRuxIconKeyboardArrowRightElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-keyboard-arrow-up": LocalJSX.RuxIconKeyboardArrowUp & JSXBase.HTMLAttributes<HTMLRuxIconKeyboardArrowUpElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-keyboard-backspace": LocalJSX.RuxIconKeyboardBackspace & JSXBase.HTMLAttributes<HTMLRuxIconKeyboardBackspaceElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-keyboard-capslock": LocalJSX.RuxIconKeyboardCapslock & JSXBase.HTMLAttributes<HTMLRuxIconKeyboardCapslockElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-keyboard-hide": LocalJSX.RuxIconKeyboardHide & JSXBase.HTMLAttributes<HTMLRuxIconKeyboardHideElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-keyboard-return": LocalJSX.RuxIconKeyboardReturn & JSXBase.HTMLAttributes<HTMLRuxIconKeyboardReturnElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-keyboard-tab": LocalJSX.RuxIconKeyboardTab & JSXBase.HTMLAttributes<HTMLRuxIconKeyboardTabElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-keyboard-voice": LocalJSX.RuxIconKeyboardVoice & JSXBase.HTMLAttributes<HTMLRuxIconKeyboardVoiceElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-kitchen": LocalJSX.RuxIconKitchen & JSXBase.HTMLAttributes<HTMLRuxIconKitchenElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-label": LocalJSX.RuxIconLabel & JSXBase.HTMLAttributes<HTMLRuxIconLabelElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-label-important": LocalJSX.RuxIconLabelImportant & JSXBase.HTMLAttributes<HTMLRuxIconLabelImportantElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-label-off": LocalJSX.RuxIconLabelOff & JSXBase.HTMLAttributes<HTMLRuxIconLabelOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-landscape": LocalJSX.RuxIconLandscape & JSXBase.HTMLAttributes<HTMLRuxIconLandscapeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-language": LocalJSX.RuxIconLanguage & JSXBase.HTMLAttributes<HTMLRuxIconLanguageElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-laptop": LocalJSX.RuxIconLaptop & JSXBase.HTMLAttributes<HTMLRuxIconLaptopElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-laptop-chromebook": LocalJSX.RuxIconLaptopChromebook & JSXBase.HTMLAttributes<HTMLRuxIconLaptopChromebookElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-laptop-mac": LocalJSX.RuxIconLaptopMac & JSXBase.HTMLAttributes<HTMLRuxIconLaptopMacElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-laptop-windows": LocalJSX.RuxIconLaptopWindows & JSXBase.HTMLAttributes<HTMLRuxIconLaptopWindowsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-last-page": LocalJSX.RuxIconLastPage & JSXBase.HTMLAttributes<HTMLRuxIconLastPageElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-launch": LocalJSX.RuxIconLaunch & JSXBase.HTMLAttributes<HTMLRuxIconLaunchElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-layers": LocalJSX.RuxIconLayers & JSXBase.HTMLAttributes<HTMLRuxIconLayersElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-layers-clear": LocalJSX.RuxIconLayersClear & JSXBase.HTMLAttributes<HTMLRuxIconLayersClearElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-leak-add": LocalJSX.RuxIconLeakAdd & JSXBase.HTMLAttributes<HTMLRuxIconLeakAddElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-leak-remove": LocalJSX.RuxIconLeakRemove & JSXBase.HTMLAttributes<HTMLRuxIconLeakRemoveElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-lens": LocalJSX.RuxIconLens & JSXBase.HTMLAttributes<HTMLRuxIconLensElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-library-add": LocalJSX.RuxIconLibraryAdd & JSXBase.HTMLAttributes<HTMLRuxIconLibraryAddElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-library-books": LocalJSX.RuxIconLibraryBooks & JSXBase.HTMLAttributes<HTMLRuxIconLibraryBooksElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-library-music": LocalJSX.RuxIconLibraryMusic & JSXBase.HTMLAttributes<HTMLRuxIconLibraryMusicElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-line-style": LocalJSX.RuxIconLineStyle & JSXBase.HTMLAttributes<HTMLRuxIconLineStyleElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-line-weight": LocalJSX.RuxIconLineWeight & JSXBase.HTMLAttributes<HTMLRuxIconLineWeightElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-linear-scale": LocalJSX.RuxIconLinearScale & JSXBase.HTMLAttributes<HTMLRuxIconLinearScaleElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-link": LocalJSX.RuxIconLink & JSXBase.HTMLAttributes<HTMLRuxIconLinkElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-link-off": LocalJSX.RuxIconLinkOff & JSXBase.HTMLAttributes<HTMLRuxIconLinkOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-linked-camera": LocalJSX.RuxIconLinkedCamera & JSXBase.HTMLAttributes<HTMLRuxIconLinkedCameraElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-list": LocalJSX.RuxIconList & JSXBase.HTMLAttributes<HTMLRuxIconListElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-list-alt": LocalJSX.RuxIconListAlt & JSXBase.HTMLAttributes<HTMLRuxIconListAltElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-live-help": LocalJSX.RuxIconLiveHelp & JSXBase.HTMLAttributes<HTMLRuxIconLiveHelpElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-live-tv": LocalJSX.RuxIconLiveTv & JSXBase.HTMLAttributes<HTMLRuxIconLiveTvElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-activity": LocalJSX.RuxIconLocalActivity & JSXBase.HTMLAttributes<HTMLRuxIconLocalActivityElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-airport": LocalJSX.RuxIconLocalAirport & JSXBase.HTMLAttributes<HTMLRuxIconLocalAirportElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-atm": LocalJSX.RuxIconLocalAtm & JSXBase.HTMLAttributes<HTMLRuxIconLocalAtmElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-bar": LocalJSX.RuxIconLocalBar & JSXBase.HTMLAttributes<HTMLRuxIconLocalBarElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-cafe": LocalJSX.RuxIconLocalCafe & JSXBase.HTMLAttributes<HTMLRuxIconLocalCafeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-car-wash": LocalJSX.RuxIconLocalCarWash & JSXBase.HTMLAttributes<HTMLRuxIconLocalCarWashElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-convenience-store": LocalJSX.RuxIconLocalConvenienceStore & JSXBase.HTMLAttributes<HTMLRuxIconLocalConvenienceStoreElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-dining": LocalJSX.RuxIconLocalDining & JSXBase.HTMLAttributes<HTMLRuxIconLocalDiningElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-drink": LocalJSX.RuxIconLocalDrink & JSXBase.HTMLAttributes<HTMLRuxIconLocalDrinkElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-gas-station": LocalJSX.RuxIconLocalGasStation & JSXBase.HTMLAttributes<HTMLRuxIconLocalGasStationElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-grocery-store": LocalJSX.RuxIconLocalGroceryStore & JSXBase.HTMLAttributes<HTMLRuxIconLocalGroceryStoreElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-hospital": LocalJSX.RuxIconLocalHospital & JSXBase.HTMLAttributes<HTMLRuxIconLocalHospitalElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-hotel": LocalJSX.RuxIconLocalHotel & JSXBase.HTMLAttributes<HTMLRuxIconLocalHotelElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-laundry-service": LocalJSX.RuxIconLocalLaundryService & JSXBase.HTMLAttributes<HTMLRuxIconLocalLaundryServiceElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-library": LocalJSX.RuxIconLocalLibrary & JSXBase.HTMLAttributes<HTMLRuxIconLocalLibraryElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-mall": LocalJSX.RuxIconLocalMall & JSXBase.HTMLAttributes<HTMLRuxIconLocalMallElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-movies": LocalJSX.RuxIconLocalMovies & JSXBase.HTMLAttributes<HTMLRuxIconLocalMoviesElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-offer": LocalJSX.RuxIconLocalOffer & JSXBase.HTMLAttributes<HTMLRuxIconLocalOfferElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-parking": LocalJSX.RuxIconLocalParking & JSXBase.HTMLAttributes<HTMLRuxIconLocalParkingElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-pharmacy": LocalJSX.RuxIconLocalPharmacy & JSXBase.HTMLAttributes<HTMLRuxIconLocalPharmacyElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-phone": LocalJSX.RuxIconLocalPhone & JSXBase.HTMLAttributes<HTMLRuxIconLocalPhoneElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-play": LocalJSX.RuxIconLocalPlay & JSXBase.HTMLAttributes<HTMLRuxIconLocalPlayElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-post-office": LocalJSX.RuxIconLocalPostOffice & JSXBase.HTMLAttributes<HTMLRuxIconLocalPostOfficeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-printshop": LocalJSX.RuxIconLocalPrintshop & JSXBase.HTMLAttributes<HTMLRuxIconLocalPrintshopElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-see": LocalJSX.RuxIconLocalSee & JSXBase.HTMLAttributes<HTMLRuxIconLocalSeeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-shipping": LocalJSX.RuxIconLocalShipping & JSXBase.HTMLAttributes<HTMLRuxIconLocalShippingElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-local-taxi": LocalJSX.RuxIconLocalTaxi & JSXBase.HTMLAttributes<HTMLRuxIconLocalTaxiElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-location-city": LocalJSX.RuxIconLocationCity & JSXBase.HTMLAttributes<HTMLRuxIconLocationCityElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-location-disabled": LocalJSX.RuxIconLocationDisabled & JSXBase.HTMLAttributes<HTMLRuxIconLocationDisabledElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-location-off": LocalJSX.RuxIconLocationOff & JSXBase.HTMLAttributes<HTMLRuxIconLocationOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-location-on": LocalJSX.RuxIconLocationOn & JSXBase.HTMLAttributes<HTMLRuxIconLocationOnElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-location-searching": LocalJSX.RuxIconLocationSearching & JSXBase.HTMLAttributes<HTMLRuxIconLocationSearchingElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-lock": LocalJSX.RuxIconLock & JSXBase.HTMLAttributes<HTMLRuxIconLockElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-lock-open": LocalJSX.RuxIconLockOpen & JSXBase.HTMLAttributes<HTMLRuxIconLockOpenElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-looks": LocalJSX.RuxIconLooks & JSXBase.HTMLAttributes<HTMLRuxIconLooksElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-looks-1": LocalJSX.RuxIconLooks1 & JSXBase.HTMLAttributes<HTMLRuxIconLooks1Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-looks-2": LocalJSX.RuxIconLooks2 & JSXBase.HTMLAttributes<HTMLRuxIconLooks2Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-looks-3": LocalJSX.RuxIconLooks3 & JSXBase.HTMLAttributes<HTMLRuxIconLooks3Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-looks-4": LocalJSX.RuxIconLooks4 & JSXBase.HTMLAttributes<HTMLRuxIconLooks4Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-looks-5": LocalJSX.RuxIconLooks5 & JSXBase.HTMLAttributes<HTMLRuxIconLooks5Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-looks-6": LocalJSX.RuxIconLooks6 & JSXBase.HTMLAttributes<HTMLRuxIconLooks6Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-loop": LocalJSX.RuxIconLoop & JSXBase.HTMLAttributes<HTMLRuxIconLoopElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-loupe": LocalJSX.RuxIconLoupe & JSXBase.HTMLAttributes<HTMLRuxIconLoupeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-low-priority": LocalJSX.RuxIconLowPriority & JSXBase.HTMLAttributes<HTMLRuxIconLowPriorityElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-loyalty": LocalJSX.RuxIconLoyalty & JSXBase.HTMLAttributes<HTMLRuxIconLoyaltyElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-mail": LocalJSX.RuxIconMail & JSXBase.HTMLAttributes<HTMLRuxIconMailElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-mail-outline": LocalJSX.RuxIconMailOutline & JSXBase.HTMLAttributes<HTMLRuxIconMailOutlineElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-map": LocalJSX.RuxIconMap & JSXBase.HTMLAttributes<HTMLRuxIconMapElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-markunread": LocalJSX.RuxIconMarkunread & JSXBase.HTMLAttributes<HTMLRuxIconMarkunreadElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-markunread-mailbox": LocalJSX.RuxIconMarkunreadMailbox & JSXBase.HTMLAttributes<HTMLRuxIconMarkunreadMailboxElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-maximize": LocalJSX.RuxIconMaximize & JSXBase.HTMLAttributes<HTMLRuxIconMaximizeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-meeting-room": LocalJSX.RuxIconMeetingRoom & JSXBase.HTMLAttributes<HTMLRuxIconMeetingRoomElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-memory": LocalJSX.RuxIconMemory & JSXBase.HTMLAttributes<HTMLRuxIconMemoryElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-menu": LocalJSX.RuxIconMenu & JSXBase.HTMLAttributes<HTMLRuxIconMenuElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-merge-type": LocalJSX.RuxIconMergeType & JSXBase.HTMLAttributes<HTMLRuxIconMergeTypeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-message": LocalJSX.RuxIconMessage & JSXBase.HTMLAttributes<HTMLRuxIconMessageElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-mic": LocalJSX.RuxIconMic & JSXBase.HTMLAttributes<HTMLRuxIconMicElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-mic-none": LocalJSX.RuxIconMicNone & JSXBase.HTMLAttributes<HTMLRuxIconMicNoneElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-mic-off": LocalJSX.RuxIconMicOff & JSXBase.HTMLAttributes<HTMLRuxIconMicOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-minimize": LocalJSX.RuxIconMinimize & JSXBase.HTMLAttributes<HTMLRuxIconMinimizeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-missed-video-call": LocalJSX.RuxIconMissedVideoCall & JSXBase.HTMLAttributes<HTMLRuxIconMissedVideoCallElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-mission": LocalJSX.RuxIconMission & JSXBase.HTMLAttributes<HTMLRuxIconMissionElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-mms": LocalJSX.RuxIconMms & JSXBase.HTMLAttributes<HTMLRuxIconMmsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-mobile-friendly": LocalJSX.RuxIconMobileFriendly & JSXBase.HTMLAttributes<HTMLRuxIconMobileFriendlyElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-mobile-off": LocalJSX.RuxIconMobileOff & JSXBase.HTMLAttributes<HTMLRuxIconMobileOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-mobile-screen-share": LocalJSX.RuxIconMobileScreenShare & JSXBase.HTMLAttributes<HTMLRuxIconMobileScreenShareElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-mode-comment": LocalJSX.RuxIconModeComment & JSXBase.HTMLAttributes<HTMLRuxIconModeCommentElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-monetization-on": LocalJSX.RuxIconMonetizationOn & JSXBase.HTMLAttributes<HTMLRuxIconMonetizationOnElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-money": LocalJSX.RuxIconMoney & JSXBase.HTMLAttributes<HTMLRuxIconMoneyElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-money-off": LocalJSX.RuxIconMoneyOff & JSXBase.HTMLAttributes<HTMLRuxIconMoneyOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-monochrome-photos": LocalJSX.RuxIconMonochromePhotos & JSXBase.HTMLAttributes<HTMLRuxIconMonochromePhotosElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-mood": LocalJSX.RuxIconMood & JSXBase.HTMLAttributes<HTMLRuxIconMoodElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-mood-bad": LocalJSX.RuxIconMoodBad & JSXBase.HTMLAttributes<HTMLRuxIconMoodBadElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-more": LocalJSX.RuxIconMore & JSXBase.HTMLAttributes<HTMLRuxIconMoreElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-more-horiz": LocalJSX.RuxIconMoreHoriz & JSXBase.HTMLAttributes<HTMLRuxIconMoreHorizElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-more-vert": LocalJSX.RuxIconMoreVert & JSXBase.HTMLAttributes<HTMLRuxIconMoreVertElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-motorcycle": LocalJSX.RuxIconMotorcycle & JSXBase.HTMLAttributes<HTMLRuxIconMotorcycleElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-mouse": LocalJSX.RuxIconMouse & JSXBase.HTMLAttributes<HTMLRuxIconMouseElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-move-to-inbox": LocalJSX.RuxIconMoveToInbox & JSXBase.HTMLAttributes<HTMLRuxIconMoveToInboxElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-movie": LocalJSX.RuxIconMovie & JSXBase.HTMLAttributes<HTMLRuxIconMovieElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-movie-creation": LocalJSX.RuxIconMovieCreation & JSXBase.HTMLAttributes<HTMLRuxIconMovieCreationElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-movie-filter": LocalJSX.RuxIconMovieFilter & JSXBase.HTMLAttributes<HTMLRuxIconMovieFilterElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-multiline-chart": LocalJSX.RuxIconMultilineChart & JSXBase.HTMLAttributes<HTMLRuxIconMultilineChartElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-music-note": LocalJSX.RuxIconMusicNote & JSXBase.HTMLAttributes<HTMLRuxIconMusicNoteElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-music-off": LocalJSX.RuxIconMusicOff & JSXBase.HTMLAttributes<HTMLRuxIconMusicOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-music-video": LocalJSX.RuxIconMusicVideo & JSXBase.HTMLAttributes<HTMLRuxIconMusicVideoElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-my-location": LocalJSX.RuxIconMyLocation & JSXBase.HTMLAttributes<HTMLRuxIconMyLocationElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-nature": LocalJSX.RuxIconNature & JSXBase.HTMLAttributes<HTMLRuxIconNatureElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-nature-people": LocalJSX.RuxIconNaturePeople & JSXBase.HTMLAttributes<HTMLRuxIconNaturePeopleElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-navigate-before": LocalJSX.RuxIconNavigateBefore & JSXBase.HTMLAttributes<HTMLRuxIconNavigateBeforeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-navigate-next": LocalJSX.RuxIconNavigateNext & JSXBase.HTMLAttributes<HTMLRuxIconNavigateNextElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-navigation": LocalJSX.RuxIconNavigation & JSXBase.HTMLAttributes<HTMLRuxIconNavigationElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-near-me": LocalJSX.RuxIconNearMe & JSXBase.HTMLAttributes<HTMLRuxIconNearMeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-netcom": LocalJSX.RuxIconNetcom & JSXBase.HTMLAttributes<HTMLRuxIconNetcomElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-network-cell": LocalJSX.RuxIconNetworkCell & JSXBase.HTMLAttributes<HTMLRuxIconNetworkCellElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-network-check": LocalJSX.RuxIconNetworkCheck & JSXBase.HTMLAttributes<HTMLRuxIconNetworkCheckElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-network-locked": LocalJSX.RuxIconNetworkLocked & JSXBase.HTMLAttributes<HTMLRuxIconNetworkLockedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-network-wifi": LocalJSX.RuxIconNetworkWifi & JSXBase.HTMLAttributes<HTMLRuxIconNetworkWifiElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-new-releases": LocalJSX.RuxIconNewReleases & JSXBase.HTMLAttributes<HTMLRuxIconNewReleasesElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-next-week": LocalJSX.RuxIconNextWeek & JSXBase.HTMLAttributes<HTMLRuxIconNextWeekElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-nfc": LocalJSX.RuxIconNfc & JSXBase.HTMLAttributes<HTMLRuxIconNfcElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-no-encryption": LocalJSX.RuxIconNoEncryption & JSXBase.HTMLAttributes<HTMLRuxIconNoEncryptionElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-no-meeting-room": LocalJSX.RuxIconNoMeetingRoom & JSXBase.HTMLAttributes<HTMLRuxIconNoMeetingRoomElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-no-sim": LocalJSX.RuxIconNoSim & JSXBase.HTMLAttributes<HTMLRuxIconNoSimElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-not-interested": LocalJSX.RuxIconNotInterested & JSXBase.HTMLAttributes<HTMLRuxIconNotInterestedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-not-listed-location": LocalJSX.RuxIconNotListedLocation & JSXBase.HTMLAttributes<HTMLRuxIconNotListedLocationElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-note": LocalJSX.RuxIconNote & JSXBase.HTMLAttributes<HTMLRuxIconNoteElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-note-add": LocalJSX.RuxIconNoteAdd & JSXBase.HTMLAttributes<HTMLRuxIconNoteAddElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-notes": LocalJSX.RuxIconNotes & JSXBase.HTMLAttributes<HTMLRuxIconNotesElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-notification-important": LocalJSX.RuxIconNotificationImportant & JSXBase.HTMLAttributes<HTMLRuxIconNotificationImportantElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-notifications": LocalJSX.RuxIconNotifications & JSXBase.HTMLAttributes<HTMLRuxIconNotificationsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-notifications-active": LocalJSX.RuxIconNotificationsActive & JSXBase.HTMLAttributes<HTMLRuxIconNotificationsActiveElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-notifications-none": LocalJSX.RuxIconNotificationsNone & JSXBase.HTMLAttributes<HTMLRuxIconNotificationsNoneElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-notifications-off": LocalJSX.RuxIconNotificationsOff & JSXBase.HTMLAttributes<HTMLRuxIconNotificationsOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-notifications-paused": LocalJSX.RuxIconNotificationsPaused & JSXBase.HTMLAttributes<HTMLRuxIconNotificationsPausedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-offline-bolt": LocalJSX.RuxIconOfflineBolt & JSXBase.HTMLAttributes<HTMLRuxIconOfflineBoltElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-offline-pin": LocalJSX.RuxIconOfflinePin & JSXBase.HTMLAttributes<HTMLRuxIconOfflinePinElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-ondemand-video": LocalJSX.RuxIconOndemandVideo & JSXBase.HTMLAttributes<HTMLRuxIconOndemandVideoElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-opacity": LocalJSX.RuxIconOpacity & JSXBase.HTMLAttributes<HTMLRuxIconOpacityElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-open-in-browser": LocalJSX.RuxIconOpenInBrowser & JSXBase.HTMLAttributes<HTMLRuxIconOpenInBrowserElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-open-in-new": LocalJSX.RuxIconOpenInNew & JSXBase.HTMLAttributes<HTMLRuxIconOpenInNewElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-open-with": LocalJSX.RuxIconOpenWith & JSXBase.HTMLAttributes<HTMLRuxIconOpenWithElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-outlined-flag": LocalJSX.RuxIconOutlinedFlag & JSXBase.HTMLAttributes<HTMLRuxIconOutlinedFlagElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-pages": LocalJSX.RuxIconPages & JSXBase.HTMLAttributes<HTMLRuxIconPagesElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-pageview": LocalJSX.RuxIconPageview & JSXBase.HTMLAttributes<HTMLRuxIconPageviewElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-palette": LocalJSX.RuxIconPalette & JSXBase.HTMLAttributes<HTMLRuxIconPaletteElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-pan-tool": LocalJSX.RuxIconPanTool & JSXBase.HTMLAttributes<HTMLRuxIconPanToolElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-panorama": LocalJSX.RuxIconPanorama & JSXBase.HTMLAttributes<HTMLRuxIconPanoramaElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-panorama-fish-eye": LocalJSX.RuxIconPanoramaFishEye & JSXBase.HTMLAttributes<HTMLRuxIconPanoramaFishEyeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-panorama-horizontal": LocalJSX.RuxIconPanoramaHorizontal & JSXBase.HTMLAttributes<HTMLRuxIconPanoramaHorizontalElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-panorama-vertical": LocalJSX.RuxIconPanoramaVertical & JSXBase.HTMLAttributes<HTMLRuxIconPanoramaVerticalElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-panorama-wide-angle": LocalJSX.RuxIconPanoramaWideAngle & JSXBase.HTMLAttributes<HTMLRuxIconPanoramaWideAngleElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-party-mode": LocalJSX.RuxIconPartyMode & JSXBase.HTMLAttributes<HTMLRuxIconPartyModeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-pause": LocalJSX.RuxIconPause & JSXBase.HTMLAttributes<HTMLRuxIconPauseElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-pause-circle-filled": LocalJSX.RuxIconPauseCircleFilled & JSXBase.HTMLAttributes<HTMLRuxIconPauseCircleFilledElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-pause-circle-outline": LocalJSX.RuxIconPauseCircleOutline & JSXBase.HTMLAttributes<HTMLRuxIconPauseCircleOutlineElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-pause-presentation": LocalJSX.RuxIconPausePresentation & JSXBase.HTMLAttributes<HTMLRuxIconPausePresentationElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-payload": LocalJSX.RuxIconPayload & JSXBase.HTMLAttributes<HTMLRuxIconPayloadElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-payment": LocalJSX.RuxIconPayment & JSXBase.HTMLAttributes<HTMLRuxIconPaymentElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-people-outline": LocalJSX.RuxIconPeopleOutline & JSXBase.HTMLAttributes<HTMLRuxIconPeopleOutlineElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-perm-camera-mic": LocalJSX.RuxIconPermCameraMic & JSXBase.HTMLAttributes<HTMLRuxIconPermCameraMicElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-perm-contact-calendar": LocalJSX.RuxIconPermContactCalendar & JSXBase.HTMLAttributes<HTMLRuxIconPermContactCalendarElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-perm-data-setting": LocalJSX.RuxIconPermDataSetting & JSXBase.HTMLAttributes<HTMLRuxIconPermDataSettingElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-perm-device-information": LocalJSX.RuxIconPermDeviceInformation & JSXBase.HTMLAttributes<HTMLRuxIconPermDeviceInformationElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-perm-identity": LocalJSX.RuxIconPermIdentity & JSXBase.HTMLAttributes<HTMLRuxIconPermIdentityElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-perm-media": LocalJSX.RuxIconPermMedia & JSXBase.HTMLAttributes<HTMLRuxIconPermMediaElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-perm-phone-msg": LocalJSX.RuxIconPermPhoneMsg & JSXBase.HTMLAttributes<HTMLRuxIconPermPhoneMsgElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-perm-scan-wifi": LocalJSX.RuxIconPermScanWifi & JSXBase.HTMLAttributes<HTMLRuxIconPermScanWifiElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-person": LocalJSX.RuxIconPerson & JSXBase.HTMLAttributes<HTMLRuxIconPersonElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-person-add": LocalJSX.RuxIconPersonAdd & JSXBase.HTMLAttributes<HTMLRuxIconPersonAddElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-person-add-disabled": LocalJSX.RuxIconPersonAddDisabled & JSXBase.HTMLAttributes<HTMLRuxIconPersonAddDisabledElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-person-outline": LocalJSX.RuxIconPersonOutline & JSXBase.HTMLAttributes<HTMLRuxIconPersonOutlineElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-person-pin": LocalJSX.RuxIconPersonPin & JSXBase.HTMLAttributes<HTMLRuxIconPersonPinElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-person-pin-circle": LocalJSX.RuxIconPersonPinCircle & JSXBase.HTMLAttributes<HTMLRuxIconPersonPinCircleElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-personal-video": LocalJSX.RuxIconPersonalVideo & JSXBase.HTMLAttributes<HTMLRuxIconPersonalVideoElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-pets": LocalJSX.RuxIconPets & JSXBase.HTMLAttributes<HTMLRuxIconPetsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-phone": LocalJSX.RuxIconPhone & JSXBase.HTMLAttributes<HTMLRuxIconPhoneElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-phone-android": LocalJSX.RuxIconPhoneAndroid & JSXBase.HTMLAttributes<HTMLRuxIconPhoneAndroidElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-phone-bluetooth-speaker": LocalJSX.RuxIconPhoneBluetoothSpeaker & JSXBase.HTMLAttributes<HTMLRuxIconPhoneBluetoothSpeakerElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-phone-callback": LocalJSX.RuxIconPhoneCallback & JSXBase.HTMLAttributes<HTMLRuxIconPhoneCallbackElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-phone-forwarded": LocalJSX.RuxIconPhoneForwarded & JSXBase.HTMLAttributes<HTMLRuxIconPhoneForwardedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-phone-in-talk": LocalJSX.RuxIconPhoneInTalk & JSXBase.HTMLAttributes<HTMLRuxIconPhoneInTalkElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-phone-iphone": LocalJSX.RuxIconPhoneIphone & JSXBase.HTMLAttributes<HTMLRuxIconPhoneIphoneElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-phone-locked": LocalJSX.RuxIconPhoneLocked & JSXBase.HTMLAttributes<HTMLRuxIconPhoneLockedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-phone-missed": LocalJSX.RuxIconPhoneMissed & JSXBase.HTMLAttributes<HTMLRuxIconPhoneMissedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-phone-paused": LocalJSX.RuxIconPhonePaused & JSXBase.HTMLAttributes<HTMLRuxIconPhonePausedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-phonelink": LocalJSX.RuxIconPhonelink & JSXBase.HTMLAttributes<HTMLRuxIconPhonelinkElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-phonelink-erase": LocalJSX.RuxIconPhonelinkErase & JSXBase.HTMLAttributes<HTMLRuxIconPhonelinkEraseElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-phonelink-lock": LocalJSX.RuxIconPhonelinkLock & JSXBase.HTMLAttributes<HTMLRuxIconPhonelinkLockElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-phonelink-off": LocalJSX.RuxIconPhonelinkOff & JSXBase.HTMLAttributes<HTMLRuxIconPhonelinkOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-phonelink-ring": LocalJSX.RuxIconPhonelinkRing & JSXBase.HTMLAttributes<HTMLRuxIconPhonelinkRingElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-phonelink-setup": LocalJSX.RuxIconPhonelinkSetup & JSXBase.HTMLAttributes<HTMLRuxIconPhonelinkSetupElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-photo": LocalJSX.RuxIconPhoto & JSXBase.HTMLAttributes<HTMLRuxIconPhotoElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-photo-album": LocalJSX.RuxIconPhotoAlbum & JSXBase.HTMLAttributes<HTMLRuxIconPhotoAlbumElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-photo-camera": LocalJSX.RuxIconPhotoCamera & JSXBase.HTMLAttributes<HTMLRuxIconPhotoCameraElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-photo-filter": LocalJSX.RuxIconPhotoFilter & JSXBase.HTMLAttributes<HTMLRuxIconPhotoFilterElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-photo-library": LocalJSX.RuxIconPhotoLibrary & JSXBase.HTMLAttributes<HTMLRuxIconPhotoLibraryElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-photo-size-select-actual": LocalJSX.RuxIconPhotoSizeSelectActual & JSXBase.HTMLAttributes<HTMLRuxIconPhotoSizeSelectActualElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-photo-size-select-large": LocalJSX.RuxIconPhotoSizeSelectLarge & JSXBase.HTMLAttributes<HTMLRuxIconPhotoSizeSelectLargeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-photo-size-select-small": LocalJSX.RuxIconPhotoSizeSelectSmall & JSXBase.HTMLAttributes<HTMLRuxIconPhotoSizeSelectSmallElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-picture-as-pdf": LocalJSX.RuxIconPictureAsPdf & JSXBase.HTMLAttributes<HTMLRuxIconPictureAsPdfElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-picture-in-picture": LocalJSX.RuxIconPictureInPicture & JSXBase.HTMLAttributes<HTMLRuxIconPictureInPictureElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-picture-in-picture-alt": LocalJSX.RuxIconPictureInPictureAlt & JSXBase.HTMLAttributes<HTMLRuxIconPictureInPictureAltElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-pie-chart": LocalJSX.RuxIconPieChart & JSXBase.HTMLAttributes<HTMLRuxIconPieChartElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-pin-drop": LocalJSX.RuxIconPinDrop & JSXBase.HTMLAttributes<HTMLRuxIconPinDropElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-place": LocalJSX.RuxIconPlace & JSXBase.HTMLAttributes<HTMLRuxIconPlaceElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-play-arrow": LocalJSX.RuxIconPlayArrow & JSXBase.HTMLAttributes<HTMLRuxIconPlayArrowElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-play-circle-filled": LocalJSX.RuxIconPlayCircleFilled & JSXBase.HTMLAttributes<HTMLRuxIconPlayCircleFilledElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-play-circle-filled-white": LocalJSX.RuxIconPlayCircleFilledWhite & JSXBase.HTMLAttributes<HTMLRuxIconPlayCircleFilledWhiteElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-play-circle-outline": LocalJSX.RuxIconPlayCircleOutline & JSXBase.HTMLAttributes<HTMLRuxIconPlayCircleOutlineElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-play-for-work": LocalJSX.RuxIconPlayForWork & JSXBase.HTMLAttributes<HTMLRuxIconPlayForWorkElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-playlist-add": LocalJSX.RuxIconPlaylistAdd & JSXBase.HTMLAttributes<HTMLRuxIconPlaylistAddElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-playlist-add-check": LocalJSX.RuxIconPlaylistAddCheck & JSXBase.HTMLAttributes<HTMLRuxIconPlaylistAddCheckElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-playlist-play": LocalJSX.RuxIconPlaylistPlay & JSXBase.HTMLAttributes<HTMLRuxIconPlaylistPlayElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-plus-one": LocalJSX.RuxIconPlusOne & JSXBase.HTMLAttributes<HTMLRuxIconPlusOneElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-poll": LocalJSX.RuxIconPoll & JSXBase.HTMLAttributes<HTMLRuxIconPollElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-pool": LocalJSX.RuxIconPool & JSXBase.HTMLAttributes<HTMLRuxIconPoolElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-portable-wifi-off": LocalJSX.RuxIconPortableWifiOff & JSXBase.HTMLAttributes<HTMLRuxIconPortableWifiOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-portrait": LocalJSX.RuxIconPortrait & JSXBase.HTMLAttributes<HTMLRuxIconPortraitElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-power": LocalJSX.RuxIconPower & JSXBase.HTMLAttributes<HTMLRuxIconPowerElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-power-input": LocalJSX.RuxIconPowerInput & JSXBase.HTMLAttributes<HTMLRuxIconPowerInputElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-power-off": LocalJSX.RuxIconPowerOff & JSXBase.HTMLAttributes<HTMLRuxIconPowerOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-power-settings-new": LocalJSX.RuxIconPowerSettingsNew & JSXBase.HTMLAttributes<HTMLRuxIconPowerSettingsNewElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-pregnant-woman": LocalJSX.RuxIconPregnantWoman & JSXBase.HTMLAttributes<HTMLRuxIconPregnantWomanElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-present-to-all": LocalJSX.RuxIconPresentToAll & JSXBase.HTMLAttributes<HTMLRuxIconPresentToAllElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-print": LocalJSX.RuxIconPrint & JSXBase.HTMLAttributes<HTMLRuxIconPrintElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-print-disabled": LocalJSX.RuxIconPrintDisabled & JSXBase.HTMLAttributes<HTMLRuxIconPrintDisabledElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-priority-high": LocalJSX.RuxIconPriorityHigh & JSXBase.HTMLAttributes<HTMLRuxIconPriorityHighElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-processor": LocalJSX.RuxIconProcessor & JSXBase.HTMLAttributes<HTMLRuxIconProcessorElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-processor-alt": LocalJSX.RuxIconProcessorAlt & JSXBase.HTMLAttributes<HTMLRuxIconProcessorAltElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-propulsion-power": LocalJSX.RuxIconPropulsionPower & JSXBase.HTMLAttributes<HTMLRuxIconPropulsionPowerElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-public": LocalJSX.RuxIconPublic & JSXBase.HTMLAttributes<HTMLRuxIconPublicElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-publish": LocalJSX.RuxIconPublish & JSXBase.HTMLAttributes<HTMLRuxIconPublishElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-query-builder": LocalJSX.RuxIconQueryBuilder & JSXBase.HTMLAttributes<HTMLRuxIconQueryBuilderElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-question-answer": LocalJSX.RuxIconQuestionAnswer & JSXBase.HTMLAttributes<HTMLRuxIconQuestionAnswerElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-queue": LocalJSX.RuxIconQueue & JSXBase.HTMLAttributes<HTMLRuxIconQueueElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-queue-music": LocalJSX.RuxIconQueueMusic & JSXBase.HTMLAttributes<HTMLRuxIconQueueMusicElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-queue-play-next": LocalJSX.RuxIconQueuePlayNext & JSXBase.HTMLAttributes<HTMLRuxIconQueuePlayNextElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-radio": LocalJSX.RuxIconRadio & JSXBase.HTMLAttributes<HTMLRuxIconRadioElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-radio-button-checked": LocalJSX.RuxIconRadioButtonChecked & JSXBase.HTMLAttributes<HTMLRuxIconRadioButtonCheckedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-radio-button-unchecked": LocalJSX.RuxIconRadioButtonUnchecked & JSXBase.HTMLAttributes<HTMLRuxIconRadioButtonUncheckedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-rate-review": LocalJSX.RuxIconRateReview & JSXBase.HTMLAttributes<HTMLRuxIconRateReviewElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-receipt": LocalJSX.RuxIconReceipt & JSXBase.HTMLAttributes<HTMLRuxIconReceiptElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-recent-actors": LocalJSX.RuxIconRecentActors & JSXBase.HTMLAttributes<HTMLRuxIconRecentActorsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-record-voice-over": LocalJSX.RuxIconRecordVoiceOver & JSXBase.HTMLAttributes<HTMLRuxIconRecordVoiceOverElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-redeem": LocalJSX.RuxIconRedeem & JSXBase.HTMLAttributes<HTMLRuxIconRedeemElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-redo": LocalJSX.RuxIconRedo & JSXBase.HTMLAttributes<HTMLRuxIconRedoElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-refresh": LocalJSX.RuxIconRefresh & JSXBase.HTMLAttributes<HTMLRuxIconRefreshElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-release": LocalJSX.RuxIconRelease & JSXBase.HTMLAttributes<HTMLRuxIconReleaseElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-remove": LocalJSX.RuxIconRemove & JSXBase.HTMLAttributes<HTMLRuxIconRemoveElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-remove-circle": LocalJSX.RuxIconRemoveCircle & JSXBase.HTMLAttributes<HTMLRuxIconRemoveCircleElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-remove-circle-outline": LocalJSX.RuxIconRemoveCircleOutline & JSXBase.HTMLAttributes<HTMLRuxIconRemoveCircleOutlineElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-remove-from-queue": LocalJSX.RuxIconRemoveFromQueue & JSXBase.HTMLAttributes<HTMLRuxIconRemoveFromQueueElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-remove-red-eye": LocalJSX.RuxIconRemoveRedEye & JSXBase.HTMLAttributes<HTMLRuxIconRemoveRedEyeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-remove-shopping-cart": LocalJSX.RuxIconRemoveShoppingCart & JSXBase.HTMLAttributes<HTMLRuxIconRemoveShoppingCartElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-reorder": LocalJSX.RuxIconReorder & JSXBase.HTMLAttributes<HTMLRuxIconReorderElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-repeat": LocalJSX.RuxIconRepeat & JSXBase.HTMLAttributes<HTMLRuxIconRepeatElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-repeat-one": LocalJSX.RuxIconRepeatOne & JSXBase.HTMLAttributes<HTMLRuxIconRepeatOneElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-replay": LocalJSX.RuxIconReplay & JSXBase.HTMLAttributes<HTMLRuxIconReplayElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-replay-10": LocalJSX.RuxIconReplay10 & JSXBase.HTMLAttributes<HTMLRuxIconReplay10Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-replay-30": LocalJSX.RuxIconReplay30 & JSXBase.HTMLAttributes<HTMLRuxIconReplay30Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-replay-5": LocalJSX.RuxIconReplay5 & JSXBase.HTMLAttributes<HTMLRuxIconReplay5Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-reply": LocalJSX.RuxIconReply & JSXBase.HTMLAttributes<HTMLRuxIconReplyElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-reply-all": LocalJSX.RuxIconReplyAll & JSXBase.HTMLAttributes<HTMLRuxIconReplyAllElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-report": LocalJSX.RuxIconReport & JSXBase.HTMLAttributes<HTMLRuxIconReportElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-report-off": LocalJSX.RuxIconReportOff & JSXBase.HTMLAttributes<HTMLRuxIconReportOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-report-problem": LocalJSX.RuxIconReportProblem & JSXBase.HTMLAttributes<HTMLRuxIconReportProblemElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-restaurant": LocalJSX.RuxIconRestaurant & JSXBase.HTMLAttributes<HTMLRuxIconRestaurantElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-restaurant-menu": LocalJSX.RuxIconRestaurantMenu & JSXBase.HTMLAttributes<HTMLRuxIconRestaurantMenuElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-restore": LocalJSX.RuxIconRestore & JSXBase.HTMLAttributes<HTMLRuxIconRestoreElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-restore-from-trash": LocalJSX.RuxIconRestoreFromTrash & JSXBase.HTMLAttributes<HTMLRuxIconRestoreFromTrashElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-restore-page": LocalJSX.RuxIconRestorePage & JSXBase.HTMLAttributes<HTMLRuxIconRestorePageElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-ring-volume": LocalJSX.RuxIconRingVolume & JSXBase.HTMLAttributes<HTMLRuxIconRingVolumeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-room": LocalJSX.RuxIconRoom & JSXBase.HTMLAttributes<HTMLRuxIconRoomElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-room-service": LocalJSX.RuxIconRoomService & JSXBase.HTMLAttributes<HTMLRuxIconRoomServiceElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-rotate-90-degrees-cc": LocalJSX.RuxIconRotate90DegreesCc & JSXBase.HTMLAttributes<HTMLRuxIconRotate90DegreesCcElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-rotate-left": LocalJSX.RuxIconRotateLeft & JSXBase.HTMLAttributes<HTMLRuxIconRotateLeftElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-rotate-right": LocalJSX.RuxIconRotateRight & JSXBase.HTMLAttributes<HTMLRuxIconRotateRightElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-rounded-corner": LocalJSX.RuxIconRoundedCorner & JSXBase.HTMLAttributes<HTMLRuxIconRoundedCornerElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-router": LocalJSX.RuxIconRouter & JSXBase.HTMLAttributes<HTMLRuxIconRouterElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-rowing": LocalJSX.RuxIconRowing & JSXBase.HTMLAttributes<HTMLRuxIconRowingElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-rss-feed": LocalJSX.RuxIconRssFeed & JSXBase.HTMLAttributes<HTMLRuxIconRssFeedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-rv-hookup": LocalJSX.RuxIconRvHookup & JSXBase.HTMLAttributes<HTMLRuxIconRvHookupElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-satellite": LocalJSX.RuxIconSatellite & JSXBase.HTMLAttributes<HTMLRuxIconSatelliteElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-satellite-off": LocalJSX.RuxIconSatelliteOff & JSXBase.HTMLAttributes<HTMLRuxIconSatelliteOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-satellite-receive": LocalJSX.RuxIconSatelliteReceive & JSXBase.HTMLAttributes<HTMLRuxIconSatelliteReceiveElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-satellite-transmit": LocalJSX.RuxIconSatelliteTransmit & JSXBase.HTMLAttributes<HTMLRuxIconSatelliteTransmitElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-save": LocalJSX.RuxIconSave & JSXBase.HTMLAttributes<HTMLRuxIconSaveElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-save-alt": LocalJSX.RuxIconSaveAlt & JSXBase.HTMLAttributes<HTMLRuxIconSaveAltElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-scanner": LocalJSX.RuxIconScanner & JSXBase.HTMLAttributes<HTMLRuxIconScannerElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-scatter-plot": LocalJSX.RuxIconScatterPlot & JSXBase.HTMLAttributes<HTMLRuxIconScatterPlotElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-schedule": LocalJSX.RuxIconSchedule & JSXBase.HTMLAttributes<HTMLRuxIconScheduleElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-school": LocalJSX.RuxIconSchool & JSXBase.HTMLAttributes<HTMLRuxIconSchoolElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-score": LocalJSX.RuxIconScore & JSXBase.HTMLAttributes<HTMLRuxIconScoreElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-screen-lock-landscape": LocalJSX.RuxIconScreenLockLandscape & JSXBase.HTMLAttributes<HTMLRuxIconScreenLockLandscapeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-screen-lock-portrait": LocalJSX.RuxIconScreenLockPortrait & JSXBase.HTMLAttributes<HTMLRuxIconScreenLockPortraitElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-screen-lock-rotation": LocalJSX.RuxIconScreenLockRotation & JSXBase.HTMLAttributes<HTMLRuxIconScreenLockRotationElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-screen-rotation": LocalJSX.RuxIconScreenRotation & JSXBase.HTMLAttributes<HTMLRuxIconScreenRotationElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-screen-share": LocalJSX.RuxIconScreenShare & JSXBase.HTMLAttributes<HTMLRuxIconScreenShareElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-sd-card": LocalJSX.RuxIconSdCard & JSXBase.HTMLAttributes<HTMLRuxIconSdCardElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-sd-storage": LocalJSX.RuxIconSdStorage & JSXBase.HTMLAttributes<HTMLRuxIconSdStorageElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-search": LocalJSX.RuxIconSearch & JSXBase.HTMLAttributes<HTMLRuxIconSearchElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-seat": LocalJSX.RuxIconSeat & JSXBase.HTMLAttributes<HTMLRuxIconSeatElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-security": LocalJSX.RuxIconSecurity & JSXBase.HTMLAttributes<HTMLRuxIconSecurityElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-select-all": LocalJSX.RuxIconSelectAll & JSXBase.HTMLAttributes<HTMLRuxIconSelectAllElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-send": LocalJSX.RuxIconSend & JSXBase.HTMLAttributes<HTMLRuxIconSendElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-sentiment-dissatisfied": LocalJSX.RuxIconSentimentDissatisfied & JSXBase.HTMLAttributes<HTMLRuxIconSentimentDissatisfiedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-sentiment-satisfied": LocalJSX.RuxIconSentimentSatisfied & JSXBase.HTMLAttributes<HTMLRuxIconSentimentSatisfiedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-sentiment-satisfied-alt": LocalJSX.RuxIconSentimentSatisfiedAlt & JSXBase.HTMLAttributes<HTMLRuxIconSentimentSatisfiedAltElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-sentiment-very-dissatisfied": LocalJSX.RuxIconSentimentVeryDissatisfied & JSXBase.HTMLAttributes<HTMLRuxIconSentimentVeryDissatisfiedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-sentiment-very-satisfied": LocalJSX.RuxIconSentimentVerySatisfied & JSXBase.HTMLAttributes<HTMLRuxIconSentimentVerySatisfiedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-set-power": LocalJSX.RuxIconSetPower & JSXBase.HTMLAttributes<HTMLRuxIconSetPowerElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-settings": LocalJSX.RuxIconSettings & JSXBase.HTMLAttributes<HTMLRuxIconSettingsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-settings-applications": LocalJSX.RuxIconSettingsApplications & JSXBase.HTMLAttributes<HTMLRuxIconSettingsApplicationsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-settings-backup-restore": LocalJSX.RuxIconSettingsBackupRestore & JSXBase.HTMLAttributes<HTMLRuxIconSettingsBackupRestoreElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-settings-bluetooth": LocalJSX.RuxIconSettingsBluetooth & JSXBase.HTMLAttributes<HTMLRuxIconSettingsBluetoothElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-settings-brightness": LocalJSX.RuxIconSettingsBrightness & JSXBase.HTMLAttributes<HTMLRuxIconSettingsBrightnessElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-settings-cell": LocalJSX.RuxIconSettingsCell & JSXBase.HTMLAttributes<HTMLRuxIconSettingsCellElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-settings-ethernet": LocalJSX.RuxIconSettingsEthernet & JSXBase.HTMLAttributes<HTMLRuxIconSettingsEthernetElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-settings-input-antenna": LocalJSX.RuxIconSettingsInputAntenna & JSXBase.HTMLAttributes<HTMLRuxIconSettingsInputAntennaElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-settings-input-component": LocalJSX.RuxIconSettingsInputComponent & JSXBase.HTMLAttributes<HTMLRuxIconSettingsInputComponentElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-settings-input-composite": LocalJSX.RuxIconSettingsInputComposite & JSXBase.HTMLAttributes<HTMLRuxIconSettingsInputCompositeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-settings-input-hdmi": LocalJSX.RuxIconSettingsInputHdmi & JSXBase.HTMLAttributes<HTMLRuxIconSettingsInputHdmiElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-settings-input-svideo": LocalJSX.RuxIconSettingsInputSvideo & JSXBase.HTMLAttributes<HTMLRuxIconSettingsInputSvideoElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-settings-overscan": LocalJSX.RuxIconSettingsOverscan & JSXBase.HTMLAttributes<HTMLRuxIconSettingsOverscanElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-settings-phone": LocalJSX.RuxIconSettingsPhone & JSXBase.HTMLAttributes<HTMLRuxIconSettingsPhoneElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-settings-power": LocalJSX.RuxIconSettingsPower & JSXBase.HTMLAttributes<HTMLRuxIconSettingsPowerElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-settings-remote": LocalJSX.RuxIconSettingsRemote & JSXBase.HTMLAttributes<HTMLRuxIconSettingsRemoteElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-settings-system-daydream": LocalJSX.RuxIconSettingsSystemDaydream & JSXBase.HTMLAttributes<HTMLRuxIconSettingsSystemDaydreamElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-settings-voice": LocalJSX.RuxIconSettingsVoice & JSXBase.HTMLAttributes<HTMLRuxIconSettingsVoiceElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-share": LocalJSX.RuxIconShare & JSXBase.HTMLAttributes<HTMLRuxIconShareElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-shop": LocalJSX.RuxIconShop & JSXBase.HTMLAttributes<HTMLRuxIconShopElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-shop-two": LocalJSX.RuxIconShopTwo & JSXBase.HTMLAttributes<HTMLRuxIconShopTwoElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-shopping-basket": LocalJSX.RuxIconShoppingBasket & JSXBase.HTMLAttributes<HTMLRuxIconShoppingBasketElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-shopping-cart": LocalJSX.RuxIconShoppingCart & JSXBase.HTMLAttributes<HTMLRuxIconShoppingCartElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-short-text": LocalJSX.RuxIconShortText & JSXBase.HTMLAttributes<HTMLRuxIconShortTextElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-show-chart": LocalJSX.RuxIconShowChart & JSXBase.HTMLAttributes<HTMLRuxIconShowChartElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-shuffle": LocalJSX.RuxIconShuffle & JSXBase.HTMLAttributes<HTMLRuxIconShuffleElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-shutter-speed": LocalJSX.RuxIconShutterSpeed & JSXBase.HTMLAttributes<HTMLRuxIconShutterSpeedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-signal-cellular-0-bar": LocalJSX.RuxIconSignalCellular0Bar & JSXBase.HTMLAttributes<HTMLRuxIconSignalCellular0BarElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-signal-cellular-1-bar": LocalJSX.RuxIconSignalCellular1Bar & JSXBase.HTMLAttributes<HTMLRuxIconSignalCellular1BarElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-signal-cellular-2-bar": LocalJSX.RuxIconSignalCellular2Bar & JSXBase.HTMLAttributes<HTMLRuxIconSignalCellular2BarElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-signal-cellular-3-bar": LocalJSX.RuxIconSignalCellular3Bar & JSXBase.HTMLAttributes<HTMLRuxIconSignalCellular3BarElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-signal-cellular-4-bar": LocalJSX.RuxIconSignalCellular4Bar & JSXBase.HTMLAttributes<HTMLRuxIconSignalCellular4BarElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-signal-cellular-alt": LocalJSX.RuxIconSignalCellularAlt & JSXBase.HTMLAttributes<HTMLRuxIconSignalCellularAltElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-signal-cellular-connected-no-internet-0-bar": LocalJSX.RuxIconSignalCellularConnectedNoInternet0Bar & JSXBase.HTMLAttributes<HTMLRuxIconSignalCellularConnectedNoInternet0BarElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-signal-cellular-connected-no-internet-1-bar": LocalJSX.RuxIconSignalCellularConnectedNoInternet1Bar & JSXBase.HTMLAttributes<HTMLRuxIconSignalCellularConnectedNoInternet1BarElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-signal-cellular-connected-no-internet-2-bar": LocalJSX.RuxIconSignalCellularConnectedNoInternet2Bar & JSXBase.HTMLAttributes<HTMLRuxIconSignalCellularConnectedNoInternet2BarElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-signal-cellular-connected-no-internet-3-bar": LocalJSX.RuxIconSignalCellularConnectedNoInternet3Bar & JSXBase.HTMLAttributes<HTMLRuxIconSignalCellularConnectedNoInternet3BarElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-signal-cellular-connected-no-internet-4-bar": LocalJSX.RuxIconSignalCellularConnectedNoInternet4Bar & JSXBase.HTMLAttributes<HTMLRuxIconSignalCellularConnectedNoInternet4BarElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-signal-cellular-no-sim": LocalJSX.RuxIconSignalCellularNoSim & JSXBase.HTMLAttributes<HTMLRuxIconSignalCellularNoSimElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-signal-cellular-null": LocalJSX.RuxIconSignalCellularNull & JSXBase.HTMLAttributes<HTMLRuxIconSignalCellularNullElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-signal-cellular-off": LocalJSX.RuxIconSignalCellularOff & JSXBase.HTMLAttributes<HTMLRuxIconSignalCellularOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-signal-wifi-0-bar": LocalJSX.RuxIconSignalWifi0Bar & JSXBase.HTMLAttributes<HTMLRuxIconSignalWifi0BarElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-signal-wifi-1-bar": LocalJSX.RuxIconSignalWifi1Bar & JSXBase.HTMLAttributes<HTMLRuxIconSignalWifi1BarElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-signal-wifi-1-bar-lock": LocalJSX.RuxIconSignalWifi1BarLock & JSXBase.HTMLAttributes<HTMLRuxIconSignalWifi1BarLockElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-signal-wifi-2-bar": LocalJSX.RuxIconSignalWifi2Bar & JSXBase.HTMLAttributes<HTMLRuxIconSignalWifi2BarElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-signal-wifi-2-bar-lock": LocalJSX.RuxIconSignalWifi2BarLock & JSXBase.HTMLAttributes<HTMLRuxIconSignalWifi2BarLockElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-signal-wifi-3-bar": LocalJSX.RuxIconSignalWifi3Bar & JSXBase.HTMLAttributes<HTMLRuxIconSignalWifi3BarElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-signal-wifi-3-bar-lock": LocalJSX.RuxIconSignalWifi3BarLock & JSXBase.HTMLAttributes<HTMLRuxIconSignalWifi3BarLockElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-signal-wifi-4-bar": LocalJSX.RuxIconSignalWifi4Bar & JSXBase.HTMLAttributes<HTMLRuxIconSignalWifi4BarElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-signal-wifi-4-bar-lock": LocalJSX.RuxIconSignalWifi4BarLock & JSXBase.HTMLAttributes<HTMLRuxIconSignalWifi4BarLockElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-signal-wifi-off": LocalJSX.RuxIconSignalWifiOff & JSXBase.HTMLAttributes<HTMLRuxIconSignalWifiOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-sim-card": LocalJSX.RuxIconSimCard & JSXBase.HTMLAttributes<HTMLRuxIconSimCardElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-skip-next": LocalJSX.RuxIconSkipNext & JSXBase.HTMLAttributes<HTMLRuxIconSkipNextElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-skip-previous": LocalJSX.RuxIconSkipPrevious & JSXBase.HTMLAttributes<HTMLRuxIconSkipPreviousElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-slideshow": LocalJSX.RuxIconSlideshow & JSXBase.HTMLAttributes<HTMLRuxIconSlideshowElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-slow-motion-video": LocalJSX.RuxIconSlowMotionVideo & JSXBase.HTMLAttributes<HTMLRuxIconSlowMotionVideoElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-smartphone": LocalJSX.RuxIconSmartphone & JSXBase.HTMLAttributes<HTMLRuxIconSmartphoneElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-smoke-free": LocalJSX.RuxIconSmokeFree & JSXBase.HTMLAttributes<HTMLRuxIconSmokeFreeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-smoking-rooms": LocalJSX.RuxIconSmokingRooms & JSXBase.HTMLAttributes<HTMLRuxIconSmokingRoomsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-sms": LocalJSX.RuxIconSms & JSXBase.HTMLAttributes<HTMLRuxIconSmsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-sms-failed": LocalJSX.RuxIconSmsFailed & JSXBase.HTMLAttributes<HTMLRuxIconSmsFailedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-snooze": LocalJSX.RuxIconSnooze & JSXBase.HTMLAttributes<HTMLRuxIconSnoozeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-solar": LocalJSX.RuxIconSolar & JSXBase.HTMLAttributes<HTMLRuxIconSolarElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-sort": LocalJSX.RuxIconSort & JSXBase.HTMLAttributes<HTMLRuxIconSortElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-sort-by-alpha": LocalJSX.RuxIconSortByAlpha & JSXBase.HTMLAttributes<HTMLRuxIconSortByAlphaElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-spa": LocalJSX.RuxIconSpa & JSXBase.HTMLAttributes<HTMLRuxIconSpaElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-space-bar": LocalJSX.RuxIconSpaceBar & JSXBase.HTMLAttributes<HTMLRuxIconSpaceBarElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-speaker": LocalJSX.RuxIconSpeaker & JSXBase.HTMLAttributes<HTMLRuxIconSpeakerElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-speaker-group": LocalJSX.RuxIconSpeakerGroup & JSXBase.HTMLAttributes<HTMLRuxIconSpeakerGroupElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-speaker-notes": LocalJSX.RuxIconSpeakerNotes & JSXBase.HTMLAttributes<HTMLRuxIconSpeakerNotesElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-speaker-notes-off": LocalJSX.RuxIconSpeakerNotesOff & JSXBase.HTMLAttributes<HTMLRuxIconSpeakerNotesOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-speaker-phone": LocalJSX.RuxIconSpeakerPhone & JSXBase.HTMLAttributes<HTMLRuxIconSpeakerPhoneElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-spellcheck": LocalJSX.RuxIconSpellcheck & JSXBase.HTMLAttributes<HTMLRuxIconSpellcheckElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-star": LocalJSX.RuxIconStar & JSXBase.HTMLAttributes<HTMLRuxIconStarElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-star-border": LocalJSX.RuxIconStarBorder & JSXBase.HTMLAttributes<HTMLRuxIconStarBorderElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-star-half": LocalJSX.RuxIconStarHalf & JSXBase.HTMLAttributes<HTMLRuxIconStarHalfElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-star-rate": LocalJSX.RuxIconStarRate & JSXBase.HTMLAttributes<HTMLRuxIconStarRateElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-stars": LocalJSX.RuxIconStars & JSXBase.HTMLAttributes<HTMLRuxIconStarsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-stay-current-landscape": LocalJSX.RuxIconStayCurrentLandscape & JSXBase.HTMLAttributes<HTMLRuxIconStayCurrentLandscapeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-stay-current-portrait": LocalJSX.RuxIconStayCurrentPortrait & JSXBase.HTMLAttributes<HTMLRuxIconStayCurrentPortraitElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-stay-primary-landscape": LocalJSX.RuxIconStayPrimaryLandscape & JSXBase.HTMLAttributes<HTMLRuxIconStayPrimaryLandscapeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-stay-primary-portrait": LocalJSX.RuxIconStayPrimaryPortrait & JSXBase.HTMLAttributes<HTMLRuxIconStayPrimaryPortraitElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-stop": LocalJSX.RuxIconStop & JSXBase.HTMLAttributes<HTMLRuxIconStopElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-stop-screen-share": LocalJSX.RuxIconStopScreenShare & JSXBase.HTMLAttributes<HTMLRuxIconStopScreenShareElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-storage": LocalJSX.RuxIconStorage & JSXBase.HTMLAttributes<HTMLRuxIconStorageElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-store": LocalJSX.RuxIconStore & JSXBase.HTMLAttributes<HTMLRuxIconStoreElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-store-mall-directory": LocalJSX.RuxIconStoreMallDirectory & JSXBase.HTMLAttributes<HTMLRuxIconStoreMallDirectoryElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-straighten": LocalJSX.RuxIconStraighten & JSXBase.HTMLAttributes<HTMLRuxIconStraightenElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-streetview": LocalJSX.RuxIconStreetview & JSXBase.HTMLAttributes<HTMLRuxIconStreetviewElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-strikethrough-s": LocalJSX.RuxIconStrikethroughS & JSXBase.HTMLAttributes<HTMLRuxIconStrikethroughSElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-style": LocalJSX.RuxIconStyle & JSXBase.HTMLAttributes<HTMLRuxIconStyleElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-subdirectory-arrow-left": LocalJSX.RuxIconSubdirectoryArrowLeft & JSXBase.HTMLAttributes<HTMLRuxIconSubdirectoryArrowLeftElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-subdirectory-arrow-right": LocalJSX.RuxIconSubdirectoryArrowRight & JSXBase.HTMLAttributes<HTMLRuxIconSubdirectoryArrowRightElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-subject": LocalJSX.RuxIconSubject & JSXBase.HTMLAttributes<HTMLRuxIconSubjectElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-subscriptions": LocalJSX.RuxIconSubscriptions & JSXBase.HTMLAttributes<HTMLRuxIconSubscriptionsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-subtitles": LocalJSX.RuxIconSubtitles & JSXBase.HTMLAttributes<HTMLRuxIconSubtitlesElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-subway": LocalJSX.RuxIconSubway & JSXBase.HTMLAttributes<HTMLRuxIconSubwayElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-supervised-user-circle": LocalJSX.RuxIconSupervisedUserCircle & JSXBase.HTMLAttributes<HTMLRuxIconSupervisedUserCircleElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-supervisor-account": LocalJSX.RuxIconSupervisorAccount & JSXBase.HTMLAttributes<HTMLRuxIconSupervisorAccountElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-surround-sound": LocalJSX.RuxIconSurroundSound & JSXBase.HTMLAttributes<HTMLRuxIconSurroundSoundElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-swap-calls": LocalJSX.RuxIconSwapCalls & JSXBase.HTMLAttributes<HTMLRuxIconSwapCallsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-swap-horiz": LocalJSX.RuxIconSwapHoriz & JSXBase.HTMLAttributes<HTMLRuxIconSwapHorizElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-swap-horizontal-circle": LocalJSX.RuxIconSwapHorizontalCircle & JSXBase.HTMLAttributes<HTMLRuxIconSwapHorizontalCircleElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-swap-vert": LocalJSX.RuxIconSwapVert & JSXBase.HTMLAttributes<HTMLRuxIconSwapVertElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-swap-vertical-circle": LocalJSX.RuxIconSwapVerticalCircle & JSXBase.HTMLAttributes<HTMLRuxIconSwapVerticalCircleElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-switch-camera": LocalJSX.RuxIconSwitchCamera & JSXBase.HTMLAttributes<HTMLRuxIconSwitchCameraElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-switch-video": LocalJSX.RuxIconSwitchVideo & JSXBase.HTMLAttributes<HTMLRuxIconSwitchVideoElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-sync": LocalJSX.RuxIconSync & JSXBase.HTMLAttributes<HTMLRuxIconSyncElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-sync-disabled": LocalJSX.RuxIconSyncDisabled & JSXBase.HTMLAttributes<HTMLRuxIconSyncDisabledElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-sync-problem": LocalJSX.RuxIconSyncProblem & JSXBase.HTMLAttributes<HTMLRuxIconSyncProblemElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-system-update": LocalJSX.RuxIconSystemUpdate & JSXBase.HTMLAttributes<HTMLRuxIconSystemUpdateElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-tab": LocalJSX.RuxIconTab & JSXBase.HTMLAttributes<HTMLRuxIconTabElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-tab-unselected": LocalJSX.RuxIconTabUnselected & JSXBase.HTMLAttributes<HTMLRuxIconTabUnselectedElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-table-chart": LocalJSX.RuxIconTableChart & JSXBase.HTMLAttributes<HTMLRuxIconTableChartElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-tablet": LocalJSX.RuxIconTablet & JSXBase.HTMLAttributes<HTMLRuxIconTabletElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-tablet-android": LocalJSX.RuxIconTabletAndroid & JSXBase.HTMLAttributes<HTMLRuxIconTabletAndroidElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-tablet-mac": LocalJSX.RuxIconTabletMac & JSXBase.HTMLAttributes<HTMLRuxIconTabletMacElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-tag-faces": LocalJSX.RuxIconTagFaces & JSXBase.HTMLAttributes<HTMLRuxIconTagFacesElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-tap-and-play": LocalJSX.RuxIconTapAndPlay & JSXBase.HTMLAttributes<HTMLRuxIconTapAndPlayElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-terrain": LocalJSX.RuxIconTerrain & JSXBase.HTMLAttributes<HTMLRuxIconTerrainElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-text-fields": LocalJSX.RuxIconTextFields & JSXBase.HTMLAttributes<HTMLRuxIconTextFieldsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-text-format": LocalJSX.RuxIconTextFormat & JSXBase.HTMLAttributes<HTMLRuxIconTextFormatElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-text-rotate-up": LocalJSX.RuxIconTextRotateUp & JSXBase.HTMLAttributes<HTMLRuxIconTextRotateUpElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-text-rotate-vertical": LocalJSX.RuxIconTextRotateVertical & JSXBase.HTMLAttributes<HTMLRuxIconTextRotateVerticalElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-text-rotation-none": LocalJSX.RuxIconTextRotationNone & JSXBase.HTMLAttributes<HTMLRuxIconTextRotationNoneElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-textsms": LocalJSX.RuxIconTextsms & JSXBase.HTMLAttributes<HTMLRuxIconTextsmsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-texture": LocalJSX.RuxIconTexture & JSXBase.HTMLAttributes<HTMLRuxIconTextureElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-theaters": LocalJSX.RuxIconTheaters & JSXBase.HTMLAttributes<HTMLRuxIconTheatersElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-thermal": LocalJSX.RuxIconThermal & JSXBase.HTMLAttributes<HTMLRuxIconThermalElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-thumb-down": LocalJSX.RuxIconThumbDown & JSXBase.HTMLAttributes<HTMLRuxIconThumbDownElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-thumb-down-alt": LocalJSX.RuxIconThumbDownAlt & JSXBase.HTMLAttributes<HTMLRuxIconThumbDownAltElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-thumb-up": LocalJSX.RuxIconThumbUp & JSXBase.HTMLAttributes<HTMLRuxIconThumbUpElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-thumb-up-alt": LocalJSX.RuxIconThumbUpAlt & JSXBase.HTMLAttributes<HTMLRuxIconThumbUpAltElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-thumbs-up-down": LocalJSX.RuxIconThumbsUpDown & JSXBase.HTMLAttributes<HTMLRuxIconThumbsUpDownElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-time-to-leave": LocalJSX.RuxIconTimeToLeave & JSXBase.HTMLAttributes<HTMLRuxIconTimeToLeaveElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-timelapse": LocalJSX.RuxIconTimelapse & JSXBase.HTMLAttributes<HTMLRuxIconTimelapseElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-timeline": LocalJSX.RuxIconTimeline & JSXBase.HTMLAttributes<HTMLRuxIconTimelineElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-timer": LocalJSX.RuxIconTimer & JSXBase.HTMLAttributes<HTMLRuxIconTimerElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-timer-10": LocalJSX.RuxIconTimer10 & JSXBase.HTMLAttributes<HTMLRuxIconTimer10Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-timer-3": LocalJSX.RuxIconTimer3 & JSXBase.HTMLAttributes<HTMLRuxIconTimer3Element>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-timer-off": LocalJSX.RuxIconTimerOff & JSXBase.HTMLAttributes<HTMLRuxIconTimerOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-title": LocalJSX.RuxIconTitle & JSXBase.HTMLAttributes<HTMLRuxIconTitleElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-toc": LocalJSX.RuxIconToc & JSXBase.HTMLAttributes<HTMLRuxIconTocElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-today": LocalJSX.RuxIconToday & JSXBase.HTMLAttributes<HTMLRuxIconTodayElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-toggle-off": LocalJSX.RuxIconToggleOff & JSXBase.HTMLAttributes<HTMLRuxIconToggleOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-toggle-on": LocalJSX.RuxIconToggleOn & JSXBase.HTMLAttributes<HTMLRuxIconToggleOnElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-toll": LocalJSX.RuxIconToll & JSXBase.HTMLAttributes<HTMLRuxIconTollElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-tonality": LocalJSX.RuxIconTonality & JSXBase.HTMLAttributes<HTMLRuxIconTonalityElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-touch-app": LocalJSX.RuxIconTouchApp & JSXBase.HTMLAttributes<HTMLRuxIconTouchAppElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-toys": LocalJSX.RuxIconToys & JSXBase.HTMLAttributes<HTMLRuxIconToysElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-track-changes": LocalJSX.RuxIconTrackChanges & JSXBase.HTMLAttributes<HTMLRuxIconTrackChangesElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-traffic": LocalJSX.RuxIconTraffic & JSXBase.HTMLAttributes<HTMLRuxIconTrafficElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-train": LocalJSX.RuxIconTrain & JSXBase.HTMLAttributes<HTMLRuxIconTrainElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-tram": LocalJSX.RuxIconTram & JSXBase.HTMLAttributes<HTMLRuxIconTramElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-transfer-within-a-station": LocalJSX.RuxIconTransferWithinAStation & JSXBase.HTMLAttributes<HTMLRuxIconTransferWithinAStationElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-transform": LocalJSX.RuxIconTransform & JSXBase.HTMLAttributes<HTMLRuxIconTransformElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-transit-enterexit": LocalJSX.RuxIconTransitEnterexit & JSXBase.HTMLAttributes<HTMLRuxIconTransitEnterexitElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-translate": LocalJSX.RuxIconTranslate & JSXBase.HTMLAttributes<HTMLRuxIconTranslateElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-trending-down": LocalJSX.RuxIconTrendingDown & JSXBase.HTMLAttributes<HTMLRuxIconTrendingDownElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-trending-flat": LocalJSX.RuxIconTrendingFlat & JSXBase.HTMLAttributes<HTMLRuxIconTrendingFlatElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-trending-up": LocalJSX.RuxIconTrendingUp & JSXBase.HTMLAttributes<HTMLRuxIconTrendingUpElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-trip-origin": LocalJSX.RuxIconTripOrigin & JSXBase.HTMLAttributes<HTMLRuxIconTripOriginElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-tune": LocalJSX.RuxIconTune & JSXBase.HTMLAttributes<HTMLRuxIconTuneElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-turned-in": LocalJSX.RuxIconTurnedIn & JSXBase.HTMLAttributes<HTMLRuxIconTurnedInElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-turned-in-not": LocalJSX.RuxIconTurnedInNot & JSXBase.HTMLAttributes<HTMLRuxIconTurnedInNotElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-tv": LocalJSX.RuxIconTv & JSXBase.HTMLAttributes<HTMLRuxIconTvElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-tv-off": LocalJSX.RuxIconTvOff & JSXBase.HTMLAttributes<HTMLRuxIconTvOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-unarchive": LocalJSX.RuxIconUnarchive & JSXBase.HTMLAttributes<HTMLRuxIconUnarchiveElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-undo": LocalJSX.RuxIconUndo & JSXBase.HTMLAttributes<HTMLRuxIconUndoElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-unfold-less": LocalJSX.RuxIconUnfoldLess & JSXBase.HTMLAttributes<HTMLRuxIconUnfoldLessElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-unfold-more": LocalJSX.RuxIconUnfoldMore & JSXBase.HTMLAttributes<HTMLRuxIconUnfoldMoreElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-unsubscribe": LocalJSX.RuxIconUnsubscribe & JSXBase.HTMLAttributes<HTMLRuxIconUnsubscribeElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-update": LocalJSX.RuxIconUpdate & JSXBase.HTMLAttributes<HTMLRuxIconUpdateElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-usb": LocalJSX.RuxIconUsb & JSXBase.HTMLAttributes<HTMLRuxIconUsbElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-verified-user": LocalJSX.RuxIconVerifiedUser & JSXBase.HTMLAttributes<HTMLRuxIconVerifiedUserElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-vertical-align-bottom": LocalJSX.RuxIconVerticalAlignBottom & JSXBase.HTMLAttributes<HTMLRuxIconVerticalAlignBottomElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-vertical-align-center": LocalJSX.RuxIconVerticalAlignCenter & JSXBase.HTMLAttributes<HTMLRuxIconVerticalAlignCenterElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-vertical-align-top": LocalJSX.RuxIconVerticalAlignTop & JSXBase.HTMLAttributes<HTMLRuxIconVerticalAlignTopElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-vertical-split": LocalJSX.RuxIconVerticalSplit & JSXBase.HTMLAttributes<HTMLRuxIconVerticalSplitElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-vibration": LocalJSX.RuxIconVibration & JSXBase.HTMLAttributes<HTMLRuxIconVibrationElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-video-call": LocalJSX.RuxIconVideoCall & JSXBase.HTMLAttributes<HTMLRuxIconVideoCallElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-video-label": LocalJSX.RuxIconVideoLabel & JSXBase.HTMLAttributes<HTMLRuxIconVideoLabelElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-video-library": LocalJSX.RuxIconVideoLibrary & JSXBase.HTMLAttributes<HTMLRuxIconVideoLibraryElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-videocam": LocalJSX.RuxIconVideocam & JSXBase.HTMLAttributes<HTMLRuxIconVideocamElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-videocam-off": LocalJSX.RuxIconVideocamOff & JSXBase.HTMLAttributes<HTMLRuxIconVideocamOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-videogame-asset": LocalJSX.RuxIconVideogameAsset & JSXBase.HTMLAttributes<HTMLRuxIconVideogameAssetElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-view-agenda": LocalJSX.RuxIconViewAgenda & JSXBase.HTMLAttributes<HTMLRuxIconViewAgendaElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-view-array": LocalJSX.RuxIconViewArray & JSXBase.HTMLAttributes<HTMLRuxIconViewArrayElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-view-carousel": LocalJSX.RuxIconViewCarousel & JSXBase.HTMLAttributes<HTMLRuxIconViewCarouselElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-view-column": LocalJSX.RuxIconViewColumn & JSXBase.HTMLAttributes<HTMLRuxIconViewColumnElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-view-comfy": LocalJSX.RuxIconViewComfy & JSXBase.HTMLAttributes<HTMLRuxIconViewComfyElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-view-compact": LocalJSX.RuxIconViewCompact & JSXBase.HTMLAttributes<HTMLRuxIconViewCompactElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-view-day": LocalJSX.RuxIconViewDay & JSXBase.HTMLAttributes<HTMLRuxIconViewDayElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-view-headline": LocalJSX.RuxIconViewHeadline & JSXBase.HTMLAttributes<HTMLRuxIconViewHeadlineElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-view-list": LocalJSX.RuxIconViewList & JSXBase.HTMLAttributes<HTMLRuxIconViewListElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-view-module": LocalJSX.RuxIconViewModule & JSXBase.HTMLAttributes<HTMLRuxIconViewModuleElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-view-quilt": LocalJSX.RuxIconViewQuilt & JSXBase.HTMLAttributes<HTMLRuxIconViewQuiltElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-view-stream": LocalJSX.RuxIconViewStream & JSXBase.HTMLAttributes<HTMLRuxIconViewStreamElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-view-week": LocalJSX.RuxIconViewWeek & JSXBase.HTMLAttributes<HTMLRuxIconViewWeekElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-vignette": LocalJSX.RuxIconVignette & JSXBase.HTMLAttributes<HTMLRuxIconVignetteElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-visibility": LocalJSX.RuxIconVisibility & JSXBase.HTMLAttributes<HTMLRuxIconVisibilityElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-visibility-off": LocalJSX.RuxIconVisibilityOff & JSXBase.HTMLAttributes<HTMLRuxIconVisibilityOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-voice-chat": LocalJSX.RuxIconVoiceChat & JSXBase.HTMLAttributes<HTMLRuxIconVoiceChatElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-voice-over-off": LocalJSX.RuxIconVoiceOverOff & JSXBase.HTMLAttributes<HTMLRuxIconVoiceOverOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-voicemail": LocalJSX.RuxIconVoicemail & JSXBase.HTMLAttributes<HTMLRuxIconVoicemailElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-volume-down": LocalJSX.RuxIconVolumeDown & JSXBase.HTMLAttributes<HTMLRuxIconVolumeDownElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-volume-mute": LocalJSX.RuxIconVolumeMute & JSXBase.HTMLAttributes<HTMLRuxIconVolumeMuteElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-volume-off": LocalJSX.RuxIconVolumeOff & JSXBase.HTMLAttributes<HTMLRuxIconVolumeOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-volume-up": LocalJSX.RuxIconVolumeUp & JSXBase.HTMLAttributes<HTMLRuxIconVolumeUpElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-vpn-key": LocalJSX.RuxIconVpnKey & JSXBase.HTMLAttributes<HTMLRuxIconVpnKeyElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-vpn-lock": LocalJSX.RuxIconVpnLock & JSXBase.HTMLAttributes<HTMLRuxIconVpnLockElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-wallpaper": LocalJSX.RuxIconWallpaper & JSXBase.HTMLAttributes<HTMLRuxIconWallpaperElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-warning": LocalJSX.RuxIconWarning & JSXBase.HTMLAttributes<HTMLRuxIconWarningElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-watch": LocalJSX.RuxIconWatch & JSXBase.HTMLAttributes<HTMLRuxIconWatchElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-watch-later": LocalJSX.RuxIconWatchLater & JSXBase.HTMLAttributes<HTMLRuxIconWatchLaterElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-waves": LocalJSX.RuxIconWaves & JSXBase.HTMLAttributes<HTMLRuxIconWavesElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-wb-auto": LocalJSX.RuxIconWbAuto & JSXBase.HTMLAttributes<HTMLRuxIconWbAutoElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-wb-cloudy": LocalJSX.RuxIconWbCloudy & JSXBase.HTMLAttributes<HTMLRuxIconWbCloudyElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-wb-incandescent": LocalJSX.RuxIconWbIncandescent & JSXBase.HTMLAttributes<HTMLRuxIconWbIncandescentElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-wb-iridescent": LocalJSX.RuxIconWbIridescent & JSXBase.HTMLAttributes<HTMLRuxIconWbIridescentElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-wb-sunny": LocalJSX.RuxIconWbSunny & JSXBase.HTMLAttributes<HTMLRuxIconWbSunnyElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-wc": LocalJSX.RuxIconWc & JSXBase.HTMLAttributes<HTMLRuxIconWcElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-web": LocalJSX.RuxIconWeb & JSXBase.HTMLAttributes<HTMLRuxIconWebElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-web-asset": LocalJSX.RuxIconWebAsset & JSXBase.HTMLAttributes<HTMLRuxIconWebAssetElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-weekend": LocalJSX.RuxIconWeekend & JSXBase.HTMLAttributes<HTMLRuxIconWeekendElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-whatshot": LocalJSX.RuxIconWhatshot & JSXBase.HTMLAttributes<HTMLRuxIconWhatshotElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-where-to-vote": LocalJSX.RuxIconWhereToVote & JSXBase.HTMLAttributes<HTMLRuxIconWhereToVoteElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-widgets": LocalJSX.RuxIconWidgets & JSXBase.HTMLAttributes<HTMLRuxIconWidgetsElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-wifi": LocalJSX.RuxIconWifi & JSXBase.HTMLAttributes<HTMLRuxIconWifiElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-wifi-lock": LocalJSX.RuxIconWifiLock & JSXBase.HTMLAttributes<HTMLRuxIconWifiLockElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-wifi-off": LocalJSX.RuxIconWifiOff & JSXBase.HTMLAttributes<HTMLRuxIconWifiOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-wifi-tethering": LocalJSX.RuxIconWifiTethering & JSXBase.HTMLAttributes<HTMLRuxIconWifiTetheringElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-work": LocalJSX.RuxIconWork & JSXBase.HTMLAttributes<HTMLRuxIconWorkElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-work-off": LocalJSX.RuxIconWorkOff & JSXBase.HTMLAttributes<HTMLRuxIconWorkOffElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-work-outline": LocalJSX.RuxIconWorkOutline & JSXBase.HTMLAttributes<HTMLRuxIconWorkOutlineElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-wrap-text": LocalJSX.RuxIconWrapText & JSXBase.HTMLAttributes<HTMLRuxIconWrapTextElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-youtube-searched-for": LocalJSX.RuxIconYoutubeSearchedFor & JSXBase.HTMLAttributes<HTMLRuxIconYoutubeSearchedForElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-zoom-in": LocalJSX.RuxIconZoomIn & JSXBase.HTMLAttributes<HTMLRuxIconZoomInElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-zoom-in-map": LocalJSX.RuxIconZoomInMap & JSXBase.HTMLAttributes<HTMLRuxIconZoomInMapElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-zoom-out": LocalJSX.RuxIconZoomOut & JSXBase.HTMLAttributes<HTMLRuxIconZoomOutElement>;
            /**
             * WARNING: This is an autogenerated component.
             * Do not make any changes to this file or they will be overwritten on build.
             * The template for this file is located in the generate-icons.js util file.
             * /
             * /** @internal *
             */
            "rux-icon-zoom-out-map": LocalJSX.RuxIconZoomOutMap & JSXBase.HTMLAttributes<HTMLRuxIconZoomOutMapElement>;
            "rux-indeterminate-progress": LocalJSX.RuxIndeterminateProgress & JSXBase.HTMLAttributes<HTMLRuxIndeterminateProgressElement>;
            "rux-input": LocalJSX.RuxInput & JSXBase.HTMLAttributes<HTMLRuxInputElement>;
            /**
             * A Log is a tabular representation of application events and may include username, priority, equipment type, signal type, etc. As part of the [Notification System](https://www.astrouxds.com/design-guidelines/notifications), Logs provide sorting and filtering function for examining events.
             */
            "rux-log": LocalJSX.RuxLog & JSXBase.HTMLAttributes<HTMLRuxLogElement>;
            "rux-menu": LocalJSX.RuxMenu & JSXBase.HTMLAttributes<HTMLRuxMenuElement>;
            "rux-menu-item": LocalJSX.RuxMenuItem & JSXBase.HTMLAttributes<HTMLRuxMenuItemElement>;
            "rux-menu-item-divider": LocalJSX.RuxMenuItemDivider & JSXBase.HTMLAttributes<HTMLRuxMenuItemDividerElement>;
            "rux-monitoring-icon": LocalJSX.RuxMonitoringIcon & JSXBase.HTMLAttributes<HTMLRuxMonitoringIconElement>;
            "rux-monitoring-progress-icon": LocalJSX.RuxMonitoringProgressIcon & JSXBase.HTMLAttributes<HTMLRuxMonitoringProgressIconElement>;
            "rux-notification": LocalJSX.RuxNotification & JSXBase.HTMLAttributes<HTMLRuxNotificationElement>;
            /**
             * This component should be used exclusively with RuxSelect.
             * It's main function is to broadcast to RuxSelect when the value property changes.
             * RuxSelect can only listen for slot change, which won't fire in the scenario where there
             * might be 2 options and only their values change. Because the nodes themselves aren't added or removed,
             * onSlotchange doesn't fire.
             */
            "rux-option": LocalJSX.RuxOption & JSXBase.HTMLAttributes<HTMLRuxOptionElement>;
            "rux-option-group": LocalJSX.RuxOptionGroup & JSXBase.HTMLAttributes<HTMLRuxOptionGroupElement>;
            "rux-pop-up": LocalJSX.RuxPopUp & JSXBase.HTMLAttributes<HTMLRuxPopUpElement>;
            "rux-progress": LocalJSX.RuxProgress & JSXBase.HTMLAttributes<HTMLRuxProgressElement>;
            "rux-push-button": LocalJSX.RuxPushButton & JSXBase.HTMLAttributes<HTMLRuxPushButtonElement>;
            "rux-radio": LocalJSX.RuxRadio & JSXBase.HTMLAttributes<HTMLRuxRadioElement>;
            "rux-radio-group": LocalJSX.RuxRadioGroup & JSXBase.HTMLAttributes<HTMLRuxRadioGroupElement>;
            "rux-ruler": LocalJSX.RuxRuler & JSXBase.HTMLAttributes<HTMLRuxRulerElement>;
            "rux-segmented-button": LocalJSX.RuxSegmentedButton & JSXBase.HTMLAttributes<HTMLRuxSegmentedButtonElement>;
            "rux-select": LocalJSX.RuxSelect & JSXBase.HTMLAttributes<HTMLRuxSelectElement>;
            "rux-slider": LocalJSX.RuxSlider & JSXBase.HTMLAttributes<HTMLRuxSliderElement>;
            "rux-status": LocalJSX.RuxStatus & JSXBase.HTMLAttributes<HTMLRuxStatusElement>;
            "rux-switch": LocalJSX.RuxSwitch & JSXBase.HTMLAttributes<HTMLRuxSwitchElement>;
            "rux-tab": LocalJSX.RuxTab & JSXBase.HTMLAttributes<HTMLRuxTabElement>;
            "rux-tab-panel": LocalJSX.RuxTabPanel & JSXBase.HTMLAttributes<HTMLRuxTabPanelElement>;
            "rux-tab-panels": LocalJSX.RuxTabPanels & JSXBase.HTMLAttributes<HTMLRuxTabPanelsElement>;
            "rux-table": LocalJSX.RuxTable & JSXBase.HTMLAttributes<HTMLRuxTableElement>;
            "rux-table-body": LocalJSX.RuxTableBody & JSXBase.HTMLAttributes<HTMLRuxTableBodyElement>;
            "rux-table-cell": LocalJSX.RuxTableCell & JSXBase.HTMLAttributes<HTMLRuxTableCellElement>;
            "rux-table-header": LocalJSX.RuxTableHeader & JSXBase.HTMLAttributes<HTMLRuxTableHeaderElement>;
            "rux-table-header-cell": LocalJSX.RuxTableHeaderCell & JSXBase.HTMLAttributes<HTMLRuxTableHeaderCellElement>;
            "rux-table-header-row": LocalJSX.RuxTableHeaderRow & JSXBase.HTMLAttributes<HTMLRuxTableHeaderRowElement>;
            "rux-table-row": LocalJSX.RuxTableRow & JSXBase.HTMLAttributes<HTMLRuxTableRowElement>;
            "rux-tabs": LocalJSX.RuxTabs & JSXBase.HTMLAttributes<HTMLRuxTabsElement>;
            "rux-tag": LocalJSX.RuxTag & JSXBase.HTMLAttributes<HTMLRuxTagElement>;
            "rux-textarea": LocalJSX.RuxTextarea & JSXBase.HTMLAttributes<HTMLRuxTextareaElement>;
            "rux-time-region": LocalJSX.RuxTimeRegion & JSXBase.HTMLAttributes<HTMLRuxTimeRegionElement>;
            "rux-timeline": LocalJSX.RuxTimeline & JSXBase.HTMLAttributes<HTMLRuxTimelineElement>;
            "rux-toast": LocalJSX.RuxToast & JSXBase.HTMLAttributes<HTMLRuxToastElement>;
            "rux-toast-stack": LocalJSX.RuxToastStack & JSXBase.HTMLAttributes<HTMLRuxToastStackElement>;
            "rux-tooltip": LocalJSX.RuxTooltip & JSXBase.HTMLAttributes<HTMLRuxTooltipElement>;
            "rux-track": LocalJSX.RuxTrack & JSXBase.HTMLAttributes<HTMLRuxTrackElement>;
            "rux-tree": LocalJSX.RuxTree & JSXBase.HTMLAttributes<HTMLRuxTreeElement>;
            "rux-tree-node": LocalJSX.RuxTreeNode & JSXBase.HTMLAttributes<HTMLRuxTreeNodeElement>;
        }
    }
}
